#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1208
#define LARGE_STATE_COUNT 166
#define SYMBOL_COUNT 152
#define ALIAS_COUNT 4
#define TOKEN_COUNT 68
#define EXTERNAL_TOKEN_COUNT 15
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 8

enum ts_symbol_identifiers {
  sym__backslash_escape = 1,
  sym_entity_reference = 2,
  sym_numeric_character_reference = 3,
  anon_sym_LBRACK = 4,
  anon_sym_RBRACK = 5,
  anon_sym_LT = 6,
  anon_sym_GT = 7,
  anon_sym_BANG = 8,
  anon_sym_DQUOTE = 9,
  anon_sym_POUND = 10,
  anon_sym_DOLLAR = 11,
  anon_sym_PERCENT = 12,
  anon_sym_AMP = 13,
  anon_sym_SQUOTE = 14,
  anon_sym_STAR = 15,
  anon_sym_PLUS = 16,
  anon_sym_COMMA = 17,
  anon_sym_DASH = 18,
  anon_sym_DOT = 19,
  anon_sym_SLASH = 20,
  anon_sym_COLON = 21,
  anon_sym_SEMI = 22,
  anon_sym_EQ = 23,
  anon_sym_QMARK = 24,
  anon_sym_AT = 25,
  anon_sym_BSLASH = 26,
  anon_sym_CARET = 27,
  anon_sym__ = 28,
  anon_sym_BQUOTE = 29,
  anon_sym_LBRACE = 30,
  anon_sym_PIPE = 31,
  anon_sym_RBRACE = 32,
  anon_sym_TILDE = 33,
  anon_sym_LPAREN = 34,
  anon_sym_RPAREN = 35,
  sym__newline_token = 36,
  sym_uri_autolink = 37,
  sym_email_autolink = 38,
  sym__attribute_name = 39,
  aux_sym__attribute_value_token1 = 40,
  anon_sym_LT_BANG_DASH_DASH = 41,
  anon_sym_DASH_DASH_GT = 42,
  anon_sym_LT_QMARK = 43,
  anon_sym_QMARK_GT = 44,
  aux_sym__declaration_token1 = 45,
  anon_sym_LT_BANG_LBRACKCDATA_LBRACK = 46,
  anon_sym_RBRACK_RBRACK_GT = 47,
  sym__whitespace_ge_2 = 48,
  aux_sym__whitespace_token1 = 49,
  sym__word_no_digit = 50,
  sym__digits = 51,
  sym_tag = 52,
  sym__error = 53,
  sym__trigger_error = 54,
  sym__code_span_start = 55,
  sym__code_span_close = 56,
  sym__emphasis_open_star = 57,
  sym__emphasis_open_underscore = 58,
  sym__emphasis_close_star = 59,
  sym__emphasis_close_underscore = 60,
  sym__last_token_whitespace = 61,
  sym__last_token_punctuation = 62,
  sym__strikethrough_open = 63,
  sym__strikethrough_close = 64,
  sym__latex_span_start = 65,
  sym__latex_span_close = 66,
  sym__unclosed_span = 67,
  sym_inline = 68,
  sym_backslash_escape = 69,
  sym_link_label = 70,
  sym_link_destination = 71,
  sym__link_destination_parenthesis = 72,
  sym__text_no_angle = 73,
  sym_link_title = 74,
  sym_code_span = 75,
  sym_latex_block = 76,
  sym__link_text = 77,
  sym__link_text_non_empty = 78,
  sym_shortcut_link = 79,
  sym_full_reference_link = 80,
  sym_collapsed_reference_link = 81,
  sym_inline_link = 82,
  sym_wiki_link = 83,
  aux_sym__wiki_link_destination = 84,
  aux_sym__wiki_link_text = 85,
  sym_image = 86,
  sym__image_inline_link = 87,
  sym__image_shortcut_link = 88,
  sym__image_full_reference_link = 89,
  sym__image_collapsed_reference_link = 90,
  sym__image_description = 91,
  sym__image_description_non_empty = 92,
  sym__html_tag = 93,
  sym__open_tag = 94,
  sym__closing_tag = 95,
  sym__tag_name = 96,
  sym__attribute = 97,
  sym__attribute_value = 98,
  sym__html_comment = 99,
  sym__processing_instruction = 100,
  sym__declaration = 101,
  sym__cdata_section = 102,
  sym_hard_line_break = 103,
  sym__whitespace = 104,
  sym__word = 105,
  sym__soft_line_break = 106,
  sym__inline_base = 107,
  sym__text_base = 108,
  sym__text_inline_no_link = 109,
  sym__inline_element = 110,
  aux_sym__inline = 111,
  sym__inline_element_no_star = 112,
  aux_sym__inline_no_star = 113,
  sym__inline_element_no_underscore = 114,
  aux_sym__inline_no_underscore = 115,
  sym__inline_element_no_tilde = 116,
  aux_sym__inline_no_tilde = 117,
  sym__strikethrough = 118,
  sym__emphasis_star = 119,
  sym__strong_emphasis_star = 120,
  sym__emphasis_underscore = 121,
  sym__strong_emphasis_underscore = 122,
  sym__inline_element_no_link = 123,
  aux_sym__inline_no_link = 124,
  sym__inline_element_no_star_no_link = 125,
  aux_sym__inline_no_star_no_link = 126,
  sym__inline_element_no_underscore_no_link = 127,
  aux_sym__inline_no_underscore_no_link = 128,
  sym__inline_element_no_tilde_no_link = 129,
  aux_sym__inline_no_tilde_no_link = 130,
  sym__strikethrough_no_link = 131,
  sym__emphasis_star_no_link = 132,
  sym__strong_emphasis_star_no_link = 133,
  sym__emphasis_underscore_no_link = 134,
  sym__strong_emphasis_underscore_no_link = 135,
  aux_sym_link_label_repeat1 = 136,
  aux_sym_link_destination_repeat1 = 137,
  aux_sym_link_destination_repeat2 = 138,
  aux_sym_link_title_repeat1 = 139,
  aux_sym_link_title_repeat2 = 140,
  aux_sym_link_title_repeat3 = 141,
  aux_sym_code_span_repeat1 = 142,
  aux_sym_inline_link_repeat1 = 143,
  aux_sym__open_tag_repeat1 = 144,
  aux_sym__tag_name_repeat1 = 145,
  aux_sym__attribute_value_repeat1 = 146,
  aux_sym__attribute_value_repeat2 = 147,
  aux_sym__html_comment_repeat1 = 148,
  aux_sym__processing_instruction_repeat1 = 149,
  aux_sym__declaration_repeat1 = 150,
  aux_sym__inline_base_repeat1 = 151,
  alias_sym_emphasis = 152,
  alias_sym_html_tag = 153,
  alias_sym_image_description = 154,
  alias_sym_link_text = 155,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__backslash_escape] = "_backslash_escape",
  [sym_entity_reference] = "entity_reference",
  [sym_numeric_character_reference] = "numeric_character_reference",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_BANG] = "!",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_POUND] = "#",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_PERCENT] = "%",
  [anon_sym_AMP] = "&",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_STAR] = "*",
  [anon_sym_PLUS] = "+",
  [anon_sym_COMMA] = ",",
  [anon_sym_DASH] = "-",
  [anon_sym_DOT] = ".",
  [anon_sym_SLASH] = "/",
  [anon_sym_COLON] = ":",
  [anon_sym_SEMI] = ";",
  [anon_sym_EQ] = "=",
  [anon_sym_QMARK] = "\?",
  [anon_sym_AT] = "@",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_CARET] = "^",
  [anon_sym__] = "_",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_LBRACE] = "{",
  [anon_sym_PIPE] = "|",
  [anon_sym_RBRACE] = "}",
  [anon_sym_TILDE] = "~",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [sym__newline_token] = "_newline_token",
  [sym_uri_autolink] = "uri_autolink",
  [sym_email_autolink] = "email_autolink",
  [sym__attribute_name] = "_attribute_name",
  [aux_sym__attribute_value_token1] = "_attribute_value_token1",
  [anon_sym_LT_BANG_DASH_DASH] = "<!--",
  [anon_sym_DASH_DASH_GT] = "-->",
  [anon_sym_LT_QMARK] = "<\?",
  [anon_sym_QMARK_GT] = "\?>",
  [aux_sym__declaration_token1] = "_declaration_token1",
  [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = "<![CDATA[",
  [anon_sym_RBRACK_RBRACK_GT] = "]]>",
  [sym__whitespace_ge_2] = "_whitespace_ge_2",
  [aux_sym__whitespace_token1] = "_whitespace_token1",
  [sym__word_no_digit] = "_word_no_digit",
  [sym__digits] = "_digits",
  [sym_tag] = "tag",
  [sym__error] = "_error",
  [sym__trigger_error] = "_trigger_error",
  [sym__code_span_start] = "code_span_delimiter",
  [sym__code_span_close] = "code_span_delimiter",
  [sym__emphasis_open_star] = "_emphasis_open_star",
  [sym__emphasis_open_underscore] = "_emphasis_open_underscore",
  [sym__emphasis_close_star] = "emphasis_delimiter",
  [sym__emphasis_close_underscore] = "emphasis_delimiter",
  [sym__last_token_whitespace] = "_last_token_whitespace",
  [sym__last_token_punctuation] = "_last_token_punctuation",
  [sym__strikethrough_open] = "_strikethrough_open",
  [sym__strikethrough_close] = "emphasis_delimiter",
  [sym__latex_span_start] = "latex_span_delimiter",
  [sym__latex_span_close] = "latex_span_delimiter",
  [sym__unclosed_span] = "_unclosed_span",
  [sym_inline] = "inline",
  [sym_backslash_escape] = "backslash_escape",
  [sym_link_label] = "link_label",
  [sym_link_destination] = "link_destination",
  [sym__link_destination_parenthesis] = "_link_destination_parenthesis",
  [sym__text_no_angle] = "_text_no_angle",
  [sym_link_title] = "link_title",
  [sym_code_span] = "code_span",
  [sym_latex_block] = "latex_block",
  [sym__link_text] = "_link_text",
  [sym__link_text_non_empty] = "_link_text_non_empty",
  [sym_shortcut_link] = "shortcut_link",
  [sym_full_reference_link] = "full_reference_link",
  [sym_collapsed_reference_link] = "collapsed_reference_link",
  [sym_inline_link] = "inline_link",
  [sym_wiki_link] = "wiki_link",
  [aux_sym__wiki_link_destination] = "_wiki_link_destination",
  [aux_sym__wiki_link_text] = "_wiki_link_text",
  [sym_image] = "image",
  [sym__image_inline_link] = "_image_inline_link",
  [sym__image_shortcut_link] = "_image_shortcut_link",
  [sym__image_full_reference_link] = "_image_full_reference_link",
  [sym__image_collapsed_reference_link] = "_image_collapsed_reference_link",
  [sym__image_description] = "_image_description",
  [sym__image_description_non_empty] = "_image_description_non_empty",
  [sym__html_tag] = "_html_tag",
  [sym__open_tag] = "_open_tag",
  [sym__closing_tag] = "_closing_tag",
  [sym__tag_name] = "_tag_name",
  [sym__attribute] = "_attribute",
  [sym__attribute_value] = "_attribute_value",
  [sym__html_comment] = "_html_comment",
  [sym__processing_instruction] = "_processing_instruction",
  [sym__declaration] = "_declaration",
  [sym__cdata_section] = "_cdata_section",
  [sym_hard_line_break] = "hard_line_break",
  [sym__whitespace] = "_whitespace",
  [sym__word] = "_word",
  [sym__soft_line_break] = "_soft_line_break",
  [sym__inline_base] = "_inline_base",
  [sym__text_base] = "_text_base",
  [sym__text_inline_no_link] = "_text_inline_no_link",
  [sym__inline_element] = "_inline_element",
  [aux_sym__inline] = "_inline",
  [sym__inline_element_no_star] = "_inline_element_no_star",
  [aux_sym__inline_no_star] = "_inline_no_star",
  [sym__inline_element_no_underscore] = "_inline_element_no_underscore",
  [aux_sym__inline_no_underscore] = "_inline_no_underscore",
  [sym__inline_element_no_tilde] = "_inline_element_no_tilde",
  [aux_sym__inline_no_tilde] = "_inline_no_tilde",
  [sym__strikethrough] = "strikethrough",
  [sym__emphasis_star] = "_emphasis_star",
  [sym__strong_emphasis_star] = "strong_emphasis",
  [sym__emphasis_underscore] = "_emphasis_underscore",
  [sym__strong_emphasis_underscore] = "strong_emphasis",
  [sym__inline_element_no_link] = "_inline_element_no_link",
  [aux_sym__inline_no_link] = "_inline_no_link",
  [sym__inline_element_no_star_no_link] = "_inline_element_no_star_no_link",
  [aux_sym__inline_no_star_no_link] = "_inline_no_star_no_link",
  [sym__inline_element_no_underscore_no_link] = "_inline_element_no_underscore_no_link",
  [aux_sym__inline_no_underscore_no_link] = "_inline_no_underscore_no_link",
  [sym__inline_element_no_tilde_no_link] = "_inline_element_no_tilde_no_link",
  [aux_sym__inline_no_tilde_no_link] = "_inline_no_tilde_no_link",
  [sym__strikethrough_no_link] = "strikethrough",
  [sym__emphasis_star_no_link] = "_emphasis_star_no_link",
  [sym__strong_emphasis_star_no_link] = "strong_emphasis",
  [sym__emphasis_underscore_no_link] = "_emphasis_underscore_no_link",
  [sym__strong_emphasis_underscore_no_link] = "strong_emphasis",
  [aux_sym_link_label_repeat1] = "link_label_repeat1",
  [aux_sym_link_destination_repeat1] = "link_destination_repeat1",
  [aux_sym_link_destination_repeat2] = "link_destination_repeat2",
  [aux_sym_link_title_repeat1] = "link_title_repeat1",
  [aux_sym_link_title_repeat2] = "link_title_repeat2",
  [aux_sym_link_title_repeat3] = "link_title_repeat3",
  [aux_sym_code_span_repeat1] = "code_span_repeat1",
  [aux_sym_inline_link_repeat1] = "inline_link_repeat1",
  [aux_sym__open_tag_repeat1] = "_open_tag_repeat1",
  [aux_sym__tag_name_repeat1] = "_tag_name_repeat1",
  [aux_sym__attribute_value_repeat1] = "_attribute_value_repeat1",
  [aux_sym__attribute_value_repeat2] = "_attribute_value_repeat2",
  [aux_sym__html_comment_repeat1] = "_html_comment_repeat1",
  [aux_sym__processing_instruction_repeat1] = "_processing_instruction_repeat1",
  [aux_sym__declaration_repeat1] = "_declaration_repeat1",
  [aux_sym__inline_base_repeat1] = "_inline_base_repeat1",
  [alias_sym_emphasis] = "emphasis",
  [alias_sym_html_tag] = "html_tag",
  [alias_sym_image_description] = "image_description",
  [alias_sym_link_text] = "link_text",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__backslash_escape] = sym__backslash_escape,
  [sym_entity_reference] = sym_entity_reference,
  [sym_numeric_character_reference] = sym_numeric_character_reference,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym__] = anon_sym__,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [sym__newline_token] = sym__newline_token,
  [sym_uri_autolink] = sym_uri_autolink,
  [sym_email_autolink] = sym_email_autolink,
  [sym__attribute_name] = sym__attribute_name,
  [aux_sym__attribute_value_token1] = aux_sym__attribute_value_token1,
  [anon_sym_LT_BANG_DASH_DASH] = anon_sym_LT_BANG_DASH_DASH,
  [anon_sym_DASH_DASH_GT] = anon_sym_DASH_DASH_GT,
  [anon_sym_LT_QMARK] = anon_sym_LT_QMARK,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [aux_sym__declaration_token1] = aux_sym__declaration_token1,
  [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
  [anon_sym_RBRACK_RBRACK_GT] = anon_sym_RBRACK_RBRACK_GT,
  [sym__whitespace_ge_2] = sym__whitespace_ge_2,
  [aux_sym__whitespace_token1] = aux_sym__whitespace_token1,
  [sym__word_no_digit] = sym__word_no_digit,
  [sym__digits] = sym__digits,
  [sym_tag] = sym_tag,
  [sym__error] = sym__error,
  [sym__trigger_error] = sym__trigger_error,
  [sym__code_span_start] = sym__code_span_start,
  [sym__code_span_close] = sym__code_span_start,
  [sym__emphasis_open_star] = sym__emphasis_open_star,
  [sym__emphasis_open_underscore] = sym__emphasis_open_underscore,
  [sym__emphasis_close_star] = sym__emphasis_close_star,
  [sym__emphasis_close_underscore] = sym__emphasis_close_star,
  [sym__last_token_whitespace] = sym__last_token_whitespace,
  [sym__last_token_punctuation] = sym__last_token_punctuation,
  [sym__strikethrough_open] = sym__strikethrough_open,
  [sym__strikethrough_close] = sym__emphasis_close_star,
  [sym__latex_span_start] = sym__latex_span_start,
  [sym__latex_span_close] = sym__latex_span_start,
  [sym__unclosed_span] = sym__unclosed_span,
  [sym_inline] = sym_inline,
  [sym_backslash_escape] = sym_backslash_escape,
  [sym_link_label] = sym_link_label,
  [sym_link_destination] = sym_link_destination,
  [sym__link_destination_parenthesis] = sym__link_destination_parenthesis,
  [sym__text_no_angle] = sym__text_no_angle,
  [sym_link_title] = sym_link_title,
  [sym_code_span] = sym_code_span,
  [sym_latex_block] = sym_latex_block,
  [sym__link_text] = sym__link_text,
  [sym__link_text_non_empty] = sym__link_text_non_empty,
  [sym_shortcut_link] = sym_shortcut_link,
  [sym_full_reference_link] = sym_full_reference_link,
  [sym_collapsed_reference_link] = sym_collapsed_reference_link,
  [sym_inline_link] = sym_inline_link,
  [sym_wiki_link] = sym_wiki_link,
  [aux_sym__wiki_link_destination] = aux_sym__wiki_link_destination,
  [aux_sym__wiki_link_text] = aux_sym__wiki_link_text,
  [sym_image] = sym_image,
  [sym__image_inline_link] = sym__image_inline_link,
  [sym__image_shortcut_link] = sym__image_shortcut_link,
  [sym__image_full_reference_link] = sym__image_full_reference_link,
  [sym__image_collapsed_reference_link] = sym__image_collapsed_reference_link,
  [sym__image_description] = sym__image_description,
  [sym__image_description_non_empty] = sym__image_description_non_empty,
  [sym__html_tag] = sym__html_tag,
  [sym__open_tag] = sym__open_tag,
  [sym__closing_tag] = sym__closing_tag,
  [sym__tag_name] = sym__tag_name,
  [sym__attribute] = sym__attribute,
  [sym__attribute_value] = sym__attribute_value,
  [sym__html_comment] = sym__html_comment,
  [sym__processing_instruction] = sym__processing_instruction,
  [sym__declaration] = sym__declaration,
  [sym__cdata_section] = sym__cdata_section,
  [sym_hard_line_break] = sym_hard_line_break,
  [sym__whitespace] = sym__whitespace,
  [sym__word] = sym__word,
  [sym__soft_line_break] = sym__soft_line_break,
  [sym__inline_base] = sym__inline_base,
  [sym__text_base] = sym__text_base,
  [sym__text_inline_no_link] = sym__text_inline_no_link,
  [sym__inline_element] = sym__inline_element,
  [aux_sym__inline] = aux_sym__inline,
  [sym__inline_element_no_star] = sym__inline_element_no_star,
  [aux_sym__inline_no_star] = aux_sym__inline_no_star,
  [sym__inline_element_no_underscore] = sym__inline_element_no_underscore,
  [aux_sym__inline_no_underscore] = aux_sym__inline_no_underscore,
  [sym__inline_element_no_tilde] = sym__inline_element_no_tilde,
  [aux_sym__inline_no_tilde] = aux_sym__inline_no_tilde,
  [sym__strikethrough] = sym__strikethrough,
  [sym__emphasis_star] = sym__emphasis_star,
  [sym__strong_emphasis_star] = sym__strong_emphasis_star,
  [sym__emphasis_underscore] = sym__emphasis_underscore,
  [sym__strong_emphasis_underscore] = sym__strong_emphasis_star,
  [sym__inline_element_no_link] = sym__inline_element_no_link,
  [aux_sym__inline_no_link] = aux_sym__inline_no_link,
  [sym__inline_element_no_star_no_link] = sym__inline_element_no_star_no_link,
  [aux_sym__inline_no_star_no_link] = aux_sym__inline_no_star_no_link,
  [sym__inline_element_no_underscore_no_link] = sym__inline_element_no_underscore_no_link,
  [aux_sym__inline_no_underscore_no_link] = aux_sym__inline_no_underscore_no_link,
  [sym__inline_element_no_tilde_no_link] = sym__inline_element_no_tilde_no_link,
  [aux_sym__inline_no_tilde_no_link] = aux_sym__inline_no_tilde_no_link,
  [sym__strikethrough_no_link] = sym__strikethrough,
  [sym__emphasis_star_no_link] = sym__emphasis_star_no_link,
  [sym__strong_emphasis_star_no_link] = sym__strong_emphasis_star,
  [sym__emphasis_underscore_no_link] = sym__emphasis_underscore_no_link,
  [sym__strong_emphasis_underscore_no_link] = sym__strong_emphasis_star,
  [aux_sym_link_label_repeat1] = aux_sym_link_label_repeat1,
  [aux_sym_link_destination_repeat1] = aux_sym_link_destination_repeat1,
  [aux_sym_link_destination_repeat2] = aux_sym_link_destination_repeat2,
  [aux_sym_link_title_repeat1] = aux_sym_link_title_repeat1,
  [aux_sym_link_title_repeat2] = aux_sym_link_title_repeat2,
  [aux_sym_link_title_repeat3] = aux_sym_link_title_repeat3,
  [aux_sym_code_span_repeat1] = aux_sym_code_span_repeat1,
  [aux_sym_inline_link_repeat1] = aux_sym_inline_link_repeat1,
  [aux_sym__open_tag_repeat1] = aux_sym__open_tag_repeat1,
  [aux_sym__tag_name_repeat1] = aux_sym__tag_name_repeat1,
  [aux_sym__attribute_value_repeat1] = aux_sym__attribute_value_repeat1,
  [aux_sym__attribute_value_repeat2] = aux_sym__attribute_value_repeat2,
  [aux_sym__html_comment_repeat1] = aux_sym__html_comment_repeat1,
  [aux_sym__processing_instruction_repeat1] = aux_sym__processing_instruction_repeat1,
  [aux_sym__declaration_repeat1] = aux_sym__declaration_repeat1,
  [aux_sym__inline_base_repeat1] = aux_sym__inline_base_repeat1,
  [alias_sym_emphasis] = alias_sym_emphasis,
  [alias_sym_html_tag] = alias_sym_html_tag,
  [alias_sym_image_description] = alias_sym_image_description,
  [alias_sym_link_text] = alias_sym_link_text,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__backslash_escape] = {
    .visible = false,
    .named = true,
  },
  [sym_entity_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_numeric_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym__newline_token] = {
    .visible = false,
    .named = true,
  },
  [sym_uri_autolink] = {
    .visible = true,
    .named = true,
  },
  [sym_email_autolink] = {
    .visible = true,
    .named = true,
  },
  [sym__attribute_name] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__attribute_value_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_BANG_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__declaration_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [sym__whitespace_ge_2] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__whitespace_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__word_no_digit] = {
    .visible = false,
    .named = true,
  },
  [sym__digits] = {
    .visible = false,
    .named = true,
  },
  [sym_tag] = {
    .visible = true,
    .named = true,
  },
  [sym__error] = {
    .visible = false,
    .named = true,
  },
  [sym__trigger_error] = {
    .visible = false,
    .named = true,
  },
  [sym__code_span_start] = {
    .visible = true,
    .named = true,
  },
  [sym__code_span_close] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_open_star] = {
    .visible = false,
    .named = true,
  },
  [sym__emphasis_open_underscore] = {
    .visible = false,
    .named = true,
  },
  [sym__emphasis_close_star] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_close_underscore] = {
    .visible = true,
    .named = true,
  },
  [sym__last_token_whitespace] = {
    .visible = false,
    .named = true,
  },
  [sym__last_token_punctuation] = {
    .visible = false,
    .named = true,
  },
  [sym__strikethrough_open] = {
    .visible = false,
    .named = true,
  },
  [sym__strikethrough_close] = {
    .visible = true,
    .named = true,
  },
  [sym__latex_span_start] = {
    .visible = true,
    .named = true,
  },
  [sym__latex_span_close] = {
    .visible = true,
    .named = true,
  },
  [sym__unclosed_span] = {
    .visible = false,
    .named = true,
  },
  [sym_inline] = {
    .visible = true,
    .named = true,
  },
  [sym_backslash_escape] = {
    .visible = true,
    .named = true,
  },
  [sym_link_label] = {
    .visible = true,
    .named = true,
  },
  [sym_link_destination] = {
    .visible = true,
    .named = true,
  },
  [sym__link_destination_parenthesis] = {
    .visible = false,
    .named = true,
  },
  [sym__text_no_angle] = {
    .visible = false,
    .named = true,
  },
  [sym_link_title] = {
    .visible = true,
    .named = true,
  },
  [sym_code_span] = {
    .visible = true,
    .named = true,
  },
  [sym_latex_block] = {
    .visible = true,
    .named = true,
  },
  [sym__link_text] = {
    .visible = false,
    .named = true,
  },
  [sym__link_text_non_empty] = {
    .visible = false,
    .named = true,
  },
  [sym_shortcut_link] = {
    .visible = true,
    .named = true,
  },
  [sym_full_reference_link] = {
    .visible = true,
    .named = true,
  },
  [sym_collapsed_reference_link] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_link] = {
    .visible = true,
    .named = true,
  },
  [sym_wiki_link] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__wiki_link_destination] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__wiki_link_text] = {
    .visible = false,
    .named = false,
  },
  [sym_image] = {
    .visible = true,
    .named = true,
  },
  [sym__image_inline_link] = {
    .visible = false,
    .named = true,
  },
  [sym__image_shortcut_link] = {
    .visible = false,
    .named = true,
  },
  [sym__image_full_reference_link] = {
    .visible = false,
    .named = true,
  },
  [sym__image_collapsed_reference_link] = {
    .visible = false,
    .named = true,
  },
  [sym__image_description] = {
    .visible = false,
    .named = true,
  },
  [sym__image_description_non_empty] = {
    .visible = false,
    .named = true,
  },
  [sym__html_tag] = {
    .visible = false,
    .named = true,
  },
  [sym__open_tag] = {
    .visible = false,
    .named = true,
  },
  [sym__closing_tag] = {
    .visible = false,
    .named = true,
  },
  [sym__tag_name] = {
    .visible = false,
    .named = true,
  },
  [sym__attribute] = {
    .visible = false,
    .named = true,
  },
  [sym__attribute_value] = {
    .visible = false,
    .named = true,
  },
  [sym__html_comment] = {
    .visible = false,
    .named = true,
  },
  [sym__processing_instruction] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__cdata_section] = {
    .visible = false,
    .named = true,
  },
  [sym_hard_line_break] = {
    .visible = true,
    .named = true,
  },
  [sym__whitespace] = {
    .visible = false,
    .named = true,
  },
  [sym__word] = {
    .visible = false,
    .named = true,
  },
  [sym__soft_line_break] = {
    .visible = false,
    .named = true,
  },
  [sym__inline_base] = {
    .visible = false,
    .named = true,
  },
  [sym__text_base] = {
    .visible = false,
    .named = true,
  },
  [sym__text_inline_no_link] = {
    .visible = false,
    .named = true,
  },
  [sym__inline_element] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_star] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_star] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_underscore] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_underscore] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_tilde] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_tilde] = {
    .visible = false,
    .named = false,
  },
  [sym__strikethrough] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_star] = {
    .visible = false,
    .named = true,
  },
  [sym__strong_emphasis_star] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_underscore] = {
    .visible = false,
    .named = true,
  },
  [sym__strong_emphasis_underscore] = {
    .visible = true,
    .named = true,
  },
  [sym__inline_element_no_link] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_link] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_star_no_link] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_star_no_link] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_underscore_no_link] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_underscore_no_link] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_tilde_no_link] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_tilde_no_link] = {
    .visible = false,
    .named = false,
  },
  [sym__strikethrough_no_link] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_star_no_link] = {
    .visible = false,
    .named = true,
  },
  [sym__strong_emphasis_star_no_link] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_underscore_no_link] = {
    .visible = false,
    .named = true,
  },
  [sym__strong_emphasis_underscore_no_link] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_link_label_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_destination_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_destination_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_title_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_title_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_title_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_code_span_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_inline_link_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__open_tag_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__tag_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__attribute_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__attribute_value_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__html_comment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__processing_instruction_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__inline_base_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_emphasis] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_html_tag] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_image_description] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_link_text] = {
    .visible = true,
    .named = true,
  },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_html_tag,
  },
  [2] = {
    [0] = alias_sym_emphasis,
  },
  [3] = {
    [0] = sym__emphasis_close_star,
  },
  [4] = {
    [1] = alias_sym_link_text,
  },
  [5] = {
    [2] = alias_sym_image_description,
  },
  [6] = {
    [2] = sym_link_destination,
  },
  [7] = {
    [2] = sym_link_destination,
    [4] = alias_sym_link_text,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  aux_sym__wiki_link_destination, 2,
    aux_sym__wiki_link_destination,
    sym_link_destination,
  aux_sym__wiki_link_text, 2,
    aux_sym__wiki_link_text,
    alias_sym_link_text,
  sym__html_tag, 2,
    sym__html_tag,
    alias_sym_html_tag,
  aux_sym__inline, 2,
    aux_sym__inline,
    alias_sym_image_description,
  sym__emphasis_star, 2,
    sym__emphasis_star,
    alias_sym_emphasis,
  sym__emphasis_underscore, 2,
    sym__emphasis_underscore,
    alias_sym_emphasis,
  aux_sym__inline_no_link, 2,
    aux_sym__inline_no_link,
    alias_sym_link_text,
  sym__emphasis_star_no_link, 2,
    sym__emphasis_star_no_link,
    alias_sym_emphasis,
  sym__emphasis_underscore_no_link, 2,
    sym__emphasis_underscore_no_link,
    alias_sym_emphasis,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 3,
  [26] = 2,
  [27] = 6,
  [28] = 11,
  [29] = 11,
  [30] = 30,
  [31] = 17,
  [32] = 19,
  [33] = 21,
  [34] = 23,
  [35] = 30,
  [36] = 17,
  [37] = 19,
  [38] = 21,
  [39] = 23,
  [40] = 11,
  [41] = 30,
  [42] = 17,
  [43] = 19,
  [44] = 21,
  [45] = 23,
  [46] = 11,
  [47] = 30,
  [48] = 17,
  [49] = 19,
  [50] = 21,
  [51] = 23,
  [52] = 30,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 57,
  [59] = 53,
  [60] = 60,
  [61] = 57,
  [62] = 54,
  [63] = 18,
  [64] = 57,
  [65] = 57,
  [66] = 57,
  [67] = 57,
  [68] = 60,
  [69] = 57,
  [70] = 56,
  [71] = 54,
  [72] = 60,
  [73] = 53,
  [74] = 56,
  [75] = 54,
  [76] = 60,
  [77] = 53,
  [78] = 56,
  [79] = 54,
  [80] = 60,
  [81] = 53,
  [82] = 56,
  [83] = 54,
  [84] = 54,
  [85] = 54,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 88,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 102,
  [114] = 103,
  [115] = 105,
  [116] = 112,
  [117] = 110,
  [118] = 111,
  [119] = 112,
  [120] = 102,
  [121] = 103,
  [122] = 105,
  [123] = 107,
  [124] = 110,
  [125] = 111,
  [126] = 112,
  [127] = 102,
  [128] = 103,
  [129] = 105,
  [130] = 107,
  [131] = 111,
  [132] = 110,
  [133] = 133,
  [134] = 110,
  [135] = 107,
  [136] = 136,
  [137] = 136,
  [138] = 138,
  [139] = 139,
  [140] = 139,
  [141] = 136,
  [142] = 138,
  [143] = 139,
  [144] = 136,
  [145] = 138,
  [146] = 139,
  [147] = 138,
  [148] = 148,
  [149] = 148,
  [150] = 150,
  [151] = 150,
  [152] = 150,
  [153] = 148,
  [154] = 148,
  [155] = 150,
  [156] = 150,
  [157] = 148,
  [158] = 148,
  [159] = 150,
  [160] = 150,
  [161] = 148,
  [162] = 150,
  [163] = 148,
  [164] = 148,
  [165] = 150,
  [166] = 166,
  [167] = 166,
  [168] = 168,
  [169] = 166,
  [170] = 168,
  [171] = 166,
  [172] = 168,
  [173] = 168,
  [174] = 166,
  [175] = 168,
  [176] = 166,
  [177] = 168,
  [178] = 166,
  [179] = 168,
  [180] = 180,
  [181] = 180,
  [182] = 180,
  [183] = 166,
  [184] = 168,
  [185] = 180,
  [186] = 180,
  [187] = 180,
  [188] = 180,
  [189] = 168,
  [190] = 166,
  [191] = 180,
  [192] = 180,
  [193] = 193,
  [194] = 194,
  [195] = 194,
  [196] = 193,
  [197] = 197,
  [198] = 198,
  [199] = 193,
  [200] = 194,
  [201] = 198,
  [202] = 198,
  [203] = 194,
  [204] = 197,
  [205] = 197,
  [206] = 193,
  [207] = 197,
  [208] = 198,
  [209] = 209,
  [210] = 210,
  [211] = 198,
  [212] = 209,
  [213] = 213,
  [214] = 209,
  [215] = 210,
  [216] = 216,
  [217] = 217,
  [218] = 217,
  [219] = 219,
  [220] = 220,
  [221] = 216,
  [222] = 217,
  [223] = 220,
  [224] = 220,
  [225] = 225,
  [226] = 217,
  [227] = 194,
  [228] = 197,
  [229] = 209,
  [230] = 209,
  [231] = 216,
  [232] = 209,
  [233] = 233,
  [234] = 216,
  [235] = 210,
  [236] = 210,
  [237] = 193,
  [238] = 220,
  [239] = 209,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 257,
  [261] = 261,
  [262] = 262,
  [263] = 240,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 261,
  [280] = 262,
  [281] = 240,
  [282] = 264,
  [283] = 265,
  [284] = 266,
  [285] = 267,
  [286] = 268,
  [287] = 269,
  [288] = 270,
  [289] = 271,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 272,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 273,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 241,
  [315] = 242,
  [316] = 243,
  [317] = 244,
  [318] = 245,
  [319] = 246,
  [320] = 247,
  [321] = 248,
  [322] = 249,
  [323] = 250,
  [324] = 251,
  [325] = 252,
  [326] = 253,
  [327] = 254,
  [328] = 255,
  [329] = 256,
  [330] = 274,
  [331] = 258,
  [332] = 259,
  [333] = 257,
  [334] = 261,
  [335] = 262,
  [336] = 275,
  [337] = 264,
  [338] = 265,
  [339] = 266,
  [340] = 267,
  [341] = 268,
  [342] = 269,
  [343] = 270,
  [344] = 271,
  [345] = 272,
  [346] = 273,
  [347] = 274,
  [348] = 275,
  [349] = 276,
  [350] = 277,
  [351] = 276,
  [352] = 277,
  [353] = 216,
  [354] = 278,
  [355] = 244,
  [356] = 245,
  [357] = 278,
  [358] = 312,
  [359] = 213,
  [360] = 246,
  [361] = 247,
  [362] = 294,
  [363] = 248,
  [364] = 298,
  [365] = 300,
  [366] = 301,
  [367] = 302,
  [368] = 303,
  [369] = 304,
  [370] = 290,
  [371] = 243,
  [372] = 244,
  [373] = 245,
  [374] = 246,
  [375] = 247,
  [376] = 255,
  [377] = 256,
  [378] = 209,
  [379] = 258,
  [380] = 259,
  [381] = 264,
  [382] = 265,
  [383] = 266,
  [384] = 269,
  [385] = 270,
  [386] = 216,
  [387] = 291,
  [388] = 292,
  [389] = 293,
  [390] = 249,
  [391] = 210,
  [392] = 216,
  [393] = 220,
  [394] = 296,
  [395] = 297,
  [396] = 313,
  [397] = 305,
  [398] = 217,
  [399] = 306,
  [400] = 250,
  [401] = 251,
  [402] = 308,
  [403] = 216,
  [404] = 404,
  [405] = 309,
  [406] = 310,
  [407] = 311,
  [408] = 312,
  [409] = 313,
  [410] = 216,
  [411] = 241,
  [412] = 242,
  [413] = 248,
  [414] = 249,
  [415] = 250,
  [416] = 251,
  [417] = 252,
  [418] = 253,
  [419] = 254,
  [420] = 252,
  [421] = 257,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 261,
  [426] = 426,
  [427] = 426,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 262,
  [432] = 240,
  [433] = 267,
  [434] = 268,
  [435] = 271,
  [436] = 272,
  [437] = 273,
  [438] = 274,
  [439] = 275,
  [440] = 276,
  [441] = 277,
  [442] = 422,
  [443] = 423,
  [444] = 424,
  [445] = 278,
  [446] = 426,
  [447] = 253,
  [448] = 428,
  [449] = 254,
  [450] = 430,
  [451] = 313,
  [452] = 452,
  [453] = 428,
  [454] = 424,
  [455] = 241,
  [456] = 242,
  [457] = 422,
  [458] = 243,
  [459] = 255,
  [460] = 256,
  [461] = 461,
  [462] = 422,
  [463] = 423,
  [464] = 424,
  [465] = 290,
  [466] = 426,
  [467] = 290,
  [468] = 428,
  [469] = 291,
  [470] = 430,
  [471] = 291,
  [472] = 296,
  [473] = 292,
  [474] = 292,
  [475] = 293,
  [476] = 294,
  [477] = 258,
  [478] = 478,
  [479] = 296,
  [480] = 297,
  [481] = 298,
  [482] = 422,
  [483] = 423,
  [484] = 424,
  [485] = 297,
  [486] = 426,
  [487] = 430,
  [488] = 428,
  [489] = 299,
  [490] = 430,
  [491] = 300,
  [492] = 492,
  [493] = 493,
  [494] = 301,
  [495] = 302,
  [496] = 298,
  [497] = 293,
  [498] = 299,
  [499] = 300,
  [500] = 301,
  [501] = 302,
  [502] = 303,
  [503] = 303,
  [504] = 304,
  [505] = 305,
  [506] = 304,
  [507] = 305,
  [508] = 306,
  [509] = 294,
  [510] = 306,
  [511] = 259,
  [512] = 308,
  [513] = 309,
  [514] = 308,
  [515] = 404,
  [516] = 516,
  [517] = 310,
  [518] = 311,
  [519] = 312,
  [520] = 520,
  [521] = 309,
  [522] = 423,
  [523] = 310,
  [524] = 524,
  [525] = 525,
  [526] = 311,
  [527] = 299,
  [528] = 258,
  [529] = 529,
  [530] = 278,
  [531] = 531,
  [532] = 290,
  [533] = 291,
  [534] = 292,
  [535] = 293,
  [536] = 296,
  [537] = 297,
  [538] = 516,
  [539] = 299,
  [540] = 524,
  [541] = 493,
  [542] = 305,
  [543] = 306,
  [544] = 308,
  [545] = 309,
  [546] = 310,
  [547] = 311,
  [548] = 312,
  [549] = 313,
  [550] = 241,
  [551] = 242,
  [552] = 248,
  [553] = 249,
  [554] = 250,
  [555] = 251,
  [556] = 252,
  [557] = 253,
  [558] = 254,
  [559] = 257,
  [560] = 261,
  [561] = 262,
  [562] = 240,
  [563] = 267,
  [564] = 268,
  [565] = 271,
  [566] = 272,
  [567] = 273,
  [568] = 274,
  [569] = 275,
  [570] = 276,
  [571] = 277,
  [572] = 531,
  [573] = 292,
  [574] = 294,
  [575] = 298,
  [576] = 300,
  [577] = 301,
  [578] = 302,
  [579] = 303,
  [580] = 304,
  [581] = 581,
  [582] = 243,
  [583] = 244,
  [584] = 245,
  [585] = 246,
  [586] = 247,
  [587] = 255,
  [588] = 256,
  [589] = 259,
  [590] = 264,
  [591] = 265,
  [592] = 266,
  [593] = 269,
  [594] = 270,
  [595] = 292,
  [596] = 292,
  [597] = 581,
  [598] = 529,
  [599] = 531,
  [600] = 600,
  [601] = 581,
  [602] = 529,
  [603] = 531,
  [604] = 581,
  [605] = 529,
  [606] = 531,
  [607] = 581,
  [608] = 529,
  [609] = 292,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 610,
  [616] = 616,
  [617] = 611,
  [618] = 612,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 613,
  [623] = 621,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 610,
  [629] = 629,
  [630] = 612,
  [631] = 625,
  [632] = 624,
  [633] = 625,
  [634] = 616,
  [635] = 616,
  [636] = 611,
  [637] = 624,
  [638] = 625,
  [639] = 613,
  [640] = 619,
  [641] = 620,
  [642] = 612,
  [643] = 613,
  [644] = 610,
  [645] = 616,
  [646] = 611,
  [647] = 619,
  [648] = 648,
  [649] = 621,
  [650] = 620,
  [651] = 619,
  [652] = 620,
  [653] = 621,
  [654] = 624,
  [655] = 655,
  [656] = 656,
  [657] = 655,
  [658] = 658,
  [659] = 659,
  [660] = 656,
  [661] = 659,
  [662] = 655,
  [663] = 655,
  [664] = 658,
  [665] = 658,
  [666] = 656,
  [667] = 659,
  [668] = 668,
  [669] = 655,
  [670] = 658,
  [671] = 656,
  [672] = 659,
  [673] = 658,
  [674] = 656,
  [675] = 659,
  [676] = 676,
  [677] = 677,
  [678] = 217,
  [679] = 220,
  [680] = 168,
  [681] = 166,
  [682] = 210,
  [683] = 168,
  [684] = 166,
  [685] = 278,
  [686] = 180,
  [687] = 300,
  [688] = 298,
  [689] = 304,
  [690] = 180,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 194,
  [705] = 198,
  [706] = 706,
  [707] = 707,
  [708] = 198,
  [709] = 194,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 210,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 210,
  [718] = 220,
  [719] = 715,
  [720] = 715,
  [721] = 714,
  [722] = 714,
  [723] = 715,
  [724] = 714,
  [725] = 715,
  [726] = 714,
  [727] = 715,
  [728] = 220,
  [729] = 217,
  [730] = 730,
  [731] = 714,
  [732] = 715,
  [733] = 714,
  [734] = 734,
  [735] = 217,
  [736] = 736,
  [737] = 270,
  [738] = 270,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 739,
  [743] = 243,
  [744] = 244,
  [745] = 245,
  [746] = 746,
  [747] = 246,
  [748] = 247,
  [749] = 749,
  [750] = 750,
  [751] = 294,
  [752] = 752,
  [753] = 752,
  [754] = 754,
  [755] = 736,
  [756] = 756,
  [757] = 754,
  [758] = 300,
  [759] = 301,
  [760] = 739,
  [761] = 740,
  [762] = 741,
  [763] = 302,
  [764] = 749,
  [765] = 749,
  [766] = 750,
  [767] = 303,
  [768] = 304,
  [769] = 750,
  [770] = 752,
  [771] = 754,
  [772] = 736,
  [773] = 298,
  [774] = 294,
  [775] = 298,
  [776] = 739,
  [777] = 740,
  [778] = 741,
  [779] = 300,
  [780] = 301,
  [781] = 302,
  [782] = 303,
  [783] = 304,
  [784] = 750,
  [785] = 243,
  [786] = 244,
  [787] = 741,
  [788] = 752,
  [789] = 754,
  [790] = 736,
  [791] = 245,
  [792] = 246,
  [793] = 247,
  [794] = 255,
  [795] = 256,
  [796] = 255,
  [797] = 739,
  [798] = 740,
  [799] = 741,
  [800] = 256,
  [801] = 258,
  [802] = 259,
  [803] = 746,
  [804] = 749,
  [805] = 750,
  [806] = 258,
  [807] = 259,
  [808] = 264,
  [809] = 752,
  [810] = 754,
  [811] = 736,
  [812] = 265,
  [813] = 739,
  [814] = 740,
  [815] = 741,
  [816] = 749,
  [817] = 750,
  [818] = 266,
  [819] = 752,
  [820] = 754,
  [821] = 736,
  [822] = 269,
  [823] = 739,
  [824] = 740,
  [825] = 741,
  [826] = 749,
  [827] = 750,
  [828] = 752,
  [829] = 754,
  [830] = 264,
  [831] = 736,
  [832] = 265,
  [833] = 266,
  [834] = 740,
  [835] = 269,
  [836] = 749,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 837,
  [842] = 840,
  [843] = 837,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 840,
  [850] = 850,
  [851] = 837,
  [852] = 852,
  [853] = 837,
  [854] = 854,
  [855] = 837,
  [856] = 856,
  [857] = 857,
  [858] = 840,
  [859] = 220,
  [860] = 840,
  [861] = 861,
  [862] = 217,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 840,
  [867] = 837,
  [868] = 868,
  [869] = 869,
  [870] = 840,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 300,
  [880] = 304,
  [881] = 278,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 220,
  [891] = 217,
  [892] = 892,
  [893] = 220,
  [894] = 894,
  [895] = 895,
  [896] = 217,
  [897] = 897,
  [898] = 220,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 894,
  [903] = 217,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 300,
  [909] = 304,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 300,
  [914] = 914,
  [915] = 304,
  [916] = 911,
  [917] = 304,
  [918] = 912,
  [919] = 220,
  [920] = 920,
  [921] = 914,
  [922] = 912,
  [923] = 217,
  [924] = 924,
  [925] = 914,
  [926] = 912,
  [927] = 927,
  [928] = 914,
  [929] = 912,
  [930] = 300,
  [931] = 914,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 300,
  [937] = 304,
  [938] = 935,
  [939] = 935,
  [940] = 935,
  [941] = 935,
  [942] = 942,
  [943] = 942,
  [944] = 944,
  [945] = 945,
  [946] = 942,
  [947] = 942,
  [948] = 942,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 953,
  [955] = 953,
  [956] = 953,
  [957] = 953,
  [958] = 953,
  [959] = 953,
  [960] = 712,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 962,
  [965] = 965,
  [966] = 961,
  [967] = 963,
  [968] = 962,
  [969] = 962,
  [970] = 963,
  [971] = 965,
  [972] = 965,
  [973] = 961,
  [974] = 965,
  [975] = 965,
  [976] = 963,
  [977] = 963,
  [978] = 962,
  [979] = 961,
  [980] = 961,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 981,
  [985] = 981,
  [986] = 982,
  [987] = 982,
  [988] = 988,
  [989] = 981,
  [990] = 982,
  [991] = 991,
  [992] = 981,
  [993] = 982,
  [994] = 994,
  [995] = 981,
  [996] = 981,
  [997] = 982,
  [998] = 982,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1000,
  [1002] = 1002,
  [1003] = 1002,
  [1004] = 1002,
  [1005] = 1005,
  [1006] = 1000,
  [1007] = 1002,
  [1008] = 712,
  [1009] = 1000,
  [1010] = 1010,
  [1011] = 712,
  [1012] = 1002,
  [1013] = 1000,
  [1014] = 1002,
  [1015] = 1002,
  [1016] = 1000,
  [1017] = 1017,
  [1018] = 1000,
  [1019] = 1019,
  [1020] = 1019,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1019,
  [1036] = 1025,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1024,
  [1041] = 1041,
  [1042] = 1021,
  [1043] = 1025,
  [1044] = 1022,
  [1045] = 1030,
  [1046] = 1023,
  [1047] = 1026,
  [1048] = 1037,
  [1049] = 1039,
  [1050] = 1027,
  [1051] = 1031,
  [1052] = 1028,
  [1053] = 1038,
  [1054] = 1039,
  [1055] = 1055,
  [1056] = 1041,
  [1057] = 1021,
  [1058] = 1058,
  [1059] = 1023,
  [1060] = 1032,
  [1061] = 1061,
  [1062] = 1029,
  [1063] = 1055,
  [1064] = 1058,
  [1065] = 1061,
  [1066] = 1033,
  [1067] = 1034,
  [1068] = 1019,
  [1069] = 1033,
  [1070] = 1022,
  [1071] = 1030,
  [1072] = 1024,
  [1073] = 1025,
  [1074] = 1074,
  [1075] = 1026,
  [1076] = 1027,
  [1077] = 1028,
  [1078] = 1029,
  [1079] = 1030,
  [1080] = 1031,
  [1081] = 1032,
  [1082] = 1055,
  [1083] = 1034,
  [1084] = 1019,
  [1085] = 1022,
  [1086] = 1037,
  [1087] = 1037,
  [1088] = 1031,
  [1089] = 1032,
  [1090] = 1024,
  [1091] = 1025,
  [1092] = 1058,
  [1093] = 1023,
  [1094] = 217,
  [1095] = 1026,
  [1096] = 1027,
  [1097] = 1028,
  [1098] = 1029,
  [1099] = 1030,
  [1100] = 1031,
  [1101] = 1032,
  [1102] = 1037,
  [1103] = 1024,
  [1104] = 1027,
  [1105] = 1023,
  [1106] = 1038,
  [1107] = 1039,
  [1108] = 1041,
  [1109] = 1038,
  [1110] = 1037,
  [1111] = 1041,
  [1112] = 1021,
  [1113] = 220,
  [1114] = 1037,
  [1115] = 1038,
  [1116] = 1116,
  [1117] = 1039,
  [1118] = 1118,
  [1119] = 1041,
  [1120] = 1021,
  [1121] = 1061,
  [1122] = 217,
  [1123] = 1023,
  [1124] = 1023,
  [1125] = 1028,
  [1126] = 1026,
  [1127] = 220,
  [1128] = 1055,
  [1129] = 1029,
  [1130] = 1055,
  [1131] = 1058,
  [1132] = 1058,
  [1133] = 1061,
  [1134] = 1061,
  [1135] = 1033,
  [1136] = 1033,
  [1137] = 1034,
  [1138] = 1034,
  [1139] = 1022,
  [1140] = 304,
  [1141] = 300,
  [1142] = 304,
  [1143] = 300,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1153,
  [1155] = 1153,
  [1156] = 1156,
  [1157] = 1153,
  [1158] = 1156,
  [1159] = 1156,
  [1160] = 1156,
  [1161] = 1153,
  [1162] = 1156,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1163,
  [1166] = 220,
  [1167] = 1163,
  [1168] = 1163,
  [1169] = 1163,
  [1170] = 1163,
  [1171] = 1163,
  [1172] = 1172,
  [1173] = 300,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1172,
  [1178] = 1172,
  [1179] = 1176,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1176,
  [1183] = 1175,
  [1184] = 1175,
  [1185] = 1175,
  [1186] = 1175,
  [1187] = 1180,
  [1188] = 1176,
  [1189] = 1175,
  [1190] = 1190,
  [1191] = 1180,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1172,
  [1195] = 1175,
  [1196] = 1174,
  [1197] = 1172,
  [1198] = 1180,
  [1199] = 1176,
  [1200] = 1174,
  [1201] = 1172,
  [1202] = 1174,
  [1203] = 1172,
  [1204] = 1174,
  [1205] = 1176,
  [1206] = 1176,
  [1207] = 1180,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(2180);
      ADVANCE_MAP(
        '\t', 2240,
        '\n', 2224,
        '\r', 2225,
        ' ', 2242,
        '!', 2191,
        '"', 2192,
        '#', 2194,
        '$', 2195,
        '%', 2196,
        '&', 2198,
        '\'', 2199,
        '(', 2222,
        ')', 2223,
        '*', 2200,
        '+', 2201,
        ',', 2202,
        '-', 2204,
        '.', 2205,
        '/', 2206,
        ':', 2207,
        ';', 2208,
        '<', 2188,
        '=', 2209,
        '>', 2190,
        '?', 2211,
        '@', 2212,
        '[', 2184,
        '\\', 2214,
        ']', 2186,
        '^', 2215,
        '_', 2216,
        '`', 2217,
        '{', 2218,
        '|', 2219,
        '}', 2220,
        '~', 2221,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2244);
      if (lookahead != 0) ADVANCE(2243);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '\t', 2240,
        '\n', 2224,
        '\r', 2225,
        ' ', 2242,
        '!', 2191,
        '"', 2192,
        '#', 2193,
        '$', 2195,
        '%', 2196,
        '&', 2198,
        '\'', 2199,
        '(', 2222,
        ')', 2223,
        '*', 2200,
        '+', 2201,
        ',', 2202,
        '-', 2203,
        '.', 2205,
        '/', 2206,
        ':', 2207,
        ';', 2208,
        '<', 2189,
        '=', 2209,
        '>', 2190,
        '?', 2210,
        '@', 2212,
        '[', 2184,
        '\\', 2214,
        ']', 2185,
        '^', 2215,
        '_', 2216,
        '`', 2217,
        '{', 2218,
        '|', 2219,
        '}', 2220,
        '~', 2221,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2244);
      if (lookahead != 0) ADVANCE(2243);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\t', 2240,
        '\n', 2224,
        '\r', 2225,
        ' ', 2242,
        '!', 2191,
        '"', 2192,
        '#', 2193,
        '$', 2195,
        '%', 2196,
        '&', 2198,
        '\'', 2199,
        '(', 2222,
        ')', 2223,
        '*', 2200,
        '+', 2201,
        ',', 2202,
        '-', 2203,
        '.', 2205,
        '/', 2206,
        ':', 2207,
        ';', 2208,
        '<', 2187,
        '=', 2209,
        '>', 2190,
        '?', 2210,
        '@', 2212,
        '[', 2184,
        '\\', 2214,
        ']', 2185,
        '^', 2215,
        '_', 2216,
        '`', 2217,
        '{', 2218,
        '|', 2219,
        '}', 2220,
        '~', 2221,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2244);
      if (lookahead != 0) ADVANCE(2243);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\t', 2240,
        '\n', 2224,
        '\r', 2225,
        ' ', 2242,
        '!', 2191,
        '"', 2192,
        '#', 2193,
        '$', 2195,
        '%', 2196,
        '&', 2197,
        '\'', 2199,
        '(', 2222,
        ')', 2223,
        '*', 2200,
        '+', 2201,
        ',', 2202,
        '-', 2204,
        '.', 2205,
        '/', 2206,
        ':', 2207,
        ';', 2208,
        '<', 2189,
        '=', 2209,
        '>', 2190,
        '?', 2210,
        '@', 2212,
        '[', 2184,
        '\\', 2213,
        ']', 2185,
        '^', 2215,
        '_', 2216,
        '`', 2217,
        '{', 2218,
        '|', 2219,
        '}', 2220,
        '~', 2221,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2244);
      if (lookahead != 0) ADVANCE(2243);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\t', 2240,
        '\n', 2224,
        '\r', 2225,
        ' ', 2242,
        '!', 2191,
        '"', 2192,
        '#', 2193,
        '$', 2195,
        '%', 2196,
        '&', 2197,
        '\'', 2199,
        '(', 2222,
        ')', 2223,
        '*', 2200,
        '+', 2201,
        ',', 2202,
        '-', 2204,
        '.', 2205,
        '/', 2206,
        ':', 2207,
        ';', 2208,
        '<', 2187,
        '=', 2209,
        '>', 2190,
        '?', 2210,
        '@', 2212,
        '[', 2184,
        '\\', 2213,
        ']', 2185,
        '^', 2215,
        '_', 2216,
        '`', 2217,
        '{', 2218,
        '|', 2219,
        '}', 2220,
        '~', 2221,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2244);
      if (lookahead != 0) ADVANCE(2243);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '\t', 2240,
        '\n', 2224,
        '\r', 2225,
        ' ', 2242,
        '!', 2191,
        '"', 2192,
        '#', 2193,
        '$', 2195,
        '%', 2196,
        '&', 2197,
        '\'', 2199,
        '(', 2222,
        ')', 2223,
        '*', 2200,
        '+', 2201,
        ',', 2202,
        '-', 2203,
        '.', 2205,
        '/', 2206,
        ':', 2207,
        ';', 2208,
        '<', 2189,
        '=', 2209,
        '>', 2190,
        '?', 2211,
        '@', 2212,
        '[', 2184,
        '\\', 2213,
        ']', 2185,
        '^', 2215,
        '_', 2216,
        '`', 2217,
        '{', 2218,
        '|', 2219,
        '}', 2220,
        '~', 2221,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2244);
      if (lookahead != 0) ADVANCE(2243);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '\t', 2240,
        '\n', 2224,
        '\r', 2225,
        ' ', 2242,
        '!', 2191,
        '"', 2192,
        '#', 2193,
        '$', 2195,
        '%', 2196,
        '&', 2197,
        '\'', 2199,
        '(', 2222,
        ')', 2223,
        '*', 2200,
        '+', 2201,
        ',', 2202,
        '-', 2203,
        '.', 2205,
        '/', 2206,
        ':', 2207,
        ';', 2208,
        '<', 2189,
        '=', 2209,
        '>', 2190,
        '?', 2210,
        '@', 2212,
        '[', 2184,
        '\\', 2213,
        ']', 2186,
        '^', 2215,
        '_', 2216,
        '`', 2217,
        '{', 2218,
        '|', 2219,
        '}', 2220,
        '~', 2221,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2244);
      if (lookahead != 0) ADVANCE(2243);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '\t', 2240,
        '\n', 2224,
        '\r', 2225,
        ' ', 2242,
        '!', 2191,
        '"', 2192,
        '#', 2193,
        '$', 2195,
        '%', 2196,
        '&', 2197,
        '\'', 2199,
        '(', 2222,
        ')', 2223,
        '*', 2200,
        '+', 2201,
        ',', 2202,
        '-', 2203,
        '.', 2205,
        '/', 2206,
        ':', 2207,
        ';', 2208,
        '<', 2189,
        '=', 2209,
        '>', 2190,
        '?', 2210,
        '@', 2212,
        '[', 2184,
        '\\', 2213,
        ']', 2185,
        '^', 2215,
        '_', 2216,
        '`', 2217,
        '{', 2218,
        '|', 2219,
        '}', 2220,
        '~', 2221,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2244);
      if (lookahead != 0) ADVANCE(2243);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '\t', 2240,
        '\n', 2224,
        '\r', 2225,
        ' ', 2242,
        '!', 2191,
        '"', 2192,
        '#', 2193,
        '$', 2195,
        '%', 2196,
        '&', 2197,
        '\'', 2199,
        '(', 2222,
        ')', 2223,
        '*', 2200,
        '+', 2201,
        ',', 2202,
        '-', 2203,
        '.', 2205,
        '/', 2206,
        ':', 2207,
        ';', 2208,
        '<', 2187,
        '=', 2209,
        '>', 2190,
        '?', 2211,
        '@', 2212,
        '[', 2184,
        '\\', 2213,
        ']', 2185,
        '^', 2215,
        '_', 2216,
        '`', 2217,
        '{', 2218,
        '|', 2219,
        '}', 2220,
        '~', 2221,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2244);
      if (lookahead != 0) ADVANCE(2243);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '\t', 2240,
        '\n', 2224,
        '\r', 2225,
        ' ', 2242,
        '!', 2191,
        '"', 2192,
        '#', 2193,
        '$', 2195,
        '%', 2196,
        '&', 2197,
        '\'', 2199,
        '(', 2222,
        ')', 2223,
        '*', 2200,
        '+', 2201,
        ',', 2202,
        '-', 2203,
        '.', 2205,
        '/', 2206,
        ':', 2207,
        ';', 2208,
        '<', 2187,
        '=', 2209,
        '>', 2190,
        '?', 2210,
        '@', 2212,
        '[', 2184,
        '\\', 2213,
        ']', 2186,
        '^', 2215,
        '_', 2216,
        '`', 2217,
        '{', 2218,
        '|', 2219,
        '}', 2220,
        '~', 2221,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2244);
      if (lookahead != 0) ADVANCE(2243);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '\t', 2240,
        '\n', 2224,
        '\r', 2225,
        ' ', 2242,
        '!', 2191,
        '"', 2192,
        '#', 2193,
        '$', 2195,
        '%', 2196,
        '&', 2197,
        '\'', 2199,
        '(', 2222,
        ')', 2223,
        '*', 2200,
        '+', 2201,
        ',', 2202,
        '-', 2203,
        '.', 2205,
        '/', 2206,
        ':', 2207,
        ';', 2208,
        '<', 2187,
        '=', 2209,
        '>', 2190,
        '?', 2210,
        '@', 2212,
        '[', 2184,
        '\\', 2213,
        ']', 2185,
        '^', 2215,
        '_', 2216,
        '`', 2217,
        '{', 2218,
        '|', 2219,
        '}', 2220,
        '~', 2221,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2244);
      if (lookahead != 0) ADVANCE(2243);
      END_STATE();
    case 11:
      if (lookahead == '\t') ADVANCE(2240);
      if (lookahead == '\n') ADVANCE(2224);
      if (lookahead == '\r') ADVANCE(2225);
      if (lookahead == ' ') ADVANCE(2242);
      if (lookahead == '"') ADVANCE(2192);
      if (lookahead == '\'') ADVANCE(2199);
      if (lookahead != 0 &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != '`') ADVANCE(2229);
      END_STATE();
    case 12:
      if (lookahead == '\t') ADVANCE(2240);
      if (lookahead == '\n') ADVANCE(2224);
      if (lookahead == '\r') ADVANCE(2225);
      if (lookahead == ' ') ADVANCE(2242);
      if (lookahead == '/') ADVANCE(2206);
      if (lookahead == '>') ADVANCE(2190);
      if (lookahead == ':' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2228);
      END_STATE();
    case 13:
      if (lookahead == '-') ADVANCE(14);
      if (lookahead == '@') ADVANCE(2174);
      if (lookahead == '[') ADVANCE(427);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(2236);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('.' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          lookahead == '?' ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(386);
      END_STATE();
    case 14:
      if (lookahead == '-') ADVANCE(2231);
      if (lookahead == '@') ADVANCE(2174);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('.' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(386);
      END_STATE();
    case 15:
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(136);
      END_STATE();
    case 16:
      if (lookahead == '-') ADVANCE(17);
      if (lookahead == '[') ADVANCE(427);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(2237);
      END_STATE();
    case 17:
      if (lookahead == '-') ADVANCE(2230);
      END_STATE();
    case 18:
      if (lookahead == '-') ADVANCE(2175);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 19:
      if (lookahead == '-') ADVANCE(2175);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 20:
      if (lookahead == '-') ADVANCE(23);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(22);
      END_STATE();
    case 21:
      if (lookahead == '-') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(22);
      END_STATE();
    case 22:
      if (lookahead == '-') ADVANCE(19);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(18);
      END_STATE();
    case 23:
      if (lookahead == '-') ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(18);
      END_STATE();
    case 24:
      if (lookahead == '-') ADVANCE(27);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(26);
      END_STATE();
    case 25:
      if (lookahead == '-') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(26);
      END_STATE();
    case 26:
      if (lookahead == '-') ADVANCE(21);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(20);
      END_STATE();
    case 27:
      if (lookahead == '-') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(20);
      END_STATE();
    case 28:
      if (lookahead == '-') ADVANCE(31);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(30);
      END_STATE();
    case 29:
      if (lookahead == '-') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(30);
      END_STATE();
    case 30:
      if (lookahead == '-') ADVANCE(25);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(24);
      END_STATE();
    case 31:
      if (lookahead == '-') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(24);
      END_STATE();
    case 32:
      if (lookahead == '-') ADVANCE(35);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(34);
      END_STATE();
    case 33:
      if (lookahead == '-') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(34);
      END_STATE();
    case 34:
      if (lookahead == '-') ADVANCE(29);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(28);
      END_STATE();
    case 35:
      if (lookahead == '-') ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(28);
      END_STATE();
    case 36:
      if (lookahead == '-') ADVANCE(39);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(38);
      END_STATE();
    case 37:
      if (lookahead == '-') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(38);
      END_STATE();
    case 38:
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(32);
      END_STATE();
    case 39:
      if (lookahead == '-') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(32);
      END_STATE();
    case 40:
      if (lookahead == '-') ADVANCE(43);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(42);
      END_STATE();
    case 41:
      if (lookahead == '-') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(42);
      END_STATE();
    case 42:
      if (lookahead == '-') ADVANCE(37);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(36);
      END_STATE();
    case 43:
      if (lookahead == '-') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(36);
      END_STATE();
    case 44:
      if (lookahead == '-') ADVANCE(47);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(46);
      END_STATE();
    case 45:
      if (lookahead == '-') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(46);
      END_STATE();
    case 46:
      if (lookahead == '-') ADVANCE(41);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(40);
      END_STATE();
    case 47:
      if (lookahead == '-') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(40);
      END_STATE();
    case 48:
      if (lookahead == '-') ADVANCE(51);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(50);
      END_STATE();
    case 49:
      if (lookahead == '-') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(50);
      END_STATE();
    case 50:
      if (lookahead == '-') ADVANCE(45);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(44);
      END_STATE();
    case 51:
      if (lookahead == '-') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(44);
      END_STATE();
    case 52:
      if (lookahead == '-') ADVANCE(55);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(54);
      END_STATE();
    case 53:
      if (lookahead == '-') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(54);
      END_STATE();
    case 54:
      if (lookahead == '-') ADVANCE(49);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(48);
      END_STATE();
    case 55:
      if (lookahead == '-') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(48);
      END_STATE();
    case 56:
      if (lookahead == '-') ADVANCE(59);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(58);
      END_STATE();
    case 57:
      if (lookahead == '-') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(58);
      END_STATE();
    case 58:
      if (lookahead == '-') ADVANCE(53);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 59:
      if (lookahead == '-') ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 60:
      if (lookahead == '-') ADVANCE(63);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 61:
      if (lookahead == '-') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 62:
      if (lookahead == '-') ADVANCE(57);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(56);
      END_STATE();
    case 63:
      if (lookahead == '-') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(56);
      END_STATE();
    case 64:
      if (lookahead == '-') ADVANCE(67);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 65:
      if (lookahead == '-') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 66:
      if (lookahead == '-') ADVANCE(61);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(60);
      END_STATE();
    case 67:
      if (lookahead == '-') ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(60);
      END_STATE();
    case 68:
      if (lookahead == '-') ADVANCE(71);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(70);
      END_STATE();
    case 69:
      if (lookahead == '-') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(70);
      END_STATE();
    case 70:
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(64);
      END_STATE();
    case 71:
      if (lookahead == '-') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(64);
      END_STATE();
    case 72:
      if (lookahead == '-') ADVANCE(75);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 73:
      if (lookahead == '-') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 74:
      if (lookahead == '-') ADVANCE(69);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      END_STATE();
    case 75:
      if (lookahead == '-') ADVANCE(69);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      END_STATE();
    case 76:
      if (lookahead == '-') ADVANCE(79);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      END_STATE();
    case 77:
      if (lookahead == '-') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      END_STATE();
    case 78:
      if (lookahead == '-') ADVANCE(73);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 79:
      if (lookahead == '-') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 80:
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(82);
      END_STATE();
    case 81:
      if (lookahead == '-') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(82);
      END_STATE();
    case 82:
      if (lookahead == '-') ADVANCE(77);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      END_STATE();
    case 83:
      if (lookahead == '-') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      END_STATE();
    case 84:
      if (lookahead == '-') ADVANCE(87);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(86);
      END_STATE();
    case 85:
      if (lookahead == '-') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(86);
      END_STATE();
    case 86:
      if (lookahead == '-') ADVANCE(81);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(80);
      END_STATE();
    case 87:
      if (lookahead == '-') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(80);
      END_STATE();
    case 88:
      if (lookahead == '-') ADVANCE(91);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(90);
      END_STATE();
    case 89:
      if (lookahead == '-') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(90);
      END_STATE();
    case 90:
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(84);
      END_STATE();
    case 91:
      if (lookahead == '-') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(84);
      END_STATE();
    case 92:
      if (lookahead == '-') ADVANCE(95);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(94);
      END_STATE();
    case 93:
      if (lookahead == '-') ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(94);
      END_STATE();
    case 94:
      if (lookahead == '-') ADVANCE(89);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(88);
      END_STATE();
    case 95:
      if (lookahead == '-') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(88);
      END_STATE();
    case 96:
      if (lookahead == '-') ADVANCE(99);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(98);
      END_STATE();
    case 97:
      if (lookahead == '-') ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(98);
      END_STATE();
    case 98:
      if (lookahead == '-') ADVANCE(93);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(92);
      END_STATE();
    case 99:
      if (lookahead == '-') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(92);
      END_STATE();
    case 100:
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(102);
      END_STATE();
    case 101:
      if (lookahead == '-') ADVANCE(103);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(102);
      END_STATE();
    case 102:
      if (lookahead == '-') ADVANCE(97);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(96);
      END_STATE();
    case 103:
      if (lookahead == '-') ADVANCE(97);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(96);
      END_STATE();
    case 104:
      if (lookahead == '-') ADVANCE(107);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(106);
      END_STATE();
    case 105:
      if (lookahead == '-') ADVANCE(107);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(106);
      END_STATE();
    case 106:
      if (lookahead == '-') ADVANCE(101);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(100);
      END_STATE();
    case 107:
      if (lookahead == '-') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(100);
      END_STATE();
    case 108:
      if (lookahead == '-') ADVANCE(111);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(110);
      END_STATE();
    case 109:
      if (lookahead == '-') ADVANCE(111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(110);
      END_STATE();
    case 110:
      if (lookahead == '-') ADVANCE(105);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 111:
      if (lookahead == '-') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 112:
      if (lookahead == '-') ADVANCE(115);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(114);
      END_STATE();
    case 113:
      if (lookahead == '-') ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(114);
      END_STATE();
    case 114:
      if (lookahead == '-') ADVANCE(109);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(108);
      END_STATE();
    case 115:
      if (lookahead == '-') ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(108);
      END_STATE();
    case 116:
      if (lookahead == '-') ADVANCE(119);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(118);
      END_STATE();
    case 117:
      if (lookahead == '-') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(118);
      END_STATE();
    case 118:
      if (lookahead == '-') ADVANCE(113);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 119:
      if (lookahead == '-') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 120:
      if (lookahead == '-') ADVANCE(123);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(122);
      END_STATE();
    case 121:
      if (lookahead == '-') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(122);
      END_STATE();
    case 122:
      if (lookahead == '-') ADVANCE(117);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(116);
      END_STATE();
    case 123:
      if (lookahead == '-') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(116);
      END_STATE();
    case 124:
      if (lookahead == '-') ADVANCE(127);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 125:
      if (lookahead == '-') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 126:
      if (lookahead == '-') ADVANCE(121);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(120);
      END_STATE();
    case 127:
      if (lookahead == '-') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(120);
      END_STATE();
    case 128:
      if (lookahead == '-') ADVANCE(131);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(130);
      END_STATE();
    case 129:
      if (lookahead == '-') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(130);
      END_STATE();
    case 130:
      if (lookahead == '-') ADVANCE(125);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 131:
      if (lookahead == '-') ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 132:
      if (lookahead == '-') ADVANCE(135);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(134);
      END_STATE();
    case 133:
      if (lookahead == '-') ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(134);
      END_STATE();
    case 134:
      if (lookahead == '-') ADVANCE(129);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 135:
      if (lookahead == '-') ADVANCE(129);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 136:
      if (lookahead == '-') ADVANCE(133);
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(132);
      END_STATE();
    case 137:
      if (lookahead == '-') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(132);
      END_STATE();
    case 138:
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      END_STATE();
    case 139:
      if (lookahead == '.') ADVANCE(2174);
      if (lookahead == '>') ADVANCE(2227);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(138);
      END_STATE();
    case 140:
      if (lookahead == '1') ADVANCE(2153);
      if (lookahead == '3') ADVANCE(143);
      END_STATE();
    case 141:
      if (lookahead == '1') ADVANCE(2167);
      if (lookahead == ';') ADVANCE(2182);
      END_STATE();
    case 142:
      if (lookahead == '1') ADVANCE(369);
      if (lookahead == '2') ADVANCE(2154);
      if (lookahead == '3') ADVANCE(366);
      if (lookahead == '4') ADVANCE(145);
      if (lookahead == '5') ADVANCE(2155);
      if (lookahead == '7') ADVANCE(146);
      END_STATE();
    case 143:
      if (lookahead == '4') ADVANCE(148);
      END_STATE();
    case 144:
      if (lookahead == '4') ADVANCE(148);
      if (lookahead == 'f') ADVANCE(1664);
      END_STATE();
    case 145:
      if (lookahead == '5') ADVANCE(148);
      END_STATE();
    case 146:
      if (lookahead == '8') ADVANCE(148);
      END_STATE();
    case 147:
      if (lookahead == ':') ADVANCE(384);
      if (lookahead == '@') ADVANCE(2174);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '/' ||
          lookahead == '=' ||
          lookahead == '?' ||
          ('^' <= lookahead && lookahead <= '`') ||
          ('{' <= lookahead && lookahead <= '~')) ADVANCE(386);
      if (lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(147);
      END_STATE();
    case 148:
      if (lookahead == ';') ADVANCE(2182);
      END_STATE();
    case 149:
      ADVANCE_MAP(
        ';', 2182,
        'A', 589,
        'B', 579,
        'E', 276,
        'H', 542,
        'a', 815,
        'b', 580,
        'c', 607,
        'd', 799,
        'e', 273,
        'f', 1257,
        'g', 163,
        'h', 625,
        'j', 750,
        'l', 199,
        'm', 1240,
        'n', 460,
        'o', 550,
        'p', 629,
        'r', 583,
        's', 530,
        't', 226,
        'u', 1774,
        'v', 1067,
      );
      END_STATE();
    case 150:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'a') ADVANCE(1758);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'q') ADVANCE(2075);
      if (lookahead == 's') ADVANCE(972);
      if (lookahead == 'x') ADVANCE(1299);
      END_STATE();
    case 151:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'A') ADVANCE(1877);
      END_STATE();
    case 152:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'A') ADVANCE(1877);
      if (lookahead == 'V') ADVANCE(1068);
      END_STATE();
    case 153:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'B') ADVANCE(542);
      END_STATE();
    case 154:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'B') ADVANCE(542);
      if (lookahead == 'D') ADVANCE(1648);
      END_STATE();
    case 155:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'B') ADVANCE(542);
      if (lookahead == 'E') ADVANCE(1736);
      END_STATE();
    case 156:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'B') ADVANCE(542);
      if (lookahead == 'L') ADVANCE(1070);
      END_STATE();
    case 157:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'B') ADVANCE(542);
      if (lookahead == 'R') ADVANCE(1321);
      END_STATE();
    case 158:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'B') ADVANCE(542);
      if (lookahead == 'U') ADVANCE(1692);
      END_STATE();
    case 159:
      ADVANCE_MAP(
        ';', 2182,
        'C', 1659,
        'D', 1633,
        'E', 1368,
        'G', 1893,
        'H', 2086,
        'L', 1042,
        'N', 1009,
        'P', 1854,
        'R', 1043,
        'S', 1737,
        'T', 1246,
        'V', 1082,
      );
      END_STATE();
    case 160:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'C') ADVANCE(568);
      END_STATE();
    case 161:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'D') ADVANCE(1594);
      if (lookahead == 'E') ADVANCE(1736);
      END_STATE();
    case 162:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'D') ADVANCE(441);
      END_STATE();
    case 163:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'E') ADVANCE(148);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        ';', 2182,
        'E', 148,
        'a', 1673,
        'c', 2064,
        'e', 225,
        'i', 1495,
        'n', 459,
        'o', 878,
        's', 1251,
        'u', 1805,
      );
      END_STATE();
    case 165:
      ADVANCE_MAP(
        ';', 2182,
        'E', 148,
        'd', 1594,
        'e', 236,
        'm', 2071,
        'n', 2156,
        'p', 1444,
        'r', 579,
        's', 1022,
      );
      END_STATE();
    case 166:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'v') ADVANCE(2169);
      END_STATE();
    case 167:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 168:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'i') ADVANCE(877);
      if (lookahead == 'o') ADVANCE(1899);
      if (lookahead == 'p') ADVANCE(1825);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        ';', 2182,
        'E', 293,
        'a', 817,
        'b', 1745,
        'c', 1287,
        'd', 1594,
        'e', 294,
        'f', 1746,
        'g', 276,
        'i', 1480,
        'j', 750,
        'l', 365,
        'n', 460,
        'o', 1676,
        'r', 533,
        's', 785,
        't', 227,
        'v', 1067,
      );
      END_STATE();
    case 170:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'E') ADVANCE(1736);
      END_STATE();
    case 171:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'E') ADVANCE(1736);
      if (lookahead == 'F') ADVANCE(2093);
      if (lookahead == 'G') ADVANCE(1886);
      if (lookahead == 'L') ADVANCE(968);
      if (lookahead == 'S') ADVANCE(1454);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 172:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'E') ADVANCE(1736);
      if (lookahead == 'F') ADVANCE(2093);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 173:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'E') ADVANCE(1736);
      if (lookahead == 'G') ADVANCE(1886);
      if (lookahead == 'L') ADVANCE(968);
      if (lookahead == 'S') ADVANCE(1454);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 174:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'E') ADVANCE(1736);
      if (lookahead == 'S') ADVANCE(1454);
      END_STATE();
    case 175:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'E') ADVANCE(1736);
      if (lookahead == 'S') ADVANCE(1454);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 176:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'G') ADVANCE(148);
      END_STATE();
    case 177:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'H') ADVANCE(148);
      END_STATE();
    case 178:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'I') ADVANCE(1576);
      if (lookahead == 'S') ADVANCE(2057);
      if (lookahead == 'U') ADVANCE(1557);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        ';', 2182,
        'J', 750,
        'a', 816,
        'c', 609,
        'e', 1099,
        'f', 1746,
        'l', 253,
        'm', 1239,
        'o', 1524,
        's', 782,
        'T', 148,
        't', 148,
      );
      END_STATE();
    case 180:
      ADVANCE_MAP(
        ';', 2182,
        'J', 750,
        'a', 1496,
        'b', 1745,
        'c', 976,
        'd', 1594,
        'f', 1746,
        'o', 1676,
        'r', 994,
        's', 774,
        'T', 148,
        'g', 148,
        't', 148,
      );
      END_STATE();
    case 181:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'L') ADVANCE(968);
      END_STATE();
    case 182:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'N') ADVANCE(148);
      END_STATE();
    case 183:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'P') ADVANCE(148);
      END_STATE();
    case 184:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'P') ADVANCE(1444);
      END_STATE();
    case 185:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'T') ADVANCE(148);
      END_STATE();
    case 186:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 187:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'Y') ADVANCE(148);
      END_STATE();
    case 188:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(780);
      if (lookahead == 'p') ADVANCE(1410);
      END_STATE();
    case 189:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(1131);
      if (lookahead == 'o') ADVANCE(2009);
      END_STATE();
    case 190:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(2171);
      END_STATE();
    case 191:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(774);
      if (lookahead == 'l') ADVANCE(148);
      END_STATE();
    case 192:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(1746);
      END_STATE();
    case 193:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(788);
      if (lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        ';', 2182,
        'a', 1674,
        'c', 2064,
        'e', 245,
        'i', 1813,
        'n', 459,
        'p', 1669,
        's', 1251,
        'E', 148,
        'y', 148,
      );
      END_STATE();
    case 195:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(301);
      if (lookahead == 's') ADVANCE(1252);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        ';', 2182,
        'a', 1673,
        'b', 272,
        'f', 1899,
        'h', 1335,
        'l', 1673,
        'p', 1354,
        's', 1251,
        't', 1354,
        'c', 148,
        'w', 148,
      );
      END_STATE();
    case 197:
      ADVANCE_MAP(
        ';', 2182,
        'a', 846,
        'c', 1229,
        'd', 2165,
        'm', 305,
        's', 1251,
        't', 2117,
        'b', 148,
        'e', 148,
      );
      END_STATE();
    case 198:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(846);
      if (lookahead == 'i') ADVANCE(877);
      if (lookahead == 'o') ADVANCE(1899);
      if (lookahead == 'p') ADVANCE(1819);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 199:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'c') ADVANCE(1645);
      if (lookahead == 'h') ADVANCE(644);
      if (lookahead == 't') ADVANCE(1781);
      END_STATE();
    case 200:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'd') ADVANCE(268);
      if (lookahead == 'i') ADVANCE(1133);
      if (lookahead == 'o') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1409);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 201:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(1899);
      END_STATE();
    case 202:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(1910);
      if (lookahead == 'c') ADVANCE(1229);
      if (lookahead == 'd') ADVANCE(1601);
      END_STATE();
    case 203:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(1354);
      END_STATE();
    case 204:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(1799);
      if (lookahead == 'e') ADVANCE(917);
      if (lookahead == 'i') ADVANCE(1813);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 205:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(1359);
      if (lookahead == 'c') ADVANCE(1954);
      if (lookahead == 'g') ADVANCE(148);
      END_STATE();
    case 206:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(1499);
      if (lookahead == 'b') ADVANCE(1868);
      if (lookahead == 'c') ADVANCE(572);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 207:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(1499);
      if (lookahead == 's') ADVANCE(1409);
      if (lookahead == 'd' ||
          lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 208:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(839);
      END_STATE();
    case 209:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(1794);
      if (lookahead == 'c') ADVANCE(1186);
      if (lookahead == 'o') ADVANCE(1833);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 210:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(1378);
      END_STATE();
    case 211:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(1762);
      if (lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 212:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(1708);
      if (lookahead == 'c') ADVANCE(2084);
      if (lookahead == 'e') ADVANCE(1728);
      if (lookahead == 'n') ADVANCE(666);
      if (lookahead == 's') ADVANCE(1251);
      END_STATE();
    case 213:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(1259);
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 214:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a') ADVANCE(1453);
      if (lookahead == 's') ADVANCE(1354);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 215:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'b') ADVANCE(1594);
      if (lookahead == 'c') ADVANCE(1229);
      if (lookahead == 'f') ADVANCE(314);
      END_STATE();
    case 216:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'b') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(352);
      END_STATE();
    case 217:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'b') ADVANCE(148);
      if (lookahead == 'h') ADVANCE(1946);
      END_STATE();
    case 218:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'b') ADVANCE(192);
      END_STATE();
    case 219:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'b') ADVANCE(192);
      if (lookahead == 'd') ADVANCE(148);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        ';', 2182,
        'b', 272,
        'f', 1899,
        'h', 1335,
        'l', 1673,
        'p', 1354,
        's', 1251,
        't', 1354,
      );
      END_STATE();
    case 221:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'b') ADVANCE(542);
      if (lookahead == 'e') ADVANCE(1728);
      END_STATE();
    case 222:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'b') ADVANCE(1821);
      if (lookahead == 'c') ADVANCE(572);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'o') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 223:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'c') ADVANCE(148);
      END_STATE();
    case 224:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'c') ADVANCE(256);
      if (lookahead == 'f') ADVANCE(1562);
      if (lookahead == 'm') ADVANCE(1218);
      if (lookahead == 's') ADVANCE(846);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 225:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        ';', 2182,
        'c', 759,
        'd', 1594,
        'h', 1795,
        'i', 1493,
        'l', 579,
        'q', 2076,
        'r', 501,
      );
      END_STATE();
    case 227:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'c') ADVANCE(759);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'l') ADVANCE(500);
      if (lookahead == 'q') ADVANCE(2076);
      if (lookahead == 'r') ADVANCE(567);
      END_STATE();
    case 228:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'c') ADVANCE(255);
      END_STATE();
    case 229:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'c') ADVANCE(758);
      if (lookahead == 'd') ADVANCE(1638);
      if (lookahead == 'l') ADVANCE(263);
      END_STATE();
    case 230:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'c') ADVANCE(758);
      if (lookahead == 'd') ADVANCE(1639);
      if (lookahead == 'g') ADVANCE(263);
      if (lookahead == 's') ADVANCE(665);
      END_STATE();
    case 231:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'c') ADVANCE(596);
      if (lookahead == 'e') ADVANCE(1164);
      if (lookahead == 'l') ADVANCE(651);
      if (lookahead == 'p') ADVANCE(1806);
      END_STATE();
    case 232:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'c') ADVANCE(1229);
      if (lookahead == 'w') ADVANCE(148);
      END_STATE();
    case 233:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'c') ADVANCE(2064);
      if (lookahead == 'e') ADVANCE(228);
      END_STATE();
    case 234:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'c') ADVANCE(2064);
      if (lookahead == 'e' ||
          lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 235:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'c') ADVANCE(686);
      if (lookahead == 'f') ADVANCE(1274);
      if (lookahead == 'o') ADVANCE(872);
      if (lookahead == 't') ADVANCE(231);
      END_STATE();
    case 236:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'd') ADVANCE(1594);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        ';', 2182,
        'd', 1594,
        'e', 321,
        'g', 163,
        'l', 163,
        'n', 922,
        'p', 1444,
        'r', 579,
      );
      END_STATE();
    case 238:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 's') ADVANCE(354);
      if (lookahead == 'E' ||
          lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 239:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'd') ADVANCE(148);
      END_STATE();
    case 240:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(922);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        ';', 2182,
        'd', 1595,
        'e', 236,
        'h', 1912,
        'l', 579,
        'm', 2071,
        'n', 2156,
        'p', 1444,
        's', 1022,
      );
      if (('1' <= lookahead && lookahead <= '3') ||
          lookahead == 'E') ADVANCE(148);
      END_STATE();
    case 242:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'd') ADVANCE(1587);
      if (lookahead == 'l') ADVANCE(982);
      if (lookahead == 'r') ADVANCE(1282);
      END_STATE();
    case 243:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'd') ADVANCE(1587);
      if (lookahead == 'l') ADVANCE(982);
      if (lookahead == 'u') ADVANCE(1673);
      END_STATE();
    case 244:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'd') ADVANCE(1587);
      if (lookahead == 'l') ADVANCE(1075);
      if (lookahead == 'q') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(1325);
      END_STATE();
    case 245:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'd') ADVANCE(1259);
      END_STATE();
    case 246:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 247:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(922);
      if (lookahead == 'm') ADVANCE(1929);
      if (lookahead == 'r') ADVANCE(1983);
      if (lookahead == 's') ADVANCE(1696);
      if (lookahead == 'z') ADVANCE(579);
      END_STATE();
    case 248:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 's') ADVANCE(1010);
      END_STATE();
    case 249:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(1746);
      END_STATE();
    case 250:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(1729);
      if (lookahead == 'm') ADVANCE(1311);
      if (lookahead == 'p') ADVANCE(1444);
      if (lookahead == 's') ADVANCE(1743);
      END_STATE();
    case 251:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(1954);
      END_STATE();
    case 252:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(1157);
      END_STATE();
    case 253:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(1102);
      END_STATE();
    case 254:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 255:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(1728);
      END_STATE();
    case 256:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(1728);
      if (lookahead == 'l') ADVANCE(942);
      END_STATE();
    case 257:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 258:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(848);
      if (lookahead == 'i') ADVANCE(1483);
      if (lookahead == 'o') ADVANCE(901);
      END_STATE();
    case 259:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(317);
      END_STATE();
    case 260:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(1733);
      END_STATE();
    case 261:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(1733);
      if (lookahead == 'n') ADVANCE(987);
      END_STATE();
    case 262:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(595);
      END_STATE();
    case 263:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(1899);
      END_STATE();
    case 264:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(1930);
      END_STATE();
    case 265:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(1554);
      if (lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 266:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(1831);
      if (lookahead == 's') ADVANCE(957);
      END_STATE();
    case 267:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(1787);
      if (lookahead == 's') ADVANCE(1673);
      END_STATE();
    case 268:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(1797);
      if (lookahead == 'f' ||
          lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 269:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e') ADVANCE(1786);
      END_STATE();
    case 270:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 271:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'f') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(1583);
      if (lookahead == 'y') ADVANCE(331);
      END_STATE();
    case 272:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'f') ADVANCE(1899);
      END_STATE();
    case 273:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'f') ADVANCE(1959);
      if (lookahead == 'g') ADVANCE(148);
      if (lookahead == 'q') ADVANCE(322);
      if (lookahead == 's') ADVANCE(230);
      END_STATE();
    case 274:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'f') ADVANCE(1500);
      if (lookahead == 'l') ADVANCE(943);
      END_STATE();
    case 275:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'f') ADVANCE(1984);
      if (lookahead == 'q') ADVANCE(322);
      if (lookahead == 's') ADVANCE(330);
      END_STATE();
    case 276:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'g') ADVANCE(148);
      END_STATE();
    case 277:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'g') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(1975);
      if (lookahead == 'm') ADVANCE(1707);
      END_STATE();
    case 278:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'g') ADVANCE(1954);
      END_STATE();
    case 279:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'g') ADVANCE(922);
      END_STATE();
    case 280:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'h') ADVANCE(148);
      END_STATE();
    case 281:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'h') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(1625);
      END_STATE();
    case 282:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'h') ADVANCE(1584);
      END_STATE();
    case 283:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'i') ADVANCE(1232);
      if (lookahead == 'n') ADVANCE(1114);
      if (lookahead == 'o') ADVANCE(1975);
      END_STATE();
    case 284:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'i') ADVANCE(896);
      if (lookahead == 'o') ADVANCE(1516);
      END_STATE();
    case 285:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'i') ADVANCE(1776);
      if (lookahead == 'u') ADVANCE(1990);
      if (lookahead == 'E' ||
          lookahead == 'd' ||
          lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 286:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'i') ADVANCE(1776);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 287:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'i') ADVANCE(1534);
      if (lookahead == 'p') ADVANCE(648);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 288:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'i') ADVANCE(2013);
      END_STATE();
    case 289:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'i') ADVANCE(861);
      END_STATE();
    case 290:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'i') ADVANCE(1508);
      if (lookahead == 'n') ADVANCE(1242);
      END_STATE();
    case 291:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'i') ADVANCE(1436);
      END_STATE();
    case 292:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'i') ADVANCE(1573);
      if (lookahead == 'l') ADVANCE(148);
      if (lookahead == 's') ADVANCE(236);
      END_STATE();
    case 293:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'l') ADVANCE(148);
      END_STATE();
    case 294:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'l') ADVANCE(148);
      if (lookahead == 'q') ADVANCE(322);
      if (lookahead == 's') ADVANCE(229);
      END_STATE();
    case 295:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'l') ADVANCE(2012);
      if (lookahead == 'e' ||
          lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 296:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'l') ADVANCE(1954);
      END_STATE();
    case 297:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'l') ADVANCE(1625);
      END_STATE();
    case 298:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'l') ADVANCE(1625);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 299:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'l') ADVANCE(922);
      if (lookahead == 'd' ||
          lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 300:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'l') ADVANCE(2016);
      if (lookahead == 'm') ADVANCE(568);
      END_STATE();
    case 301:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'l') ADVANCE(1395);
      END_STATE();
    case 302:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 303:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'm') ADVANCE(267);
      END_STATE();
    case 304:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'm') ADVANCE(602);
      END_STATE();
    case 305:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 306:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'n') ADVANCE(621);
      END_STATE();
    case 307:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'o') ADVANCE(148);
      END_STATE();
    case 308:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'o') ADVANCE(326);
      END_STATE();
    case 309:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'o') ADVANCE(293);
      END_STATE();
    case 310:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'o') ADVANCE(1092);
      END_STATE();
    case 311:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'o') ADVANCE(2123);
      END_STATE();
    case 312:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'o') ADVANCE(2112);
      END_STATE();
    case 313:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'o') ADVANCE(846);
      END_STATE();
    case 314:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'o') ADVANCE(1800);
      END_STATE();
    case 315:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'o') ADVANCE(2029);
      END_STATE();
    case 316:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'o') ADVANCE(1539);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 317:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'o') ADVANCE(1564);
      END_STATE();
    case 318:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 319:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 't') ADVANCE(290);
      END_STATE();
    case 320:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'p') ADVANCE(1825);
      END_STATE();
    case 321:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'q') ADVANCE(148);
      END_STATE();
    case 322:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'q') ADVANCE(148);
      if (lookahead == 's') ADVANCE(1439);
      END_STATE();
    case 323:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'q') ADVANCE(322);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 324:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'q') ADVANCE(321);
      END_STATE();
    case 325:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'q') ADVANCE(2075);
      END_STATE();
    case 326:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 327:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'r') ADVANCE(560);
      if (lookahead == 's') ADVANCE(236);
      END_STATE();
    case 328:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'r') ADVANCE(1267);
      END_STATE();
    case 329:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'r') ADVANCE(1245);
      END_STATE();
    case 330:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 331:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 's') ADVANCE(1746);
      END_STATE();
    case 332:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 's') ADVANCE(239);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 333:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 's') ADVANCE(219);
      END_STATE();
    case 334:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 's') ADVANCE(2145);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 335:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 's') ADVANCE(1459);
      END_STATE();
    case 336:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 's') ADVANCE(1354);
      END_STATE();
    case 337:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 's') ADVANCE(2017);
      END_STATE();
    case 338:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 's') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 339:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 's') ADVANCE(1012);
      END_STATE();
    case 340:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 's') ADVANCE(1025);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 341:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 's') ADVANCE(2079);
      END_STATE();
    case 342:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 343:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 344:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 't') ADVANCE(1584);
      END_STATE();
    case 345:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 't') ADVANCE(269);
      END_STATE();
    case 346:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 't') ADVANCE(730);
      END_STATE();
    case 347:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 't') ADVANCE(1354);
      END_STATE();
    case 348:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 't') ADVANCE(828);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 349:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 't') ADVANCE(675);
      END_STATE();
    case 350:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 't') ADVANCE(1608);
      END_STATE();
    case 351:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 't') ADVANCE(1267);
      END_STATE();
    case 352:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 353:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'u') ADVANCE(1237);
      END_STATE();
    case 354:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 355:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'v') ADVANCE(2169);
      END_STATE();
    case 356:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'v') ADVANCE(719);
      END_STATE();
    case 357:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'v') ADVANCE(1024);
      END_STATE();
    case 358:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'a' ||
          lookahead == 'h') ADVANCE(148);
      END_STATE();
    case 359:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'b' ||
          lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 360:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'c' ||
          lookahead == 'w') ADVANCE(148);
      END_STATE();
    case 361:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e' ||
          lookahead == 'g') ADVANCE(148);
      END_STATE();
    case 362:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e' ||
          lookahead == 'l') ADVANCE(148);
      END_STATE();
    case 363:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'f' ||
          lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 364:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'e' ||
          lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 365:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'E' ||
          lookahead == 'a' ||
          lookahead == 'j') ADVANCE(148);
      END_STATE();
    case 366:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == '4' ||
          lookahead == '5' ||
          lookahead == '8') ADVANCE(148);
      END_STATE();
    case 367:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'D' ||
          lookahead == 'U' ||
          lookahead == 'd' ||
          lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 368:
      if (lookahead == ';') ADVANCE(2182);
      if (lookahead == 'H' ||
          lookahead == 'L' ||
          lookahead == 'R' ||
          lookahead == 'h' ||
          lookahead == 'l' ||
          lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 369:
      if (lookahead == ';') ADVANCE(2182);
      if (('2' <= lookahead && lookahead <= '6') ||
          lookahead == '8') ADVANCE(148);
      END_STATE();
    case 370:
      if (lookahead == ';') ADVANCE(2183);
      END_STATE();
    case 371:
      if (lookahead == ';') ADVANCE(2183);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(372);
      END_STATE();
    case 372:
      if (lookahead == ';') ADVANCE(2183);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(370);
      END_STATE();
    case 373:
      if (lookahead == ';') ADVANCE(2183);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(371);
      END_STATE();
    case 374:
      if (lookahead == ';') ADVANCE(2183);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(373);
      END_STATE();
    case 375:
      if (lookahead == ';') ADVANCE(2183);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(374);
      END_STATE();
    case 376:
      if (lookahead == ';') ADVANCE(2183);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      END_STATE();
    case 377:
      if (lookahead == ';') ADVANCE(2183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(370);
      END_STATE();
    case 378:
      if (lookahead == ';') ADVANCE(2183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(377);
      END_STATE();
    case 379:
      if (lookahead == ';') ADVANCE(2183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(378);
      END_STATE();
    case 380:
      if (lookahead == ';') ADVANCE(2183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(379);
      END_STATE();
    case 381:
      if (lookahead == ';') ADVANCE(2183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(380);
      END_STATE();
    case 382:
      if (lookahead == '>') ADVANCE(2232);
      END_STATE();
    case 383:
      if (lookahead == '>') ADVANCE(2239);
      END_STATE();
    case 384:
      if (lookahead == '>') ADVANCE(2226);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != '<') ADVANCE(384);
      END_STATE();
    case 385:
      if (lookahead == '@') ADVANCE(2174);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '/' ||
          lookahead == '=' ||
          lookahead == '?' ||
          ('^' <= lookahead && lookahead <= '`') ||
          ('{' <= lookahead && lookahead <= '~')) ADVANCE(386);
      if (lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(147);
      END_STATE();
    case 386:
      if (lookahead == '@') ADVANCE(2174);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(386);
      END_STATE();
    case 387:
      ADVANCE_MAP(
        'A', 505,
        'a', 821,
        'c', 1285,
        'f', 1746,
        'i', 1373,
        'o', 1679,
        's', 795,
        'u', 1472,
      );
      END_STATE();
    case 388:
      ADVANCE_MAP(
        'A', 589,
        'B', 579,
        'H', 542,
        'a', 768,
        'b', 580,
        'c', 607,
        'd', 798,
        'e', 205,
        'f', 1257,
        'h', 626,
        'i', 1147,
        'l', 585,
        'm', 1657,
        'n', 1473,
        'o', 551,
        'p', 633,
        'r', 579,
        's', 531,
        't', 1213,
        'u', 1399,
        'x', 148,
      );
      END_STATE();
    case 389:
      if (lookahead == 'A') ADVANCE(523);
      END_STATE();
    case 390:
      ADVANCE_MAP(
        'A', 750,
        'I', 750,
        'U', 750,
        'a', 808,
        'c', 1287,
        'f', 1746,
        'o', 1676,
        's', 774,
        'u', 1481,
      );
      END_STATE();
    case 391:
      if (lookahead == 'A') ADVANCE(444);
      END_STATE();
    case 392:
      ADVANCE_MAP(
        'A', 1571,
        'C', 1084,
        'D', 1589,
        'F', 1398,
        'R', 1320,
        'T', 1029,
        'U', 1687,
        'V', 1063,
        'a', 1877,
        'r', 1313,
      );
      END_STATE();
    case 393:
      if (lookahead == 'A') ADVANCE(514);
      END_STATE();
    case 394:
      ADVANCE_MAP(
        'A', 1765,
        'B', 636,
        'D', 575,
        'a', 1531,
        'c', 2135,
        'd', 575,
        'e', 935,
        'f', 1746,
        'l', 2012,
        'n', 1928,
        'o', 1676,
        'p', 1815,
        'r', 2012,
        's', 797,
        'z', 1260,
      );
      END_STATE();
    case 395:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'd') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(275);
      if (lookahead == 's') ADVANCE(1251);
      if (lookahead == 't') ADVANCE(329);
      END_STATE();
    case 396:
      ADVANCE_MAP(
        'A', 1765,
        'H', 542,
        'a', 1130,
        'b', 1351,
        'c', 612,
        'd', 189,
        'e', 277,
        'f', 1258,
        'h', 619,
        'i', 590,
        'j', 750,
        'l', 764,
        'o', 1402,
        'r', 726,
        's', 766,
        't', 876,
        'u', 584,
        'w', 594,
        'z', 755,
      );
      END_STATE();
    case 397:
      ADVANCE_MAP(
        'A', 1765,
        'H', 542,
        'a', 809,
        'b', 1768,
        'c', 1266,
        'd', 581,
        'f', 1258,
        'g', 1807,
        'h', 620,
        'l', 857,
        'm', 191,
        'o', 1134,
        'p', 691,
        'r', 856,
        's', 774,
        't', 873,
        'u', 586,
        'w', 594,
      );
      END_STATE();
    case 398:
      ADVANCE_MAP(
        'A', 1765,
        'a', 1273,
        'b', 542,
        'c', 1285,
        'e', 673,
        'f', 1746,
        'k', 1900,
        'o', 587,
        's', 787,
        'y', 728,
      );
      END_STATE();
    case 399:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'a') ADVANCE(1765);
      END_STATE();
    case 400:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'p') ADVANCE(542);
      END_STATE();
    case 401:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'a') ADVANCE(1758);
      if (lookahead == 'c') ADVANCE(342);
      if (lookahead == 'm') ADVANCE(1219);
      if (lookahead == 's') ADVANCE(2118);
      if (lookahead == 't') ADVANCE(1467);
      if (lookahead == 'x') ADVANCE(1954);
      END_STATE();
    case 402:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'a') ADVANCE(1758);
      if (lookahead == 'n') ADVANCE(2118);
      END_STATE();
    case 403:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'a') ADVANCE(1758);
      if (lookahead == 'n') ADVANCE(971);
      END_STATE();
    case 404:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'a') ADVANCE(1857);
      if (lookahead == 'i') ADVANCE(1150);
      if (lookahead == 't') ADVANCE(1840);
      END_STATE();
    case 405:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 't') ADVANCE(328);
      END_STATE();
    case 406:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 't') ADVANCE(1835);
      END_STATE();
    case 407:
      ADVANCE_MAP(
        'A', 1880,
        'D', 1648,
        'E', 1739,
        'T', 1014,
        'a', 1877,
        'd', 1655,
        'p', 1023,
        's', 1236,
      );
      END_STATE();
    case 408:
      if (lookahead == 'A') ADVANCE(814);
      END_STATE();
    case 409:
      if (lookahead == 'A') ADVANCE(814);
      if (lookahead == 'D') ADVANCE(1592);
      if (lookahead == 'G') ADVANCE(1798);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 410:
      if (lookahead == 'A') ADVANCE(1396);
      END_STATE();
    case 411:
      ADVANCE_MAP(
        'A', 1572,
        'C', 1084,
        'D', 1589,
        'F', 1398,
        'T', 1029,
        'U', 1687,
        'V', 1063,
        'a', 1877,
      );
      END_STATE();
    case 412:
      if (lookahead == 'A') ADVANCE(1877);
      END_STATE();
    case 413:
      if (lookahead == 'A') ADVANCE(1877);
      if (lookahead == 'D') ADVANCE(1648);
      END_STATE();
    case 414:
      if (lookahead == 'A') ADVANCE(1877);
      if (lookahead == 'R') ADVANCE(1321);
      END_STATE();
    case 415:
      if (lookahead == 'A') ADVANCE(1877);
      if (lookahead == 'R') ADVANCE(1321);
      if (lookahead == 'T') ADVANCE(999);
      END_STATE();
    case 416:
      if (lookahead == 'A') ADVANCE(1877);
      if (lookahead == 'T') ADVANCE(999);
      END_STATE();
    case 417:
      if (lookahead == 'A') ADVANCE(1877);
      if (lookahead == 'V') ADVANCE(1068);
      END_STATE();
    case 418:
      if (lookahead == 'A') ADVANCE(1881);
      if (lookahead == 'B') ADVANCE(1745);
      if (lookahead == 'L') ADVANCE(1061);
      if (lookahead == 'R') ADVANCE(1319);
      if (lookahead == 'T') ADVANCE(1014);
      if (lookahead == 'a') ADVANCE(1877);
      END_STATE();
    case 419:
      if (lookahead == 'B') ADVANCE(545);
      if (lookahead == 'P') ADVANCE(694);
      END_STATE();
    case 420:
      ADVANCE_MAP(
        'B', 579,
        'E', 176,
        'a', 818,
        'c', 609,
        'e', 357,
        'f', 1746,
        'h', 1584,
        'i', 1128,
        'o', 1682,
        'r', 1313,
        's', 781,
        'u', 1389,
      );
      END_STATE();
    case 421:
      if (lookahead == 'B') ADVANCE(542);
      END_STATE();
    case 422:
      if (lookahead == 'B') ADVANCE(542);
      if (lookahead == 'L') ADVANCE(1268);
      if (lookahead == 'S') ADVANCE(1056);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 423:
      if (lookahead == 'B') ADVANCE(1878);
      END_STATE();
    case 424:
      if (lookahead == 'B') ADVANCE(1870);
      if (lookahead == 'n') ADVANCE(425);
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 't') ADVANCE(159);
      END_STATE();
    case 425:
      if (lookahead == 'B') ADVANCE(1875);
      END_STATE();
    case 426:
      if (lookahead == 'C') ADVANCE(478);
      if (lookahead == 'c') ADVANCE(2135);
      END_STATE();
    case 427:
      if (lookahead == 'C') ADVANCE(447);
      END_STATE();
    case 428:
      if (lookahead == 'C') ADVANCE(568);
      END_STATE();
    case 429:
      if (lookahead == 'C') ADVANCE(1649);
      if (lookahead == 'T') ADVANCE(1300);
      END_STATE();
    case 430:
      if (lookahead == 'C') ADVANCE(1326);
      END_STATE();
    case 431:
      if (lookahead == 'C') ADVANCE(1421);
      END_STATE();
    case 432:
      if (lookahead == 'C') ADVANCE(2083);
      END_STATE();
    case 433:
      if (lookahead == 'C') ADVANCE(1665);
      END_STATE();
    case 434:
      if (lookahead == 'C') ADVANCE(1665);
      if (lookahead == 'D') ADVANCE(1591);
      if (lookahead == 'L') ADVANCE(1073);
      if (lookahead == 'R') ADVANCE(1323);
      if (lookahead == 'U') ADVANCE(1688);
      if (lookahead == 'V') ADVANCE(1082);
      END_STATE();
    case 435:
      if (lookahead == 'D') ADVANCE(1594);
      END_STATE();
    case 436:
      if (lookahead == 'D') ADVANCE(1594);
      if (lookahead == 'M') ADVANCE(1311);
      if (lookahead == 'P') ADVANCE(1444);
      if (lookahead == 'T') ADVANCE(1300);
      END_STATE();
    case 437:
      if (lookahead == 'D') ADVANCE(1594);
      if (lookahead == 'a') ADVANCE(1765);
      END_STATE();
    case 438:
      if (lookahead == 'D') ADVANCE(1594);
      if (lookahead == 'o') ADVANCE(1954);
      END_STATE();
    case 439:
      if (lookahead == 'D') ADVANCE(1594);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 440:
      ADVANCE_MAP(
        'D', 315,
        'J', 750,
        'S', 750,
        'Z', 750,
        'a', 1132,
        'c', 612,
        'e', 1355,
        'f', 1746,
        'i', 554,
        'o', 1680,
        's', 795,
      );
      END_STATE();
    case 441:
      if (lookahead == 'D') ADVANCE(148);
      END_STATE();
    case 442:
      ADVANCE_MAP(
        'D', 438,
        'a', 812,
        'c', 610,
        'd', 1594,
        'e', 148,
        'f', 439,
        'g', 327,
        'l', 292,
        'm', 541,
        'n', 1117,
        'o', 1134,
        'p', 623,
        'q', 805,
        'r', 437,
        's', 775,
        't', 358,
        'u', 1461,
        'x', 833,
      );
      END_STATE();
    case 443:
      ADVANCE_MAP(
        'D', 435,
        'a', 760,
        'c', 1650,
        'd', 575,
        'e', 658,
        'f', 1746,
        'h', 1584,
        'i', 849,
        'l', 813,
        'n', 1704,
        'o', 913,
        'p', 148,
        's', 794,
        'u', 300,
      );
      END_STATE();
    case 444:
      if (lookahead == 'D') ADVANCE(458);
      END_STATE();
    case 445:
      ADVANCE_MAP(
        'D', 2170,
        'H', 367,
        'U', 2170,
        'V', 368,
        'b', 1599,
        'd', 2170,
        'h', 367,
        'm', 1311,
        'p', 1444,
        't', 1300,
        'u', 2170,
        'v', 368,
      );
      END_STATE();
    case 446:
      if (lookahead == 'D') ADVANCE(750);
      END_STATE();
    case 447:
      if (lookahead == 'D') ADVANCE(393);
      END_STATE();
    case 448:
      ADVANCE_MAP(
        'D', 575,
        'H', 579,
        'a', 1673,
        'd', 575,
        'g', 2162,
        'i', 1518,
        'l', 405,
        'r', 406,
        's', 1251,
      );
      END_STATE();
    case 449:
      ADVANCE_MAP(
        'D', 575,
        'b', 542,
        'c', 2135,
        'd', 578,
        'e', 925,
        'f', 1746,
        'o', 1676,
        's', 774,
        'v', 893,
      );
      END_STATE();
    case 450:
      if (lookahead == 'D') ADVANCE(575);
      if (lookahead == 'd') ADVANCE(575);
      END_STATE();
    case 451:
      if (lookahead == 'D') ADVANCE(1648);
      if (lookahead == 'L') ADVANCE(1070);
      if (lookahead == 'R') ADVANCE(1321);
      if (lookahead == 'U') ADVANCE(1692);
      END_STATE();
    case 452:
      if (lookahead == 'D') ADVANCE(1250);
      END_STATE();
    case 453:
      if (lookahead == 'D') ADVANCE(1016);
      END_STATE();
    case 454:
      if (lookahead == 'D') ADVANCE(1656);
      if (lookahead == 'E') ADVANCE(1736);
      END_STATE();
    case 455:
      if (lookahead == 'D') ADVANCE(1660);
      if (lookahead == 'T') ADVANCE(1035);
      if (lookahead == 'V') ADVANCE(1063);
      END_STATE();
    case 456:
      if (lookahead == 'D') ADVANCE(1670);
      if (lookahead == 'Q') ADVANCE(2094);
      END_STATE();
    case 457:
      ADVANCE_MAP(
        'E', 1394,
        'M', 183,
        'a', 808,
        'b', 1745,
        'c', 1266,
        'f', 1746,
        'g', 1807,
        'l', 1675,
        'm', 537,
        'n', 877,
        'o', 1134,
        'p', 1700,
        'r', 1241,
        's', 792,
        't', 1288,
        'u', 1460,
      );
      END_STATE();
    case 458:
      if (lookahead == 'E') ADVANCE(148);
      END_STATE();
    case 459:
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(1673);
      if (lookahead == 's') ADVANCE(1251);
      END_STATE();
    case 460:
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(1691);
      if (lookahead == 'e') ADVANCE(324);
      if (lookahead == 's') ADVANCE(1251);
      END_STATE();
    case 461:
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'e') ADVANCE(323);
      if (lookahead == 's') ADVANCE(1251);
      if (lookahead == 't') ADVANCE(326);
      END_STATE();
    case 462:
      if (lookahead == 'E') ADVANCE(1367);
      if (lookahead == 'U') ADVANCE(1723);
      END_STATE();
    case 463:
      ADVANCE_MAP(
        'E', 750,
        'J', 1400,
        'O', 750,
        'a', 808,
        'c', 1266,
        'd', 1594,
        'f', 1746,
        'g', 1807,
        'm', 188,
        'n', 1982,
        'o', 1135,
        's', 774,
        't', 1314,
        'u', 1343,
      );
      END_STATE();
    case 464:
      if (lookahead == 'E') ADVANCE(1366);
      END_STATE();
    case 465:
      ADVANCE_MAP(
        'E', 1400,
        'a', 808,
        'c', 1266,
        'd', 748,
        'f', 1746,
        'g', 1807,
        'm', 539,
        'o', 1676,
        'p', 986,
        'r', 148,
        's', 789,
        't', 1235,
        'u', 1460,
        'v', 1001,
      );
      END_STATE();
    case 466:
      if (lookahead == 'E') ADVANCE(1739);
      END_STATE();
    case 467:
      if (lookahead == 'E') ADVANCE(1736);
      END_STATE();
    case 468:
      if (lookahead == 'E') ADVANCE(1741);
      if (lookahead == 'F') ADVANCE(2093);
      if (lookahead == 'G') ADVANCE(1886);
      if (lookahead == 'L') ADVANCE(968);
      if (lookahead == 'S') ADVANCE(1454);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 469:
      if (lookahead == 'E') ADVANCE(1742);
      if (lookahead == 'F') ADVANCE(2093);
      if (lookahead == 'G') ADVANCE(1886);
      if (lookahead == 'L') ADVANCE(968);
      if (lookahead == 'S') ADVANCE(1454);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 470:
      if (lookahead == 'F') ADVANCE(513);
      END_STATE();
    case 471:
      if (lookahead == 'F') ADVANCE(2087);
      END_STATE();
    case 472:
      if (lookahead == 'G') ADVANCE(148);
      END_STATE();
    case 473:
      ADVANCE_MAP(
        'G', 1118,
        'L', 1049,
        'R', 1313,
        'V', 450,
        'a', 732,
        'b', 1901,
        'c', 562,
        'd', 575,
        'e', 150,
        'f', 1746,
        'g', 461,
        'h', 400,
        'i', 332,
        'j', 750,
        'l', 395,
        'm', 1218,
        'o', 319,
        'p', 631,
        'r', 404,
        's', 767,
        't', 1138,
        'u', 303,
        'v', 448,
        'w', 403,
      );
      END_STATE();
    case 474:
      if (lookahead == 'G') ADVANCE(1886);
      END_STATE();
    case 475:
      if (lookahead == 'G') ADVANCE(1895);
      if (lookahead == 'L') ADVANCE(1051);
      END_STATE();
    case 476:
      ADVANCE_MAP(
        'H', 426,
        'O', 470,
        'a', 814,
        'c', 204,
        'f', 1746,
        'h', 1651,
        'i', 1136,
        'm', 656,
        'o', 1676,
        'q', 1772,
        's', 774,
        't', 542,
        'u', 716,
      );
      END_STATE();
    case 477:
      ADVANCE_MAP(
        'H', 498,
        'R', 391,
        'S', 482,
        'a', 2159,
        'c', 609,
        'f', 1746,
        'h', 956,
        'i', 1382,
        'o', 1676,
        'r', 1293,
        's', 795,
      );
      END_STATE();
    case 478:
      if (lookahead == 'H') ADVANCE(750);
      END_STATE();
    case 479:
      if (lookahead == 'H') ADVANCE(750);
      if (lookahead == 'J') ADVANCE(750);
      if (lookahead == 'a') ADVANCE(1697);
      if (lookahead == 'c') ADVANCE(977);
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1676);
      if (lookahead == 's') ADVANCE(774);
      END_STATE();
    case 480:
      ADVANCE_MAP(
        'H', 750,
        'O', 499,
        'a', 820,
        'c', 608,
        'd', 1594,
        'e', 910,
        'f', 1746,
        'h', 1219,
        'i', 1793,
        'l', 1598,
        'o', 1438,
        'r', 1600,
        's', 774,
        'u', 1683,
      );
      END_STATE();
    case 481:
      ADVANCE_MAP(
        'H', 750,
        'a', 814,
        'c', 612,
        'd', 1594,
        'e', 1803,
        'f', 1746,
        'o', 1676,
        's', 774,
      );
      END_STATE();
    case 482:
      if (lookahead == 'H') ADVANCE(750);
      if (lookahead == 'c') ADVANCE(2135);
      END_STATE();
    case 483:
      if (lookahead == 'H') ADVANCE(2095);
      END_STATE();
    case 484:
      if (lookahead == 'I') ADVANCE(148);
      END_STATE();
    case 485:
      if (lookahead == 'I') ADVANCE(1494);
      END_STATE();
    case 486:
      if (lookahead == 'I') ADVANCE(1561);
      END_STATE();
    case 487:
      ADVANCE_MAP(
        'J', 750,
        'a', 814,
        'c', 609,
        'e', 1139,
        'f', 1746,
        'o', 424,
        's', 774,
        't', 1288,
        'u', 148,
      );
      END_STATE();
    case 488:
      if (lookahead == 'L') ADVANCE(968);
      END_STATE();
    case 489:
      if (lookahead == 'L') ADVANCE(1268);
      END_STATE();
    case 490:
      if (lookahead == 'L') ADVANCE(1066);
      if (lookahead == 'R') ADVANCE(1321);
      END_STATE();
    case 491:
      if (lookahead == 'L') ADVANCE(1066);
      if (lookahead == 'R') ADVANCE(1321);
      if (lookahead == 'l') ADVANCE(1048);
      if (lookahead == 'r') ADVANCE(1313);
      END_STATE();
    case 492:
      if (lookahead == 'L') ADVANCE(1070);
      if (lookahead == 'R') ADVANCE(1321);
      END_STATE();
    case 493:
      if (lookahead == 'M') ADVANCE(1052);
      if (lookahead == 'T') ADVANCE(1201);
      if (lookahead == 'V') ADVANCE(1040);
      END_STATE();
    case 494:
      if (lookahead == 'M') ADVANCE(1311);
      END_STATE();
    case 495:
      ADVANCE_MAP(
        'N', 1594,
        'a', 804,
        'b', 1789,
        'c', 1615,
        'd', 1735,
        'e', 869,
        'f', 1746,
        'i', 1119,
        'k', 674,
        'l', 555,
        'n', 934,
        'o', 1681,
        'p', 1816,
        'r', 932,
        's', 776,
        'u', 1401,
      );
      END_STATE();
    case 496:
      ADVANCE_MAP(
        'N', 472,
        'T', 177,
        'a', 808,
        'c', 611,
        'd', 1594,
        'f', 1746,
        'g', 1807,
        'l', 1053,
        'm', 540,
        'o', 1134,
        'p', 1950,
        'q', 2047,
        's', 784,
        't', 528,
        'u', 1460,
        'x', 1244,
      );
      END_STATE();
    case 497:
      if (lookahead == 'O') ADVANCE(185);
      END_STATE();
    case 498:
      if (lookahead == 'O') ADVANCE(504);
      END_STATE();
    case 499:
      if (lookahead == 'P') ADVANCE(187);
      END_STATE();
    case 500:
      if (lookahead == 'P') ADVANCE(542);
      END_STATE();
    case 501:
      if (lookahead == 'P') ADVANCE(542);
      if (lookahead == 'i') ADVANCE(364);
      END_STATE();
    case 502:
      if (lookahead == 'P') ADVANCE(1444);
      END_STATE();
    case 503:
      if (lookahead == 'Q') ADVANCE(2094);
      END_STATE();
    case 504:
      if (lookahead == 'R') ADVANCE(182);
      END_STATE();
    case 505:
      if (lookahead == 'R') ADVANCE(446);
      END_STATE();
    case 506:
      if (lookahead == 'R') ADVANCE(1324);
      if (lookahead == 'T') ADVANCE(1035);
      if (lookahead == 'V') ADVANCE(1063);
      END_STATE();
    case 507:
      ADVANCE_MAP(
        'S', 148,
        'a', 811,
        'c', 1266,
        'd', 576,
        'e', 1400,
        'f', 847,
        'g', 1626,
        'h', 723,
        'i', 1512,
        'l', 582,
        'm', 538,
        'o', 1676,
        'p', 543,
        'r', 200,
        's', 790,
        't', 1283,
        'u', 1460,
        'v', 721,
      );
      END_STATE();
    case 508:
      if (lookahead == 'S') ADVANCE(1498);
      END_STATE();
    case 509:
      if (lookahead == 'S') ADVANCE(1498);
      if (lookahead == 'V') ADVANCE(1038);
      END_STATE();
    case 510:
      if (lookahead == 'S') ADVANCE(1716);
      END_STATE();
    case 511:
      if (lookahead == 'S') ADVANCE(2057);
      END_STATE();
    case 512:
      if (lookahead == 'S') ADVANCE(1743);
      END_STATE();
    case 513:
      if (lookahead == 'T') ADVANCE(750);
      END_STATE();
    case 514:
      if (lookahead == 'T') ADVANCE(389);
      END_STATE();
    case 515:
      if (lookahead == 'T') ADVANCE(1215);
      END_STATE();
    case 516:
      if (lookahead == 'T') ADVANCE(1196);
      END_STATE();
    case 517:
      if (lookahead == 'T') ADVANCE(1035);
      if (lookahead == 'V') ADVANCE(1063);
      END_STATE();
    case 518:
      if (lookahead == 'T') ADVANCE(1897);
      END_STATE();
    case 519:
      if (lookahead == 'U') ADVANCE(497);
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1676);
      if (lookahead == 's') ADVANCE(774);
      END_STATE();
    case 520:
      if (lookahead == 'V') ADVANCE(1082);
      END_STATE();
    case 521:
      if (lookahead == 'V') ADVANCE(1068);
      END_STATE();
    case 522:
      if (lookahead == 'W') ADVANCE(1270);
      END_STATE();
    case 523:
      if (lookahead == '[') ADVANCE(2238);
      END_STATE();
    case 524:
      if (lookahead == '_') ADVANCE(524);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '@' < lookahead) &&
          (lookahead < '[' || '`' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(2243);
      END_STATE();
    case 525:
      ADVANCE_MAP(
        'a', 808,
        'b', 1745,
        'c', 285,
        'e', 1394,
        'f', 326,
        'g', 1807,
        'l', 933,
        'm', 193,
        'n', 881,
        'o', 1134,
        'p', 198,
        'r', 1241,
        's', 793,
        't', 1288,
        'u', 1460,
        'w', 829,
      );
      END_STATE();
    case 526:
      ADVANCE_MAP(
        'a', 808,
        'c', 286,
        'e', 757,
        'f', 2163,
        'g', 1807,
        'i', 283,
        'j', 1400,
        'm', 534,
        'n', 235,
        'o', 754,
        'p', 1806,
        'q', 2062,
        's', 786,
        't', 291,
        'u', 1343,
      );
      END_STATE();
    case 527:
      ADVANCE_MAP(
        'a', 800,
        'c', 2135,
        'e', 835,
        'f', 1746,
        'o', 1676,
        'r', 931,
        's', 774,
        'u', 1471,
      );
      END_STATE();
    case 528:
      if (lookahead == 'a') ADVANCE(148);
      END_STATE();
    case 529:
      if (lookahead == 'a') ADVANCE(326);
      END_STATE();
    case 530:
      if (lookahead == 'a') ADVANCE(1735);
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'h') ADVANCE(148);
      if (lookahead == 'i') ADVANCE(1465);
      if (lookahead == 'q') ADVANCE(715);
      if (lookahead == 't') ADVANCE(1817);
      END_STATE();
    case 531:
      if (lookahead == 'a') ADVANCE(1735);
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'h') ADVANCE(148);
      if (lookahead == 'q') ADVANCE(715);
      END_STATE();
    case 532:
      ADVANCE_MAP(
        'a', 819,
        'c', 557,
        'd', 1594,
        'e', 903,
        'f', 1746,
        'h', 752,
        'i', 1750,
        'l', 2052,
        'o', 1448,
        'r', 588,
        's', 796,
        't', 872,
        'u', 920,
        'w', 829,
        'y', 1391,
      );
      END_STATE();
    case 533:
      if (lookahead == 'a') ADVANCE(2109);
      END_STATE();
    case 534:
      if (lookahead == 'a') ADVANCE(779);
      if (lookahead == 'o') ADVANCE(1092);
      if (lookahead == 'p') ADVANCE(921);
      END_STATE();
    case 535:
      if (lookahead == 'a') ADVANCE(1408);
      if (lookahead == 'e') ADVANCE(1721);
      if (lookahead == 'i') ADVANCE(879);
      if (lookahead == 't') ADVANCE(257);
      END_STATE();
    case 536:
      if (lookahead == 'a') ADVANCE(363);
      END_STATE();
    case 537:
      if (lookahead == 'a') ADVANCE(774);
      END_STATE();
    case 538:
      if (lookahead == 'a') ADVANCE(774);
      if (lookahead == 'e') ADVANCE(1127);
      if (lookahead == 'i') ADVANCE(841);
      END_STATE();
    case 539:
      if (lookahead == 'a') ADVANCE(774);
      if (lookahead == 'e') ADVANCE(1127);
      if (lookahead == 'i') ADVANCE(840);
      END_STATE();
    case 540:
      if (lookahead == 'a') ADVANCE(774);
      if (lookahead == 'p') ADVANCE(1981);
      END_STATE();
    case 541:
      if (lookahead == 'a') ADVANCE(774);
      if (lookahead == 'p') ADVANCE(1989);
      if (lookahead == 's') ADVANCE(1686);
      END_STATE();
    case 542:
      if (lookahead == 'a') ADVANCE(1746);
      END_STATE();
    case 543:
      if (lookahead == 'a') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1794);
      if (lookahead == 'l') ADVANCE(2061);
      END_STATE();
    case 544:
      if (lookahead == 'a') ADVANCE(1746);
      if (lookahead == 'f') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(2061);
      END_STATE();
    case 545:
      if (lookahead == 'a') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(624);
      END_STATE();
    case 546:
      ADVANCE_MAP(
        'a', 810,
        'b', 1768,
        'c', 1266,
        'd', 748,
        'f', 1746,
        'g', 1807,
        'm', 537,
        'n', 891,
        'o', 1134,
        'p', 407,
        'r', 1256,
        's', 774,
        't', 1314,
        'u', 1460,
      );
      END_STATE();
    case 547:
      if (lookahead == 'a') ADVANCE(1512);
      END_STATE();
    case 548:
      if (lookahead == 'a') ADVANCE(354);
      END_STATE();
    case 549:
      ADVANCE_MAP(
        'a', 1871,
        'b', 1800,
        'c', 609,
        'd', 1594,
        'e', 1449,
        'f', 1746,
        'h', 963,
        'i', 1437,
        'o', 954,
        'p', 1816,
        'r', 661,
        's', 765,
        'w', 1223,
      );
      END_STATE();
    case 550:
      ADVANCE_MAP(
        'a', 1522,
        'b', 1800,
        'n', 1125,
        'o', 1722,
        'p', 544,
        't', 1300,
        'w', 592,
        'z', 265,
      );
      END_STATE();
    case 551:
      if (lookahead == 'a') ADVANCE(1522);
      if (lookahead == 'b') ADVANCE(1800);
      if (lookahead == 'p') ADVANCE(544);
      if (lookahead == 't') ADVANCE(1300);
      END_STATE();
    case 552:
      if (lookahead == 'a') ADVANCE(1954);
      END_STATE();
    case 553:
      if (lookahead == 'a') ADVANCE(1954);
      if (lookahead == 'l') ADVANCE(1248);
      if (lookahead == 't') ADVANCE(1528);
      END_STATE();
    case 554:
      if (lookahead == 'a') ADVANCE(863);
      if (lookahead == 'f') ADVANCE(1103);
      END_STATE();
    case 555:
      if (lookahead == 'a') ADVANCE(830);
      if (lookahead == 'k') ADVANCE(140);
      if (lookahead == 'o') ADVANCE(823);
      END_STATE();
    case 556:
      if (lookahead == 'a') ADVANCE(239);
      END_STATE();
    case 557:
      if (lookahead == 'a') ADVANCE(1698);
      if (lookahead == 'e') ADVANCE(902);
      if (lookahead == 'i') ADVANCE(1813);
      if (lookahead == 'u') ADVANCE(1706);
      END_STATE();
    case 558:
      if (lookahead == 'a') ADVANCE(914);
      END_STATE();
    case 559:
      if (lookahead == 'a') ADVANCE(334);
      END_STATE();
    case 560:
      if (lookahead == 'a') ADVANCE(2107);
      END_STATE();
    case 561:
      if (lookahead == 'a') ADVANCE(770);
      if (lookahead == 'o') ADVANCE(2123);
      END_STATE();
    case 562:
      if (lookahead == 'a') ADVANCE(1674);
      if (lookahead == 'e') ADVANCE(917);
      if (lookahead == 'o') ADVANCE(1535);
      if (lookahead == 'u') ADVANCE(1673);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 563:
      if (lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 564:
      ADVANCE_MAP(
        'a', 769,
        'c', 1287,
        'e', 305,
        'f', 1746,
        'i', 750,
        'o', 1676,
        's', 774,
        'u', 756,
      );
      END_STATE();
    case 565:
      ADVANCE_MAP(
        'a', 1796,
        'c', 2135,
        'f', 1746,
        'h', 1219,
        'i', 148,
        'l', 2056,
        'o', 1284,
        'r', 258,
        's', 783,
      );
      END_STATE();
    case 566:
      if (lookahead == 'a') ADVANCE(1697);
      END_STATE();
    case 567:
      if (lookahead == 'a') ADVANCE(1709);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'e') ADVANCE(1730);
      if (lookahead == 'l') ADVANCE(968);
      if (lookahead == 's') ADVANCE(1251);
      END_STATE();
    case 568:
      if (lookahead == 'a') ADVANCE(1673);
      END_STATE();
    case 569:
      ADVANCE_MAP(
        'a', 1673,
        'c', 2135,
        'e', 898,
        'f', 1746,
        'i', 1552,
        'o', 1676,
        's', 774,
        'u', 148,
      );
      END_STATE();
    case 570:
      if (lookahead == 'a') ADVANCE(1673);
      if (lookahead == 'i') ADVANCE(1813);
      if (lookahead == 'u') ADVANCE(1673);
      END_STATE();
    case 571:
      if (lookahead == 'a') ADVANCE(1673);
      if (lookahead == 's') ADVANCE(1251);
      END_STATE();
    case 572:
      if (lookahead == 'a') ADVANCE(1673);
      if (lookahead == 'u') ADVANCE(1673);
      END_STATE();
    case 573:
      if (lookahead == 'a') ADVANCE(1116);
      END_STATE();
    case 574:
      ADVANCE_MAP(
        'a', 1456,
        'c', 2135,
        'e', 1486,
        'f', 1281,
        'i', 1400,
        'j', 1400,
        'l', 553,
        'n', 1586,
        'o', 1677,
        'p', 664,
        'r', 561,
        's', 774,
      );
      END_STATE();
    case 575:
      if (lookahead == 'a') ADVANCE(1920);
      END_STATE();
    case 576:
      if (lookahead == 'a') ADVANCE(1920);
      if (lookahead == 'b') ADVANCE(1434);
      if (lookahead == 'i') ADVANCE(2104);
      if (lookahead == 'o') ADVANCE(1954);
      if (lookahead == 's') ADVANCE(1636);
      END_STATE();
    case 577:
      if (lookahead == 'a') ADVANCE(1335);
      END_STATE();
    case 578:
      if (lookahead == 'a') ADVANCE(1923);
      END_STATE();
    case 579:
      if (lookahead == 'a') ADVANCE(1765);
      END_STATE();
    case 580:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'b') ADVANCE(1800);
      if (lookahead == 'r') ADVANCE(614);
      END_STATE();
    case 581:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'b') ADVANCE(1434);
      if (lookahead == 'h') ADVANCE(542);
      END_STATE();
    case 582:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'c') ADVANCE(1230);
      if (lookahead == 'i') ADVANCE(1534);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 583:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'c') ADVANCE(1645);
      if (lookahead == 'h') ADVANCE(645);
      if (lookahead == 'm') ADVANCE(148);
      if (lookahead == 't') ADVANCE(1781);
      END_STATE();
    case 584:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'h') ADVANCE(542);
      END_STATE();
    case 585:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'h') ADVANCE(542);
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 586:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'm') ADVANCE(293);
      END_STATE();
    case 587:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'm') ADVANCE(1996);
      if (lookahead == 'o') ADVANCE(1338);
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 'r') ADVANCE(721);
      END_STATE();
    case 588:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'o') ADVANCE(1925);
      END_STATE();
    case 589:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'r') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(675);
      END_STATE();
    case 590:
      if (lookahead == 'a') ADVANCE(1463);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'g') ADVANCE(657);
      if (lookahead == 's') ADVANCE(1263);
      if (lookahead == 'v') ADVANCE(284);
      END_STATE();
    case 591:
      if (lookahead == 'a') ADVANCE(2146);
      END_STATE();
    case 592:
      if (lookahead == 'a') ADVANCE(1910);
      if (lookahead == 'b') ADVANCE(542);
      END_STATE();
    case 593:
      if (lookahead == 'a') ADVANCE(1910);
      if (lookahead == 'c') ADVANCE(1285);
      if (lookahead == 'd') ADVANCE(575);
      if (lookahead == 'R' ||
          lookahead == 'S') ADVANCE(148);
      END_STATE();
    case 594:
      if (lookahead == 'a') ADVANCE(1533);
      END_STATE();
    case 595:
      if (lookahead == 'a') ADVANCE(1993);
      END_STATE();
    case 596:
      if (lookahead == 'a') ADVANCE(1354);
      END_STATE();
    case 597:
      ADVANCE_MAP(
        'a', 1752,
        'c', 2135,
        'e', 1753,
        'f', 1746,
        'h', 1233,
        'i', 348,
        'l', 613,
        'm', 148,
        'o', 1294,
        'r', 164,
        's', 783,
        'u', 1532,
      );
      END_STATE();
    case 598:
      if (lookahead == 'a') ADVANCE(1987);
      if (lookahead == 'e') ADVANCE(1934);
      if (lookahead == 'o') ADVANCE(342);
      END_STATE();
    case 599:
      if (lookahead == 'a') ADVANCE(1178);
      END_STATE();
    case 600:
      if (lookahead == 'a') ADVANCE(1352);
      END_STATE();
    case 601:
      if (lookahead == 'a') ADVANCE(1377);
      if (lookahead == 'l') ADVANCE(1268);
      if (lookahead == 's') ADVANCE(2081);
      END_STATE();
    case 602:
      if (lookahead == 'a') ADVANCE(1800);
      END_STATE();
    case 603:
      if (lookahead == 'a') ADVANCE(1913);
      END_STATE();
    case 604:
      if (lookahead == 'a') ADVANCE(1500);
      END_STATE();
    case 605:
      if (lookahead == 'a') ADVANCE(758);
      END_STATE();
    case 606:
      if (lookahead == 'a') ADVANCE(1534);
      END_STATE();
    case 607:
      if (lookahead == 'a') ADVANCE(1799);
      if (lookahead == 'e') ADVANCE(918);
      if (lookahead == 'u') ADVANCE(714);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 608:
      if (lookahead == 'a') ADVANCE(1799);
      if (lookahead == 'e') ADVANCE(902);
      if (lookahead == 'i') ADVANCE(1813);
      if (lookahead == 'o') ADVANCE(1562);
      END_STATE();
    case 609:
      if (lookahead == 'a') ADVANCE(1799);
      if (lookahead == 'e') ADVANCE(917);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 610:
      if (lookahead == 'a') ADVANCE(1799);
      if (lookahead == 'i') ADVANCE(1776);
      if (lookahead == 'o') ADVANCE(1384);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 611:
      if (lookahead == 'a') ADVANCE(1799);
      if (lookahead == 'i') ADVANCE(1776);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 612:
      if (lookahead == 'a') ADVANCE(1799);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 613:
      if (lookahead == 'a') ADVANCE(1506);
      if (lookahead == 'u') ADVANCE(1904);
      END_STATE();
    case 614:
      if (lookahead == 'a') ADVANCE(772);
      if (lookahead == 'k') ADVANCE(926);
      END_STATE();
    case 615:
      if (lookahead == 'a') ADVANCE(1695);
      if (lookahead == 'u') ADVANCE(1695);
      END_STATE();
    case 616:
      if (lookahead == 'a') ADVANCE(883);
      END_STATE();
    case 617:
      if (lookahead == 'a') ADVANCE(1371);
      END_STATE();
    case 618:
      if (lookahead == 'a') ADVANCE(1371);
      if (lookahead == 'i') ADVANCE(1416);
      END_STATE();
    case 619:
      if (lookahead == 'a') ADVANCE(1755);
      END_STATE();
    case 620:
      if (lookahead == 'a') ADVANCE(1755);
      if (lookahead == 'b') ADVANCE(1385);
      END_STATE();
    case 621:
      if (lookahead == 'a') ADVANCE(1390);
      END_STATE();
    case 622:
      if (lookahead == 'a') ADVANCE(1390);
      if (lookahead == 'e') ADVANCE(1910);
      if (lookahead == 'i') ADVANCE(2106);
      END_STATE();
    case 623:
      if (lookahead == 'a') ADVANCE(1790);
      if (lookahead == 'l') ADVANCE(2061);
      if (lookahead == 's') ADVANCE(1226);
      END_STATE();
    case 624:
      if (lookahead == 'a') ADVANCE(773);
      END_STATE();
    case 625:
      if (lookahead == 'a') ADVANCE(1785);
      if (lookahead == 'b') ADVANCE(1385);
      END_STATE();
    case 626:
      if (lookahead == 'a') ADVANCE(1785);
      if (lookahead == 'o') ADVANCE(354);
      END_STATE();
    case 627:
      if (lookahead == 'a') ADVANCE(1717);
      END_STATE();
    case 628:
      if (lookahead == 'a') ADVANCE(858);
      END_STATE();
    case 629:
      if (lookahead == 'a') ADVANCE(1783);
      END_STATE();
    case 630:
      if (lookahead == 'a') ADVANCE(1383);
      END_STATE();
    case 631:
      if (lookahead == 'a') ADVANCE(1775);
      if (lookahead == 'o') ADVANCE(1450);
      if (lookahead == 'r') ADVANCE(233);
      END_STATE();
    case 632:
      if (lookahead == 'a') ADVANCE(1381);
      END_STATE();
    case 633:
      if (lookahead == 'a') ADVANCE(1770);
      if (lookahead == 'p') ADVANCE(1669);
      END_STATE();
    case 634:
      if (lookahead == 'a') ADVANCE(1756);
      if (lookahead == 'r') ADVANCE(705);
      END_STATE();
    case 635:
      if (lookahead == 'a') ADVANCE(1361);
      END_STATE();
    case 636:
      if (lookahead == 'a') ADVANCE(1769);
      END_STATE();
    case 637:
      if (lookahead == 'a') ADVANCE(1369);
      END_STATE();
    case 638:
      if (lookahead == 'a') ADVANCE(1356);
      END_STATE();
    case 639:
      if (lookahead == 'a') ADVANCE(1362);
      END_STATE();
    case 640:
      if (lookahead == 'a') ADVANCE(1357);
      END_STATE();
    case 641:
      if (lookahead == 'a') ADVANCE(1823);
      END_STATE();
    case 642:
      if (lookahead == 'a') ADVANCE(1375);
      END_STATE();
    case 643:
      if (lookahead == 'a') ADVANCE(1363);
      END_STATE();
    case 644:
      if (lookahead == 'a') ADVANCE(1744);
      END_STATE();
    case 645:
      if (lookahead == 'a') ADVANCE(1773);
      END_STATE();
    case 646:
      if (lookahead == 'a') ADVANCE(1749);
      END_STATE();
    case 647:
      if (lookahead == 'a') ADVANCE(1827);
      END_STATE();
    case 648:
      if (lookahead == 'a') ADVANCE(1771);
      END_STATE();
    case 649:
      if (lookahead == 'a') ADVANCE(2011);
      END_STATE();
    case 650:
      if (lookahead == 'a') ADVANCE(1838);
      END_STATE();
    case 651:
      if (lookahead == 'a') ADVANCE(1811);
      END_STATE();
    case 652:
      if (lookahead == 'a') ADVANCE(1802);
      END_STATE();
    case 653:
      if (lookahead == 'a') ADVANCE(1808);
      END_STATE();
    case 654:
      ADVANCE_MAP(
        'a', 814,
        'b', 1735,
        'c', 194,
        'd', 1623,
        'e', 401,
        'f', 1766,
        'h', 209,
        'i', 1155,
        'l', 579,
        'm', 535,
        'o', 1100,
        'p', 558,
        'q', 802,
        'r', 579,
        's', 777,
        't', 634,
        'u', 717,
        'w', 402,
        'z', 1394,
      );
      END_STATE();
    case 655:
      ADVANCE_MAP(
        'a', 814,
        'c', 612,
        'd', 1594,
        'e', 1059,
        'f', 1746,
        'h', 750,
        'i', 1149,
        'o', 1676,
        's', 774,
        'w', 1334,
      );
      END_STATE();
    case 656:
      if (lookahead == 'a') ADVANCE(1406);
      END_STATE();
    case 657:
      if (lookahead == 'a') ADVANCE(1475);
      END_STATE();
    case 658:
      if (lookahead == 'a') ADVANCE(1932);
      END_STATE();
    case 659:
      ADVANCE_MAP(
        'a', 1701,
        'c', 977,
        'f', 1746,
        'g', 1810,
        'h', 750,
        'j', 750,
        'o', 1676,
        's', 774,
      );
      END_STATE();
    case 660:
      if (lookahead == 'a') ADVANCE(852);
      END_STATE();
    case 661:
      if (lookahead == 'a') ADVANCE(899);
      if (lookahead == 'i') ADVANCE(706);
      if (lookahead == 'p') ADVANCE(961);
      END_STATE();
    case 662:
      if (lookahead == 'a') ADVANCE(1859);
      END_STATE();
    case 663:
      if (lookahead == 'a') ADVANCE(2008);
      END_STATE();
    case 664:
      if (lookahead == 'a') ADVANCE(1826);
      END_STATE();
    case 665:
      if (lookahead == 'a') ADVANCE(1708);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'e') ADVANCE(1731);
      if (lookahead == 'g') ADVANCE(1974);
      if (lookahead == 's') ADVANCE(1251);
      END_STATE();
    case 666:
      if (lookahead == 'a') ADVANCE(1708);
      if (lookahead == 'e') ADVANCE(1734);
      if (lookahead == 's') ADVANCE(1251);
      END_STATE();
    case 667:
      if (lookahead == 'a') ADVANCE(1708);
      if (lookahead == 's') ADVANCE(1251);
      END_STATE();
    case 668:
      if (lookahead == 'a') ADVANCE(838);
      END_STATE();
    case 669:
      if (lookahead == 'a') ADVANCE(1860);
      if (lookahead == 'l') ADVANCE(2137);
      if (lookahead == 'r') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(1079);
      END_STATE();
    case 670:
      if (lookahead == 'a') ADVANCE(1545);
      END_STATE();
    case 671:
      if (lookahead == 'a') ADVANCE(1396);
      if (lookahead == 'k') ADVANCE(354);
      END_STATE();
    case 672:
      if (lookahead == 'a') ADVANCE(2018);
      END_STATE();
    case 673:
      if (lookahead == 'a') ADVANCE(1872);
      if (lookahead == 'l') ADVANCE(1411);
      if (lookahead == 'r') ADVANCE(822);
      END_STATE();
    case 674:
      if (lookahead == 'a') ADVANCE(1822);
      END_STATE();
    case 675:
      if (lookahead == 'a') ADVANCE(1259);
      END_STATE();
    case 676:
      if (lookahead == 'a') ADVANCE(1259);
      if (lookahead == 'i') ADVANCE(1596);
      END_STATE();
    case 677:
      if (lookahead == 'a') ADVANCE(2072);
      END_STATE();
    case 678:
      if (lookahead == 'a') ADVANCE(1418);
      END_STATE();
    case 679:
      if (lookahead == 'a') ADVANCE(1863);
      END_STATE();
    case 680:
      if (lookahead == 'a') ADVANCE(2074);
      END_STATE();
    case 681:
      if (lookahead == 'a') ADVANCE(2026);
      END_STATE();
    case 682:
      if (lookahead == 'a') ADVANCE(1546);
      END_STATE();
    case 683:
      if (lookahead == 'a') ADVANCE(1865);
      END_STATE();
    case 684:
      if (lookahead == 'a') ADVANCE(1403);
      END_STATE();
    case 685:
      if (lookahead == 'a') ADVANCE(1855);
      END_STATE();
    case 686:
      if (lookahead == 'a') ADVANCE(1814);
      END_STATE();
    case 687:
      if (lookahead == 'a') ADVANCE(1861);
      END_STATE();
    case 688:
      if (lookahead == 'a') ADVANCE(1862);
      END_STATE();
    case 689:
      if (lookahead == 'a') ADVANCE(1453);
      END_STATE();
    case 690:
      if (lookahead == 'a') ADVANCE(1877);
      END_STATE();
    case 691:
      if (lookahead == 'a') ADVANCE(1877);
      if (lookahead == 'd') ADVANCE(1655);
      if (lookahead == 'h') ADVANCE(647);
      if (lookahead == 'l') ADVANCE(2061);
      if (lookahead == 's') ADVANCE(1228);
      if (lookahead == 'u') ADVANCE(1727);
      END_STATE();
    case 692:
      if (lookahead == 'a') ADVANCE(1877);
      if (lookahead == 'd') ADVANCE(1671);
      if (lookahead == 'h') ADVANCE(647);
      END_STATE();
    case 693:
      if (lookahead == 'a') ADVANCE(1877);
      if (lookahead == 'r') ADVANCE(1313);
      END_STATE();
    case 694:
      if (lookahead == 'a') ADVANCE(1888);
      END_STATE();
    case 695:
      if (lookahead == 'a') ADVANCE(2034);
      END_STATE();
    case 696:
      if (lookahead == 'a') ADVANCE(1882);
      if (lookahead == 'h') ADVANCE(707);
      if (lookahead == 'l') ADVANCE(1071);
      if (lookahead == 'r') ADVANCE(1328);
      if (lookahead == 's') ADVANCE(1738);
      if (lookahead == 't') ADVANCE(1216);
      END_STATE();
    case 697:
      if (lookahead == 'a') ADVANCE(1882);
      if (lookahead == 'h') ADVANCE(707);
      if (lookahead == 'l') ADVANCE(1091);
      if (lookahead == 'r') ADVANCE(1322);
      if (lookahead == 't') ADVANCE(1216);
      END_STATE();
    case 698:
      if (lookahead == 'a') ADVANCE(2036);
      END_STATE();
    case 699:
      if (lookahead == 'a') ADVANCE(1883);
      END_STATE();
    case 700:
      if (lookahead == 'a') ADVANCE(1883);
      if (lookahead == 'd') ADVANCE(593);
      END_STATE();
    case 701:
      if (lookahead == 'a') ADVANCE(1884);
      END_STATE();
    case 702:
      if (lookahead == 'a') ADVANCE(1884);
      if (lookahead == 'h') ADVANCE(709);
      END_STATE();
    case 703:
      if (lookahead == 'a') ADVANCE(2038);
      END_STATE();
    case 704:
      if (lookahead == 'a') ADVANCE(1885);
      if (lookahead == 'h') ADVANCE(709);
      if (lookahead == 's') ADVANCE(1738);
      END_STATE();
    case 705:
      if (lookahead == 'a') ADVANCE(1318);
      if (lookahead == 'n') ADVANCE(1899);
      END_STATE();
    case 706:
      if (lookahead == 'a') ADVANCE(1567);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'm') ADVANCE(1311);
      if (lookahead == 'p') ADVANCE(1444);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(1296);
      END_STATE();
    case 707:
      if (lookahead == 'a') ADVANCE(1890);
      END_STATE();
    case 708:
      if (lookahead == 'a') ADVANCE(1574);
      END_STATE();
    case 709:
      if (lookahead == 'a') ADVANCE(1892);
      END_STATE();
    case 710:
      if (lookahead == 'a') ADVANCE(1575);
      END_STATE();
    case 711:
      if (lookahead == 'a') ADVANCE(1577);
      END_STATE();
    case 712:
      if (lookahead == 'a') ADVANCE(1578);
      END_STATE();
    case 713:
      if (lookahead == 'a') ADVANCE(1579);
      END_STATE();
    case 714:
      if (lookahead == 'b') ADVANCE(148);
      END_STATE();
    case 715:
      if (lookahead == 'b') ADVANCE(148);
      if (lookahead == 'u') ADVANCE(1585);
      END_STATE();
    case 716:
      if (lookahead == 'b') ADVANCE(339);
      if (lookahead == 'c') ADVANCE(860);
      if (lookahead == 'm') ADVANCE(148);
      if (lookahead == 'p') ADVANCE(266);
      END_STATE();
    case 717:
      if (lookahead == 'b') ADVANCE(165);
      if (lookahead == 'c') ADVANCE(771);
      if (lookahead == 'm') ADVANCE(148);
      if (lookahead == 'n') ADVANCE(1116);
      if (lookahead == 'p') ADVANCE(241);
      END_STATE();
    case 718:
      if (lookahead == 'b') ADVANCE(340);
      if (lookahead == 'c') ADVANCE(827);
      if (lookahead == 'p') ADVANCE(340);
      END_STATE();
    case 719:
      if (lookahead == 'b') ADVANCE(239);
      END_STATE();
    case 720:
      if (lookahead == 'b') ADVANCE(248);
      if (lookahead == 'p') ADVANCE(248);
      END_STATE();
    case 721:
      if (lookahead == 'b') ADVANCE(542);
      END_STATE();
    case 722:
      if (lookahead == 'b') ADVANCE(542);
      if (lookahead == 'g') ADVANCE(965);
      END_STATE();
    case 723:
      if (lookahead == 'b') ADVANCE(542);
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 724:
      if (lookahead == 'b') ADVANCE(542);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 725:
      if (lookahead == 'b') ADVANCE(542);
      if (lookahead == 't') ADVANCE(289);
      if (lookahead == 'y') ADVANCE(515);
      END_STATE();
    case 726:
      if (lookahead == 'b') ADVANCE(1350);
      if (lookahead == 'c') ADVANCE(1644);
      END_STATE();
    case 727:
      if (lookahead == 'b') ADVANCE(246);
      if (lookahead == 'p') ADVANCE(246);
      END_STATE();
    case 728:
      if (lookahead == 'b') ADVANCE(2090);
      if (lookahead == 'p') ADVANCE(1211);
      END_STATE();
    case 729:
      if (lookahead == 'b') ADVANCE(887);
      END_STATE();
    case 730:
      if (lookahead == 'b') ADVANCE(1800);
      END_STATE();
    case 731:
      if (lookahead == 'b') ADVANCE(922);
      if (lookahead == 'p') ADVANCE(922);
      END_STATE();
    case 732:
      if (lookahead == 'b') ADVANCE(1364);
      if (lookahead == 'c') ADVANCE(2091);
      if (lookahead == 'n') ADVANCE(1116);
      if (lookahead == 'p') ADVANCE(168);
      if (lookahead == 't') ADVANCE(2080);
      END_STATE();
    case 733:
      if (lookahead == 'b') ADVANCE(1905);
      END_STATE();
    case 734:
      if (lookahead == 'b') ADVANCE(529);
      END_STATE();
    case 735:
      if (lookahead == 'b') ADVANCE(1074);
      END_STATE();
    case 736:
      if (lookahead == 'b') ADVANCE(1507);
      if (lookahead == 'p') ADVANCE(1507);
      END_STATE();
    case 737:
      if (lookahead == 'b') ADVANCE(1949);
      if (lookahead == 'c') ADVANCE(859);
      if (lookahead == 'p') ADVANCE(1026);
      END_STATE();
    case 738:
      if (lookahead == 'b') ADVANCE(1949);
      if (lookahead == 'p') ADVANCE(1026);
      END_STATE();
    case 739:
      if (lookahead == 'b') ADVANCE(1420);
      END_STATE();
    case 740:
      if (lookahead == 'b') ADVANCE(1423);
      END_STATE();
    case 741:
      if (lookahead == 'b') ADVANCE(1866);
      END_STATE();
    case 742:
      if (lookahead == 'b') ADVANCE(1426);
      END_STATE();
    case 743:
      if (lookahead == 'b') ADVANCE(1427);
      END_STATE();
    case 744:
      if (lookahead == 'b') ADVANCE(1441);
      END_STATE();
    case 745:
      if (lookahead == 'b') ADVANCE(653);
      END_STATE();
    case 746:
      if (lookahead == 'b') ADVANCE(1432);
      END_STATE();
    case 747:
      if (lookahead == 'b') ADVANCE(1433);
      END_STATE();
    case 748:
      if (lookahead == 'b') ADVANCE(1434);
      END_STATE();
    case 749:
      if (lookahead == 'b') ADVANCE(1952);
      if (lookahead == 'p') ADVANCE(1952);
      END_STATE();
    case 750:
      if (lookahead == 'c') ADVANCE(2135);
      END_STATE();
    case 751:
      if (lookahead == 'c') ADVANCE(2135);
      if (lookahead == 'e') ADVANCE(2109);
      END_STATE();
    case 752:
      if (lookahead == 'c') ADVANCE(2135);
      if (lookahead == 'e') ADVANCE(832);
      if (lookahead == 'i') ADVANCE(148);
      END_STATE();
    case 753:
      if (lookahead == 'c') ADVANCE(2135);
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1445);
      if (lookahead == 'o') ADVANCE(1678);
      if (lookahead == 's') ADVANCE(774);
      END_STATE();
    case 754:
      if (lookahead == 'c') ADVANCE(2135);
      if (lookahead == 'g') ADVANCE(1625);
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 755:
      if (lookahead == 'c') ADVANCE(2135);
      if (lookahead == 'i') ADVANCE(1149);
      END_STATE();
    case 756:
      if (lookahead == 'c') ADVANCE(2135);
      if (lookahead == 'm') ADVANCE(293);
      END_STATE();
    case 757:
      if (lookahead == 'c') ADVANCE(2135);
      if (lookahead == 'x') ADVANCE(761);
      END_STATE();
    case 758:
      if (lookahead == 'c') ADVANCE(148);
      END_STATE();
    case 759:
      if (lookahead == 'c') ADVANCE(148);
      if (lookahead == 'i') ADVANCE(1746);
      END_STATE();
    case 760:
      if (lookahead == 'c') ADVANCE(326);
      if (lookahead == 'l') ADVANCE(927);
      if (lookahead == 'p') ADVANCE(337);
      if (lookahead == 'r') ADVANCE(1347);
      END_STATE();
    case 761:
      if (lookahead == 'c') ADVANCE(293);
      END_STATE();
    case 762:
      ADVANCE_MAP(
        'c', 570,
        'd', 2012,
        'f', 1746,
        'h', 399,
        'i', 148,
        'l', 399,
        'm', 568,
        'n', 1255,
        'o', 874,
        'r', 399,
        's', 791,
        'u', 1705,
        'v', 999,
        'w', 962,
      );
      END_STATE();
    case 763:
      if (lookahead == 'c') ADVANCE(570);
      if (lookahead == 'o') ADVANCE(875);
      if (lookahead == 's') ADVANCE(1740);
      if (lookahead == 't') ADVANCE(1896);
      if (lookahead == 'u') ADVANCE(1704);
      if (lookahead == 'v') ADVANCE(999);
      if (lookahead == 'w') ADVANCE(962);
      END_STATE();
    case 764:
      if (lookahead == 'c') ADVANCE(1644);
      END_STATE();
    case 765:
      if (lookahead == 'c') ADVANCE(2166);
      if (lookahead == 'h') ADVANCE(750);
      if (lookahead == 't') ADVANCE(1817);
      END_STATE();
    case 766:
      if (lookahead == 'c') ADVANCE(2166);
      if (lookahead == 'o') ADVANCE(1354);
      if (lookahead == 't') ADVANCE(1817);
      END_STATE();
    case 767:
      if (lookahead == 'c') ADVANCE(234);
      if (lookahead == 'h') ADVANCE(1662);
      if (lookahead == 'i') ADVANCE(1476);
      if (lookahead == 'm') ADVANCE(1218);
      if (lookahead == 'p') ADVANCE(542);
      if (lookahead == 'q') ADVANCE(1933);
      if (lookahead == 'u') ADVANCE(718);
      END_STATE();
    case 768:
      if (lookahead == 'c') ADVANCE(928);
      if (lookahead == 'd') ADVANCE(1265);
      if (lookahead == 'e') ADVANCE(1477);
      if (lookahead == 'n') ADVANCE(1126);
      if (lookahead == 'q') ADVANCE(2050);
      if (lookahead == 'r') ADVANCE(1759);
      if (lookahead == 't') ADVANCE(676);
      END_STATE();
    case 769:
      if (lookahead == 'c') ADVANCE(2059);
      END_STATE();
    case 770:
      if (lookahead == 'c') ADVANCE(142);
      if (lookahead == 's') ADVANCE(1354);
      END_STATE();
    case 771:
      if (lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 772:
      if (lookahead == 'c') ADVANCE(2161);
      END_STATE();
    case 773:
      if (lookahead == 'c') ADVANCE(923);
      END_STATE();
    case 774:
      if (lookahead == 'c') ADVANCE(1746);
      END_STATE();
    case 775:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'i') ADVANCE(1459);
      END_STATE();
    case 776:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1468);
      if (lookahead == 'i') ADVANCE(1469);
      if (lookahead == 'o') ADVANCE(1358);
      END_STATE();
    case 777:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(2002);
      if (lookahead == 'm') ADVANCE(1308);
      if (lookahead == 't') ADVANCE(646);
      END_STATE();
    case 778:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1779);
      END_STATE();
    case 779:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'g') ADVANCE(924);
      if (lookahead == 't') ADVANCE(1179);
      END_STATE();
    case 780:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'g') ADVANCE(1278);
      END_STATE();
    case 781:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'h') ADVANCE(148);
      END_STATE();
    case 782:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'h') ADVANCE(148);
      if (lookahead == 't') ADVANCE(1817);
      END_STATE();
    case 783:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(148);
      END_STATE();
    case 784:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1459);
      END_STATE();
    case 785:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1464);
      END_STATE();
    case 786:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1505);
      END_STATE();
    case 787:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(575);
      if (lookahead == 't') ADVANCE(1817);
      END_STATE();
    case 788:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(1116);
      END_STATE();
    case 789:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(603);
      END_STATE();
    case 790:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(603);
      if (lookahead == 'o') ADVANCE(1354);
      END_STATE();
    case 791:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'q') ADVANCE(843);
      END_STATE();
    case 792:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1261);
      END_STATE();
    case 793:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(148);
      if (lookahead == 'y') ADVANCE(1484);
      END_STATE();
    case 794:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1714);
      END_STATE();
    case 795:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1817);
      END_STATE();
    case 796:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(727);
      END_STATE();
    case 797:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(736);
      END_STATE();
    case 798:
      if (lookahead == 'c') ADVANCE(528);
      if (lookahead == 'l') ADVANCE(908);
      if (lookahead == 'q') ADVANCE(2070);
      if (lookahead == 's') ADVANCE(1179);
      END_STATE();
    case 799:
      if (lookahead == 'c') ADVANCE(528);
      if (lookahead == 'q') ADVANCE(2070);
      if (lookahead == 'r') ADVANCE(909);
      if (lookahead == 's') ADVANCE(1179);
      END_STATE();
    case 800:
      if (lookahead == 'c') ADVANCE(1346);
      if (lookahead == 'r') ADVANCE(2105);
      END_STATE();
    case 801:
      if (lookahead == 'c') ADVANCE(1512);
      if (lookahead == 'i') ADVANCE(1583);
      if (lookahead == 'm') ADVANCE(1259);
      if (lookahead == 'p') ADVANCE(148);
      if (lookahead == 't') ADVANCE(1015);
      END_STATE();
    case 802:
      if (lookahead == 'c') ADVANCE(615);
      if (lookahead == 's') ADVANCE(2051);
      if (lookahead == 'u') ADVANCE(211);
      END_STATE();
    case 803:
      if (lookahead == 'c') ADVANCE(1954);
      END_STATE();
    case 804:
      if (lookahead == 'c') ADVANCE(1337);
      if (lookahead == 'r') ADVANCE(2108);
      END_STATE();
    case 805:
      if (lookahead == 'c') ADVANCE(1286);
      if (lookahead == 's') ADVANCE(1253);
      if (lookahead == 'u') ADVANCE(622);
      if (lookahead == 'v') ADVANCE(1721);
      END_STATE();
    case 806:
      if (lookahead == 'c') ADVANCE(1285);
      if (lookahead == 'e') ADVANCE(882);
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1676);
      if (lookahead == 'p') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(262);
      if (lookahead == 's') ADVANCE(774);
      END_STATE();
    case 807:
      if (lookahead == 'c') ADVANCE(1285);
      if (lookahead == 'e') ADVANCE(911);
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1676);
      if (lookahead == 's') ADVANCE(774);
      END_STATE();
    case 808:
      if (lookahead == 'c') ADVANCE(2058);
      END_STATE();
    case 809:
      if (lookahead == 'c') ADVANCE(2058);
      if (lookahead == 'r') ADVANCE(1746);
      END_STATE();
    case 810:
      if (lookahead == 'c') ADVANCE(2058);
      if (lookahead == 'r') ADVANCE(1782);
      END_STATE();
    case 811:
      if (lookahead == 'c') ADVANCE(2058);
      if (lookahead == 's') ADVANCE(1954);
      END_STATE();
    case 812:
      if (lookahead == 'c') ADVANCE(2058);
      if (lookahead == 's') ADVANCE(2008);
      END_STATE();
    case 813:
      if (lookahead == 'c') ADVANCE(1673);
      if (lookahead == 'd') ADVANCE(1746);
      END_STATE();
    case 814:
      if (lookahead == 'c') ADVANCE(2091);
      END_STATE();
    case 815:
      ADVANCE_MAP(
        'c', 2091,
        'e', 1477,
        'g', 1864,
        'm', 729,
        'n', 1124,
        'p', 148,
        'q', 2050,
        'r', 1757,
        't', 213,
      );
      END_STATE();
    case 816:
      if (lookahead == 'c') ADVANCE(2091);
      if (lookahead == 'm') ADVANCE(729);
      if (lookahead == 'n') ADVANCE(1116);
      if (lookahead == 'p') ADVANCE(1443);
      if (lookahead == 'r') ADVANCE(1746);
      END_STATE();
    case 817:
      if (lookahead == 'c') ADVANCE(2091);
      if (lookahead == 'm') ADVANCE(1487);
      if (lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 818:
      if (lookahead == 'c') ADVANCE(2091);
      if (lookahead == 'n') ADVANCE(1116);
      if (lookahead == 'r') ADVANCE(1792);
      END_STATE();
    case 819:
      if (lookahead == 'c') ADVANCE(2091);
      if (lookahead == 'p') ADVANCE(206);
      if (lookahead == 'r') ADVANCE(958);
      END_STATE();
    case 820:
      if (lookahead == 'c') ADVANCE(2091);
      if (lookahead == 'p') ADVANCE(288);
      if (lookahead == 'y') ADVANCE(1404);
      END_STATE();
    case 821:
      if (lookahead == 'c') ADVANCE(985);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 822:
      if (lookahead == 'c') ADVANCE(1625);
      END_STATE();
    case 823:
      if (lookahead == 'c') ADVANCE(1335);
      END_STATE();
    case 824:
      if (lookahead == 'c') ADVANCE(1344);
      END_STATE();
    case 825:
      if (lookahead == 'c') ADVANCE(1344);
      if (lookahead == 's') ADVANCE(959);
      END_STATE();
    case 826:
      if (lookahead == 'c') ADVANCE(1336);
      if (lookahead == 'n') ADVANCE(510);
      END_STATE();
    case 827:
      if (lookahead == 'c') ADVANCE(255);
      END_STATE();
    case 828:
      if (lookahead == 'c') ADVANCE(1212);
      END_STATE();
    case 829:
      if (lookahead == 'c') ADVANCE(1605);
      if (lookahead == 'i') ADVANCE(1512);
      END_STATE();
    case 830:
      if (lookahead == 'c') ADVANCE(1339);
      if (lookahead == 'n') ADVANCE(1335);
      END_STATE();
    case 831:
      if (lookahead == 'c') ADVANCE(568);
      END_STATE();
    case 832:
      if (lookahead == 'c') ADVANCE(1340);
      END_STATE();
    case 833:
      if (lookahead == 'c') ADVANCE(1354);
      if (lookahead == 'i') ADVANCE(1910);
      if (lookahead == 'p') ADVANCE(1054);
      END_STATE();
    case 834:
      if (lookahead == 'c') ADVANCE(1349);
      if (lookahead == 'n') ADVANCE(1919);
      END_STATE();
    case 835:
      if (lookahead == 'c') ADVANCE(677);
      if (lookahead == 'r') ADVANCE(1537);
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 836:
      if (lookahead == 'c') ADVANCE(1341);
      if (lookahead == 'k') ADVANCE(2104);
      END_STATE();
    case 837:
      if (lookahead == 'c') ADVANCE(758);
      END_STATE();
    case 838:
      if (lookahead == 'c') ADVANCE(922);
      END_STATE();
    case 839:
      if (lookahead == 'c') ADVANCE(1193);
      END_STATE();
    case 840:
      if (lookahead == 'c') ADVANCE(1799);
      END_STATE();
    case 841:
      if (lookahead == 'c') ADVANCE(1799);
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'n') ADVANCE(2061);
      END_STATE();
    case 842:
      if (lookahead == 'c') ADVANCE(1919);
      END_STATE();
    case 843:
      if (lookahead == 'c') ADVANCE(2054);
      END_STATE();
    case 844:
      if (lookahead == 'c') ADVANCE(1953);
      END_STATE();
    case 845:
      if (lookahead == 'c') ADVANCE(596);
      END_STATE();
    case 846:
      if (lookahead == 'c') ADVANCE(1229);
      END_STATE();
    case 847:
      if (lookahead == 'c') ADVANCE(1229);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 848:
      if (lookahead == 'c') ADVANCE(1062);
      END_STATE();
    case 849:
      if (lookahead == 'c') ADVANCE(1788);
      if (lookahead == 'd') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(2069);
      END_STATE();
    case 850:
      if (lookahead == 'c') ADVANCE(2040);
      END_STATE();
    case 851:
      if (lookahead == 'c') ADVANCE(2027);
      END_STATE();
    case 852:
      if (lookahead == 'c') ADVANCE(1058);
      END_STATE();
    case 853:
      if (lookahead == 'c') ADVANCE(2011);
      END_STATE();
    case 854:
      if (lookahead == 'c') ADVANCE(1287);
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'm') ADVANCE(595);
      if (lookahead == 'o') ADVANCE(1676);
      if (lookahead == 's') ADVANCE(778);
      if (lookahead == 'u') ADVANCE(1342);
      END_STATE();
    case 855:
      if (lookahead == 'c') ADVANCE(1287);
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1676);
      if (lookahead == 's') ADVANCE(778);
      if (lookahead == 'u') ADVANCE(1342);
      END_STATE();
    case 856:
      if (lookahead == 'c') ADVANCE(1646);
      if (lookahead == 'i') ADVANCE(1521);
      if (lookahead == 't') ADVANCE(1781);
      END_STATE();
    case 857:
      if (lookahead == 'c') ADVANCE(1646);
      if (lookahead == 't') ADVANCE(1781);
      END_STATE();
    case 858:
      if (lookahead == 'c') ADVANCE(1348);
      END_STATE();
    case 859:
      if (lookahead == 'c') ADVANCE(1028);
      END_STATE();
    case 860:
      if (lookahead == 'c') ADVANCE(1028);
      if (lookahead == 'h') ADVANCE(516);
      END_STATE();
    case 861:
      if (lookahead == 'c') ADVANCE(635);
      END_STATE();
    case 862:
      if (lookahead == 'c') ADVANCE(1419);
      END_STATE();
    case 863:
      if (lookahead == 'c') ADVANCE(1843);
      if (lookahead == 'm') ADVANCE(1631);
      END_STATE();
    case 864:
      if (lookahead == 'c') ADVANCE(639);
      END_STATE();
    case 865:
      if (lookahead == 'c') ADVANCE(2026);
      END_STATE();
    case 866:
      if (lookahead == 'c') ADVANCE(1614);
      if (lookahead == 'e') ADVANCE(1672);
      if (lookahead == 'p') ADVANCE(1816);
      if (lookahead == 's') ADVANCE(1271);
      END_STATE();
    case 867:
      if (lookahead == 'c') ADVANCE(1403);
      END_STATE();
    case 868:
      if (lookahead == 'c') ADVANCE(642);
      END_STATE();
    case 869:
      if (lookahead == 'c') ADVANCE(680);
      if (lookahead == 'm') ADVANCE(1707);
      if (lookahead == 'p') ADVANCE(1914);
      if (lookahead == 'r') ADVANCE(1560);
      if (lookahead == 't') ADVANCE(2122);
      END_STATE();
    case 870:
      if (lookahead == 'c') ADVANCE(687);
      END_STATE();
    case 871:
      if (lookahead == 'c') ADVANCE(1086);
      END_STATE();
    case 872:
      if (lookahead == 'd') ADVANCE(1594);
      END_STATE();
    case 873:
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'i') ADVANCE(1436);
      if (lookahead == 'r') ADVANCE(1225);
      END_STATE();
    case 874:
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'p') ADVANCE(1093);
      if (lookahead == 't') ADVANCE(1296);
      END_STATE();
    case 875:
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'p') ADVANCE(1444);
      if (lookahead == 't') ADVANCE(1300);
      END_STATE();
    case 876:
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'r') ADVANCE(1225);
      END_STATE();
    case 877:
      if (lookahead == 'd') ADVANCE(148);
      END_STATE();
    case 878:
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'f') ADVANCE(601);
      if (lookahead == 'p') ADVANCE(344);
      END_STATE();
    case 879:
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(922);
      END_STATE();
    case 880:
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'u') ADVANCE(293);
      END_STATE();
    case 881:
      if (lookahead == 'd') ADVANCE(207);
      if (lookahead == 'g') ADVANCE(247);
      END_STATE();
    case 882:
      if (lookahead == 'd') ADVANCE(722);
      if (lookahead == 'i') ADVANCE(1017);
      END_STATE();
    case 883:
      if (lookahead == 'd') ADVANCE(1440);
      END_STATE();
    case 884:
      if (lookahead == 'd') ADVANCE(509);
      END_STATE();
    case 885:
      if (lookahead == 'd') ADVANCE(485);
      END_STATE();
    case 886:
      if (lookahead == 'd') ADVANCE(475);
      END_STATE();
    case 887:
      if (lookahead == 'd') ADVANCE(528);
      END_STATE();
    case 888:
      if (lookahead == 'd') ADVANCE(750);
      if (lookahead == 'r') ADVANCE(232);
      END_STATE();
    case 889:
      if (lookahead == 'd') ADVANCE(279);
      END_STATE();
    case 890:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 891:
      if (lookahead == 'd') ADVANCE(1001);
      if (lookahead == 'i') ADVANCE(1629);
      END_STATE();
    case 892:
      if (lookahead == 'd') ADVANCE(246);
      END_STATE();
    case 893:
      if (lookahead == 'd') ADVANCE(575);
      END_STATE();
    case 894:
      if (lookahead == 'd') ADVANCE(594);
      END_STATE();
    case 895:
      if (lookahead == 'd') ADVANCE(341);
      END_STATE();
    case 896:
      if (lookahead == 'd') ADVANCE(259);
      END_STATE();
    case 897:
      if (lookahead == 'd') ADVANCE(1262);
      END_STATE();
    case 898:
      if (lookahead == 'd') ADVANCE(1262);
      if (lookahead == 'l') ADVANCE(1452);
      END_STATE();
    case 899:
      if (lookahead == 'd') ADVANCE(922);
      END_STATE();
    case 900:
      if (lookahead == 'd') ADVANCE(2066);
      END_STATE();
    case 901:
      if (lookahead == 'd') ADVANCE(2066);
      if (lookahead == 'p') ADVANCE(1668);
      END_STATE();
    case 902:
      if (lookahead == 'd') ADVANCE(1220);
      END_STATE();
    case 903:
      if (lookahead == 'd') ADVANCE(1220);
      if (lookahead == 'm') ADVANCE(1707);
      if (lookahead == 'n') ADVANCE(345);
      END_STATE();
    case 904:
      if (lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'u') ADVANCE(1189);
      END_STATE();
    case 905:
      if (lookahead == 'd') ADVANCE(936);
      END_STATE();
    case 906:
      if (lookahead == 'd') ADVANCE(1908);
      END_STATE();
    case 907:
      if (lookahead == 'd') ADVANCE(2001);
      END_STATE();
    case 908:
      if (lookahead == 'd') ADVANCE(1189);
      END_STATE();
    case 909:
      if (lookahead == 'd') ADVANCE(1189);
      if (lookahead == 'u') ADVANCE(1945);
      END_STATE();
    case 910:
      if (lookahead == 'd') ADVANCE(1295);
      if (lookahead == 'n') ADVANCE(2030);
      END_STATE();
    case 911:
      if (lookahead == 'd') ADVANCE(1141);
      END_STATE();
    case 912:
      if (lookahead == 'd') ADVANCE(1587);
      if (lookahead == 'u') ADVANCE(1673);
      END_STATE();
    case 913:
      if (lookahead == 'd') ADVANCE(1006);
      if (lookahead == 'p') ADVANCE(1092);
      END_STATE();
    case 914:
      if (lookahead == 'd') ADVANCE(1002);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 915:
      if (lookahead == 'd') ADVANCE(1019);
      END_STATE();
    case 916:
      if (lookahead == 'd') ADVANCE(1610);
      END_STATE();
    case 917:
      if (lookahead == 'd') ADVANCE(1259);
      END_STATE();
    case 918:
      if (lookahead == 'd') ADVANCE(1259);
      if (lookahead == 'i') ADVANCE(1354);
      END_STATE();
    case 919:
      if (lookahead == 'd') ADVANCE(1021);
      END_STATE();
    case 920:
      if (lookahead == 'd') ADVANCE(641);
      if (lookahead == 'e') ADVANCE(1689);
      if (lookahead == 'l') ADVANCE(662);
      if (lookahead == 'p') ADVANCE(222);
      if (lookahead == 'r') ADVANCE(669);
      if (lookahead == 'v') ADVANCE(999);
      if (lookahead == 'w') ADVANCE(921);
      END_STATE();
    case 921:
      if (lookahead == 'e') ADVANCE(877);
      END_STATE();
    case 922:
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 923:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'k') ADVANCE(957);
      END_STATE();
    case 924:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(1268);
      if (lookahead == 'p') ADVANCE(648);
      END_STATE();
    case 925:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(725);
      END_STATE();
    case 926:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 's') ADVANCE(1360);
      END_STATE();
    case 927:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 't') ADVANCE(264);
      END_STATE();
    case 928:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'u') ADVANCE(2003);
      END_STATE();
    case 929:
      if (lookahead == 'e') ADVANCE(435);
      END_STATE();
    case 930:
      if (lookahead == 'e') ADVANCE(305);
      END_STATE();
    case 931:
      if (lookahead == 'e') ADVANCE(2109);
      END_STATE();
    case 932:
      if (lookahead == 'e') ADVANCE(2109);
      if (lookahead == 'v') ADVANCE(734);
      END_STATE();
    case 933:
      if (lookahead == 'e') ADVANCE(1101);
      if (lookahead == 'p') ADVANCE(1182);
      END_STATE();
    case 934:
      if (lookahead == 'e') ADVANCE(325);
      if (lookahead == 'o') ADVANCE(1954);
      END_STATE();
    case 935:
      if (lookahead == 'e') ADVANCE(221);
      if (lookahead == 'l') ADVANCE(1411);
      if (lookahead == 'r') ADVANCE(724);
      END_STATE();
    case 936:
      if (lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 937:
      if (lookahead == 'e') ADVANCE(151);
      END_STATE();
    case 938:
      if (lookahead == 'e') ADVANCE(144);
      END_STATE();
    case 939:
      if (lookahead == 'e') ADVANCE(436);
      END_STATE();
    case 940:
      if (lookahead == 'e') ADVANCE(434);
      END_STATE();
    case 941:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 942:
      if (lookahead == 'e') ADVANCE(700);
      END_STATE();
    case 943:
      if (lookahead == 'e') ADVANCE(1490);
      END_STATE();
    case 944:
      if (lookahead == 'e') ADVANCE(152);
      END_STATE();
    case 945:
      if (lookahead == 'e') ADVANCE(462);
      END_STATE();
    case 946:
      if (lookahead == 'e') ADVANCE(493);
      END_STATE();
    case 947:
      if (lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 948:
      if (lookahead == 'e') ADVANCE(429);
      END_STATE();
    case 949:
      if (lookahead == 'e') ADVANCE(521);
      END_STATE();
    case 950:
      if (lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 951:
      if (lookahead == 'e') ADVANCE(242);
      END_STATE();
    case 952:
      if (lookahead == 'e') ADVANCE(503);
      END_STATE();
    case 953:
      if (lookahead == 'e') ADVANCE(1746);
      END_STATE();
    case 954:
      if (lookahead == 'e') ADVANCE(528);
      if (lookahead == 'p') ADVANCE(215);
      if (lookahead == 's') ADVANCE(528);
      END_STATE();
    case 955:
      if (lookahead == 'e') ADVANCE(1512);
      END_STATE();
    case 956:
      if (lookahead == 'e') ADVANCE(1832);
      if (lookahead == 'i') ADVANCE(826);
      END_STATE();
    case 957:
      if (lookahead == 'e') ADVANCE(1954);
      END_STATE();
    case 958:
      if (lookahead == 'e') ADVANCE(1954);
      if (lookahead == 'o') ADVANCE(1500);
      END_STATE();
    case 959:
      if (lookahead == 'e') ADVANCE(432);
      END_STATE();
    case 960:
      if (lookahead == 'e') ADVANCE(423);
      END_STATE();
    case 961:
      if (lookahead == 'e') ADVANCE(2151);
      END_STATE();
    case 962:
      if (lookahead == 'e') ADVANCE(911);
      END_STATE();
    case 963:
      if (lookahead == 'e') ADVANCE(1848);
      if (lookahead == 'i') ADVANCE(834);
      if (lookahead == 'k') ADVANCE(571);
      if (lookahead == 'o') ADVANCE(1748);
      END_STATE();
    case 964:
      if (lookahead == 'e') ADVANCE(1102);
      END_STATE();
    case 965:
      if (lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 966:
      if (lookahead == 'e') ADVANCE(464);
      END_STATE();
    case 967:
      if (lookahead == 'e') ADVANCE(511);
      END_STATE();
    case 968:
      if (lookahead == 'e') ADVANCE(1925);
      END_STATE();
    case 969:
      if (lookahead == 'e') ADVANCE(1728);
      END_STATE();
    case 970:
      if (lookahead == 'e') ADVANCE(912);
      END_STATE();
    case 971:
      if (lookahead == 'e') ADVANCE(542);
      END_STATE();
    case 972:
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'i') ADVANCE(1459);
      END_STATE();
    case 973:
      if (lookahead == 'e') ADVANCE(453);
      END_STATE();
    case 974:
      if (lookahead == 'e') ADVANCE(1106);
      END_STATE();
    case 975:
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 976:
      if (lookahead == 'e') ADVANCE(917);
      if (lookahead == 'i') ADVANCE(1813);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 977:
      if (lookahead == 'e') ADVANCE(917);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 978:
      if (lookahead == 'e') ADVANCE(2147);
      END_STATE();
    case 979:
      if (lookahead == 'e') ADVANCE(408);
      END_STATE();
    case 980:
      if (lookahead == 'e') ADVANCE(1732);
      if (lookahead == 'v') ADVANCE(999);
      if (lookahead == 'w') ADVANCE(962);
      END_STATE();
    case 981:
      if (lookahead == 'e') ADVANCE(433);
      END_STATE();
    case 982:
      if (lookahead == 'e') ADVANCE(1097);
      END_STATE();
    case 983:
      if (lookahead == 'e') ADVANCE(333);
      END_STATE();
    case 984:
      if (lookahead == 'e') ADVANCE(1734);
      END_STATE();
    case 985:
      if (lookahead == 'e') ADVANCE(1335);
      END_STATE();
    case 986:
      if (lookahead == 'e') ADVANCE(1513);
      END_STATE();
    case 987:
      if (lookahead == 'e') ADVANCE(1733);
      END_STATE();
    case 988:
      if (lookahead == 'e') ADVANCE(1975);
      END_STATE();
    case 989:
      if (lookahead == 'e') ADVANCE(1899);
      END_STATE();
    case 990:
      if (lookahead == 'e') ADVANCE(1910);
      END_STATE();
    case 991:
      if (lookahead == 'e') ADVANCE(1993);
      END_STATE();
    case 992:
      if (lookahead == 'e') ADVANCE(1354);
      END_STATE();
    case 993:
      if (lookahead == 'e') ADVANCE(884);
      END_STATE();
    case 994:
      if (lookahead == 'e') ADVANCE(695);
      END_STATE();
    case 995:
      if (lookahead == 'e') ADVANCE(886);
      END_STATE();
    case 996:
      if (lookahead == 'e') ADVANCE(1500);
      END_STATE();
    case 997:
      if (lookahead == 'e') ADVANCE(758);
      END_STATE();
    case 998:
      if (lookahead == 'e') ADVANCE(889);
      END_STATE();
    case 999:
      if (lookahead == 'e') ADVANCE(922);
      END_STATE();
    case 1000:
      if (lookahead == 'e') ADVANCE(906);
      END_STATE();
    case 1001:
      if (lookahead == 'e') ADVANCE(1754);
      END_STATE();
    case 1002:
      if (lookahead == 'e') ADVANCE(1905);
      END_STATE();
    case 1003:
      if (lookahead == 'e') ADVANCE(1672);
      if (lookahead == 'k') ADVANCE(566);
      if (lookahead == 'n') ADVANCE(1640);
      if (lookahead == 'p') ADVANCE(1188);
      if (lookahead == 'r') ADVANCE(282);
      if (lookahead == 's') ADVANCE(1234);
      if (lookahead == 't') ADVANCE(1205);
      END_STATE();
    case 1004:
      if (lookahead == 'e') ADVANCE(1672);
      if (lookahead == 'p') ADVANCE(1187);
      END_STATE();
    case 1005:
      if (lookahead == 'e') ADVANCE(1916);
      END_STATE();
    case 1006:
      if (lookahead == 'e') ADVANCE(1390);
      END_STATE();
    case 1007:
      if (lookahead == 'e') ADVANCE(865);
      END_STATE();
    case 1008:
      if (lookahead == 'e') ADVANCE(1554);
      END_STATE();
    case 1009:
      if (lookahead == 'e') ADVANCE(1947);
      END_STATE();
    case 1010:
      if (lookahead == 'e') ADVANCE(1999);
      END_STATE();
    case 1011:
      if (lookahead == 'e') ADVANCE(1918);
      END_STATE();
    case 1012:
      if (lookahead == 'e') ADVANCE(1977);
      END_STATE();
    case 1013:
      if (lookahead == 'e') ADVANCE(577);
      END_STATE();
    case 1014:
      if (lookahead == 'e') ADVANCE(937);
      END_STATE();
    case 1015:
      if (lookahead == 'e') ADVANCE(1526);
      END_STATE();
    case 1016:
      if (lookahead == 'e') ADVANCE(1417);
      END_STATE();
    case 1017:
      if (lookahead == 'e') ADVANCE(1794);
      END_STATE();
    case 1018:
      if (lookahead == 'e') ADVANCE(616);
      END_STATE();
    case 1019:
      if (lookahead == 'e') ADVANCE(1908);
      END_STATE();
    case 1020:
      if (lookahead == 'e') ADVANCE(600);
      END_STATE();
    case 1021:
      if (lookahead == 'e') ADVANCE(1909);
      END_STATE();
    case 1022:
      if (lookahead == 'e') ADVANCE(1964);
      if (lookahead == 'i') ADVANCE(1459);
      if (lookahead == 'u') ADVANCE(2158);
      END_STATE();
    case 1023:
      if (lookahead == 'e') ADVANCE(1760);
      END_STATE();
    case 1024:
      if (lookahead == 'e') ADVANCE(1867);
      END_STATE();
    case 1025:
      if (lookahead == 'e') ADVANCE(2000);
      END_STATE();
    case 1026:
      if (lookahead == 'e') ADVANCE(1831);
      END_STATE();
    case 1027:
      if (lookahead == 'e') ADVANCE(2007);
      END_STATE();
    case 1028:
      if (lookahead == 'e') ADVANCE(1000);
      END_STATE();
    case 1029:
      if (lookahead == 'e') ADVANCE(944);
      if (lookahead == 'r') ADVANCE(1331);
      END_STATE();
    case 1030:
      if (lookahead == 'e') ADVANCE(1747);
      END_STATE();
    case 1031:
      if (lookahead == 'e') ADVANCE(1841);
      if (lookahead == 'i') ADVANCE(1512);
      END_STATE();
    case 1032:
      if (lookahead == 'e') ADVANCE(1791);
      END_STATE();
    case 1033:
      if (lookahead == 'e') ADVANCE(1869);
      END_STATE();
    case 1034:
      if (lookahead == 'e') ADVANCE(1889);
      END_STATE();
    case 1035:
      if (lookahead == 'e') ADVANCE(949);
      END_STATE();
    case 1036:
      if (lookahead == 'e') ADVANCE(1804);
      END_STATE();
    case 1037:
      if (lookahead == 'e') ADVANCE(1076);
      END_STATE();
    case 1038:
      if (lookahead == 'e') ADVANCE(1801);
      END_STATE();
    case 1039:
      if (lookahead == 'e') ADVANCE(1764);
      END_STATE();
    case 1040:
      if (lookahead == 'e') ADVANCE(1809);
      END_STATE();
    case 1041:
      if (lookahead == 'e') ADVANCE(1767);
      END_STATE();
    case 1042:
      if (lookahead == 'e') ADVANCE(1107);
      END_STATE();
    case 1043:
      if (lookahead == 'e') ADVANCE(2111);
      if (lookahead == 'i') ADVANCE(1154);
      END_STATE();
    case 1044:
      if (lookahead == 'e') ADVANCE(1424);
      END_STATE();
    case 1045:
      if (lookahead == 'e') ADVANCE(520);
      END_STATE();
    case 1046:
      if (lookahead == 'e') ADVANCE(894);
      END_STATE();
    case 1047:
      if (lookahead == 'e') ADVANCE(674);
      if (lookahead == 'w') ADVANCE(674);
      END_STATE();
    case 1048:
      if (lookahead == 'e') ADVANCE(1104);
      END_STATE();
    case 1049:
      if (lookahead == 'e') ADVANCE(1104);
      if (lookahead == 'l') ADVANCE(148);
      if (lookahead == 't') ADVANCE(354);
      END_STATE();
    case 1050:
      if (lookahead == 'e') ADVANCE(996);
      END_STATE();
    case 1051:
      if (lookahead == 'e') ADVANCE(1936);
      END_STATE();
    case 1052:
      if (lookahead == 'e') ADVANCE(897);
      END_STATE();
    case 1053:
      if (lookahead == 'e') ADVANCE(1489);
      END_STATE();
    case 1054:
      if (lookahead == 'e') ADVANCE(850);
      if (lookahead == 'o') ADVANCE(1570);
      END_STATE();
    case 1055:
      if (lookahead == 'e') ADVANCE(663);
      END_STATE();
    case 1056:
      if (lookahead == 'e') ADVANCE(1725);
      END_STATE();
    case 1057:
      if (lookahead == 'e') ADVANCE(1829);
      END_STATE();
    case 1058:
      if (lookahead == 'e') ADVANCE(2022);
      END_STATE();
    case 1059:
      if (lookahead == 'e') ADVANCE(2022);
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 1060:
      if (lookahead == 'e') ADVANCE(745);
      END_STATE();
    case 1061:
      if (lookahead == 'e') ADVANCE(1108);
      END_STATE();
    case 1062:
      if (lookahead == 'e') ADVANCE(915);
      END_STATE();
    case 1063:
      if (lookahead == 'e') ADVANCE(851);
      END_STATE();
    case 1064:
      if (lookahead == 'e') ADVANCE(1926);
      END_STATE();
    case 1065:
      if (lookahead == 'e') ADVANCE(1712);
      END_STATE();
    case 1066:
      if (lookahead == 'e') ADVANCE(1109);
      END_STATE();
    case 1067:
      if (lookahead == 'e') ADVANCE(1828);
      if (lookahead == 'n') ADVANCE(458);
      END_STATE();
    case 1068:
      if (lookahead == 'e') ADVANCE(853);
      END_STATE();
    case 1069:
      if (lookahead == 'e') ADVANCE(1580);
      END_STATE();
    case 1070:
      if (lookahead == 'e') ADVANCE(1110);
      END_STATE();
    case 1071:
      if (lookahead == 'e') ADVANCE(1111);
      END_STATE();
    case 1072:
      if (lookahead == 'e') ADVANCE(1563);
      END_STATE();
    case 1073:
      if (lookahead == 'e') ADVANCE(1112);
      if (lookahead == 'o') ADVANCE(1540);
      END_STATE();
    case 1074:
      if (lookahead == 'e') ADVANCE(1847);
      END_STATE();
    case 1075:
      if (lookahead == 'e') ADVANCE(1105);
      END_STATE();
    case 1076:
      if (lookahead == 'e') ADVANCE(2041);
      END_STATE();
    case 1077:
      if (lookahead == 'e') ADVANCE(1894);
      END_STATE();
    case 1078:
      if (lookahead == 'e') ADVANCE(1548);
      END_STATE();
    case 1079:
      if (lookahead == 'e') ADVANCE(699);
      END_STATE();
    case 1080:
      if (lookahead == 'e') ADVANCE(1458);
      END_STATE();
    case 1081:
      if (lookahead == 'e') ADVANCE(1156);
      END_STATE();
    case 1082:
      if (lookahead == 'e') ADVANCE(1891);
      END_STATE();
    case 1083:
      if (lookahead == 'e') ADVANCE(2028);
      END_STATE();
    case 1084:
      if (lookahead == 'e') ADVANCE(1307);
      END_STATE();
    case 1085:
      if (lookahead == 'e') ADVANCE(1874);
      END_STATE();
    case 1086:
      if (lookahead == 'e') ADVANCE(919);
      END_STATE();
    case 1087:
      if (lookahead == 'e') ADVANCE(698);
      END_STATE();
    case 1088:
      if (lookahead == 'e') ADVANCE(1523);
      END_STATE();
    case 1089:
      if (lookahead == 'e') ADVANCE(703);
      END_STATE();
    case 1090:
      if (lookahead == 'e') ADVANCE(871);
      END_STATE();
    case 1091:
      if (lookahead == 'e') ADVANCE(1115);
      END_STATE();
    case 1092:
      if (lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 1093:
      if (lookahead == 'f') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(2061);
      END_STATE();
    case 1094:
      if (lookahead == 'f') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(1620);
      END_STATE();
    case 1095:
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(148);
      if (lookahead == 'o') ADVANCE(1676);
      if (lookahead == 's') ADVANCE(774);
      END_STATE();
    case 1096:
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1512);
      if (lookahead == 'o') ADVANCE(1676);
      if (lookahead == 'p') ADVANCE(1816);
      if (lookahead == 's') ADVANCE(774);
      if (lookahead == 'u') ADVANCE(598);
      END_STATE();
    case 1097:
      if (lookahead == 'f') ADVANCE(1954);
      END_STATE();
    case 1098:
      if (lookahead == 'f') ADVANCE(1103);
      END_STATE();
    case 1099:
      if (lookahead == 'f') ADVANCE(1957);
      if (lookahead == 's') ADVANCE(1902);
      END_STATE();
    case 1100:
      if (lookahead == 'f') ADVANCE(1980);
      if (lookahead == 'l') ADVANCE(218);
      if (lookahead == 'p') ADVANCE(1092);
      END_STATE();
    case 1101:
      if (lookahead == 'f') ADVANCE(1921);
      if (lookahead == 'p') ADVANCE(1179);
      END_STATE();
    case 1102:
      if (lookahead == 'f') ADVANCE(2045);
      END_STATE();
    case 1103:
      if (lookahead == 'f') ADVANCE(1077);
      END_STATE();
    case 1104:
      if (lookahead == 'f') ADVANCE(1984);
      END_STATE();
    case 1105:
      if (lookahead == 'f') ADVANCE(1999);
      END_STATE();
    case 1106:
      if (lookahead == 'f') ADVANCE(1664);
      END_STATE();
    case 1107:
      if (lookahead == 'f') ADVANCE(1991);
      if (lookahead == 's') ADVANCE(1907);
      END_STATE();
    case 1108:
      if (lookahead == 'f') ADVANCE(1966);
      END_STATE();
    case 1109:
      if (lookahead == 'f') ADVANCE(1968);
      END_STATE();
    case 1110:
      if (lookahead == 'f') ADVANCE(1986);
      END_STATE();
    case 1111:
      if (lookahead == 'f') ADVANCE(2024);
      END_STATE();
    case 1112:
      if (lookahead == 'f') ADVANCE(1972);
      END_STATE();
    case 1113:
      if (lookahead == 'f') ADVANCE(1624);
      END_STATE();
    case 1114:
      if (lookahead == 'f') ADVANCE(1263);
      END_STATE();
    case 1115:
      if (lookahead == 'f') ADVANCE(2044);
      END_STATE();
    case 1116:
      if (lookahead == 'g') ADVANCE(148);
      END_STATE();
    case 1117:
      if (lookahead == 'g') ADVANCE(148);
      if (lookahead == 's') ADVANCE(1673);
      END_STATE();
    case 1118:
      if (lookahead == 'g') ADVANCE(148);
      if (lookahead == 't') ADVANCE(354);
      END_STATE();
    case 1119:
      if (lookahead == 'g') ADVANCE(763);
      END_STATE();
    case 1120:
      if (lookahead == 'g') ADVANCE(236);
      END_STATE();
    case 1121:
      if (lookahead == 'g') ADVANCE(236);
      if (lookahead == 'i') ADVANCE(1512);
      END_STATE();
    case 1122:
      if (lookahead == 'g') ADVANCE(491);
      END_STATE();
    case 1123:
      if (lookahead == 'g') ADVANCE(510);
      END_STATE();
    case 1124:
      if (lookahead == 'g') ADVANCE(240);
      END_STATE();
    case 1125:
      if (lookahead == 'g') ADVANCE(1457);
      END_STATE();
    case 1126:
      if (lookahead == 'g') ADVANCE(299);
      END_STATE();
    case 1127:
      if (lookahead == 'g') ADVANCE(528);
      END_STATE();
    case 1128:
      if (lookahead == 'g') ADVANCE(1195);
      END_STATE();
    case 1129:
      if (lookahead == 'g') ADVANCE(2150);
      END_STATE();
    case 1130:
      if (lookahead == 'g') ADVANCE(1142);
      if (lookahead == 'l') ADVANCE(991);
      if (lookahead == 'r') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1183);
      END_STATE();
    case 1131:
      if (lookahead == 'g') ADVANCE(1142);
      if (lookahead == 'r') ADVANCE(1746);
      END_STATE();
    case 1132:
      if (lookahead == 'g') ADVANCE(1142);
      if (lookahead == 'r') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1185);
      END_STATE();
    case 1133:
      if (lookahead == 'g') ADVANCE(1586);
      END_STATE();
    case 1134:
      if (lookahead == 'g') ADVANCE(1625);
      if (lookahead == 'p') ADVANCE(1092);
      END_STATE();
    case 1135:
      if (lookahead == 'g') ADVANCE(1625);
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 1136:
      if (lookahead == 'g') ADVANCE(1466);
      END_STATE();
    case 1137:
      if (lookahead == 'g') ADVANCE(1184);
      END_STATE();
    case 1138:
      if (lookahead == 'g') ADVANCE(1354);
      if (lookahead == 'i') ADVANCE(1386);
      if (lookahead == 'l') ADVANCE(1116);
      if (lookahead == 'r') ADVANCE(1327);
      END_STATE();
    case 1139:
      if (lookahead == 'g') ADVANCE(672);
      if (lookahead == 's') ADVANCE(2010);
      if (lookahead == 'w') ADVANCE(489);
      END_STATE();
    case 1140:
      if (lookahead == 'g') ADVANCE(1500);
      END_STATE();
    case 1141:
      if (lookahead == 'g') ADVANCE(922);
      END_STATE();
    case 1142:
      if (lookahead == 'g') ADVANCE(953);
      END_STATE();
    case 1143:
      if (lookahead == 'g') ADVANCE(957);
      END_STATE();
    case 1144:
      if (lookahead == 'g') ADVANCE(1873);
      END_STATE();
    case 1145:
      if (lookahead == 'g') ADVANCE(1873);
      if (lookahead == 'i') ADVANCE(1512);
      if (lookahead == 't') ADVANCE(1654);
      END_STATE();
    case 1146:
      if (lookahead == 'g') ADVANCE(1771);
      END_STATE();
    case 1147:
      if (lookahead == 'g') ADVANCE(1198);
      if (lookahead == 'n') ADVANCE(1116);
      if (lookahead == 's') ADVANCE(1297);
      END_STATE();
    case 1148:
      if (lookahead == 'g') ADVANCE(916);
      END_STATE();
    case 1149:
      if (lookahead == 'g') ADVANCE(1780);
      END_STATE();
    case 1150:
      if (lookahead == 'g') ADVANCE(1194);
      END_STATE();
    case 1151:
      if (lookahead == 'g') ADVANCE(1974);
      END_STATE();
    case 1152:
      if (lookahead == 'g') ADVANCE(1974);
      if (lookahead == 'l') ADVANCE(968);
      END_STATE();
    case 1153:
      if (lookahead == 'g') ADVANCE(1974);
      if (lookahead == 'q') ADVANCE(1151);
      END_STATE();
    case 1154:
      if (lookahead == 'g') ADVANCE(1199);
      END_STATE();
    case 1155:
      if (lookahead == 'g') ADVANCE(1492);
      if (lookahead == 'm') ADVANCE(237);
      END_STATE();
    case 1156:
      if (lookahead == 'g') ADVANCE(1824);
      END_STATE();
    case 1157:
      if (lookahead == 'g') ADVANCE(1824);
      if (lookahead == 'r') ADVANCE(1941);
      END_STATE();
    case 1158:
      if (lookahead == 'g') ADVANCE(1200);
      END_STATE();
    case 1159:
      if (lookahead == 'g') ADVANCE(1202);
      END_STATE();
    case 1160:
      if (lookahead == 'g') ADVANCE(1203);
      END_STATE();
    case 1161:
      if (lookahead == 'g') ADVANCE(1204);
      END_STATE();
    case 1162:
      if (lookahead == 'g') ADVANCE(1403);
      END_STATE();
    case 1163:
      if (lookahead == 'g') ADVANCE(1206);
      END_STATE();
    case 1164:
      if (lookahead == 'g') ADVANCE(1036);
      if (lookahead == 'r') ADVANCE(845);
      END_STATE();
    case 1165:
      if (lookahead == 'g') ADVANCE(1207);
      END_STATE();
    case 1166:
      if (lookahead == 'g') ADVANCE(1208);
      END_STATE();
    case 1167:
      if (lookahead == 'g') ADVANCE(1425);
      END_STATE();
    case 1168:
      if (lookahead == 'g') ADVANCE(1197);
      END_STATE();
    case 1169:
      if (lookahead == 'g') ADVANCE(1427);
      END_STATE();
    case 1170:
      if (lookahead == 'g') ADVANCE(1428);
      END_STATE();
    case 1171:
      if (lookahead == 'g') ADVANCE(1429);
      END_STATE();
    case 1172:
      if (lookahead == 'g') ADVANCE(1442);
      END_STATE();
    case 1173:
      if (lookahead == 'g') ADVANCE(1430);
      END_STATE();
    case 1174:
      if (lookahead == 'g') ADVANCE(1431);
      END_STATE();
    case 1175:
      if (lookahead == 'g') ADVANCE(490);
      END_STATE();
    case 1176:
      if (lookahead == 'g') ADVANCE(690);
      END_STATE();
    case 1177:
      if (lookahead == 'g') ADVANCE(1217);
      END_STATE();
    case 1178:
      if (lookahead == 'h') ADVANCE(877);
      END_STATE();
    case 1179:
      if (lookahead == 'h') ADVANCE(148);
      END_STATE();
    case 1180:
      if (lookahead == 'h') ADVANCE(293);
      END_STATE();
    case 1181:
      if (lookahead == 'h') ADVANCE(510);
      END_STATE();
    case 1182:
      if (lookahead == 'h') ADVANCE(528);
      END_STATE();
    case 1183:
      if (lookahead == 'h') ADVANCE(354);
      END_STATE();
    case 1184:
      if (lookahead == 'h') ADVANCE(1954);
      END_STATE();
    case 1185:
      if (lookahead == 'h') ADVANCE(2104);
      END_STATE();
    case 1186:
      if (lookahead == 'h') ADVANCE(750);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 1187:
      if (lookahead == 'h') ADVANCE(1219);
      END_STATE();
    case 1188:
      if (lookahead == 'h') ADVANCE(1219);
      if (lookahead == 'i') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(1653);
      END_STATE();
    case 1189:
      if (lookahead == 'h') ADVANCE(542);
      END_STATE();
    case 1190:
      if (lookahead == 'h') ADVANCE(1673);
      END_STATE();
    case 1191:
      if (lookahead == 'h') ADVANCE(1335);
      END_STATE();
    case 1192:
      if (lookahead == 'h') ADVANCE(1335);
      if (lookahead == 'r') ADVANCE(312);
      END_STATE();
    case 1193:
      if (lookahead == 'h') ADVANCE(922);
      END_STATE();
    case 1194:
      if (lookahead == 'h') ADVANCE(2045);
      END_STATE();
    case 1195:
      if (lookahead == 'h') ADVANCE(1961);
      END_STATE();
    case 1196:
      if (lookahead == 'h') ADVANCE(552);
      END_STATE();
    case 1197:
      if (lookahead == 'h') ADVANCE(1999);
      END_STATE();
    case 1198:
      if (lookahead == 'h') ADVANCE(1963);
      END_STATE();
    case 1199:
      if (lookahead == 'h') ADVANCE(1991);
      END_STATE();
    case 1200:
      if (lookahead == 'h') ADVANCE(1976);
      END_STATE();
    case 1201:
      if (lookahead == 'h') ADVANCE(1222);
      END_STATE();
    case 1202:
      if (lookahead == 'h') ADVANCE(1967);
      END_STATE();
    case 1203:
      if (lookahead == 'h') ADVANCE(1969);
      END_STATE();
    case 1204:
      if (lookahead == 'h') ADVANCE(1986);
      END_STATE();
    case 1205:
      if (lookahead == 'h') ADVANCE(988);
      if (lookahead == 'r') ADVANCE(1330);
      END_STATE();
    case 1206:
      if (lookahead == 'h') ADVANCE(1971);
      END_STATE();
    case 1207:
      if (lookahead == 'h') ADVANCE(1973);
      END_STATE();
    case 1208:
      if (lookahead == 'h') ADVANCE(1970);
      END_STATE();
    case 1209:
      if (lookahead == 'h') ADVANCE(1064);
      END_STATE();
    case 1210:
      if (lookahead == 'h') ADVANCE(1256);
      END_STATE();
    case 1211:
      if (lookahead == 'h') ADVANCE(996);
      END_STATE();
    case 1212:
      if (lookahead == 'h') ADVANCE(1113);
      END_STATE();
    case 1213:
      if (lookahead == 'h') ADVANCE(1795);
      if (lookahead == 'i') ADVANCE(1493);
      if (lookahead == 'r') ADVANCE(1227);
      END_STATE();
    case 1214:
      if (lookahead == 'h') ADVANCE(1018);
      END_STATE();
    case 1215:
      if (lookahead == 'h') ADVANCE(1280);
      END_STATE();
    case 1216:
      if (lookahead == 'h') ADVANCE(1876);
      END_STATE();
    case 1217:
      if (lookahead == 'h') ADVANCE(2044);
      END_STATE();
    case 1218:
      if (lookahead == 'i') ADVANCE(877);
      END_STATE();
    case 1219:
      if (lookahead == 'i') ADVANCE(148);
      END_STATE();
    case 1220:
      if (lookahead == 'i') ADVANCE(293);
      END_STATE();
    case 1221:
      if (lookahead == 'i') ADVANCE(276);
      END_STATE();
    case 1222:
      if (lookahead == 'i') ADVANCE(826);
      END_STATE();
    case 1223:
      if (lookahead == 'i') ADVANCE(2133);
      if (lookahead == 'o') ADVANCE(1214);
      END_STATE();
    case 1224:
      if (lookahead == 'i') ADVANCE(2149);
      END_STATE();
    case 1225:
      if (lookahead == 'i') ADVANCE(270);
      END_STATE();
    case 1226:
      if (lookahead == 'i') ADVANCE(298);
      END_STATE();
    case 1227:
      if (lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 1228:
      if (lookahead == 'i') ADVANCE(281);
      END_STATE();
    case 1229:
      if (lookahead == 'i') ADVANCE(1746);
      END_STATE();
    case 1230:
      if (lookahead == 'i') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(1600);
      END_STATE();
    case 1231:
      if (lookahead == 'i') ADVANCE(1512);
      END_STATE();
    case 1232:
      if (lookahead == 'i') ADVANCE(1512);
      if (lookahead == 'n') ADVANCE(1954);
      END_STATE();
    case 1233:
      if (lookahead == 'i') ADVANCE(354);
      if (lookahead == 'm') ADVANCE(1491);
      if (lookahead == 'o') ADVANCE(1534);
      END_STATE();
    case 1234:
      if (lookahead == 'i') ADVANCE(1136);
      if (lookahead == 'u') ADVANCE(749);
      END_STATE();
    case 1235:
      if (lookahead == 'i') ADVANCE(1387);
      END_STATE();
    case 1236:
      if (lookahead == 'i') ADVANCE(297);
      END_STATE();
    case 1237:
      if (lookahead == 'i') ADVANCE(1954);
      END_STATE();
    case 1238:
      if (lookahead == 'i') ADVANCE(2104);
      END_STATE();
    case 1239:
      if (lookahead == 'i') ADVANCE(872);
      END_STATE();
    case 1240:
      if (lookahead == 'i') ADVANCE(872);
      if (lookahead == 'o') ADVANCE(2088);
      END_STATE();
    case 1241:
      if (lookahead == 'i') ADVANCE(1501);
      END_STATE();
    case 1242:
      if (lookahead == 'i') ADVANCE(355);
      END_STATE();
    case 1243:
      if (lookahead == 'i') ADVANCE(1948);
      END_STATE();
    case 1244:
      if (lookahead == 'i') ADVANCE(1948);
      if (lookahead == 'p') ADVANCE(1628);
      END_STATE();
    case 1245:
      if (lookahead == 'i') ADVANCE(246);
      END_STATE();
    case 1246:
      if (lookahead == 'i') ADVANCE(1382);
      END_STATE();
    case 1247:
      if (lookahead == 'i') ADVANCE(1673);
      END_STATE();
    case 1248:
      if (lookahead == 'i') ADVANCE(1116);
      END_STATE();
    case 1249:
      if (lookahead == 'i') ADVANCE(1116);
      if (lookahead == 'l') ADVANCE(1248);
      END_STATE();
    case 1250:
      if (lookahead == 'i') ADVANCE(1098);
      END_STATE();
    case 1251:
      if (lookahead == 'i') ADVANCE(1459);
      END_STATE();
    case 1252:
      if (lookahead == 'i') ADVANCE(1459);
      if (lookahead == 'l') ADVANCE(148);
      END_STATE();
    case 1253:
      if (lookahead == 'i') ADVANCE(1459);
      if (lookahead == 'l') ADVANCE(670);
      END_STATE();
    case 1254:
      if (lookahead == 'i') ADVANCE(1625);
      END_STATE();
    case 1255:
      if (lookahead == 'i') ADVANCE(1899);
      END_STATE();
    case 1256:
      if (lookahead == 'i') ADVANCE(1521);
      END_STATE();
    case 1257:
      if (lookahead == 'i') ADVANCE(1924);
      if (lookahead == 'l') ADVANCE(1634);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 1258:
      if (lookahead == 'i') ADVANCE(1924);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 1259:
      if (lookahead == 'i') ADVANCE(1354);
      END_STATE();
    case 1260:
      if (lookahead == 'i') ADVANCE(1129);
      END_STATE();
    case 1261:
      if (lookahead == 'i') ADVANCE(1140);
      END_STATE();
    case 1262:
      if (lookahead == 'i') ADVANCE(2065);
      END_STATE();
    case 1263:
      if (lookahead == 'i') ADVANCE(1500);
      END_STATE();
    case 1264:
      if (lookahead == 'i') ADVANCE(1384);
      END_STATE();
    case 1265:
      if (lookahead == 'i') ADVANCE(758);
      END_STATE();
    case 1266:
      if (lookahead == 'i') ADVANCE(1776);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 1267:
      if (lookahead == 'i') ADVANCE(922);
      END_STATE();
    case 1268:
      if (lookahead == 'i') ADVANCE(1534);
      END_STATE();
    case 1269:
      if (lookahead == 'i') ADVANCE(684);
      END_STATE();
    case 1270:
      if (lookahead == 'i') ADVANCE(907);
      END_STATE();
    case 1271:
      if (lookahead == 'i') ADVANCE(1478);
      END_STATE();
    case 1272:
      if (lookahead == 'i') ADVANCE(1176);
      END_STATE();
    case 1273:
      if (lookahead == 'i') ADVANCE(1820);
      if (lookahead == 'l') ADVANCE(1092);
      if (lookahead == 'm') ADVANCE(1275);
      if (lookahead == 'r') ADVANCE(888);
      END_STATE();
    case 1274:
      if (lookahead == 'i') ADVANCE(1525);
      END_STATE();
    case 1275:
      if (lookahead == 'i') ADVANCE(1370);
      END_STATE();
    case 1276:
      if (lookahead == 'i') ADVANCE(989);
      END_STATE();
    case 1277:
      if (lookahead == 'i') ADVANCE(2060);
      END_STATE();
    case 1278:
      if (lookahead == 'i') ADVANCE(1565);
      END_STATE();
    case 1279:
      if (lookahead == 'i') ADVANCE(1558);
      END_STATE();
    case 1280:
      if (lookahead == 'i') ADVANCE(1503);
      END_STATE();
    case 1281:
      if (lookahead == 'i') ADVANCE(1400);
      if (lookahead == 'l') ADVANCE(1249);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 1282:
      if (lookahead == 'i') ADVANCE(1137);
      END_STATE();
    case 1283:
      if (lookahead == 'i') ADVANCE(1388);
      END_STATE();
    case 1284:
      if (lookahead == 'i') ADVANCE(1536);
      if (lookahead == 'p') ADVANCE(1092);
      END_STATE();
    case 1285:
      if (lookahead == 'i') ADVANCE(1813);
      END_STATE();
    case 1286:
      if (lookahead == 'i') ADVANCE(1813);
      if (lookahead == 'o') ADVANCE(1384);
      END_STATE();
    case 1287:
      if (lookahead == 'i') ADVANCE(1813);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 1288:
      if (lookahead == 'i') ADVANCE(1386);
      END_STATE();
    case 1289:
      if (lookahead == 'i') ADVANCE(741);
      END_STATE();
    case 1290:
      if (lookahead == 'i') ADVANCE(632);
      END_STATE();
    case 1291:
      if (lookahead == 'i') ADVANCE(1939);
      END_STATE();
    case 1292:
      if (lookahead == 'i') ADVANCE(2110);
      END_STATE();
    case 1293:
      if (lookahead == 'i') ADVANCE(1719);
      END_STATE();
    case 1294:
      if (lookahead == 'i') ADVANCE(1544);
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 'u') ADVANCE(1515);
      END_STATE();
    case 1295:
      if (lookahead == 'i') ADVANCE(1405);
      END_STATE();
    case 1296:
      if (lookahead == 'i') ADVANCE(1483);
      END_STATE();
    case 1297:
      if (lookahead == 'i') ADVANCE(1538);
      END_STATE();
    case 1298:
      if (lookahead == 'i') ADVANCE(1943);
      END_STATE();
    case 1299:
      if (lookahead == 'i') ADVANCE(1938);
      END_STATE();
    case 1300:
      if (lookahead == 'i') ADVANCE(1493);
      END_STATE();
    case 1301:
      if (lookahead == 'i') ADVANCE(1479);
      END_STATE();
    case 1302:
      if (lookahead == 'i') ADVANCE(2019);
      END_STATE();
    case 1303:
      if (lookahead == 'i') ADVANCE(1416);
      END_STATE();
    case 1304:
      if (lookahead == 'i') ADVANCE(1542);
      END_STATE();
    case 1305:
      if (lookahead == 'i') ADVANCE(1033);
      END_STATE();
    case 1306:
      if (lookahead == 'i') ADVANCE(640);
      END_STATE();
    case 1307:
      if (lookahead == 'i') ADVANCE(1435);
      END_STATE();
    case 1308:
      if (lookahead == 'i') ADVANCE(1403);
      END_STATE();
    case 1309:
      if (lookahead == 'i') ADVANCE(1642);
      END_STATE();
    case 1310:
      if (lookahead == 'i') ADVANCE(1621);
      END_STATE();
    case 1311:
      if (lookahead == 'i') ADVANCE(1559);
      END_STATE();
    case 1312:
      if (lookahead == 'i') ADVANCE(1559);
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 1313:
      if (lookahead == 'i') ADVANCE(1150);
      END_STATE();
    case 1314:
      if (lookahead == 'i') ADVANCE(1436);
      END_STATE();
    case 1315:
      if (lookahead == 'i') ADVANCE(864);
      END_STATE();
    case 1316:
      if (lookahead == 'i') ADVANCE(868);
      END_STATE();
    case 1317:
      if (lookahead == 'i') ADVANCE(742);
      END_STATE();
    case 1318:
      if (lookahead == 'i') ADVANCE(1158);
      END_STATE();
    case 1319:
      if (lookahead == 'i') ADVANCE(1159);
      END_STATE();
    case 1320:
      if (lookahead == 'i') ADVANCE(1160);
      END_STATE();
    case 1321:
      if (lookahead == 'i') ADVANCE(1161);
      END_STATE();
    case 1322:
      if (lookahead == 'i') ADVANCE(1163);
      END_STATE();
    case 1323:
      if (lookahead == 'i') ADVANCE(1165);
      END_STATE();
    case 1324:
      if (lookahead == 'i') ADVANCE(1166);
      END_STATE();
    case 1325:
      if (lookahead == 'i') ADVANCE(1168);
      END_STATE();
    case 1326:
      if (lookahead == 'i') ADVANCE(1887);
      END_STATE();
    case 1327:
      if (lookahead == 'i') ADVANCE(708);
      END_STATE();
    case 1328:
      if (lookahead == 'i') ADVANCE(1177);
      END_STATE();
    case 1329:
      if (lookahead == 'i') ADVANCE(710);
      END_STATE();
    case 1330:
      if (lookahead == 'i') ADVANCE(711);
      END_STATE();
    case 1331:
      if (lookahead == 'i') ADVANCE(712);
      END_STATE();
    case 1332:
      if (lookahead == 'i') ADVANCE(713);
      END_STATE();
    case 1333:
      if (lookahead == 'j') ADVANCE(148);
      END_STATE();
    case 1334:
      if (lookahead == 'j') ADVANCE(148);
      if (lookahead == 'n') ADVANCE(1333);
      END_STATE();
    case 1335:
      if (lookahead == 'k') ADVANCE(148);
      END_STATE();
    case 1336:
      if (lookahead == 'k') ADVANCE(510);
      END_STATE();
    case 1337:
      if (lookahead == 'k') ADVANCE(866);
      END_STATE();
    case 1338:
      if (lookahead == 'k') ADVANCE(1440);
      END_STATE();
    case 1339:
      if (lookahead == 'k') ADVANCE(1413);
      END_STATE();
    case 1340:
      if (lookahead == 'k') ADVANCE(304);
      END_STATE();
    case 1341:
      if (lookahead == 'k') ADVANCE(280);
      END_STATE();
    case 1342:
      if (lookahead == 'k') ADVANCE(750);
      END_STATE();
    case 1343:
      if (lookahead == 'k') ADVANCE(750);
      if (lookahead == 'm') ADVANCE(293);
      END_STATE();
    case 1344:
      if (lookahead == 'k') ADVANCE(2127);
      END_STATE();
    case 1345:
      if (lookahead == 'k') ADVANCE(346);
      END_STATE();
    case 1346:
      if (lookahead == 'k') ADVANCE(1935);
      END_STATE();
    case 1347:
      if (lookahead == 'k') ADVANCE(953);
      END_STATE();
    case 1348:
      if (lookahead == 'k') ADVANCE(957);
      END_STATE();
    case 1349:
      if (lookahead == 'k') ADVANCE(667);
      END_STATE();
    case 1350:
      if (lookahead == 'k') ADVANCE(674);
      END_STATE();
    case 1351:
      if (lookahead == 'k') ADVANCE(674);
      if (lookahead == 'l') ADVANCE(605);
      END_STATE();
    case 1352:
      if (lookahead == 'k') ADVANCE(1304);
      END_STATE();
    case 1353:
      if (lookahead == 'l') ADVANCE(877);
      END_STATE();
    case 1354:
      if (lookahead == 'l') ADVANCE(148);
      END_STATE();
    case 1355:
      if (lookahead == 'l') ADVANCE(343);
      END_STATE();
    case 1356:
      if (lookahead == 'l') ADVANCE(489);
      END_STATE();
    case 1357:
      if (lookahead == 'l') ADVANCE(458);
      END_STATE();
    case 1358:
      if (lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 1359:
      if (lookahead == 'l') ADVANCE(287);
      END_STATE();
    case 1360:
      if (lookahead == 'l') ADVANCE(2160);
      END_STATE();
    case 1361:
      if (lookahead == 'l') ADVANCE(422);
      END_STATE();
    case 1362:
      if (lookahead == 'l') ADVANCE(409);
      END_STATE();
    case 1363:
      if (lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 1364:
      if (lookahead == 'l') ADVANCE(528);
      END_STATE();
    case 1365:
      if (lookahead == 'l') ADVANCE(2139);
      END_STATE();
    case 1366:
      if (lookahead == 'l') ADVANCE(1053);
      END_STATE();
    case 1367:
      if (lookahead == 'l') ADVANCE(1053);
      if (lookahead == 'q') ADVANCE(2078);
      END_STATE();
    case 1368:
      if (lookahead == 'l') ADVANCE(1053);
      if (lookahead == 'q') ADVANCE(2077);
      if (lookahead == 'x') ADVANCE(1243);
      END_STATE();
    case 1369:
      if (lookahead == 'l') ADVANCE(474);
      END_STATE();
    case 1370:
      if (lookahead == 'l') ADVANCE(1954);
      END_STATE();
    case 1371:
      if (lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 1372:
      if (lookahead == 'l') ADVANCE(467);
      END_STATE();
    case 1373:
      if (lookahead == 'l') ADVANCE(735);
      END_STATE();
    case 1374:
      if (lookahead == 'l') ADVANCE(430);
      END_STATE();
    case 1375:
      if (lookahead == 'l') ADVANCE(421);
      END_STATE();
    case 1376:
      if (lookahead == 'l') ADVANCE(512);
      END_STATE();
    case 1377:
      if (lookahead == 'l') ADVANCE(542);
      END_STATE();
    case 1378:
      if (lookahead == 'l') ADVANCE(330);
      END_STATE();
    case 1379:
      if (lookahead == 'l') ADVANCE(575);
      END_STATE();
    case 1380:
      if (lookahead == 'l') ADVANCE(251);
      END_STATE();
    case 1381:
      if (lookahead == 'l') ADVANCE(441);
      END_STATE();
    case 1382:
      if (lookahead == 'l') ADVANCE(905);
      END_STATE();
    case 1383:
      if (lookahead == 'l') ADVANCE(452);
      END_STATE();
    case 1384:
      if (lookahead == 'l') ADVANCE(1625);
      END_STATE();
    case 1385:
      if (lookahead == 'l') ADVANCE(1335);
      END_STATE();
    case 1386:
      if (lookahead == 'l') ADVANCE(892);
      END_STATE();
    case 1387:
      if (lookahead == 'l') ADVANCE(892);
      if (lookahead == 'm') ADVANCE(989);
      END_STATE();
    case 1388:
      if (lookahead == 'l') ADVANCE(892);
      if (lookahead == 'm') ADVANCE(1011);
      END_STATE();
    case 1389:
      if (lookahead == 'l') ADVANCE(973);
      END_STATE();
    case 1390:
      if (lookahead == 'l') ADVANCE(1899);
      END_STATE();
    case 1391:
      if (lookahead == 'l') ADVANCE(844);
      END_STATE();
    case 1392:
      if (lookahead == 'l') ADVANCE(1255);
      END_STATE();
    case 1393:
      if (lookahead == 'l') ADVANCE(2138);
      END_STATE();
    case 1394:
      if (lookahead == 'l') ADVANCE(1221);
      END_STATE();
    case 1395:
      if (lookahead == 'l') ADVANCE(992);
      END_STATE();
    case 1396:
      if (lookahead == 'l') ADVANCE(1354);
      END_STATE();
    case 1397:
      if (lookahead == 'l') ADVANCE(2148);
      END_STATE();
    case 1398:
      if (lookahead == 'l') ADVANCE(1634);
      END_STATE();
    case 1399:
      if (lookahead == 'l') ADVANCE(2085);
      END_STATE();
    case 1400:
      if (lookahead == 'l') ADVANCE(1248);
      END_STATE();
    case 1401:
      if (lookahead == 'l') ADVANCE(1380);
      if (lookahead == 'm') ADVANCE(1685);
      END_STATE();
    case 1402:
      if (lookahead == 'l') ADVANCE(1377);
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 't') ADVANCE(250);
      if (lookahead == 'u') ADVANCE(740);
      if (lookahead == 'w') ADVANCE(1504);
      END_STATE();
    case 1403:
      if (lookahead == 'l') ADVANCE(922);
      END_STATE();
    case 1404:
      if (lookahead == 'l') ADVANCE(978);
      END_STATE();
    case 1405:
      if (lookahead == 'l') ADVANCE(1364);
      END_STATE();
    case 1406:
      if (lookahead == 'l') ADVANCE(1374);
      END_STATE();
    case 1407:
      if (lookahead == 'l') ADVANCE(993);
      END_STATE();
    case 1408:
      if (lookahead == 'l') ADVANCE(1455);
      if (lookahead == 's') ADVANCE(1190);
      END_STATE();
    case 1409:
      if (lookahead == 'l') ADVANCE(1652);
      END_STATE();
    case 1410:
      if (lookahead == 'l') ADVANCE(1276);
      END_STATE();
    case 1411:
      if (lookahead == 'l') ADVANCE(1247);
      END_STATE();
    case 1412:
      if (lookahead == 'l') ADVANCE(1372);
      END_STATE();
    case 1413:
      if (lookahead == 'l') ADVANCE(1603);
      if (lookahead == 's') ADVANCE(1743);
      if (lookahead == 't') ADVANCE(1898);
      END_STATE();
    case 1414:
      if (lookahead == 'l') ADVANCE(968);
      END_STATE();
    case 1415:
      if (lookahead == 'l') ADVANCE(968);
      if (lookahead == 'q') ADVANCE(1414);
      END_STATE();
    case 1416:
      if (lookahead == 'l') ADVANCE(1289);
      END_STATE();
    case 1417:
      if (lookahead == 'l') ADVANCE(591);
      END_STATE();
    case 1418:
      if (lookahead == 'l') ADVANCE(1376);
      END_STATE();
    case 1419:
      if (lookahead == 'l') ADVANCE(939);
      END_STATE();
    case 1420:
      if (lookahead == 'l') ADVANCE(940);
      END_STATE();
    case 1421:
      if (lookahead == 'l') ADVANCE(1637);
      END_STATE();
    case 1422:
      if (lookahead == 'l') ADVANCE(929);
      END_STATE();
    case 1423:
      if (lookahead == 'l') ADVANCE(1060);
      END_STATE();
    case 1424:
      if (lookahead == 'l') ADVANCE(982);
      if (lookahead == 'r') ADVANCE(1282);
      END_STATE();
    case 1425:
      if (lookahead == 'l') ADVANCE(947);
      END_STATE();
    case 1426:
      if (lookahead == 'l') ADVANCE(948);
      END_STATE();
    case 1427:
      if (lookahead == 'l') ADVANCE(960);
      END_STATE();
    case 1428:
      if (lookahead == 'l') ADVANCE(1080);
      END_STATE();
    case 1429:
      if (lookahead == 'l') ADVANCE(970);
      END_STATE();
    case 1430:
      if (lookahead == 'l') ADVANCE(950);
      END_STATE();
    case 1431:
      if (lookahead == 'l') ADVANCE(951);
      END_STATE();
    case 1432:
      if (lookahead == 'l') ADVANCE(952);
      END_STATE();
    case 1433:
      if (lookahead == 'l') ADVANCE(979);
      END_STATE();
    case 1434:
      if (lookahead == 'l') ADVANCE(605);
      END_STATE();
    case 1435:
      if (lookahead == 'l') ADVANCE(1256);
      END_STATE();
    case 1436:
      if (lookahead == 'l') ADVANCE(899);
      END_STATE();
    case 1437:
      if (lookahead == 'l') ADVANCE(899);
      if (lookahead == 'm') ADVANCE(983);
      if (lookahead == 'n') ADVANCE(1954);
      END_STATE();
    case 1438:
      if (lookahead == 'l') ADVANCE(1627);
      if (lookahead == 'n') ADVANCE(1145);
      if (lookahead == 'p') ADVANCE(1094);
      if (lookahead == 'u') ADVANCE(1566);
      END_STATE();
    case 1439:
      if (lookahead == 'l') ADVANCE(547);
      END_STATE();
    case 1440:
      if (lookahead == 'l') ADVANCE(964);
      if (lookahead == 'r') ADVANCE(1313);
      END_STATE();
    case 1441:
      if (lookahead == 'l') ADVANCE(1045);
      END_STATE();
    case 1442:
      if (lookahead == 'l') ADVANCE(1044);
      END_STATE();
    case 1443:
      if (lookahead == 'l') ADVANCE(660);
      END_STATE();
    case 1444:
      if (lookahead == 'l') ADVANCE(2061);
      END_STATE();
    case 1445:
      if (lookahead == 'l') ADVANCE(1407);
      END_STATE();
    case 1446:
      if (lookahead == 'l') ADVANCE(606);
      END_STATE();
    case 1447:
      if (lookahead == 'l') ADVANCE(1297);
      END_STATE();
    case 1448:
      if (lookahead == 'l') ADVANCE(1632);
      if (lookahead == 'm') ADVANCE(1488);
      if (lookahead == 'n') ADVANCE(1121);
      if (lookahead == 'p') ADVANCE(271);
      END_STATE();
    case 1449:
      if (lookahead == 'l') ADVANCE(1845);
      END_STATE();
    case 1450:
      if (lookahead == 'l') ADVANCE(1231);
      END_STATE();
    case 1451:
      if (lookahead == 'l') ADVANCE(1392);
      END_STATE();
    case 1452:
      if (lookahead == 'l') ADVANCE(1279);
      END_STATE();
    case 1453:
      if (lookahead == 'l') ADVANCE(1395);
      END_STATE();
    case 1454:
      if (lookahead == 'l') ADVANCE(682);
      END_STATE();
    case 1455:
      if (lookahead == 'l') ADVANCE(1951);
      END_STATE();
    case 1456:
      if (lookahead == 'l') ADVANCE(1447);
      END_STATE();
    case 1457:
      if (lookahead == 'l') ADVANCE(1048);
      if (lookahead == 'm') ADVANCE(627);
      if (lookahead == 'r') ADVANCE(1313);
      END_STATE();
    case 1458:
      if (lookahead == 'l') ADVANCE(1075);
      if (lookahead == 'r') ADVANCE(1325);
      END_STATE();
    case 1459:
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 1460:
      if (lookahead == 'm') ADVANCE(293);
      END_STATE();
    case 1461:
      if (lookahead == 'm') ADVANCE(293);
      if (lookahead == 'r') ADVANCE(1584);
      END_STATE();
    case 1462:
      if (lookahead == 'm') ADVANCE(510);
      END_STATE();
    case 1463:
      if (lookahead == 'm') ADVANCE(316);
      END_STATE();
    case 1464:
      if (lookahead == 'm') ADVANCE(362);
      END_STATE();
    case 1465:
      if (lookahead == 'm') ADVANCE(361);
      END_STATE();
    case 1466:
      if (lookahead == 'm') ADVANCE(528);
      END_STATE();
    case 1467:
      if (lookahead == 'm') ADVANCE(1312);
      END_STATE();
    case 1468:
      if (lookahead == 'm') ADVANCE(1219);
      END_STATE();
    case 1469:
      if (lookahead == 'm') ADVANCE(246);
      END_STATE();
    case 1470:
      if (lookahead == 'm') ADVANCE(1673);
      END_STATE();
    case 1471:
      if (lookahead == 'm') ADVANCE(1703);
      END_STATE();
    case 1472:
      if (lookahead == 'm') ADVANCE(1684);
      END_STATE();
    case 1473:
      if (lookahead == 'm') ADVANCE(1218);
      END_STATE();
    case 1474:
      if (lookahead == 'm') ADVANCE(1218);
      if (lookahead == 'p') ADVANCE(679);
      END_STATE();
    case 1475:
      if (lookahead == 'm') ADVANCE(1466);
      END_STATE();
    case 1476:
      if (lookahead == 'm') ADVANCE(254);
      END_STATE();
    case 1477:
      if (lookahead == 'm') ADVANCE(1707);
      END_STATE();
    case 1478:
      if (lookahead == 'm') ADVANCE(255);
      END_STATE();
    case 1479:
      if (lookahead == 'm') ADVANCE(568);
      END_STATE();
    case 1480:
      if (lookahead == 'm') ADVANCE(992);
      END_STATE();
    case 1481:
      if (lookahead == 'm') ADVANCE(1354);
      END_STATE();
    case 1482:
      if (lookahead == 'm') ADVANCE(1500);
      END_STATE();
    case 1483:
      if (lookahead == 'm') ADVANCE(922);
      END_STATE();
    case 1484:
      if (lookahead == 'm') ADVANCE(1699);
      END_STATE();
    case 1485:
      if (lookahead == 'm') ADVANCE(1694);
      END_STATE();
    case 1486:
      if (lookahead == 'm') ADVANCE(684);
      END_STATE();
    case 1487:
      if (lookahead == 'm') ADVANCE(556);
      END_STATE();
    case 1488:
      if (lookahead == 'm') ADVANCE(563);
      if (lookahead == 'p') ADVANCE(274);
      END_STATE();
    case 1489:
      if (lookahead == 'm') ADVANCE(955);
      END_STATE();
    case 1490:
      if (lookahead == 'm') ADVANCE(955);
      if (lookahead == 'x') ADVANCE(989);
      END_STATE();
    case 1491:
      if (lookahead == 'm') ADVANCE(552);
      END_STATE();
    case 1492:
      if (lookahead == 'm') ADVANCE(536);
      END_STATE();
    case 1493:
      if (lookahead == 'm') ADVANCE(989);
      END_STATE();
    case 1494:
      if (lookahead == 'm') ADVANCE(1715);
      END_STATE();
    case 1495:
      if (lookahead == 'm') ADVANCE(975);
      END_STATE();
    case 1496:
      if (lookahead == 'm') ADVANCE(1487);
      END_STATE();
    case 1497:
      if (lookahead == 'm') ADVANCE(1311);
      END_STATE();
    case 1498:
      if (lookahead == 'm') ADVANCE(678);
      END_STATE();
    case 1499:
      if (lookahead == 'n') ADVANCE(877);
      END_STATE();
    case 1500:
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 1501:
      if (lookahead == 'n') ADVANCE(276);
      END_STATE();
    case 1502:
      if (lookahead == 'n') ADVANCE(418);
      END_STATE();
    case 1503:
      if (lookahead == 'n') ADVANCE(510);
      END_STATE();
    case 1504:
      if (lookahead == 'n') ADVANCE(692);
      END_STATE();
    case 1505:
      if (lookahead == 'n') ADVANCE(238);
      END_STATE();
    case 1506:
      if (lookahead == 'n') ADVANCE(836);
      END_STATE();
    case 1507:
      if (lookahead == 'n') ADVANCE(2156);
      END_STATE();
    case 1508:
      if (lookahead == 'n') ADVANCE(166);
      END_STATE();
    case 1509:
      if (lookahead == 'n') ADVANCE(517);
      END_STATE();
    case 1510:
      if (lookahead == 'n') ADVANCE(521);
      END_STATE();
    case 1511:
      if (lookahead == 'n') ADVANCE(184);
      END_STATE();
    case 1512:
      if (lookahead == 'n') ADVANCE(1954);
      END_STATE();
    case 1513:
      if (lookahead == 'n') ADVANCE(432);
      END_STATE();
    case 1514:
      if (lookahead == 'n') ADVANCE(483);
      END_STATE();
    case 1515:
      if (lookahead == 'n') ADVANCE(239);
      END_STATE();
    case 1516:
      if (lookahead == 'n') ADVANCE(2132);
      END_STATE();
    case 1517:
      if (lookahead == 'n') ADVANCE(412);
      END_STATE();
    case 1518:
      if (lookahead == 'n') ADVANCE(1114);
      END_STATE();
    case 1519:
      if (lookahead == 'n') ADVANCE(912);
      END_STATE();
    case 1520:
      if (lookahead == 'n') ADVANCE(246);
      END_STATE();
    case 1521:
      if (lookahead == 'n') ADVANCE(1116);
      END_STATE();
    case 1522:
      if (lookahead == 'n') ADVANCE(1116);
      if (lookahead == 'r') ADVANCE(1746);
      END_STATE();
    case 1523:
      if (lookahead == 'n') ADVANCE(2014);
      END_STATE();
    case 1524:
      if (lookahead == 'n') ADVANCE(1122);
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 'w') ADVANCE(1023);
      END_STATE();
    case 1525:
      if (lookahead == 'n') ADVANCE(351);
      END_STATE();
    case 1526:
      if (lookahead == 'n') ADVANCE(1335);
      END_STATE();
    case 1527:
      if (lookahead == 'n') ADVANCE(254);
      END_STATE();
    case 1528:
      if (lookahead == 'n') ADVANCE(1899);
      END_STATE();
    case 1529:
      if (lookahead == 'n') ADVANCE(885);
      END_STATE();
    case 1530:
      if (lookahead == 'n') ADVANCE(249);
      END_STATE();
    case 1531:
      if (lookahead == 'n') ADVANCE(1146);
      if (lookahead == 'r') ADVANCE(1003);
      END_STATE();
    case 1532:
      if (lookahead == 'n') ADVANCE(842);
      END_STATE();
    case 1533:
      if (lookahead == 'n') ADVANCE(1162);
      END_STATE();
    case 1534:
      if (lookahead == 'n') ADVANCE(922);
      END_STATE();
    case 1535:
      if (lookahead == 'n') ADVANCE(1120);
      END_STATE();
    case 1536:
      if (lookahead == 'n') ADVANCE(870);
      END_STATE();
    case 1537:
      if (lookahead == 'n') ADVANCE(1630);
      END_STATE();
    case 1538:
      if (lookahead == 'n') ADVANCE(1148);
      END_STATE();
    case 1539:
      if (lookahead == 'n') ADVANCE(895);
      END_STATE();
    case 1540:
      if (lookahead == 'n') ADVANCE(1175);
      END_STATE();
    case 1541:
      if (lookahead == 'n') ADVANCE(953);
      END_STATE();
    case 1542:
      if (lookahead == 'n') ADVANCE(1123);
      END_STATE();
    case 1543:
      if (lookahead == 'n') ADVANCE(865);
      END_STATE();
    case 1544:
      if (lookahead == 'n') ADVANCE(2032);
      END_STATE();
    case 1545:
      if (lookahead == 'n') ADVANCE(1965);
      END_STATE();
    case 1546:
      if (lookahead == 'n') ADVANCE(1979);
      END_STATE();
    case 1547:
      if (lookahead == 'n') ADVANCE(2004);
      END_STATE();
    case 1548:
      if (lookahead == 'n') ADVANCE(2006);
      END_STATE();
    case 1549:
      if (lookahead == 'n') ADVANCE(984);
      END_STATE();
    case 1550:
      if (lookahead == 'n') ADVANCE(987);
      END_STATE();
    case 1551:
      if (lookahead == 'n') ADVANCE(1424);
      END_STATE();
    case 1552:
      if (lookahead == 'n') ADVANCE(2063);
      END_STATE();
    case 1553:
      if (lookahead == 'n') ADVANCE(203);
      END_STATE();
    case 1554:
      if (lookahead == 'n') ADVANCE(1141);
      END_STATE();
    case 1555:
      if (lookahead == 'n') ADVANCE(1144);
      END_STATE();
    case 1556:
      if (lookahead == 'n') ADVANCE(1069);
      END_STATE();
    case 1557:
      if (lookahead == 'n') ADVANCE(1254);
      END_STATE();
    case 1558:
      if (lookahead == 'n') ADVANCE(2022);
      END_STATE();
    case 1559:
      if (lookahead == 'n') ADVANCE(2061);
      END_STATE();
    case 1560:
      if (lookahead == 'n') ADVANCE(1635);
      END_STATE();
    case 1561:
      if (lookahead == 'n') ADVANCE(2023);
      END_STATE();
    case 1562:
      if (lookahead == 'n') ADVANCE(1231);
      END_STATE();
    case 1563:
      if (lookahead == 'n') ADVANCE(2021);
      END_STATE();
    case 1564:
      if (lookahead == 'n') ADVANCE(2041);
      END_STATE();
    case 1565:
      if (lookahead == 'n') ADVANCE(652);
      END_STATE();
    case 1566:
      if (lookahead == 'n') ADVANCE(2033);
      END_STATE();
    case 1567:
      if (lookahead == 'n') ADVANCE(1167);
      END_STATE();
    case 1568:
      if (lookahead == 'n') ADVANCE(2031);
      END_STATE();
    case 1569:
      if (lookahead == 'n') ADVANCE(1310);
      END_STATE();
    case 1570:
      if (lookahead == 'n') ADVANCE(1072);
      END_STATE();
    case 1571:
      if (lookahead == 'n') ADVANCE(1169);
      if (lookahead == 'r') ADVANCE(1849);
      END_STATE();
    case 1572:
      if (lookahead == 'n') ADVANCE(1169);
      if (lookahead == 'r') ADVANCE(1853);
      END_STATE();
    case 1573:
      if (lookahead == 'n') ADVANCE(2035);
      END_STATE();
    case 1574:
      if (lookahead == 'n') ADVANCE(1170);
      END_STATE();
    case 1575:
      if (lookahead == 'n') ADVANCE(1171);
      END_STATE();
    case 1576:
      if (lookahead == 'n') ADVANCE(2037);
      END_STATE();
    case 1577:
      if (lookahead == 'n') ADVANCE(1172);
      END_STATE();
    case 1578:
      if (lookahead == 'n') ADVANCE(1173);
      END_STATE();
    case 1579:
      if (lookahead == 'n') ADVANCE(1174);
      END_STATE();
    case 1580:
      if (lookahead == 'n') ADVANCE(2042);
      END_STATE();
    case 1581:
      if (lookahead == 'n') ADVANCE(701);
      END_STATE();
    case 1582:
      if (lookahead == 'n') ADVANCE(690);
      END_STATE();
    case 1583:
      if (lookahead == 'o') ADVANCE(877);
      END_STATE();
    case 1584:
      if (lookahead == 'o') ADVANCE(148);
      END_STATE();
    case 1585:
      if (lookahead == 'o') ADVANCE(326);
      END_STATE();
    case 1586:
      if (lookahead == 'o') ADVANCE(1092);
      END_STATE();
    case 1587:
      if (lookahead == 'o') ADVANCE(2123);
      END_STATE();
    case 1588:
      if (lookahead == 'o') ADVANCE(522);
      END_STATE();
    case 1589:
      if (lookahead == 'o') ADVANCE(2102);
      END_STATE();
    case 1590:
      if (lookahead == 'o') ADVANCE(243);
      END_STATE();
    case 1591:
      if (lookahead == 'o') ADVANCE(1956);
      END_STATE();
    case 1592:
      if (lookahead == 'o') ADVANCE(1955);
      END_STATE();
    case 1593:
      if (lookahead == 'o') ADVANCE(1746);
      END_STATE();
    case 1594:
      if (lookahead == 'o') ADVANCE(1954);
      END_STATE();
    case 1595:
      if (lookahead == 'o') ADVANCE(1954);
      if (lookahead == 's') ADVANCE(2055);
      END_STATE();
    case 1596:
      if (lookahead == 'o') ADVANCE(306);
      END_STATE();
    case 1597:
      if (lookahead == 'o') ADVANCE(2134);
      END_STATE();
    case 1598:
      if (lookahead == 'o') ADVANCE(825);
      END_STATE();
    case 1599:
      if (lookahead == 'o') ADVANCE(2132);
      END_STATE();
    case 1600:
      if (lookahead == 'o') ADVANCE(1925);
      END_STATE();
    case 1601:
      if (lookahead == 'o') ADVANCE(342);
      END_STATE();
    case 1602:
      if (lookahead == 'o') ADVANCE(2112);
      END_STATE();
    case 1603:
      if (lookahead == 'o') ADVANCE(2152);
      END_STATE();
    case 1604:
      if (lookahead == 'o') ADVANCE(1673);
      END_STATE();
    case 1605:
      if (lookahead == 'o') ADVANCE(1562);
      END_STATE();
    case 1606:
      if (lookahead == 'o') ADVANCE(2113);
      END_STATE();
    case 1607:
      if (lookahead == 'o') ADVANCE(2114);
      END_STATE();
    case 1608:
      if (lookahead == 'o') ADVANCE(1459);
      END_STATE();
    case 1609:
      if (lookahead == 'o') ADVANCE(1335);
      END_STATE();
    case 1610:
      if (lookahead == 'o') ADVANCE(2009);
      END_STATE();
    case 1611:
      if (lookahead == 'o') ADVANCE(2115);
      END_STATE();
    case 1612:
      if (lookahead == 'o') ADVANCE(2128);
      END_STATE();
    case 1613:
      if (lookahead == 'o') ADVANCE(1899);
      END_STATE();
    case 1614:
      if (lookahead == 'o') ADVANCE(1521);
      END_STATE();
    case 1615:
      if (lookahead == 'o') ADVANCE(1521);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 1616:
      if (lookahead == 'o') ADVANCE(2129);
      END_STATE();
    case 1617:
      if (lookahead == 'o') ADVANCE(2121);
      END_STATE();
    case 1618:
      if (lookahead == 'o') ADVANCE(2116);
      END_STATE();
    case 1619:
      if (lookahead == 'o') ADVANCE(1354);
      if (lookahead == 'u') ADVANCE(714);
      END_STATE();
    case 1620:
      if (lookahead == 'o') ADVANCE(900);
      END_STATE();
    case 1621:
      if (lookahead == 'o') ADVANCE(1528);
      END_STATE();
    case 1622:
      if (lookahead == 'o') ADVANCE(2119);
      END_STATE();
    case 1623:
      if (lookahead == 'o') ADVANCE(1960);
      END_STATE();
    case 1624:
      if (lookahead == 'o') ADVANCE(1800);
      END_STATE();
    case 1625:
      if (lookahead == 'o') ADVANCE(1500);
      END_STATE();
    case 1626:
      if (lookahead == 'o') ADVANCE(1500);
      if (lookahead == 'r') ADVANCE(560);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 1627:
      if (lookahead == 'o') ADVANCE(1520);
      END_STATE();
    case 1628:
      if (lookahead == 'o') ADVANCE(1556);
      END_STATE();
    case 1629:
      if (lookahead == 'o') ADVANCE(1511);
      END_STATE();
    case 1630:
      if (lookahead == 'o') ADVANCE(2098);
      END_STATE();
    case 1631:
      if (lookahead == 'o') ADVANCE(1499);
      END_STATE();
    case 1632:
      if (lookahead == 'o') ADVANCE(1527);
      END_STATE();
    case 1633:
      if (lookahead == 'o') ADVANCE(2100);
      END_STATE();
    case 1634:
      if (lookahead == 'o') ADVANCE(1593);
      END_STATE();
    case 1635:
      if (lookahead == 'o') ADVANCE(2046);
      END_STATE();
    case 1636:
      if (lookahead == 'o') ADVANCE(1353);
      END_STATE();
    case 1637:
      if (lookahead == 'o') ADVANCE(824);
      END_STATE();
    case 1638:
      if (lookahead == 'o') ADVANCE(1995);
      END_STATE();
    case 1639:
      if (lookahead == 'o') ADVANCE(1997);
      END_STATE();
    case 1640:
      if (lookahead == 'o') ADVANCE(2039);
      END_STATE();
    case 1641:
      if (lookahead == 'o') ADVANCE(1551);
      END_STATE();
    case 1642:
      if (lookahead == 'o') ADVANCE(1553);
      END_STATE();
    case 1643:
      if (lookahead == 'o') ADVANCE(1519);
      END_STATE();
    case 1644:
      if (lookahead == 'o') ADVANCE(1812);
      if (lookahead == 'r') ADVANCE(1604);
      END_STATE();
    case 1645:
      if (lookahead == 'o') ADVANCE(1837);
      END_STATE();
    case 1646:
      if (lookahead == 'o') ADVANCE(1839);
      if (lookahead == 'r') ADVANCE(1604);
      END_STATE();
    case 1647:
      if (lookahead == 'o') ADVANCE(1763);
      END_STATE();
    case 1648:
      if (lookahead == 'o') ADVANCE(2124);
      END_STATE();
    case 1649:
      if (lookahead == 'o') ADVANCE(1475);
      END_STATE();
    case 1650:
      if (lookahead == 'o') ADVANCE(1475);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 1651:
      if (lookahead == 'o') ADVANCE(1818);
      END_STATE();
    case 1652:
      if (lookahead == 'o') ADVANCE(1702);
      END_STATE();
    case 1653:
      if (lookahead == 'o') ADVANCE(1713);
      END_STATE();
    case 1654:
      if (lookahead == 'o') ADVANCE(2082);
      END_STATE();
    case 1655:
      if (lookahead == 'o') ADVANCE(2130);
      END_STATE();
    case 1656:
      if (lookahead == 'o') ADVANCE(2125);
      END_STATE();
    case 1657:
      if (lookahead == 'o') ADVANCE(2088);
      END_STATE();
    case 1658:
      if (lookahead == 'o') ADVANCE(2003);
      END_STATE();
    case 1659:
      if (lookahead == 'o') ADVANCE(1555);
      if (lookahead == 'u') ADVANCE(1693);
      END_STATE();
    case 1660:
      if (lookahead == 'o') ADVANCE(2126);
      END_STATE();
    case 1661:
      if (lookahead == 'o') ADVANCE(1568);
      END_STATE();
    case 1662:
      if (lookahead == 'o') ADVANCE(1833);
      END_STATE();
    case 1663:
      if (lookahead == 'o') ADVANCE(1641);
      END_STATE();
    case 1664:
      if (lookahead == 'o') ADVANCE(1814);
      END_STATE();
    case 1665:
      if (lookahead == 'o') ADVANCE(1547);
      END_STATE();
    case 1666:
      if (lookahead == 'o') ADVANCE(1621);
      END_STATE();
    case 1667:
      if (lookahead == 'o') ADVANCE(1643);
      END_STATE();
    case 1668:
      if (lookahead == 'o') ADVANCE(1879);
      END_STATE();
    case 1669:
      if (lookahead == 'o') ADVANCE(1450);
      END_STATE();
    case 1670:
      if (lookahead == 'o') ADVANCE(2103);
      END_STATE();
    case 1671:
      if (lookahead == 'o') ADVANCE(2131);
      END_STATE();
    case 1672:
      if (lookahead == 'p') ADVANCE(1950);
      END_STATE();
    case 1673:
      if (lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 1674:
      if (lookahead == 'p') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(1625);
      END_STATE();
    case 1675:
      if (lookahead == 'p') ADVANCE(1182);
      END_STATE();
    case 1676:
      if (lookahead == 'p') ADVANCE(1092);
      END_STATE();
    case 1677:
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 'r') ADVANCE(671);
      END_STATE();
    case 1678:
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 'r') ADVANCE(410);
      if (lookahead == 'u') ADVANCE(1830);
      END_STATE();
    case 1679:
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 'r') ADVANCE(1224);
      END_STATE();
    case 1680:
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 't') ADVANCE(161);
      if (lookahead == 'u') ADVANCE(739);
      if (lookahead == 'w') ADVANCE(1502);
      END_STATE();
    case 1681:
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 't') ADVANCE(350);
      if (lookahead == 'w') ADVANCE(2015);
      if (lookahead == 'x') ADVANCE(445);
      END_STATE();
    case 1682:
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 'u') ADVANCE(1529);
      END_STATE();
    case 1683:
      if (lookahead == 'p') ADVANCE(160);
      END_STATE();
    case 1684:
      if (lookahead == 'p') ADVANCE(454);
      END_STATE();
    case 1685:
      if (lookahead == 'p') ADVANCE(167);
      END_STATE();
    case 1686:
      if (lookahead == 'p') ADVANCE(141);
      END_STATE();
    case 1687:
      if (lookahead == 'p') ADVANCE(455);
      END_STATE();
    case 1688:
      if (lookahead == 'p') ADVANCE(413);
      END_STATE();
    case 1689:
      if (lookahead == 'p') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(758);
      END_STATE();
    case 1690:
      if (lookahead == 'p') ADVANCE(528);
      END_STATE();
    case 1691:
      if (lookahead == 'p') ADVANCE(320);
      END_STATE();
    case 1692:
      if (lookahead == 'p') ADVANCE(412);
      END_STATE();
    case 1693:
      if (lookahead == 'p') ADVANCE(428);
      END_STATE();
    case 1694:
      if (lookahead == 'p') ADVANCE(246);
      END_STATE();
    case 1695:
      if (lookahead == 'p') ADVANCE(330);
      END_STATE();
    case 1696:
      if (lookahead == 'p') ADVANCE(1179);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 1697:
      if (lookahead == 'p') ADVANCE(1690);
      END_STATE();
    case 1698:
      if (lookahead == 'p') ADVANCE(1899);
      if (lookahead == 'r') ADVANCE(1625);
      END_STATE();
    case 1699:
      if (lookahead == 'p') ADVANCE(255);
      END_STATE();
    case 1700:
      if (lookahead == 'p') ADVANCE(1365);
      END_STATE();
    case 1701:
      if (lookahead == 'p') ADVANCE(1710);
      END_STATE();
    case 1702:
      if (lookahead == 'p') ADVANCE(922);
      END_STATE();
    case 1703:
      if (lookahead == 'p') ADVANCE(969);
      END_STATE();
    case 1704:
      if (lookahead == 'p') ADVANCE(1444);
      END_STATE();
    case 1705:
      if (lookahead == 'p') ADVANCE(1444);
      if (lookahead == 't') ADVANCE(1781);
      END_STATE();
    case 1706:
      if (lookahead == 'p') ADVANCE(1922);
      END_STATE();
    case 1707:
      if (lookahead == 'p') ADVANCE(1994);
      END_STATE();
    case 1708:
      if (lookahead == 'p') ADVANCE(1720);
      END_STATE();
    case 1709:
      if (lookahead == 'p') ADVANCE(1720);
      if (lookahead == 'r') ADVANCE(1746);
      END_STATE();
    case 1710:
      if (lookahead == 'p') ADVANCE(548);
      END_STATE();
    case 1711:
      if (lookahead == 'p') ADVANCE(1663);
      END_STATE();
    case 1712:
      if (lookahead == 'p') ADVANCE(1446);
      END_STATE();
    case 1713:
      if (lookahead == 'p') ADVANCE(1985);
      END_STATE();
    case 1714:
      if (lookahead == 'p') ADVANCE(1613);
      END_STATE();
    case 1715:
      if (lookahead == 'p') ADVANCE(1410);
      END_STATE();
    case 1716:
      if (lookahead == 'p') ADVANCE(668);
      END_STATE();
    case 1717:
      if (lookahead == 'p') ADVANCE(1940);
      END_STATE();
    case 1718:
      if (lookahead == 'p') ADVANCE(1845);
      if (lookahead == 's') ADVANCE(2073);
      END_STATE();
    case 1719:
      if (lookahead == 'p') ADVANCE(1422);
      END_STATE();
    case 1720:
      if (lookahead == 'p') ADVANCE(1825);
      END_STATE();
    case 1721:
      if (lookahead == 'p') ADVANCE(650);
      END_STATE();
    case 1722:
      if (lookahead == 'p') ADVANCE(699);
      END_STATE();
    case 1723:
      if (lookahead == 'p') ADVANCE(466);
      END_STATE();
    case 1724:
      if (lookahead == 'p') ADVANCE(1667);
      END_STATE();
    case 1725:
      if (lookahead == 'p') ADVANCE(683);
      END_STATE();
    case 1726:
      if (lookahead == 'p') ADVANCE(1666);
      END_STATE();
    case 1727:
      if (lookahead == 'p') ADVANCE(701);
      END_STATE();
    case 1728:
      if (lookahead == 'q') ADVANCE(148);
      END_STATE();
    case 1729:
      if (lookahead == 'q') ADVANCE(236);
      END_STATE();
    case 1730:
      if (lookahead == 'q') ADVANCE(1415);
      END_STATE();
    case 1731:
      if (lookahead == 'q') ADVANCE(1153);
      END_STATE();
    case 1732:
      if (lookahead == 'q') ADVANCE(1718);
      END_STATE();
    case 1733:
      if (lookahead == 'q') ADVANCE(321);
      END_STATE();
    case 1734:
      if (lookahead == 'q') ADVANCE(1728);
      END_STATE();
    case 1735:
      if (lookahead == 'q') ADVANCE(2049);
      END_STATE();
    case 1736:
      if (lookahead == 'q') ADVANCE(2068);
      END_STATE();
    case 1737:
      if (lookahead == 'q') ADVANCE(2101);
      if (lookahead == 'u') ADVANCE(737);
      END_STATE();
    case 1738:
      if (lookahead == 'q') ADVANCE(2089);
      END_STATE();
    case 1739:
      if (lookahead == 'q') ADVANCE(2078);
      END_STATE();
    case 1740:
      if (lookahead == 'q') ADVANCE(843);
      if (lookahead == 't') ADVANCE(542);
      END_STATE();
    case 1741:
      if (lookahead == 'q') ADVANCE(2092);
      END_STATE();
    case 1742:
      if (lookahead == 'q') ADVANCE(2096);
      END_STATE();
    case 1743:
      if (lookahead == 'q') ADVANCE(2099);
      END_STATE();
    case 1744:
      if (lookahead == 'r') ADVANCE(877);
      END_STATE();
    case 1745:
      if (lookahead == 'r') ADVANCE(931);
      END_STATE();
    case 1746:
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 1747:
      if (lookahead == 'r') ADVANCE(435);
      END_STATE();
    case 1748:
      if (lookahead == 'r') ADVANCE(305);
      END_STATE();
    case 1749:
      if (lookahead == 'r') ADVANCE(1092);
      END_STATE();
    case 1750:
      if (lookahead == 'r') ADVANCE(224);
      END_STATE();
    case 1751:
      if (lookahead == 'r') ADVANCE(318);
      END_STATE();
    case 1752:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 1753:
      if (lookahead == 'r') ADVANCE(801);
      END_STATE();
    case 1754:
      if (lookahead == 'r') ADVANCE(419);
      END_STATE();
    case 1755:
      if (lookahead == 'r') ADVANCE(2164);
      END_STATE();
    case 1756:
      if (lookahead == 'r') ADVANCE(270);
      END_STATE();
    case 1757:
      if (lookahead == 'r') ADVANCE(220);
      END_STATE();
    case 1758:
      if (lookahead == 'r') ADVANCE(1192);
      END_STATE();
    case 1759:
      if (lookahead == 'r') ADVANCE(196);
      END_STATE();
    case 1760:
      if (lookahead == 'r') ADVANCE(492);
      END_STATE();
    case 1761:
      if (lookahead == 'r') ADVANCE(360);
      END_STATE();
    case 1762:
      if (lookahead == 'r') ADVANCE(2168);
      END_STATE();
    case 1763:
      if (lookahead == 'r') ADVANCE(153);
      END_STATE();
    case 1764:
      if (lookahead == 'r') ADVANCE(171);
      END_STATE();
    case 1765:
      if (lookahead == 'r') ADVANCE(1746);
      END_STATE();
    case 1766:
      if (lookahead == 'r') ADVANCE(311);
      END_STATE();
    case 1767:
      if (lookahead == 'r') ADVANCE(474);
      END_STATE();
    case 1768:
      if (lookahead == 'r') ADVANCE(751);
      END_STATE();
    case 1769:
      if (lookahead == 'r') ADVANCE(354);
      END_STATE();
    case 1770:
      if (lookahead == 'r') ADVANCE(278);
      END_STATE();
    case 1771:
      if (lookahead == 'r') ADVANCE(1954);
      END_STATE();
    case 1772:
      if (lookahead == 'r') ADVANCE(1954);
      if (lookahead == 'u') ADVANCE(685);
      END_STATE();
    case 1773:
      if (lookahead == 'r') ADVANCE(239);
      END_STATE();
    case 1774:
      if (lookahead == 'r') ADVANCE(904);
      END_STATE();
    case 1775:
      if (lookahead == 'r') ADVANCE(214);
      END_STATE();
    case 1776:
      if (lookahead == 'r') ADVANCE(223);
      END_STATE();
    case 1777:
      if (lookahead == 'r') ADVANCE(210);
      END_STATE();
    case 1778:
      if (lookahead == 'r') ADVANCE(486);
      END_STATE();
    case 1779:
      if (lookahead == 'r') ADVANCE(750);
      END_STATE();
    case 1780:
      if (lookahead == 'r') ADVANCE(579);
      END_STATE();
    case 1781:
      if (lookahead == 'r') ADVANCE(1219);
      END_STATE();
    case 1782:
      if (lookahead == 'r') ADVANCE(313);
      END_STATE();
    case 1783:
      if (lookahead == 'r') ADVANCE(296);
      END_STATE();
    case 1784:
      if (lookahead == 'r') ADVANCE(302);
      END_STATE();
    case 1785:
      if (lookahead == 'r') ADVANCE(880);
      END_STATE();
    case 1786:
      if (lookahead == 'r') ADVANCE(872);
      END_STATE();
    case 1787:
      if (lookahead == 'r') ADVANCE(1584);
      END_STATE();
    case 1788:
      if (lookahead == 'r') ADVANCE(307);
      END_STATE();
    case 1789:
      if (lookahead == 'r') ADVANCE(1345);
      END_STATE();
    case 1790:
      if (lookahead == 'r') ADVANCE(336);
      END_STATE();
    case 1791:
      if (lookahead == 'r') ADVANCE(431);
      END_STATE();
    case 1792:
      if (lookahead == 'r') ADVANCE(347);
      END_STATE();
    case 1793:
      if (lookahead == 'r') ADVANCE(862);
      END_STATE();
    case 1794:
      if (lookahead == 'r') ADVANCE(1673);
      END_STATE();
    case 1795:
      if (lookahead == 'r') ADVANCE(999);
      END_STATE();
    case 1796:
      if (lookahead == 'r') ADVANCE(2014);
      END_STATE();
    case 1797:
      if (lookahead == 'r') ADVANCE(310);
      END_STATE();
    case 1798:
      if (lookahead == 'r') ADVANCE(533);
      END_STATE();
    case 1799:
      if (lookahead == 'r') ADVANCE(1625);
      END_STATE();
    case 1800:
      if (lookahead == 'r') ADVANCE(1335);
      END_STATE();
    case 1801:
      if (lookahead == 'r') ADVANCE(2142);
      END_STATE();
    case 1802:
      if (lookahead == 'r') ADVANCE(2144);
      END_STATE();
    case 1803:
      if (lookahead == 'r') ADVANCE(1588);
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 1804:
      if (lookahead == 'r') ADVANCE(1899);
      END_STATE();
    case 1805:
      if (lookahead == 'r') ADVANCE(992);
      END_STATE();
    case 1806:
      if (lookahead == 'r') ADVANCE(1583);
      END_STATE();
    case 1807:
      if (lookahead == 'r') ADVANCE(560);
      END_STATE();
    case 1808:
      if (lookahead == 'r') ADVANCE(2120);
      END_STATE();
    case 1809:
      if (lookahead == 'r') ADVANCE(2143);
      END_STATE();
    case 1810:
      if (lookahead == 'r') ADVANCE(1050);
      END_STATE();
    case 1811:
      if (lookahead == 'r') ADVANCE(1191);
      END_STATE();
    case 1812:
      if (lookahead == 'r') ADVANCE(1500);
      END_STATE();
    case 1813:
      if (lookahead == 'r') ADVANCE(758);
      END_STATE();
    case 1814:
      if (lookahead == 'r') ADVANCE(922);
      END_STATE();
    case 1815:
      if (lookahead == 'r') ADVANCE(1604);
      END_STATE();
    case 1816:
      if (lookahead == 'r') ADVANCE(1296);
      END_STATE();
    case 1817:
      if (lookahead == 'r') ADVANCE(1609);
      END_STATE();
    case 1818:
      if (lookahead == 'r') ADVANCE(1962);
      END_STATE();
    case 1819:
      if (lookahead == 'r') ADVANCE(1597);
      END_STATE();
    case 1820:
      if (lookahead == 'r') ADVANCE(1919);
      END_STATE();
    case 1821:
      if (lookahead == 'r') ADVANCE(831);
      END_STATE();
    case 1822:
      if (lookahead == 'r') ADVANCE(1602);
      END_STATE();
    case 1823:
      if (lookahead == 'r') ADVANCE(1755);
      END_STATE();
    case 1824:
      if (lookahead == 'r') ADVANCE(596);
      END_STATE();
    case 1825:
      if (lookahead == 'r') ADVANCE(1599);
      END_STATE();
    case 1826:
      if (lookahead == 'r') ADVANCE(2032);
      END_STATE();
    case 1827:
      if (lookahead == 'r') ADVANCE(1711);
      END_STATE();
    case 1828:
      if (lookahead == 'r') ADVANCE(2025);
      END_STATE();
    case 1829:
      if (lookahead == 'r') ADVANCE(1941);
      END_STATE();
    case 1830:
      if (lookahead == 'r') ADVANCE(1305);
      END_STATE();
    case 1831:
      if (lookahead == 'r') ADVANCE(1949);
      END_STATE();
    case 1832:
      if (lookahead == 'r') ADVANCE(974);
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 1833:
      if (lookahead == 'r') ADVANCE(1978);
      END_STATE();
    case 1834:
      if (lookahead == 'r') ADVANCE(599);
      END_STATE();
    case 1835:
      if (lookahead == 'r') ADVANCE(1267);
      END_STATE();
    case 1836:
      if (lookahead == 'r') ADVANCE(1606);
      END_STATE();
    case 1837:
      if (lookahead == 'r') ADVANCE(1541);
      END_STATE();
    case 1838:
      if (lookahead == 'r') ADVANCE(1927);
      END_STATE();
    case 1839:
      if (lookahead == 'r') ADVANCE(1530);
      END_STATE();
    case 1840:
      if (lookahead == 'r') ADVANCE(1245);
      END_STATE();
    case 1841:
      if (lookahead == 'r') ADVANCE(1569);
      END_STATE();
    case 1842:
      if (lookahead == 'r') ADVANCE(1393);
      END_STATE();
    case 1843:
      if (lookahead == 'r') ADVANCE(1302);
      END_STATE();
    case 1844:
      if (lookahead == 'r') ADVANCE(1397);
      END_STATE();
    case 1845:
      if (lookahead == 'r') ADVANCE(997);
      END_STATE();
    case 1846:
      if (lookahead == 'r') ADVANCE(1607);
      END_STATE();
    case 1847:
      if (lookahead == 'r') ADVANCE(1958);
      END_STATE();
    case 1848:
      if (lookahead == 'r') ADVANCE(938);
      if (lookahead == 't') ADVANCE(559);
      END_STATE();
    case 1849:
      if (lookahead == 'r') ADVANCE(1611);
      END_STATE();
    case 1850:
      if (lookahead == 'r') ADVANCE(1612);
      END_STATE();
    case 1851:
      if (lookahead == 'r') ADVANCE(1616);
      END_STATE();
    case 1852:
      if (lookahead == 'r') ADVANCE(1617);
      END_STATE();
    case 1853:
      if (lookahead == 'r') ADVANCE(1618);
      END_STATE();
    case 1854:
      if (lookahead == 'r') ADVANCE(1090);
      END_STATE();
    case 1855:
      if (lookahead == 'r') ADVANCE(941);
      END_STATE();
    case 1856:
      if (lookahead == 'r') ADVANCE(1622);
      END_STATE();
    case 1857:
      if (lookahead == 'r') ADVANCE(1761);
      END_STATE();
    case 1858:
      if (lookahead == 'r') ADVANCE(1046);
      END_STATE();
    case 1859:
      if (lookahead == 'r') ADVANCE(1751);
      END_STATE();
    case 1860:
      if (lookahead == 'r') ADVANCE(1784);
      END_STATE();
    case 1861:
      if (lookahead == 'r') ADVANCE(1065);
      END_STATE();
    case 1862:
      if (lookahead == 'r') ADVANCE(967);
      END_STATE();
    case 1863:
      if (lookahead == 'r') ADVANCE(689);
      END_STATE();
    case 1864:
      if (lookahead == 'r') ADVANCE(604);
      END_STATE();
    case 1865:
      if (lookahead == 'r') ADVANCE(649);
      END_STATE();
    case 1866:
      if (lookahead == 'r') ADVANCE(1277);
      END_STATE();
    case 1867:
      if (lookahead == 'r') ADVANCE(1942);
      END_STATE();
    case 1868:
      if (lookahead == 'r') ADVANCE(843);
      END_STATE();
    case 1869:
      if (lookahead == 'r') ADVANCE(2022);
      END_STATE();
    case 1870:
      if (lookahead == 'r') ADVANCE(1013);
      END_STATE();
    case 1871:
      if (lookahead == 'r') ADVANCE(1143);
      if (lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 1872:
      if (lookahead == 'r') ADVANCE(2005);
      END_STATE();
    case 1873:
      if (lookahead == 'r') ADVANCE(2067);
      END_STATE();
    case 1874:
      if (lookahead == 'r') ADVANCE(1944);
      END_STATE();
    case 1875:
      if (lookahead == 'r') ADVANCE(1020);
      END_STATE();
    case 1876:
      if (lookahead == 'r') ADVANCE(1037);
      END_STATE();
    case 1877:
      if (lookahead == 'r') ADVANCE(1822);
      END_STATE();
    case 1878:
      if (lookahead == 'r') ADVANCE(628);
      END_STATE();
    case 1879:
      if (lookahead == 'r') ADVANCE(2020);
      END_STATE();
    case 1880:
      if (lookahead == 'r') ADVANCE(1836);
      END_STATE();
    case 1881:
      if (lookahead == 'r') ADVANCE(1846);
      END_STATE();
    case 1882:
      if (lookahead == 'r') ADVANCE(1850);
      END_STATE();
    case 1883:
      if (lookahead == 'r') ADVANCE(1851);
      END_STATE();
    case 1884:
      if (lookahead == 'r') ADVANCE(1852);
      END_STATE();
    case 1885:
      if (lookahead == 'r') ADVANCE(1856);
      END_STATE();
    case 1886:
      if (lookahead == 'r') ADVANCE(1055);
      END_STATE();
    case 1887:
      if (lookahead == 'r') ADVANCE(867);
      END_STATE();
    case 1888:
      if (lookahead == 'r') ADVANCE(1078);
      END_STATE();
    case 1889:
      if (lookahead == 'r') ADVANCE(469);
      END_STATE();
    case 1890:
      if (lookahead == 'r') ADVANCE(1724);
      END_STATE();
    case 1891:
      if (lookahead == 'r') ADVANCE(2043);
      END_STATE();
    case 1892:
      if (lookahead == 'r') ADVANCE(1726);
      END_STATE();
    case 1893:
      if (lookahead == 'r') ADVANCE(1087);
      END_STATE();
    case 1894:
      if (lookahead == 'r') ADVANCE(1088);
      END_STATE();
    case 1895:
      if (lookahead == 'r') ADVANCE(1089);
      END_STATE();
    case 1896:
      if (lookahead == 'r') ADVANCE(1329);
      END_STATE();
    case 1897:
      if (lookahead == 'r') ADVANCE(1331);
      END_STATE();
    case 1898:
      if (lookahead == 'r') ADVANCE(1332);
      END_STATE();
    case 1899:
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 1900:
      if (lookahead == 's') ADVANCE(1047);
      END_STATE();
    case 1901:
      if (lookahead == 's') ADVANCE(318);
      if (lookahead == 'u') ADVANCE(1485);
      END_STATE();
    case 1902:
      if (lookahead == 's') ADVANCE(468);
      END_STATE();
    case 1903:
      if (lookahead == 's') ADVANCE(494);
      END_STATE();
    case 1904:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 1905:
      if (lookahead == 's') ADVANCE(353);
      END_STATE();
    case 1906:
      if (lookahead == 's') ADVANCE(216);
      END_STATE();
    case 1907:
      if (lookahead == 's') ADVANCE(173);
      END_STATE();
    case 1908:
      if (lookahead == 's') ADVANCE(175);
      END_STATE();
    case 1909:
      if (lookahead == 's') ADVANCE(174);
      END_STATE();
    case 1910:
      if (lookahead == 's') ADVANCE(1954);
      END_STATE();
    case 1911:
      if (lookahead == 's') ADVANCE(488);
      END_STATE();
    case 1912:
      if (lookahead == 's') ADVANCE(1619);
      END_STATE();
    case 1913:
      if (lookahead == 's') ADVANCE(280);
      END_STATE();
    case 1914:
      if (lookahead == 's') ADVANCE(1219);
      END_STATE();
    case 1915:
      if (lookahead == 's') ADVANCE(502);
      END_STATE();
    case 1916:
      if (lookahead == 's') ADVANCE(342);
      END_STATE();
    case 1917:
      if (lookahead == 's') ADVANCE(246);
      END_STATE();
    case 1918:
      if (lookahead == 's') ADVANCE(201);
      END_STATE();
    case 1919:
      if (lookahead == 's') ADVANCE(1673);
      END_STATE();
    case 1920:
      if (lookahead == 's') ADVANCE(1179);
      END_STATE();
    case 1921:
      if (lookahead == 's') ADVANCE(2145);
      END_STATE();
    case 1922:
      if (lookahead == 's') ADVANCE(335);
      END_STATE();
    case 1923:
      if (lookahead == 's') ADVANCE(1180);
      END_STATE();
    case 1924:
      if (lookahead == 's') ADVANCE(1184);
      END_STATE();
    case 1925:
      if (lookahead == 's') ADVANCE(1899);
      END_STATE();
    case 1926:
      if (lookahead == 's') ADVANCE(1255);
      END_STATE();
    case 1927:
      if (lookahead == 's') ADVANCE(1354);
      END_STATE();
    case 1928:
      if (lookahead == 's') ADVANCE(2048);
      END_STATE();
    case 1929:
      if (lookahead == 's') ADVANCE(890);
      END_STATE();
    case 1930:
      if (lookahead == 's') ADVANCE(922);
      END_STATE();
    case 1931:
      if (lookahead == 's') ADVANCE(969);
      END_STATE();
    case 1932:
      if (lookahead == 's') ADVANCE(2097);
      END_STATE();
    case 1933:
      if (lookahead == 's') ADVANCE(2053);
      END_STATE();
    case 1934:
      if (lookahead == 's') ADVANCE(1999);
      END_STATE();
    case 1935:
      if (lookahead == 's') ADVANCE(1379);
      END_STATE();
    case 1936:
      if (lookahead == 's') ADVANCE(1911);
      END_STATE();
    case 1937:
      if (lookahead == 's') ADVANCE(1988);
      END_STATE();
    case 1938:
      if (lookahead == 's') ADVANCE(1992);
      END_STATE();
    case 1939:
      if (lookahead == 's') ADVANCE(1317);
      END_STATE();
    case 1940:
      if (lookahead == 's') ADVANCE(1985);
      END_STATE();
    case 1941:
      if (lookahead == 's') ADVANCE(1007);
      END_STATE();
    case 1942:
      if (lookahead == 's') ADVANCE(945);
      END_STATE();
    case 1943:
      if (lookahead == 's') ADVANCE(981);
      END_STATE();
    case 1944:
      if (lookahead == 's') ADVANCE(966);
      END_STATE();
    case 1945:
      if (lookahead == 's') ADVANCE(1189);
      END_STATE();
    case 1946:
      if (lookahead == 's') ADVANCE(2055);
      END_STATE();
    case 1947:
      if (lookahead == 's') ADVANCE(2010);
      END_STATE();
    case 1948:
      if (lookahead == 's') ADVANCE(1998);
      END_STATE();
    case 1949:
      if (lookahead == 's') ADVANCE(1012);
      END_STATE();
    case 1950:
      if (lookahead == 's') ADVANCE(1264);
      END_STATE();
    case 1951:
      if (lookahead == 's') ADVANCE(1027);
      END_STATE();
    case 1952:
      if (lookahead == 's') ADVANCE(1083);
      END_STATE();
    case 1953:
      if (lookahead == 't') ADVANCE(2135);
      END_STATE();
    case 1954:
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 1955:
      if (lookahead == 't') ADVANCE(148);
      if (lookahead == 'u') ADVANCE(747);
      END_STATE();
    case 1956:
      if (lookahead == 't') ADVANCE(148);
      if (lookahead == 'w') ADVANCE(1517);
      END_STATE();
    case 1957:
      if (lookahead == 't') ADVANCE(392);
      END_STATE();
    case 1958:
      if (lookahead == 't') ADVANCE(510);
      END_STATE();
    case 1959:
      if (lookahead == 't') ADVANCE(697);
      END_STATE();
    case 1960:
      if (lookahead == 't') ADVANCE(359);
      END_STATE();
    case 1961:
      if (lookahead == 't') ADVANCE(411);
      END_STATE();
    case 1962:
      if (lookahead == 't') ADVANCE(451);
      END_STATE();
    case 1963:
      if (lookahead == 't') ADVANCE(696);
      END_STATE();
    case 1964:
      if (lookahead == 't') ADVANCE(261);
      END_STATE();
    case 1965:
      if (lookahead == 't') ADVANCE(1152);
      END_STATE();
    case 1966:
      if (lookahead == 't') ADVANCE(506);
      END_STATE();
    case 1967:
      if (lookahead == 't') ADVANCE(517);
      END_STATE();
    case 1968:
      if (lookahead == 't') ADVANCE(414);
      END_STATE();
    case 1969:
      if (lookahead == 't') ADVANCE(417);
      END_STATE();
    case 1970:
      if (lookahead == 't') ADVANCE(521);
      END_STATE();
    case 1971:
      if (lookahead == 't') ADVANCE(704);
      END_STATE();
    case 1972:
      if (lookahead == 't') ADVANCE(415);
      END_STATE();
    case 1973:
      if (lookahead == 't') ADVANCE(416);
      END_STATE();
    case 1974:
      if (lookahead == 't') ADVANCE(1746);
      END_STATE();
    case 1975:
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 1976:
      if (lookahead == 't') ADVANCE(1004);
      END_STATE();
    case 1977:
      if (lookahead == 't') ADVANCE(170);
      END_STATE();
    case 1978:
      if (lookahead == 't') ADVANCE(1474);
      END_STATE();
    case 1979:
      if (lookahead == 't') ADVANCE(467);
      END_STATE();
    case 1980:
      if (lookahead == 't') ADVANCE(750);
      END_STATE();
    case 1981:
      if (lookahead == 't') ADVANCE(2136);
      END_STATE();
    case 1982:
      if (lookahead == 't') ADVANCE(252);
      if (lookahead == 'v') ADVANCE(1291);
      END_STATE();
    case 1983:
      if (lookahead == 't') ADVANCE(356);
      END_STATE();
    case 1984:
      if (lookahead == 't') ADVANCE(693);
      END_STATE();
    case 1985:
      if (lookahead == 't') ADVANCE(1584);
      END_STATE();
    case 1986:
      if (lookahead == 't') ADVANCE(412);
      END_STATE();
    case 1987:
      if (lookahead == 't') ADVANCE(1031);
      END_STATE();
    case 1988:
      if (lookahead == 't') ADVANCE(208);
      END_STATE();
    case 1989:
      if (lookahead == 't') ADVANCE(2140);
      END_STATE();
    case 1990:
      if (lookahead == 't') ADVANCE(246);
      END_STATE();
    case 1991:
      if (lookahead == 't') ADVANCE(518);
      END_STATE();
    case 1992:
      if (lookahead == 't') ADVANCE(330);
      END_STATE();
    case 1993:
      if (lookahead == 't') ADVANCE(1179);
      END_STATE();
    case 1994:
      if (lookahead == 't') ADVANCE(2141);
      END_STATE();
    case 1995:
      if (lookahead == 't') ADVANCE(309);
      END_STATE();
    case 1996:
      if (lookahead == 't') ADVANCE(1184);
      END_STATE();
    case 1997:
      if (lookahead == 't') ADVANCE(308);
      END_STATE();
    case 1998:
      if (lookahead == 't') ADVANCE(1899);
      END_STATE();
    case 1999:
      if (lookahead == 't') ADVANCE(255);
      END_STATE();
    case 2000:
      if (lookahead == 't') ADVANCE(260);
      END_STATE();
    case 2001:
      if (lookahead == 't') ADVANCE(1181);
      END_STATE();
    case 2002:
      if (lookahead == 't') ADVANCE(1482);
      END_STATE();
    case 2003:
      if (lookahead == 't') ADVANCE(922);
      END_STATE();
    case 2004:
      if (lookahead == 't') ADVANCE(1654);
      END_STATE();
    case 2005:
      if (lookahead == 't') ADVANCE(1905);
      END_STATE();
    case 2006:
      if (lookahead == 't') ADVANCE(1209);
      END_STATE();
    case 2007:
      if (lookahead == 't') ADVANCE(1497);
      END_STATE();
    case 2008:
      if (lookahead == 't') ADVANCE(953);
      END_STATE();
    case 2009:
      if (lookahead == 't') ADVANCE(1931);
      END_STATE();
    case 2010:
      if (lookahead == 't') ADVANCE(995);
      END_STATE();
    case 2011:
      if (lookahead == 't') ADVANCE(1593);
      END_STATE();
    case 2012:
      if (lookahead == 't') ADVANCE(1781);
      END_STATE();
    case 2013:
      if (lookahead == 't') ADVANCE(630);
      END_STATE();
    case 2014:
      if (lookahead == 't') ADVANCE(1290);
      END_STATE();
    case 2015:
      if (lookahead == 't') ADVANCE(1267);
      END_STATE();
    case 2016:
      if (lookahead == 't') ADVANCE(1301);
      END_STATE();
    case 2017:
      if (lookahead == 't') ADVANCE(1590);
      END_STATE();
    case 2018:
      if (lookahead == 't') ADVANCE(1292);
      END_STATE();
    case 2019:
      if (lookahead == 't') ADVANCE(1315);
      END_STATE();
    case 2020:
      if (lookahead == 't') ADVANCE(1309);
      END_STATE();
    case 2021:
      if (lookahead == 't') ADVANCE(1269);
      END_STATE();
    case 2022:
      if (lookahead == 't') ADVANCE(1749);
      END_STATE();
    case 2023:
      if (lookahead == 't') ADVANCE(1081);
      END_STATE();
    case 2024:
      if (lookahead == 't') ADVANCE(702);
      END_STATE();
    case 2025:
      if (lookahead == 't') ADVANCE(1549);
      END_STATE();
    case 2026:
      if (lookahead == 't') ADVANCE(1254);
      END_STATE();
    case 2027:
      if (lookahead == 't') ADVANCE(1647);
      END_STATE();
    case 2028:
      if (lookahead == 't') ADVANCE(1550);
      END_STATE();
    case 2029:
      if (lookahead == 't') ADVANCE(1834);
      END_STATE();
    case 2030:
      if (lookahead == 't') ADVANCE(1030);
      END_STATE();
    case 2031:
      if (lookahead == 't') ADVANCE(638);
      END_STATE();
    case 2032:
      if (lookahead == 't') ADVANCE(1231);
      END_STATE();
    case 2033:
      if (lookahead == 't') ADVANCE(1032);
      END_STATE();
    case 2034:
      if (lookahead == 't') ADVANCE(1034);
      END_STATE();
    case 2035:
      if (lookahead == 't') ADVANCE(1036);
      END_STATE();
    case 2036:
      if (lookahead == 't') ADVANCE(1039);
      END_STATE();
    case 2037:
      if (lookahead == 't') ADVANCE(1057);
      END_STATE();
    case 2038:
      if (lookahead == 't') ADVANCE(1041);
      END_STATE();
    case 2039:
      if (lookahead == 't') ADVANCE(1210);
      END_STATE();
    case 2040:
      if (lookahead == 't') ADVANCE(681);
      END_STATE();
    case 2041:
      if (lookahead == 't') ADVANCE(1300);
      END_STATE();
    case 2042:
      if (lookahead == 't') ADVANCE(1306);
      END_STATE();
    case 2043:
      if (lookahead == 't') ADVANCE(1316);
      END_STATE();
    case 2044:
      if (lookahead == 't') ADVANCE(701);
      END_STATE();
    case 2045:
      if (lookahead == 't') ADVANCE(690);
      END_STATE();
    case 2046:
      if (lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 2047:
      if (lookahead == 'u') ADVANCE(618);
      END_STATE();
    case 2048:
      if (lookahead == 'u') ADVANCE(2158);
      END_STATE();
    case 2049:
      if (lookahead == 'u') ADVANCE(1584);
      END_STATE();
    case 2050:
      if (lookahead == 'u') ADVANCE(307);
      END_STATE();
    case 2051:
      if (lookahead == 'u') ADVANCE(720);
      END_STATE();
    case 2052:
      if (lookahead == 'u') ADVANCE(733);
      END_STATE();
    case 2053:
      if (lookahead == 'u') ADVANCE(731);
      END_STATE();
    case 2054:
      if (lookahead == 'u') ADVANCE(1673);
      END_STATE();
    case 2055:
      if (lookahead == 'u') ADVANCE(714);
      END_STATE();
    case 2056:
      if (lookahead == 'u') ADVANCE(1903);
      END_STATE();
    case 2057:
      if (lookahead == 'u') ADVANCE(738);
      END_STATE();
    case 2058:
      if (lookahead == 'u') ADVANCE(1990);
      END_STATE();
    case 2059:
      if (lookahead == 'u') ADVANCE(1990);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 2060:
      if (lookahead == 'u') ADVANCE(1459);
      END_STATE();
    case 2061:
      if (lookahead == 'u') ADVANCE(1899);
      END_STATE();
    case 2062:
      if (lookahead == 'u') ADVANCE(1005);
      END_STATE();
    case 2063:
      if (lookahead == 'u') ADVANCE(1915);
      END_STATE();
    case 2064:
      if (lookahead == 'u') ADVANCE(922);
      END_STATE();
    case 2065:
      if (lookahead == 'u') ADVANCE(1462);
      END_STATE();
    case 2066:
      if (lookahead == 'u') ADVANCE(803);
      END_STATE();
    case 2067:
      if (lookahead == 'u') ADVANCE(955);
      END_STATE();
    case 2068:
      if (lookahead == 'u') ADVANCE(596);
      END_STATE();
    case 2069:
      if (lookahead == 'u') ADVANCE(1906);
      END_STATE();
    case 2070:
      if (lookahead == 'u') ADVANCE(1585);
      END_STATE();
    case 2071:
      if (lookahead == 'u') ADVANCE(1370);
      END_STATE();
    case 2072:
      if (lookahead == 'u') ADVANCE(1930);
      END_STATE();
    case 2073:
      if (lookahead == 'u') ADVANCE(837);
      END_STATE();
    case 2074:
      if (lookahead == 'u') ADVANCE(1917);
      END_STATE();
    case 2075:
      if (lookahead == 'u') ADVANCE(1238);
      END_STATE();
    case 2076:
      if (lookahead == 'u') ADVANCE(990);
      END_STATE();
    case 2077:
      if (lookahead == 'u') ADVANCE(617);
      END_STATE();
    case 2078:
      if (lookahead == 'u') ADVANCE(1303);
      END_STATE();
    case 2079:
      if (lookahead == 'u') ADVANCE(1237);
      END_STATE();
    case 2080:
      if (lookahead == 'u') ADVANCE(1777);
      END_STATE();
    case 2081:
      if (lookahead == 'u') ADVANCE(1749);
      END_STATE();
    case 2082:
      if (lookahead == 'u') ADVANCE(1778);
      END_STATE();
    case 2083:
      if (lookahead == 'u') ADVANCE(1842);
      END_STATE();
    case 2084:
      if (lookahead == 'u') ADVANCE(1844);
      END_STATE();
    case 2085:
      if (lookahead == 'u') ADVANCE(1189);
      END_STATE();
    case 2086:
      if (lookahead == 'u') ADVANCE(1472);
      END_STATE();
    case 2087:
      if (lookahead == 'u') ADVANCE(1543);
      END_STATE();
    case 2088:
      if (lookahead == 'u') ADVANCE(1937);
      END_STATE();
    case 2089:
      if (lookahead == 'u') ADVANCE(1272);
      END_STATE();
    case 2090:
      if (lookahead == 'u') ADVANCE(1396);
      END_STATE();
    case 2091:
      if (lookahead == 'u') ADVANCE(2003);
      END_STATE();
    case 2092:
      if (lookahead == 'u') ADVANCE(637);
      END_STATE();
    case 2093:
      if (lookahead == 'u') ADVANCE(1412);
      END_STATE();
    case 2094:
      if (lookahead == 'u') ADVANCE(1658);
      END_STATE();
    case 2095:
      if (lookahead == 'u') ADVANCE(1470);
      END_STATE();
    case 2096:
      if (lookahead == 'u') ADVANCE(643);
      END_STATE();
    case 2097:
      if (lookahead == 'u') ADVANCE(1858);
      END_STATE();
    case 2098:
      if (lookahead == 'u') ADVANCE(1451);
      END_STATE();
    case 2099:
      if (lookahead == 'u') ADVANCE(686);
      END_STATE();
    case 2100:
      if (lookahead == 'u') ADVANCE(744);
      END_STATE();
    case 2101:
      if (lookahead == 'u') ADVANCE(688);
      END_STATE();
    case 2102:
      if (lookahead == 'u') ADVANCE(743);
      if (lookahead == 'w') ADVANCE(1509);
      END_STATE();
    case 2103:
      if (lookahead == 'u') ADVANCE(746);
      END_STATE();
    case 2104:
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 2105:
      if (lookahead == 'v') ADVANCE(148);
      if (lookahead == 'w') ADVANCE(921);
      END_STATE();
    case 2106:
      if (lookahead == 'v') ADVANCE(162);
      END_STATE();
    case 2107:
      if (lookahead == 'v') ADVANCE(246);
      END_STATE();
    case 2108:
      if (lookahead == 'v') ADVANCE(999);
      if (lookahead == 'w') ADVANCE(998);
      END_STATE();
    case 2109:
      if (lookahead == 'v') ADVANCE(922);
      END_STATE();
    case 2110:
      if (lookahead == 'v') ADVANCE(946);
      END_STATE();
    case 2111:
      if (lookahead == 'v') ADVANCE(1085);
      END_STATE();
    case 2112:
      if (lookahead == 'w') ADVANCE(148);
      END_STATE();
    case 2113:
      if (lookahead == 'w') ADVANCE(154);
      END_STATE();
    case 2114:
      if (lookahead == 'w') ADVANCE(158);
      END_STATE();
    case 2115:
      if (lookahead == 'w') ADVANCE(157);
      END_STATE();
    case 2116:
      if (lookahead == 'w') ADVANCE(156);
      END_STATE();
    case 2117:
      if (lookahead == 'w') ADVANCE(1584);
      END_STATE();
    case 2118:
      if (lookahead == 'w') ADVANCE(542);
      END_STATE();
    case 2119:
      if (lookahead == 'w') ADVANCE(330);
      END_STATE();
    case 2120:
      if (lookahead == 'w') ADVANCE(962);
      END_STATE();
    case 2121:
      if (lookahead == 'w') ADVANCE(1899);
      END_STATE();
    case 2122:
      if (lookahead == 'w') ADVANCE(1050);
      if (lookahead == 'a' ||
          lookahead == 'h') ADVANCE(148);
      END_STATE();
    case 2123:
      if (lookahead == 'w') ADVANCE(1500);
      END_STATE();
    case 2124:
      if (lookahead == 'w') ADVANCE(1517);
      END_STATE();
    case 2125:
      if (lookahead == 'w') ADVANCE(1514);
      END_STATE();
    case 2126:
      if (lookahead == 'w') ADVANCE(1510);
      END_STATE();
    case 2127:
      if (lookahead == 'w') ADVANCE(1298);
      END_STATE();
    case 2128:
      if (lookahead == 'w') ADVANCE(349);
      END_STATE();
    case 2129:
      if (lookahead == 'w') ADVANCE(1424);
      END_STATE();
    case 2130:
      if (lookahead == 'w') ADVANCE(1582);
      END_STATE();
    case 2131:
      if (lookahead == 'w') ADVANCE(1581);
      END_STATE();
    case 2132:
      if (lookahead == 'x') ADVANCE(148);
      END_STATE();
    case 2133:
      if (lookahead == 'x') ADVANCE(1954);
      END_STATE();
    case 2134:
      if (lookahead == 'x') ADVANCE(255);
      END_STATE();
    case 2135:
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 2136:
      if (lookahead == 'y') ADVANCE(509);
      END_STATE();
    case 2137:
      if (lookahead == 'y') ADVANCE(980);
      END_STATE();
    case 2138:
      if (lookahead == 'y') ADVANCE(456);
      END_STATE();
    case 2139:
      if (lookahead == 'y') ADVANCE(471);
      END_STATE();
    case 2140:
      if (lookahead == 'y') ADVANCE(338);
      END_STATE();
    case 2141:
      if (lookahead == 'y') ADVANCE(2104);
      END_STATE();
    case 2142:
      if (lookahead == 'y') ADVANCE(508);
      END_STATE();
    case 2143:
      if (lookahead == 'y') ADVANCE(515);
      END_STATE();
    case 2144:
      if (lookahead == 'y') ADVANCE(484);
      END_STATE();
    case 2145:
      if (lookahead == 'y') ADVANCE(1459);
      END_STATE();
    case 2146:
      if (lookahead == 'y') ADVANCE(921);
      END_STATE();
    case 2147:
      if (lookahead == 'y') ADVANCE(1899);
      END_STATE();
    case 2148:
      if (lookahead == 'y') ADVANCE(969);
      END_STATE();
    case 2149:
      if (lookahead == 'z') ADVANCE(1661);
      END_STATE();
    case 2150:
      if (lookahead == 'z') ADVANCE(573);
      END_STATE();
    case 2151:
      if (lookahead == 'z') ADVANCE(1277);
      END_STATE();
    case 2152:
      if (lookahead == 'z') ADVANCE(1008);
      END_STATE();
    case 2153:
      if (lookahead == '2' ||
          lookahead == '4') ADVANCE(148);
      END_STATE();
    case 2154:
      if (lookahead == '3' ||
          lookahead == '5') ADVANCE(148);
      END_STATE();
    case 2155:
      if (lookahead == '6' ||
          lookahead == '8') ADVANCE(148);
      END_STATE();
    case 2156:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 2157:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(2173);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(376);
      END_STATE();
    case 2158:
      if (lookahead == 'b' ||
          lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 2159:
      if (lookahead == 'b' ||
          lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 2160:
      if (lookahead == 'd' ||
          lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 2161:
      if (lookahead == 'e' ||
          lookahead == 'k') ADVANCE(148);
      END_STATE();
    case 2162:
      if (lookahead == 'e' ||
          lookahead == 't') ADVANCE(148);
      END_STATE();
    case 2163:
      if (lookahead == 'f' ||
          lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 2164:
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 2165:
      if (lookahead == 'o' ||
          lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 2166:
      if (lookahead == 'r' ||
          lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 2167:
      if (lookahead == '3' ||
          lookahead == '4') ADVANCE(148);
      END_STATE();
    case 2168:
      if (lookahead == 'e' ||
          lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 2169:
      if (('a' <= lookahead && lookahead <= 'c')) ADVANCE(148);
      END_STATE();
    case 2170:
      if (lookahead == 'L' ||
          lookahead == 'R' ||
          lookahead == 'l' ||
          lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 2171:
      if (('a' <= lookahead && lookahead <= 'h')) ADVANCE(148);
      END_STATE();
    case 2172:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2172);
      if (lookahead == '-' ||
          lookahead == '/' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2245);
      END_STATE();
    case 2173:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(381);
      END_STATE();
    case 2174:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(15);
      END_STATE();
    case 2175:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(138);
      END_STATE();
    case 2176:
      if (eof) ADVANCE(2180);
      ADVANCE_MAP(
        '\t', 2240,
        '\n', 2224,
        '\r', 2225,
        ' ', 2242,
        '!', 2191,
        '"', 2192,
        '#', 2194,
        '$', 2195,
        '%', 2196,
        '&', 2198,
        '\'', 2199,
        '(', 2222,
        ')', 2223,
        '*', 2200,
        '+', 2201,
        ',', 2202,
        '-', 2204,
        '.', 2205,
        '/', 2206,
        ':', 2207,
        ';', 2208,
        '<', 2188,
        '=', 2209,
        '>', 2190,
        '?', 2210,
        '@', 2212,
        '[', 2184,
        '\\', 2214,
        ']', 2185,
        '^', 2215,
        '_', 2216,
        '`', 2217,
        '{', 2218,
        '|', 2219,
        '}', 2220,
        '~', 2221,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2244);
      if (lookahead != 0) ADVANCE(2243);
      END_STATE();
    case 2177:
      if (eof) ADVANCE(2180);
      ADVANCE_MAP(
        '\t', 2240,
        '\n', 2224,
        '\r', 2225,
        ' ', 2242,
        '!', 2191,
        '"', 2192,
        '#', 2194,
        '$', 2195,
        '%', 2196,
        '&', 2198,
        '\'', 2199,
        '(', 2222,
        ')', 2223,
        '*', 2200,
        '+', 2201,
        ',', 2202,
        '-', 2203,
        '.', 2205,
        '/', 2206,
        ':', 2207,
        ';', 2208,
        '<', 2188,
        '=', 2209,
        '>', 2190,
        '?', 2211,
        '@', 2212,
        '[', 2184,
        '\\', 2214,
        ']', 2185,
        '^', 2215,
        '_', 2216,
        '`', 2217,
        '{', 2218,
        '|', 2219,
        '}', 2220,
        '~', 2221,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2244);
      if (lookahead != 0) ADVANCE(2243);
      END_STATE();
    case 2178:
      if (eof) ADVANCE(2180);
      ADVANCE_MAP(
        '\t', 2240,
        '\n', 2224,
        '\r', 2225,
        ' ', 2242,
        '!', 2191,
        '"', 2192,
        '#', 2194,
        '$', 2195,
        '%', 2196,
        '&', 2198,
        '\'', 2199,
        '(', 2222,
        ')', 2223,
        '*', 2200,
        '+', 2201,
        ',', 2202,
        '-', 2203,
        '.', 2205,
        '/', 2206,
        ':', 2207,
        ';', 2208,
        '<', 2188,
        '=', 2209,
        '>', 2190,
        '?', 2210,
        '@', 2212,
        '[', 2184,
        '\\', 2214,
        ']', 2186,
        '^', 2215,
        '_', 2216,
        '`', 2217,
        '{', 2218,
        '|', 2219,
        '}', 2220,
        '~', 2221,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2244);
      if (lookahead != 0) ADVANCE(2243);
      END_STATE();
    case 2179:
      if (eof) ADVANCE(2180);
      ADVANCE_MAP(
        '\t', 2240,
        '\n', 2224,
        '\r', 2225,
        ' ', 2242,
        '!', 2191,
        '"', 2192,
        '#', 2194,
        '$', 2195,
        '%', 2196,
        '&', 2198,
        '\'', 2199,
        '(', 2222,
        ')', 2223,
        '*', 2200,
        '+', 2201,
        ',', 2202,
        '-', 2203,
        '.', 2205,
        '/', 2206,
        ':', 2207,
        ';', 2208,
        '<', 2188,
        '=', 2209,
        '>', 2190,
        '?', 2210,
        '@', 2212,
        '[', 2184,
        '\\', 2214,
        ']', 2185,
        '^', 2215,
        '_', 2216,
        '`', 2217,
        '{', 2218,
        '|', 2219,
        '}', 2220,
        '~', 2221,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2244);
      if (lookahead != 0) ADVANCE(2243);
      END_STATE();
    case 2180:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2181:
      ACCEPT_TOKEN(sym__backslash_escape);
      END_STATE();
    case 2182:
      ACCEPT_TOKEN(sym_entity_reference);
      END_STATE();
    case 2183:
      ACCEPT_TOKEN(sym_numeric_character_reference);
      END_STATE();
    case 2184:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 2185:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 2186:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      if (lookahead == ']') ADVANCE(383);
      END_STATE();
    case 2187:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 2188:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(13);
      if (lookahead == '?') ADVANCE(2234);
      if (('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          ('^' <= lookahead && lookahead <= '`') ||
          ('{' <= lookahead && lookahead <= '~')) ADVANCE(386);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(385);
      END_STATE();
    case 2189:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(16);
      if (lookahead == '?') ADVANCE(2233);
      END_STATE();
    case 2190:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 2191:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 2192:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 2193:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 2194:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2172);
      if (lookahead == '-' ||
          lookahead == '/' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2245);
      END_STATE();
    case 2195:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 2196:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 2197:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 2198:
      ACCEPT_TOKEN(anon_sym_AMP);
      ADVANCE_MAP(
        '#', 2157,
        'A', 457,
        'B', 527,
        'C', 480,
        'D', 440,
        'E', 496,
        'F', 753,
        'G', 180,
        'H', 387,
        'I', 463,
        'J', 855,
        'K', 479,
        'L', 179,
        'M', 569,
        'N', 487,
        'O', 465,
        'P', 565,
        'Q', 519,
        'R', 420,
        'S', 476,
        'T', 477,
        'U', 546,
        'V', 449,
        'W', 807,
        'X', 1095,
        'Y', 390,
        'Z', 481,
        'a', 525,
        'b', 495,
        'c', 532,
        'd', 396,
        'e', 442,
        'f', 574,
        'g', 169,
        'h', 398,
        'i', 526,
        'j', 854,
        'k', 659,
        'l', 149,
        'm', 443,
        'n', 473,
        'o', 507,
        'p', 597,
        'q', 1096,
        'r', 388,
        's', 654,
        't', 549,
        'u', 397,
        'v', 394,
        'w', 806,
        'x', 762,
        'y', 564,
        'z', 655,
      );
      END_STATE();
    case 2199:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 2200:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 2201:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 2202:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 2203:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 2204:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(382);
      END_STATE();
    case 2205:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 2206:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 2207:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 2208:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 2209:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 2210:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 2211:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(2235);
      END_STATE();
    case 2212:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 2213:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 2214:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (('!' <= lookahead && lookahead <= '/') ||
          (':' <= lookahead && lookahead <= '@') ||
          ('[' <= lookahead && lookahead <= '`') ||
          ('{' <= lookahead && lookahead <= '~')) ADVANCE(2181);
      END_STATE();
    case 2215:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 2216:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2217:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 2218:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 2219:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 2220:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 2221:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 2222:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 2223:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 2224:
      ACCEPT_TOKEN(sym__newline_token);
      END_STATE();
    case 2225:
      ACCEPT_TOKEN(sym__newline_token);
      if (lookahead == '\n') ADVANCE(2224);
      END_STATE();
    case 2226:
      ACCEPT_TOKEN(sym_uri_autolink);
      END_STATE();
    case 2227:
      ACCEPT_TOKEN(sym_email_autolink);
      END_STATE();
    case 2228:
      ACCEPT_TOKEN(sym__attribute_name);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2228);
      END_STATE();
    case 2229:
      ACCEPT_TOKEN(aux_sym__attribute_value_token1);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != '`') ADVANCE(2229);
      END_STATE();
    case 2230:
      ACCEPT_TOKEN(anon_sym_LT_BANG_DASH_DASH);
      END_STATE();
    case 2231:
      ACCEPT_TOKEN(anon_sym_LT_BANG_DASH_DASH);
      if (lookahead == '@') ADVANCE(2174);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(386);
      END_STATE();
    case 2232:
      ACCEPT_TOKEN(anon_sym_DASH_DASH_GT);
      END_STATE();
    case 2233:
      ACCEPT_TOKEN(anon_sym_LT_QMARK);
      END_STATE();
    case 2234:
      ACCEPT_TOKEN(anon_sym_LT_QMARK);
      if (lookahead == '@') ADVANCE(2174);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(386);
      END_STATE();
    case 2235:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 2236:
      ACCEPT_TOKEN(aux_sym__declaration_token1);
      if (lookahead == '@') ADVANCE(2174);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(2236);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          lookahead == '?' ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(386);
      END_STATE();
    case 2237:
      ACCEPT_TOKEN(aux_sym__declaration_token1);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(2237);
      END_STATE();
    case 2238:
      ACCEPT_TOKEN(anon_sym_LT_BANG_LBRACKCDATA_LBRACK);
      END_STATE();
    case 2239:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK_GT);
      END_STATE();
    case 2240:
      ACCEPT_TOKEN(sym__whitespace_ge_2);
      END_STATE();
    case 2241:
      ACCEPT_TOKEN(sym__whitespace_ge_2);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(2241);
      END_STATE();
    case 2242:
      ACCEPT_TOKEN(aux_sym__whitespace_token1);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(2241);
      END_STATE();
    case 2243:
      ACCEPT_TOKEN(sym__word_no_digit);
      if (lookahead == '_') ADVANCE(524);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '@' < lookahead) &&
          (lookahead < '[' || '`' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(2243);
      END_STATE();
    case 2244:
      ACCEPT_TOKEN(sym__digits);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(2244);
      END_STATE();
    case 2245:
      ACCEPT_TOKEN(sym_tag);
      if (lookahead == '-' ||
          ('/' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2245);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 2179, .external_lex_state = 2},
  [2] = {.lex_state = 2179, .external_lex_state = 3},
  [3] = {.lex_state = 2179, .external_lex_state = 3},
  [4] = {.lex_state = 2179, .external_lex_state = 4},
  [5] = {.lex_state = 2179, .external_lex_state = 4},
  [6] = {.lex_state = 2179, .external_lex_state = 3},
  [7] = {.lex_state = 2179, .external_lex_state = 5},
  [8] = {.lex_state = 2179, .external_lex_state = 5},
  [9] = {.lex_state = 2179, .external_lex_state = 6},
  [10] = {.lex_state = 2179, .external_lex_state = 6},
  [11] = {.lex_state = 2179, .external_lex_state = 7},
  [12] = {.lex_state = 2179, .external_lex_state = 3},
  [13] = {.lex_state = 2179, .external_lex_state = 8},
  [14] = {.lex_state = 2179, .external_lex_state = 8},
  [15] = {.lex_state = 2179, .external_lex_state = 3},
  [16] = {.lex_state = 2179, .external_lex_state = 3},
  [17] = {.lex_state = 2179, .external_lex_state = 9},
  [18] = {.lex_state = 2179, .external_lex_state = 8},
  [19] = {.lex_state = 2179, .external_lex_state = 7},
  [20] = {.lex_state = 2179, .external_lex_state = 7},
  [21] = {.lex_state = 2179, .external_lex_state = 10},
  [22] = {.lex_state = 2179, .external_lex_state = 10},
  [23] = {.lex_state = 2179, .external_lex_state = 9},
  [24] = {.lex_state = 2179, .external_lex_state = 9},
  [25] = {.lex_state = 2179, .external_lex_state = 3},
  [26] = {.lex_state = 2179, .external_lex_state = 3},
  [27] = {.lex_state = 2179, .external_lex_state = 3},
  [28] = {.lex_state = 2179, .external_lex_state = 7},
  [29] = {.lex_state = 2179, .external_lex_state = 7},
  [30] = {.lex_state = 2179, .external_lex_state = 10},
  [31] = {.lex_state = 2179, .external_lex_state = 9},
  [32] = {.lex_state = 2179, .external_lex_state = 7},
  [33] = {.lex_state = 2179, .external_lex_state = 10},
  [34] = {.lex_state = 2179, .external_lex_state = 9},
  [35] = {.lex_state = 2179, .external_lex_state = 10},
  [36] = {.lex_state = 2179, .external_lex_state = 9},
  [37] = {.lex_state = 2179, .external_lex_state = 7},
  [38] = {.lex_state = 2179, .external_lex_state = 10},
  [39] = {.lex_state = 2179, .external_lex_state = 9},
  [40] = {.lex_state = 2179, .external_lex_state = 7},
  [41] = {.lex_state = 2179, .external_lex_state = 10},
  [42] = {.lex_state = 2179, .external_lex_state = 9},
  [43] = {.lex_state = 2179, .external_lex_state = 7},
  [44] = {.lex_state = 2179, .external_lex_state = 10},
  [45] = {.lex_state = 2179, .external_lex_state = 9},
  [46] = {.lex_state = 2179, .external_lex_state = 7},
  [47] = {.lex_state = 2179, .external_lex_state = 10},
  [48] = {.lex_state = 2179, .external_lex_state = 9},
  [49] = {.lex_state = 2179, .external_lex_state = 7},
  [50] = {.lex_state = 2179, .external_lex_state = 10},
  [51] = {.lex_state = 2179, .external_lex_state = 9},
  [52] = {.lex_state = 2179, .external_lex_state = 10},
  [53] = {.lex_state = 2179, .external_lex_state = 8},
  [54] = {.lex_state = 2179, .external_lex_state = 8},
  [55] = {.lex_state = 2179, .external_lex_state = 8},
  [56] = {.lex_state = 2179, .external_lex_state = 8},
  [57] = {.lex_state = 2179, .external_lex_state = 8},
  [58] = {.lex_state = 2179, .external_lex_state = 8},
  [59] = {.lex_state = 2179, .external_lex_state = 8},
  [60] = {.lex_state = 2179, .external_lex_state = 8},
  [61] = {.lex_state = 2179, .external_lex_state = 8},
  [62] = {.lex_state = 2179, .external_lex_state = 8},
  [63] = {.lex_state = 2179, .external_lex_state = 8},
  [64] = {.lex_state = 2179, .external_lex_state = 8},
  [65] = {.lex_state = 2179, .external_lex_state = 8},
  [66] = {.lex_state = 2179, .external_lex_state = 8},
  [67] = {.lex_state = 2179, .external_lex_state = 8},
  [68] = {.lex_state = 2179, .external_lex_state = 8},
  [69] = {.lex_state = 2179, .external_lex_state = 8},
  [70] = {.lex_state = 2179, .external_lex_state = 8},
  [71] = {.lex_state = 2179, .external_lex_state = 8},
  [72] = {.lex_state = 2179, .external_lex_state = 8},
  [73] = {.lex_state = 2179, .external_lex_state = 8},
  [74] = {.lex_state = 2179, .external_lex_state = 8},
  [75] = {.lex_state = 2179, .external_lex_state = 8},
  [76] = {.lex_state = 2179, .external_lex_state = 8},
  [77] = {.lex_state = 2179, .external_lex_state = 8},
  [78] = {.lex_state = 2179, .external_lex_state = 8},
  [79] = {.lex_state = 2179, .external_lex_state = 8},
  [80] = {.lex_state = 2179, .external_lex_state = 8},
  [81] = {.lex_state = 2179, .external_lex_state = 8},
  [82] = {.lex_state = 2179, .external_lex_state = 8},
  [83] = {.lex_state = 2179, .external_lex_state = 8},
  [84] = {.lex_state = 2179, .external_lex_state = 8},
  [85] = {.lex_state = 2179, .external_lex_state = 8},
  [86] = {.lex_state = 2179, .external_lex_state = 4},
  [87] = {.lex_state = 2179, .external_lex_state = 6},
  [88] = {.lex_state = 2179, .external_lex_state = 3},
  [89] = {.lex_state = 2179, .external_lex_state = 5},
  [90] = {.lex_state = 2179, .external_lex_state = 3},
  [91] = {.lex_state = 2179, .external_lex_state = 3},
  [92] = {.lex_state = 2179, .external_lex_state = 6},
  [93] = {.lex_state = 2179, .external_lex_state = 5},
  [94] = {.lex_state = 2179, .external_lex_state = 5},
  [95] = {.lex_state = 2179, .external_lex_state = 6},
  [96] = {.lex_state = 2179, .external_lex_state = 4},
  [97] = {.lex_state = 2179, .external_lex_state = 4},
  [98] = {.lex_state = 2179, .external_lex_state = 3},
  [99] = {.lex_state = 2179, .external_lex_state = 3},
  [100] = {.lex_state = 2179, .external_lex_state = 8},
  [101] = {.lex_state = 2179, .external_lex_state = 3},
  [102] = {.lex_state = 2179, .external_lex_state = 9},
  [103] = {.lex_state = 2179, .external_lex_state = 7},
  [104] = {.lex_state = 2179, .external_lex_state = 7},
  [105] = {.lex_state = 2179, .external_lex_state = 10},
  [106] = {.lex_state = 2179, .external_lex_state = 10},
  [107] = {.lex_state = 2179, .external_lex_state = 9},
  [108] = {.lex_state = 2179, .external_lex_state = 9},
  [109] = {.lex_state = 2179, .external_lex_state = 3},
  [110] = {.lex_state = 2179, .external_lex_state = 8},
  [111] = {.lex_state = 2179, .external_lex_state = 7},
  [112] = {.lex_state = 2179, .external_lex_state = 10},
  [113] = {.lex_state = 2179, .external_lex_state = 9},
  [114] = {.lex_state = 2179, .external_lex_state = 7},
  [115] = {.lex_state = 2179, .external_lex_state = 10},
  [116] = {.lex_state = 2179, .external_lex_state = 10},
  [117] = {.lex_state = 2179, .external_lex_state = 8},
  [118] = {.lex_state = 2179, .external_lex_state = 7},
  [119] = {.lex_state = 2179, .external_lex_state = 10},
  [120] = {.lex_state = 2179, .external_lex_state = 9},
  [121] = {.lex_state = 2179, .external_lex_state = 7},
  [122] = {.lex_state = 2179, .external_lex_state = 10},
  [123] = {.lex_state = 2179, .external_lex_state = 9},
  [124] = {.lex_state = 2179, .external_lex_state = 8},
  [125] = {.lex_state = 2179, .external_lex_state = 7},
  [126] = {.lex_state = 2179, .external_lex_state = 10},
  [127] = {.lex_state = 2179, .external_lex_state = 9},
  [128] = {.lex_state = 2179, .external_lex_state = 7},
  [129] = {.lex_state = 2179, .external_lex_state = 10},
  [130] = {.lex_state = 2179, .external_lex_state = 9},
  [131] = {.lex_state = 2179, .external_lex_state = 7},
  [132] = {.lex_state = 2179, .external_lex_state = 8},
  [133] = {.lex_state = 2179, .external_lex_state = 3},
  [134] = {.lex_state = 2179, .external_lex_state = 8},
  [135] = {.lex_state = 2179, .external_lex_state = 9},
  [136] = {.lex_state = 2179, .external_lex_state = 8},
  [137] = {.lex_state = 2179, .external_lex_state = 8},
  [138] = {.lex_state = 2179, .external_lex_state = 8},
  [139] = {.lex_state = 2179, .external_lex_state = 8},
  [140] = {.lex_state = 2179, .external_lex_state = 8},
  [141] = {.lex_state = 2179, .external_lex_state = 8},
  [142] = {.lex_state = 2179, .external_lex_state = 8},
  [143] = {.lex_state = 2179, .external_lex_state = 8},
  [144] = {.lex_state = 2179, .external_lex_state = 8},
  [145] = {.lex_state = 2179, .external_lex_state = 8},
  [146] = {.lex_state = 2179, .external_lex_state = 8},
  [147] = {.lex_state = 2179, .external_lex_state = 8},
  [148] = {.lex_state = 2179, .external_lex_state = 9},
  [149] = {.lex_state = 2179, .external_lex_state = 7},
  [150] = {.lex_state = 2179, .external_lex_state = 10},
  [151] = {.lex_state = 2179, .external_lex_state = 7},
  [152] = {.lex_state = 2179, .external_lex_state = 9},
  [153] = {.lex_state = 2179, .external_lex_state = 8},
  [154] = {.lex_state = 2179, .external_lex_state = 10},
  [155] = {.lex_state = 2179, .external_lex_state = 8},
  [156] = {.lex_state = 2179, .external_lex_state = 8},
  [157] = {.lex_state = 2179, .external_lex_state = 8},
  [158] = {.lex_state = 2179, .external_lex_state = 9},
  [159] = {.lex_state = 2179, .external_lex_state = 9},
  [160] = {.lex_state = 2179, .external_lex_state = 10},
  [161] = {.lex_state = 2179, .external_lex_state = 10},
  [162] = {.lex_state = 2179, .external_lex_state = 8},
  [163] = {.lex_state = 2179, .external_lex_state = 8},
  [164] = {.lex_state = 2179, .external_lex_state = 7},
  [165] = {.lex_state = 2179, .external_lex_state = 7},
  [166] = {.lex_state = 2177, .external_lex_state = 7},
  [167] = {.lex_state = 2177, .external_lex_state = 10},
  [168] = {.lex_state = 2178, .external_lex_state = 7},
  [169] = {.lex_state = 2177, .external_lex_state = 10},
  [170] = {.lex_state = 2178, .external_lex_state = 10},
  [171] = {.lex_state = 2177, .external_lex_state = 9},
  [172] = {.lex_state = 2178, .external_lex_state = 9},
  [173] = {.lex_state = 2178, .external_lex_state = 10},
  [174] = {.lex_state = 2177, .external_lex_state = 8},
  [175] = {.lex_state = 2178, .external_lex_state = 8},
  [176] = {.lex_state = 2177, .external_lex_state = 9},
  [177] = {.lex_state = 2178, .external_lex_state = 9},
  [178] = {.lex_state = 2177, .external_lex_state = 7},
  [179] = {.lex_state = 2178, .external_lex_state = 7},
  [180] = {.lex_state = 2176, .external_lex_state = 7},
  [181] = {.lex_state = 2176, .external_lex_state = 10},
  [182] = {.lex_state = 2176, .external_lex_state = 9},
  [183] = {.lex_state = 2177, .external_lex_state = 8},
  [184] = {.lex_state = 2178, .external_lex_state = 8},
  [185] = {.lex_state = 2176, .external_lex_state = 8},
  [186] = {.lex_state = 2176, .external_lex_state = 9},
  [187] = {.lex_state = 2176, .external_lex_state = 7},
  [188] = {.lex_state = 2176, .external_lex_state = 10},
  [189] = {.lex_state = 2178, .external_lex_state = 8},
  [190] = {.lex_state = 2177, .external_lex_state = 8},
  [191] = {.lex_state = 2176, .external_lex_state = 8},
  [192] = {.lex_state = 2176, .external_lex_state = 8},
  [193] = {.lex_state = 2179, .external_lex_state = 6},
  [194] = {.lex_state = 2179, .external_lex_state = 9},
  [195] = {.lex_state = 2179, .external_lex_state = 10},
  [196] = {.lex_state = 2179, .external_lex_state = 3},
  [197] = {.lex_state = 2179, .external_lex_state = 11},
  [198] = {.lex_state = 2179, .external_lex_state = 3},
  [199] = {.lex_state = 2179, .external_lex_state = 4},
  [200] = {.lex_state = 2179, .external_lex_state = 8},
  [201] = {.lex_state = 2179, .external_lex_state = 5},
  [202] = {.lex_state = 2179, .external_lex_state = 4},
  [203] = {.lex_state = 2179, .external_lex_state = 7},
  [204] = {.lex_state = 2179, .external_lex_state = 2},
  [205] = {.lex_state = 2179, .external_lex_state = 12},
  [206] = {.lex_state = 2179, .external_lex_state = 5},
  [207] = {.lex_state = 2179, .external_lex_state = 13},
  [208] = {.lex_state = 2179, .external_lex_state = 6},
  [209] = {.lex_state = 2179, .external_lex_state = 4},
  [210] = {.lex_state = 2179, .external_lex_state = 3},
  [211] = {.lex_state = 2179, .external_lex_state = 3},
  [212] = {.lex_state = 2179, .external_lex_state = 4},
  [213] = {.lex_state = 2179, .external_lex_state = 3},
  [214] = {.lex_state = 2179, .external_lex_state = 3},
  [215] = {.lex_state = 2179, .external_lex_state = 4},
  [216] = {.lex_state = 2179, .external_lex_state = 5},
  [217] = {.lex_state = 2179, .external_lex_state = 2},
  [218] = {.lex_state = 2179, .external_lex_state = 12},
  [219] = {.lex_state = 2179, .external_lex_state = 6},
  [220] = {.lex_state = 2179, .external_lex_state = 13},
  [221] = {.lex_state = 2179, .external_lex_state = 4},
  [222] = {.lex_state = 2179, .external_lex_state = 11},
  [223] = {.lex_state = 2179, .external_lex_state = 2},
  [224] = {.lex_state = 2179, .external_lex_state = 12},
  [225] = {.lex_state = 2179, .external_lex_state = 5},
  [226] = {.lex_state = 2179, .external_lex_state = 13},
  [227] = {.lex_state = 2179, .external_lex_state = 8},
  [228] = {.lex_state = 2179, .external_lex_state = 2},
  [229] = {.lex_state = 2179, .external_lex_state = 5},
  [230] = {.lex_state = 2179, .external_lex_state = 6},
  [231] = {.lex_state = 2179, .external_lex_state = 6},
  [232] = {.lex_state = 2179, .external_lex_state = 5},
  [233] = {.lex_state = 2179, .external_lex_state = 4},
  [234] = {.lex_state = 2179, .external_lex_state = 3},
  [235] = {.lex_state = 2179, .external_lex_state = 5},
  [236] = {.lex_state = 2179, .external_lex_state = 6},
  [237] = {.lex_state = 2179, .external_lex_state = 3},
  [238] = {.lex_state = 2179, .external_lex_state = 11},
  [239] = {.lex_state = 2179, .external_lex_state = 6},
  [240] = {.lex_state = 2179, .external_lex_state = 9},
  [241] = {.lex_state = 2179, .external_lex_state = 10},
  [242] = {.lex_state = 2179, .external_lex_state = 10},
  [243] = {.lex_state = 2179, .external_lex_state = 7},
  [244] = {.lex_state = 2179, .external_lex_state = 7},
  [245] = {.lex_state = 2179, .external_lex_state = 7},
  [246] = {.lex_state = 2179, .external_lex_state = 7},
  [247] = {.lex_state = 2179, .external_lex_state = 7},
  [248] = {.lex_state = 2179, .external_lex_state = 10},
  [249] = {.lex_state = 2179, .external_lex_state = 10},
  [250] = {.lex_state = 2179, .external_lex_state = 10},
  [251] = {.lex_state = 2179, .external_lex_state = 10},
  [252] = {.lex_state = 2179, .external_lex_state = 10},
  [253] = {.lex_state = 2179, .external_lex_state = 10},
  [254] = {.lex_state = 2179, .external_lex_state = 10},
  [255] = {.lex_state = 2179, .external_lex_state = 7},
  [256] = {.lex_state = 2179, .external_lex_state = 7},
  [257] = {.lex_state = 2179, .external_lex_state = 8},
  [258] = {.lex_state = 2179, .external_lex_state = 7},
  [259] = {.lex_state = 2179, .external_lex_state = 7},
  [260] = {.lex_state = 2179, .external_lex_state = 10},
  [261] = {.lex_state = 2179, .external_lex_state = 10},
  [262] = {.lex_state = 2179, .external_lex_state = 10},
  [263] = {.lex_state = 2179, .external_lex_state = 10},
  [264] = {.lex_state = 2179, .external_lex_state = 7},
  [265] = {.lex_state = 2179, .external_lex_state = 7},
  [266] = {.lex_state = 2179, .external_lex_state = 7},
  [267] = {.lex_state = 2179, .external_lex_state = 10},
  [268] = {.lex_state = 2179, .external_lex_state = 10},
  [269] = {.lex_state = 2179, .external_lex_state = 7},
  [270] = {.lex_state = 2179, .external_lex_state = 7},
  [271] = {.lex_state = 2179, .external_lex_state = 10},
  [272] = {.lex_state = 2179, .external_lex_state = 10},
  [273] = {.lex_state = 2179, .external_lex_state = 10},
  [274] = {.lex_state = 2179, .external_lex_state = 10},
  [275] = {.lex_state = 2179, .external_lex_state = 10},
  [276] = {.lex_state = 2179, .external_lex_state = 10},
  [277] = {.lex_state = 2179, .external_lex_state = 10},
  [278] = {.lex_state = 2179, .external_lex_state = 9},
  [279] = {.lex_state = 2179, .external_lex_state = 8},
  [280] = {.lex_state = 2179, .external_lex_state = 8},
  [281] = {.lex_state = 2179, .external_lex_state = 8},
  [282] = {.lex_state = 2179, .external_lex_state = 8},
  [283] = {.lex_state = 2179, .external_lex_state = 8},
  [284] = {.lex_state = 2179, .external_lex_state = 8},
  [285] = {.lex_state = 2179, .external_lex_state = 8},
  [286] = {.lex_state = 2179, .external_lex_state = 8},
  [287] = {.lex_state = 2179, .external_lex_state = 8},
  [288] = {.lex_state = 2179, .external_lex_state = 8},
  [289] = {.lex_state = 2179, .external_lex_state = 8},
  [290] = {.lex_state = 2179, .external_lex_state = 9},
  [291] = {.lex_state = 2179, .external_lex_state = 9},
  [292] = {.lex_state = 2179, .external_lex_state = 9},
  [293] = {.lex_state = 2179, .external_lex_state = 9},
  [294] = {.lex_state = 2179, .external_lex_state = 10},
  [295] = {.lex_state = 2179, .external_lex_state = 8},
  [296] = {.lex_state = 2179, .external_lex_state = 9},
  [297] = {.lex_state = 2179, .external_lex_state = 9},
  [298] = {.lex_state = 2179, .external_lex_state = 10},
  [299] = {.lex_state = 2179, .external_lex_state = 9},
  [300] = {.lex_state = 2179, .external_lex_state = 10},
  [301] = {.lex_state = 2179, .external_lex_state = 10},
  [302] = {.lex_state = 2179, .external_lex_state = 10},
  [303] = {.lex_state = 2179, .external_lex_state = 10},
  [304] = {.lex_state = 2179, .external_lex_state = 10},
  [305] = {.lex_state = 2179, .external_lex_state = 9},
  [306] = {.lex_state = 2179, .external_lex_state = 9},
  [307] = {.lex_state = 2179, .external_lex_state = 8},
  [308] = {.lex_state = 2179, .external_lex_state = 9},
  [309] = {.lex_state = 2179, .external_lex_state = 9},
  [310] = {.lex_state = 2179, .external_lex_state = 9},
  [311] = {.lex_state = 2179, .external_lex_state = 9},
  [312] = {.lex_state = 2179, .external_lex_state = 9},
  [313] = {.lex_state = 2179, .external_lex_state = 9},
  [314] = {.lex_state = 2179, .external_lex_state = 9},
  [315] = {.lex_state = 2179, .external_lex_state = 9},
  [316] = {.lex_state = 2179, .external_lex_state = 10},
  [317] = {.lex_state = 2179, .external_lex_state = 10},
  [318] = {.lex_state = 2179, .external_lex_state = 10},
  [319] = {.lex_state = 2179, .external_lex_state = 10},
  [320] = {.lex_state = 2179, .external_lex_state = 10},
  [321] = {.lex_state = 2179, .external_lex_state = 9},
  [322] = {.lex_state = 2179, .external_lex_state = 9},
  [323] = {.lex_state = 2179, .external_lex_state = 9},
  [324] = {.lex_state = 2179, .external_lex_state = 9},
  [325] = {.lex_state = 2179, .external_lex_state = 9},
  [326] = {.lex_state = 2179, .external_lex_state = 9},
  [327] = {.lex_state = 2179, .external_lex_state = 9},
  [328] = {.lex_state = 2179, .external_lex_state = 10},
  [329] = {.lex_state = 2179, .external_lex_state = 10},
  [330] = {.lex_state = 2179, .external_lex_state = 8},
  [331] = {.lex_state = 2179, .external_lex_state = 10},
  [332] = {.lex_state = 2179, .external_lex_state = 10},
  [333] = {.lex_state = 2179, .external_lex_state = 9},
  [334] = {.lex_state = 2179, .external_lex_state = 9},
  [335] = {.lex_state = 2179, .external_lex_state = 9},
  [336] = {.lex_state = 2179, .external_lex_state = 8},
  [337] = {.lex_state = 2179, .external_lex_state = 10},
  [338] = {.lex_state = 2179, .external_lex_state = 10},
  [339] = {.lex_state = 2179, .external_lex_state = 10},
  [340] = {.lex_state = 2179, .external_lex_state = 9},
  [341] = {.lex_state = 2179, .external_lex_state = 9},
  [342] = {.lex_state = 2179, .external_lex_state = 10},
  [343] = {.lex_state = 2179, .external_lex_state = 10},
  [344] = {.lex_state = 2179, .external_lex_state = 9},
  [345] = {.lex_state = 2179, .external_lex_state = 9},
  [346] = {.lex_state = 2179, .external_lex_state = 9},
  [347] = {.lex_state = 2179, .external_lex_state = 9},
  [348] = {.lex_state = 2179, .external_lex_state = 9},
  [349] = {.lex_state = 2179, .external_lex_state = 9},
  [350] = {.lex_state = 2179, .external_lex_state = 9},
  [351] = {.lex_state = 2179, .external_lex_state = 8},
  [352] = {.lex_state = 2179, .external_lex_state = 8},
  [353] = {.lex_state = 2179, .external_lex_state = 3},
  [354] = {.lex_state = 2179, .external_lex_state = 8},
  [355] = {.lex_state = 2179, .external_lex_state = 8},
  [356] = {.lex_state = 2179, .external_lex_state = 8},
  [357] = {.lex_state = 2179, .external_lex_state = 7},
  [358] = {.lex_state = 2179, .external_lex_state = 8},
  [359] = {.lex_state = 2179, .external_lex_state = 3},
  [360] = {.lex_state = 2179, .external_lex_state = 8},
  [361] = {.lex_state = 2179, .external_lex_state = 8},
  [362] = {.lex_state = 2179, .external_lex_state = 9},
  [363] = {.lex_state = 2179, .external_lex_state = 8},
  [364] = {.lex_state = 2179, .external_lex_state = 9},
  [365] = {.lex_state = 2179, .external_lex_state = 9},
  [366] = {.lex_state = 2179, .external_lex_state = 9},
  [367] = {.lex_state = 2179, .external_lex_state = 9},
  [368] = {.lex_state = 2179, .external_lex_state = 9},
  [369] = {.lex_state = 2179, .external_lex_state = 9},
  [370] = {.lex_state = 2179, .external_lex_state = 7},
  [371] = {.lex_state = 2179, .external_lex_state = 9},
  [372] = {.lex_state = 2179, .external_lex_state = 9},
  [373] = {.lex_state = 2179, .external_lex_state = 9},
  [374] = {.lex_state = 2179, .external_lex_state = 9},
  [375] = {.lex_state = 2179, .external_lex_state = 9},
  [376] = {.lex_state = 2179, .external_lex_state = 9},
  [377] = {.lex_state = 2179, .external_lex_state = 9},
  [378] = {.lex_state = 2179, .external_lex_state = 3},
  [379] = {.lex_state = 2179, .external_lex_state = 9},
  [380] = {.lex_state = 2179, .external_lex_state = 9},
  [381] = {.lex_state = 2179, .external_lex_state = 9},
  [382] = {.lex_state = 2179, .external_lex_state = 9},
  [383] = {.lex_state = 2179, .external_lex_state = 9},
  [384] = {.lex_state = 2179, .external_lex_state = 9},
  [385] = {.lex_state = 2179, .external_lex_state = 9},
  [386] = {.lex_state = 2179, .external_lex_state = 4},
  [387] = {.lex_state = 2179, .external_lex_state = 7},
  [388] = {.lex_state = 2179, .external_lex_state = 7},
  [389] = {.lex_state = 2179, .external_lex_state = 7},
  [390] = {.lex_state = 2179, .external_lex_state = 8},
  [391] = {.lex_state = 2179, .external_lex_state = 3},
  [392] = {.lex_state = 2179, .external_lex_state = 5},
  [393] = {.lex_state = 2179, .external_lex_state = 2},
  [394] = {.lex_state = 2179, .external_lex_state = 7},
  [395] = {.lex_state = 2179, .external_lex_state = 7},
  [396] = {.lex_state = 2179, .external_lex_state = 10},
  [397] = {.lex_state = 2179, .external_lex_state = 7},
  [398] = {.lex_state = 2179, .external_lex_state = 2},
  [399] = {.lex_state = 2179, .external_lex_state = 7},
  [400] = {.lex_state = 2179, .external_lex_state = 8},
  [401] = {.lex_state = 2179, .external_lex_state = 8},
  [402] = {.lex_state = 2179, .external_lex_state = 7},
  [403] = {.lex_state = 2179, .external_lex_state = 6},
  [404] = {.lex_state = 7, .external_lex_state = 14},
  [405] = {.lex_state = 2179, .external_lex_state = 7},
  [406] = {.lex_state = 2179, .external_lex_state = 7},
  [407] = {.lex_state = 2179, .external_lex_state = 7},
  [408] = {.lex_state = 2179, .external_lex_state = 7},
  [409] = {.lex_state = 2179, .external_lex_state = 7},
  [410] = {.lex_state = 2179, .external_lex_state = 3},
  [411] = {.lex_state = 2179, .external_lex_state = 7},
  [412] = {.lex_state = 2179, .external_lex_state = 7},
  [413] = {.lex_state = 2179, .external_lex_state = 7},
  [414] = {.lex_state = 2179, .external_lex_state = 7},
  [415] = {.lex_state = 2179, .external_lex_state = 7},
  [416] = {.lex_state = 2179, .external_lex_state = 7},
  [417] = {.lex_state = 2179, .external_lex_state = 7},
  [418] = {.lex_state = 2179, .external_lex_state = 7},
  [419] = {.lex_state = 2179, .external_lex_state = 7},
  [420] = {.lex_state = 2179, .external_lex_state = 8},
  [421] = {.lex_state = 2179, .external_lex_state = 7},
  [422] = {.lex_state = 7, .external_lex_state = 15},
  [423] = {.lex_state = 7, .external_lex_state = 14},
  [424] = {.lex_state = 7, .external_lex_state = 15},
  [425] = {.lex_state = 2179, .external_lex_state = 7},
  [426] = {.lex_state = 2179, .external_lex_state = 7},
  [427] = {.lex_state = 2179, .external_lex_state = 7},
  [428] = {.lex_state = 2179, .external_lex_state = 10},
  [429] = {.lex_state = 2179, .external_lex_state = 7},
  [430] = {.lex_state = 7, .external_lex_state = 14},
  [431] = {.lex_state = 2179, .external_lex_state = 7},
  [432] = {.lex_state = 2179, .external_lex_state = 7},
  [433] = {.lex_state = 2179, .external_lex_state = 7},
  [434] = {.lex_state = 2179, .external_lex_state = 7},
  [435] = {.lex_state = 2179, .external_lex_state = 7},
  [436] = {.lex_state = 2179, .external_lex_state = 7},
  [437] = {.lex_state = 2179, .external_lex_state = 7},
  [438] = {.lex_state = 2179, .external_lex_state = 7},
  [439] = {.lex_state = 2179, .external_lex_state = 7},
  [440] = {.lex_state = 2179, .external_lex_state = 7},
  [441] = {.lex_state = 2179, .external_lex_state = 7},
  [442] = {.lex_state = 7, .external_lex_state = 15},
  [443] = {.lex_state = 7, .external_lex_state = 14},
  [444] = {.lex_state = 7, .external_lex_state = 15},
  [445] = {.lex_state = 2179, .external_lex_state = 10},
  [446] = {.lex_state = 2179, .external_lex_state = 7},
  [447] = {.lex_state = 2179, .external_lex_state = 8},
  [448] = {.lex_state = 2179, .external_lex_state = 10},
  [449] = {.lex_state = 2179, .external_lex_state = 8},
  [450] = {.lex_state = 7, .external_lex_state = 14},
  [451] = {.lex_state = 2179, .external_lex_state = 8},
  [452] = {.lex_state = 2179, .external_lex_state = 10},
  [453] = {.lex_state = 2179, .external_lex_state = 10},
  [454] = {.lex_state = 7, .external_lex_state = 15},
  [455] = {.lex_state = 2179, .external_lex_state = 8},
  [456] = {.lex_state = 2179, .external_lex_state = 8},
  [457] = {.lex_state = 7, .external_lex_state = 15},
  [458] = {.lex_state = 2179, .external_lex_state = 8},
  [459] = {.lex_state = 2179, .external_lex_state = 8},
  [460] = {.lex_state = 2179, .external_lex_state = 8},
  [461] = {.lex_state = 2179, .external_lex_state = 3},
  [462] = {.lex_state = 7, .external_lex_state = 15},
  [463] = {.lex_state = 7, .external_lex_state = 14},
  [464] = {.lex_state = 7, .external_lex_state = 15},
  [465] = {.lex_state = 2179, .external_lex_state = 10},
  [466] = {.lex_state = 2179, .external_lex_state = 7},
  [467] = {.lex_state = 2179, .external_lex_state = 8},
  [468] = {.lex_state = 2179, .external_lex_state = 10},
  [469] = {.lex_state = 2179, .external_lex_state = 8},
  [470] = {.lex_state = 7, .external_lex_state = 14},
  [471] = {.lex_state = 2179, .external_lex_state = 10},
  [472] = {.lex_state = 2179, .external_lex_state = 8},
  [473] = {.lex_state = 2179, .external_lex_state = 10},
  [474] = {.lex_state = 2179, .external_lex_state = 8},
  [475] = {.lex_state = 2179, .external_lex_state = 10},
  [476] = {.lex_state = 2179, .external_lex_state = 7},
  [477] = {.lex_state = 2179, .external_lex_state = 8},
  [478] = {.lex_state = 2179, .external_lex_state = 9},
  [479] = {.lex_state = 2179, .external_lex_state = 10},
  [480] = {.lex_state = 2179, .external_lex_state = 10},
  [481] = {.lex_state = 2179, .external_lex_state = 7},
  [482] = {.lex_state = 7, .external_lex_state = 15},
  [483] = {.lex_state = 7, .external_lex_state = 14},
  [484] = {.lex_state = 7, .external_lex_state = 15},
  [485] = {.lex_state = 2179, .external_lex_state = 8},
  [486] = {.lex_state = 2179, .external_lex_state = 7},
  [487] = {.lex_state = 7, .external_lex_state = 14},
  [488] = {.lex_state = 2179, .external_lex_state = 10},
  [489] = {.lex_state = 2179, .external_lex_state = 10},
  [490] = {.lex_state = 7, .external_lex_state = 14},
  [491] = {.lex_state = 2179, .external_lex_state = 7},
  [492] = {.lex_state = 2179, .external_lex_state = 9},
  [493] = {.lex_state = 2179, .external_lex_state = 8},
  [494] = {.lex_state = 2179, .external_lex_state = 7},
  [495] = {.lex_state = 2179, .external_lex_state = 7},
  [496] = {.lex_state = 2179, .external_lex_state = 8},
  [497] = {.lex_state = 2179, .external_lex_state = 8},
  [498] = {.lex_state = 2179, .external_lex_state = 8},
  [499] = {.lex_state = 2179, .external_lex_state = 8},
  [500] = {.lex_state = 2179, .external_lex_state = 8},
  [501] = {.lex_state = 2179, .external_lex_state = 8},
  [502] = {.lex_state = 2179, .external_lex_state = 8},
  [503] = {.lex_state = 2179, .external_lex_state = 7},
  [504] = {.lex_state = 2179, .external_lex_state = 7},
  [505] = {.lex_state = 2179, .external_lex_state = 10},
  [506] = {.lex_state = 2179, .external_lex_state = 8},
  [507] = {.lex_state = 2179, .external_lex_state = 8},
  [508] = {.lex_state = 2179, .external_lex_state = 8},
  [509] = {.lex_state = 2179, .external_lex_state = 8},
  [510] = {.lex_state = 2179, .external_lex_state = 10},
  [511] = {.lex_state = 2179, .external_lex_state = 8},
  [512] = {.lex_state = 2179, .external_lex_state = 10},
  [513] = {.lex_state = 2179, .external_lex_state = 10},
  [514] = {.lex_state = 2179, .external_lex_state = 8},
  [515] = {.lex_state = 7, .external_lex_state = 15},
  [516] = {.lex_state = 2179, .external_lex_state = 8},
  [517] = {.lex_state = 2179, .external_lex_state = 10},
  [518] = {.lex_state = 2179, .external_lex_state = 10},
  [519] = {.lex_state = 2179, .external_lex_state = 10},
  [520] = {.lex_state = 2179, .external_lex_state = 7},
  [521] = {.lex_state = 2179, .external_lex_state = 8},
  [522] = {.lex_state = 7, .external_lex_state = 14},
  [523] = {.lex_state = 2179, .external_lex_state = 8},
  [524] = {.lex_state = 2179, .external_lex_state = 8},
  [525] = {.lex_state = 2179, .external_lex_state = 10},
  [526] = {.lex_state = 2179, .external_lex_state = 8},
  [527] = {.lex_state = 2179, .external_lex_state = 7},
  [528] = {.lex_state = 2179, .external_lex_state = 8},
  [529] = {.lex_state = 1, .external_lex_state = 16},
  [530] = {.lex_state = 2179, .external_lex_state = 8},
  [531] = {.lex_state = 1, .external_lex_state = 16},
  [532] = {.lex_state = 2179, .external_lex_state = 8},
  [533] = {.lex_state = 2179, .external_lex_state = 8},
  [534] = {.lex_state = 2179, .external_lex_state = 8},
  [535] = {.lex_state = 2179, .external_lex_state = 8},
  [536] = {.lex_state = 2179, .external_lex_state = 8},
  [537] = {.lex_state = 2179, .external_lex_state = 8},
  [538] = {.lex_state = 2179, .external_lex_state = 8},
  [539] = {.lex_state = 2179, .external_lex_state = 8},
  [540] = {.lex_state = 2179, .external_lex_state = 8},
  [541] = {.lex_state = 2179, .external_lex_state = 8},
  [542] = {.lex_state = 2179, .external_lex_state = 8},
  [543] = {.lex_state = 2179, .external_lex_state = 8},
  [544] = {.lex_state = 2179, .external_lex_state = 8},
  [545] = {.lex_state = 2179, .external_lex_state = 8},
  [546] = {.lex_state = 2179, .external_lex_state = 8},
  [547] = {.lex_state = 2179, .external_lex_state = 8},
  [548] = {.lex_state = 2179, .external_lex_state = 8},
  [549] = {.lex_state = 2179, .external_lex_state = 8},
  [550] = {.lex_state = 2179, .external_lex_state = 8},
  [551] = {.lex_state = 2179, .external_lex_state = 8},
  [552] = {.lex_state = 2179, .external_lex_state = 8},
  [553] = {.lex_state = 2179, .external_lex_state = 8},
  [554] = {.lex_state = 2179, .external_lex_state = 8},
  [555] = {.lex_state = 2179, .external_lex_state = 8},
  [556] = {.lex_state = 2179, .external_lex_state = 8},
  [557] = {.lex_state = 2179, .external_lex_state = 8},
  [558] = {.lex_state = 2179, .external_lex_state = 8},
  [559] = {.lex_state = 2179, .external_lex_state = 8},
  [560] = {.lex_state = 2179, .external_lex_state = 8},
  [561] = {.lex_state = 2179, .external_lex_state = 8},
  [562] = {.lex_state = 2179, .external_lex_state = 8},
  [563] = {.lex_state = 2179, .external_lex_state = 8},
  [564] = {.lex_state = 2179, .external_lex_state = 8},
  [565] = {.lex_state = 2179, .external_lex_state = 8},
  [566] = {.lex_state = 2179, .external_lex_state = 8},
  [567] = {.lex_state = 2179, .external_lex_state = 8},
  [568] = {.lex_state = 2179, .external_lex_state = 8},
  [569] = {.lex_state = 2179, .external_lex_state = 8},
  [570] = {.lex_state = 2179, .external_lex_state = 8},
  [571] = {.lex_state = 2179, .external_lex_state = 8},
  [572] = {.lex_state = 1, .external_lex_state = 16},
  [573] = {.lex_state = 2179, .external_lex_state = 10},
  [574] = {.lex_state = 2179, .external_lex_state = 8},
  [575] = {.lex_state = 2179, .external_lex_state = 8},
  [576] = {.lex_state = 2179, .external_lex_state = 8},
  [577] = {.lex_state = 2179, .external_lex_state = 8},
  [578] = {.lex_state = 2179, .external_lex_state = 8},
  [579] = {.lex_state = 2179, .external_lex_state = 8},
  [580] = {.lex_state = 2179, .external_lex_state = 8},
  [581] = {.lex_state = 1, .external_lex_state = 16},
  [582] = {.lex_state = 2179, .external_lex_state = 8},
  [583] = {.lex_state = 2179, .external_lex_state = 8},
  [584] = {.lex_state = 2179, .external_lex_state = 8},
  [585] = {.lex_state = 2179, .external_lex_state = 8},
  [586] = {.lex_state = 2179, .external_lex_state = 8},
  [587] = {.lex_state = 2179, .external_lex_state = 8},
  [588] = {.lex_state = 2179, .external_lex_state = 8},
  [589] = {.lex_state = 2179, .external_lex_state = 8},
  [590] = {.lex_state = 2179, .external_lex_state = 8},
  [591] = {.lex_state = 2179, .external_lex_state = 8},
  [592] = {.lex_state = 2179, .external_lex_state = 8},
  [593] = {.lex_state = 2179, .external_lex_state = 8},
  [594] = {.lex_state = 2179, .external_lex_state = 8},
  [595] = {.lex_state = 2179, .external_lex_state = 9},
  [596] = {.lex_state = 2179, .external_lex_state = 8},
  [597] = {.lex_state = 1, .external_lex_state = 16},
  [598] = {.lex_state = 1, .external_lex_state = 16},
  [599] = {.lex_state = 1, .external_lex_state = 16},
  [600] = {.lex_state = 1, .external_lex_state = 16},
  [601] = {.lex_state = 1, .external_lex_state = 16},
  [602] = {.lex_state = 1, .external_lex_state = 16},
  [603] = {.lex_state = 1, .external_lex_state = 16},
  [604] = {.lex_state = 1, .external_lex_state = 16},
  [605] = {.lex_state = 1, .external_lex_state = 16},
  [606] = {.lex_state = 1, .external_lex_state = 16},
  [607] = {.lex_state = 1, .external_lex_state = 16},
  [608] = {.lex_state = 1, .external_lex_state = 16},
  [609] = {.lex_state = 2179, .external_lex_state = 7},
  [610] = {.lex_state = 2179, .external_lex_state = 8},
  [611] = {.lex_state = 2179, .external_lex_state = 8},
  [612] = {.lex_state = 2179, .external_lex_state = 7},
  [613] = {.lex_state = 2179, .external_lex_state = 7},
  [614] = {.lex_state = 2179, .external_lex_state = 8},
  [615] = {.lex_state = 2179, .external_lex_state = 7},
  [616] = {.lex_state = 2179, .external_lex_state = 7},
  [617] = {.lex_state = 2179, .external_lex_state = 7},
  [618] = {.lex_state = 2179, .external_lex_state = 8},
  [619] = {.lex_state = 2179, .external_lex_state = 7},
  [620] = {.lex_state = 2179, .external_lex_state = 7},
  [621] = {.lex_state = 2179, .external_lex_state = 7},
  [622] = {.lex_state = 2179, .external_lex_state = 8},
  [623] = {.lex_state = 2179, .external_lex_state = 9},
  [624] = {.lex_state = 2179, .external_lex_state = 7},
  [625] = {.lex_state = 2179, .external_lex_state = 10},
  [626] = {.lex_state = 2179, .external_lex_state = 8},
  [627] = {.lex_state = 2179, .external_lex_state = 9},
  [628] = {.lex_state = 2179, .external_lex_state = 9},
  [629] = {.lex_state = 2179, .external_lex_state = 10},
  [630] = {.lex_state = 2179, .external_lex_state = 9},
  [631] = {.lex_state = 2179, .external_lex_state = 10},
  [632] = {.lex_state = 2179, .external_lex_state = 7},
  [633] = {.lex_state = 2179, .external_lex_state = 10},
  [634] = {.lex_state = 2179, .external_lex_state = 8},
  [635] = {.lex_state = 2179, .external_lex_state = 9},
  [636] = {.lex_state = 2179, .external_lex_state = 9},
  [637] = {.lex_state = 2179, .external_lex_state = 7},
  [638] = {.lex_state = 2179, .external_lex_state = 10},
  [639] = {.lex_state = 2179, .external_lex_state = 9},
  [640] = {.lex_state = 2179, .external_lex_state = 8},
  [641] = {.lex_state = 2179, .external_lex_state = 8},
  [642] = {.lex_state = 2179, .external_lex_state = 10},
  [643] = {.lex_state = 2179, .external_lex_state = 10},
  [644] = {.lex_state = 2179, .external_lex_state = 10},
  [645] = {.lex_state = 2179, .external_lex_state = 10},
  [646] = {.lex_state = 2179, .external_lex_state = 10},
  [647] = {.lex_state = 2179, .external_lex_state = 9},
  [648] = {.lex_state = 2179, .external_lex_state = 7},
  [649] = {.lex_state = 2179, .external_lex_state = 8},
  [650] = {.lex_state = 2179, .external_lex_state = 9},
  [651] = {.lex_state = 2179, .external_lex_state = 10},
  [652] = {.lex_state = 2179, .external_lex_state = 10},
  [653] = {.lex_state = 2179, .external_lex_state = 10},
  [654] = {.lex_state = 2179, .external_lex_state = 7},
  [655] = {.lex_state = 2},
  [656] = {.lex_state = 2},
  [657] = {.lex_state = 2},
  [658] = {.lex_state = 2},
  [659] = {.lex_state = 2},
  [660] = {.lex_state = 2},
  [661] = {.lex_state = 2},
  [662] = {.lex_state = 2},
  [663] = {.lex_state = 2},
  [664] = {.lex_state = 2},
  [665] = {.lex_state = 2},
  [666] = {.lex_state = 2},
  [667] = {.lex_state = 2},
  [668] = {.lex_state = 2, .external_lex_state = 17},
  [669] = {.lex_state = 2},
  [670] = {.lex_state = 2},
  [671] = {.lex_state = 2},
  [672] = {.lex_state = 2},
  [673] = {.lex_state = 2},
  [674] = {.lex_state = 2},
  [675] = {.lex_state = 2},
  [676] = {.lex_state = 2, .external_lex_state = 17},
  [677] = {.lex_state = 2},
  [678] = {.lex_state = 1, .external_lex_state = 18},
  [679] = {.lex_state = 1, .external_lex_state = 18},
  [680] = {.lex_state = 6, .external_lex_state = 15},
  [681] = {.lex_state = 5, .external_lex_state = 14},
  [682] = {.lex_state = 1, .external_lex_state = 19},
  [683] = {.lex_state = 6, .external_lex_state = 14},
  [684] = {.lex_state = 5, .external_lex_state = 15},
  [685] = {.lex_state = 1, .external_lex_state = 16},
  [686] = {.lex_state = 3, .external_lex_state = 14},
  [687] = {.lex_state = 1, .external_lex_state = 16},
  [688] = {.lex_state = 1, .external_lex_state = 16},
  [689] = {.lex_state = 1, .external_lex_state = 16},
  [690] = {.lex_state = 3, .external_lex_state = 15},
  [691] = {.lex_state = 2},
  [692] = {.lex_state = 2, .external_lex_state = 17},
  [693] = {.lex_state = 2},
  [694] = {.lex_state = 2, .external_lex_state = 17},
  [695] = {.lex_state = 2},
  [696] = {.lex_state = 2},
  [697] = {.lex_state = 2},
  [698] = {.lex_state = 2, .external_lex_state = 17},
  [699] = {.lex_state = 2},
  [700] = {.lex_state = 2},
  [701] = {.lex_state = 2},
  [702] = {.lex_state = 2},
  [703] = {.lex_state = 2},
  [704] = {.lex_state = 7, .external_lex_state = 14},
  [705] = {.lex_state = 7, .external_lex_state = 20},
  [706] = {.lex_state = 2},
  [707] = {.lex_state = 2},
  [708] = {.lex_state = 7, .external_lex_state = 21},
  [709] = {.lex_state = 7, .external_lex_state = 15},
  [710] = {.lex_state = 2},
  [711] = {.lex_state = 2},
  [712] = {.lex_state = 2},
  [713] = {.lex_state = 7, .external_lex_state = 21},
  [714] = {.lex_state = 4, .external_lex_state = 17},
  [715] = {.lex_state = 4, .external_lex_state = 17},
  [716] = {.lex_state = 1},
  [717] = {.lex_state = 7, .external_lex_state = 20},
  [718] = {.lex_state = 7, .external_lex_state = 22},
  [719] = {.lex_state = 4, .external_lex_state = 17},
  [720] = {.lex_state = 4, .external_lex_state = 17},
  [721] = {.lex_state = 4, .external_lex_state = 17},
  [722] = {.lex_state = 4, .external_lex_state = 17},
  [723] = {.lex_state = 4, .external_lex_state = 17},
  [724] = {.lex_state = 4, .external_lex_state = 17},
  [725] = {.lex_state = 4, .external_lex_state = 17},
  [726] = {.lex_state = 4, .external_lex_state = 17},
  [727] = {.lex_state = 4, .external_lex_state = 17},
  [728] = {.lex_state = 7, .external_lex_state = 23},
  [729] = {.lex_state = 7, .external_lex_state = 23},
  [730] = {.lex_state = 1},
  [731] = {.lex_state = 4, .external_lex_state = 17},
  [732] = {.lex_state = 4, .external_lex_state = 17},
  [733] = {.lex_state = 4, .external_lex_state = 17},
  [734] = {.lex_state = 1},
  [735] = {.lex_state = 7, .external_lex_state = 22},
  [736] = {.lex_state = 4},
  [737] = {.lex_state = 7, .external_lex_state = 15},
  [738] = {.lex_state = 7, .external_lex_state = 14},
  [739] = {.lex_state = 4},
  [740] = {.lex_state = 8},
  [741] = {.lex_state = 9},
  [742] = {.lex_state = 4},
  [743] = {.lex_state = 7, .external_lex_state = 15},
  [744] = {.lex_state = 7, .external_lex_state = 15},
  [745] = {.lex_state = 7, .external_lex_state = 15},
  [746] = {.lex_state = 9},
  [747] = {.lex_state = 7, .external_lex_state = 15},
  [748] = {.lex_state = 7, .external_lex_state = 15},
  [749] = {.lex_state = 4},
  [750] = {.lex_state = 4},
  [751] = {.lex_state = 7, .external_lex_state = 15},
  [752] = {.lex_state = 4},
  [753] = {.lex_state = 4},
  [754] = {.lex_state = 4},
  [755] = {.lex_state = 4},
  [756] = {.lex_state = 4},
  [757] = {.lex_state = 4},
  [758] = {.lex_state = 7, .external_lex_state = 15},
  [759] = {.lex_state = 7, .external_lex_state = 15},
  [760] = {.lex_state = 4},
  [761] = {.lex_state = 8},
  [762] = {.lex_state = 9},
  [763] = {.lex_state = 7, .external_lex_state = 15},
  [764] = {.lex_state = 4},
  [765] = {.lex_state = 4},
  [766] = {.lex_state = 4},
  [767] = {.lex_state = 7, .external_lex_state = 15},
  [768] = {.lex_state = 7, .external_lex_state = 15},
  [769] = {.lex_state = 4},
  [770] = {.lex_state = 4},
  [771] = {.lex_state = 4},
  [772] = {.lex_state = 4},
  [773] = {.lex_state = 7, .external_lex_state = 15},
  [774] = {.lex_state = 7, .external_lex_state = 14},
  [775] = {.lex_state = 7, .external_lex_state = 14},
  [776] = {.lex_state = 4},
  [777] = {.lex_state = 8},
  [778] = {.lex_state = 9},
  [779] = {.lex_state = 7, .external_lex_state = 14},
  [780] = {.lex_state = 7, .external_lex_state = 14},
  [781] = {.lex_state = 7, .external_lex_state = 14},
  [782] = {.lex_state = 7, .external_lex_state = 14},
  [783] = {.lex_state = 7, .external_lex_state = 14},
  [784] = {.lex_state = 4},
  [785] = {.lex_state = 7, .external_lex_state = 14},
  [786] = {.lex_state = 7, .external_lex_state = 14},
  [787] = {.lex_state = 9},
  [788] = {.lex_state = 4},
  [789] = {.lex_state = 4},
  [790] = {.lex_state = 4},
  [791] = {.lex_state = 7, .external_lex_state = 14},
  [792] = {.lex_state = 7, .external_lex_state = 14},
  [793] = {.lex_state = 7, .external_lex_state = 14},
  [794] = {.lex_state = 7, .external_lex_state = 15},
  [795] = {.lex_state = 7, .external_lex_state = 15},
  [796] = {.lex_state = 7, .external_lex_state = 14},
  [797] = {.lex_state = 4},
  [798] = {.lex_state = 8},
  [799] = {.lex_state = 9},
  [800] = {.lex_state = 7, .external_lex_state = 14},
  [801] = {.lex_state = 7, .external_lex_state = 15},
  [802] = {.lex_state = 7, .external_lex_state = 15},
  [803] = {.lex_state = 8},
  [804] = {.lex_state = 4},
  [805] = {.lex_state = 4},
  [806] = {.lex_state = 7, .external_lex_state = 14},
  [807] = {.lex_state = 7, .external_lex_state = 14},
  [808] = {.lex_state = 7, .external_lex_state = 14},
  [809] = {.lex_state = 4},
  [810] = {.lex_state = 4},
  [811] = {.lex_state = 4},
  [812] = {.lex_state = 7, .external_lex_state = 14},
  [813] = {.lex_state = 4},
  [814] = {.lex_state = 8},
  [815] = {.lex_state = 9},
  [816] = {.lex_state = 4},
  [817] = {.lex_state = 4},
  [818] = {.lex_state = 7, .external_lex_state = 14},
  [819] = {.lex_state = 4},
  [820] = {.lex_state = 4},
  [821] = {.lex_state = 4},
  [822] = {.lex_state = 7, .external_lex_state = 14},
  [823] = {.lex_state = 4},
  [824] = {.lex_state = 8},
  [825] = {.lex_state = 9},
  [826] = {.lex_state = 4},
  [827] = {.lex_state = 4},
  [828] = {.lex_state = 4},
  [829] = {.lex_state = 4},
  [830] = {.lex_state = 7, .external_lex_state = 15},
  [831] = {.lex_state = 4},
  [832] = {.lex_state = 7, .external_lex_state = 15},
  [833] = {.lex_state = 7, .external_lex_state = 15},
  [834] = {.lex_state = 8},
  [835] = {.lex_state = 7, .external_lex_state = 15},
  [836] = {.lex_state = 4},
  [837] = {.lex_state = 10},
  [838] = {.lex_state = 2, .external_lex_state = 17},
  [839] = {.lex_state = 2},
  [840] = {.lex_state = 10},
  [841] = {.lex_state = 10},
  [842] = {.lex_state = 10},
  [843] = {.lex_state = 10},
  [844] = {.lex_state = 2, .external_lex_state = 17},
  [845] = {.lex_state = 10},
  [846] = {.lex_state = 2, .external_lex_state = 17},
  [847] = {.lex_state = 2},
  [848] = {.lex_state = 10},
  [849] = {.lex_state = 10},
  [850] = {.lex_state = 2, .external_lex_state = 17},
  [851] = {.lex_state = 10},
  [852] = {.lex_state = 10},
  [853] = {.lex_state = 10},
  [854] = {.lex_state = 2},
  [855] = {.lex_state = 10},
  [856] = {.lex_state = 10},
  [857] = {.lex_state = 10},
  [858] = {.lex_state = 10},
  [859] = {.lex_state = 2, .external_lex_state = 24},
  [860] = {.lex_state = 10},
  [861] = {.lex_state = 2, .external_lex_state = 17},
  [862] = {.lex_state = 2, .external_lex_state = 24},
  [863] = {.lex_state = 2, .external_lex_state = 17},
  [864] = {.lex_state = 10},
  [865] = {.lex_state = 10},
  [866] = {.lex_state = 10},
  [867] = {.lex_state = 10},
  [868] = {.lex_state = 2, .external_lex_state = 17},
  [869] = {.lex_state = 2},
  [870] = {.lex_state = 10},
  [871] = {.lex_state = 2},
  [872] = {.lex_state = 2},
  [873] = {.lex_state = 2},
  [874] = {.lex_state = 2},
  [875] = {.lex_state = 2},
  [876] = {.lex_state = 2},
  [877] = {.lex_state = 2, .external_lex_state = 17},
  [878] = {.lex_state = 2},
  [879] = {.lex_state = 2},
  [880] = {.lex_state = 2},
  [881] = {.lex_state = 2},
  [882] = {.lex_state = 2},
  [883] = {.lex_state = 2},
  [884] = {.lex_state = 2},
  [885] = {.lex_state = 2},
  [886] = {.lex_state = 2},
  [887] = {.lex_state = 2},
  [888] = {.lex_state = 2},
  [889] = {.lex_state = 2},
  [890] = {.lex_state = 9, .external_lex_state = 24},
  [891] = {.lex_state = 9, .external_lex_state = 24},
  [892] = {.lex_state = 4, .external_lex_state = 17},
  [893] = {.lex_state = 4, .external_lex_state = 24},
  [894] = {.lex_state = 9, .external_lex_state = 17},
  [895] = {.lex_state = 4, .external_lex_state = 17},
  [896] = {.lex_state = 4, .external_lex_state = 24},
  [897] = {.lex_state = 2},
  [898] = {.lex_state = 8, .external_lex_state = 24},
  [899] = {.lex_state = 4},
  [900] = {.lex_state = 1, .external_lex_state = 17},
  [901] = {.lex_state = 2},
  [902] = {.lex_state = 8, .external_lex_state = 17},
  [903] = {.lex_state = 8, .external_lex_state = 24},
  [904] = {.lex_state = 10, .external_lex_state = 17},
  [905] = {.lex_state = 10, .external_lex_state = 17},
  [906] = {.lex_state = 10},
  [907] = {.lex_state = 10},
  [908] = {.lex_state = 4},
  [909] = {.lex_state = 4},
  [910] = {.lex_state = 4},
  [911] = {.lex_state = 9},
  [912] = {.lex_state = 10},
  [913] = {.lex_state = 8},
  [914] = {.lex_state = 10},
  [915] = {.lex_state = 8},
  [916] = {.lex_state = 8},
  [917] = {.lex_state = 9},
  [918] = {.lex_state = 10},
  [919] = {.lex_state = 10, .external_lex_state = 24},
  [920] = {.lex_state = 4},
  [921] = {.lex_state = 10},
  [922] = {.lex_state = 10},
  [923] = {.lex_state = 10, .external_lex_state = 24},
  [924] = {.lex_state = 1},
  [925] = {.lex_state = 10},
  [926] = {.lex_state = 10},
  [927] = {.lex_state = 10, .external_lex_state = 17},
  [928] = {.lex_state = 10},
  [929] = {.lex_state = 10},
  [930] = {.lex_state = 9},
  [931] = {.lex_state = 10},
  [932] = {.lex_state = 10},
  [933] = {.lex_state = 10},
  [934] = {.lex_state = 10},
  [935] = {.lex_state = 9},
  [936] = {.lex_state = 10},
  [937] = {.lex_state = 10},
  [938] = {.lex_state = 9},
  [939] = {.lex_state = 9},
  [940] = {.lex_state = 9},
  [941] = {.lex_state = 9},
  [942] = {.lex_state = 9},
  [943] = {.lex_state = 9},
  [944] = {.lex_state = 10, .external_lex_state = 17},
  [945] = {.lex_state = 10, .external_lex_state = 17},
  [946] = {.lex_state = 9},
  [947] = {.lex_state = 9},
  [948] = {.lex_state = 9},
  [949] = {.lex_state = 10},
  [950] = {.lex_state = 10},
  [951] = {.lex_state = 10},
  [952] = {.lex_state = 10},
  [953] = {.lex_state = 10},
  [954] = {.lex_state = 10},
  [955] = {.lex_state = 10},
  [956] = {.lex_state = 10},
  [957] = {.lex_state = 10},
  [958] = {.lex_state = 10},
  [959] = {.lex_state = 10},
  [960] = {.lex_state = 0},
  [961] = {.lex_state = 0},
  [962] = {.lex_state = 0},
  [963] = {.lex_state = 0},
  [964] = {.lex_state = 0},
  [965] = {.lex_state = 0},
  [966] = {.lex_state = 0},
  [967] = {.lex_state = 0},
  [968] = {.lex_state = 0},
  [969] = {.lex_state = 0},
  [970] = {.lex_state = 0},
  [971] = {.lex_state = 0},
  [972] = {.lex_state = 0},
  [973] = {.lex_state = 0},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 0},
  [976] = {.lex_state = 0},
  [977] = {.lex_state = 0},
  [978] = {.lex_state = 0},
  [979] = {.lex_state = 0},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 0},
  [982] = {.lex_state = 0},
  [983] = {.lex_state = 0},
  [984] = {.lex_state = 0},
  [985] = {.lex_state = 0},
  [986] = {.lex_state = 0},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 11},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 11},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 11},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 11},
  [1000] = {.lex_state = 12},
  [1001] = {.lex_state = 12},
  [1002] = {.lex_state = 12},
  [1003] = {.lex_state = 12},
  [1004] = {.lex_state = 12},
  [1005] = {.lex_state = 2179},
  [1006] = {.lex_state = 12},
  [1007] = {.lex_state = 12},
  [1008] = {.lex_state = 12},
  [1009] = {.lex_state = 12},
  [1010] = {.lex_state = 2179},
  [1011] = {.lex_state = 11},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 12},
  [1016] = {.lex_state = 12},
  [1017] = {.lex_state = 2179},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 0},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 0},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 0},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 0},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 0},
  [1047] = {.lex_state = 0},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 0},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 0},
  [1054] = {.lex_state = 0},
  [1055] = {.lex_state = 0},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 0},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 12, .external_lex_state = 24},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 12, .external_lex_state = 24},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 12},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 0},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 11, .external_lex_state = 24},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 11, .external_lex_state = 24},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 0},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 12},
  [1141] = {.lex_state = 11},
  [1142] = {.lex_state = 11},
  [1143] = {.lex_state = 12},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 0},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 0},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 0, .external_lex_state = 25},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 0},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 0},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 0, .external_lex_state = 26},
  [1174] = {.lex_state = 2179},
  [1175] = {.lex_state = 0},
  [1176] = {.lex_state = 0},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 2179},
  [1181] = {.lex_state = 0, .external_lex_state = 26},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 2179},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 0, .external_lex_state = 26},
  [1191] = {.lex_state = 2179},
  [1192] = {.lex_state = 0},
  [1193] = {.lex_state = 0, .external_lex_state = 26},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 2179},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 2179},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 2179},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 2179},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 2179},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 2179},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__backslash_escape] = ACTIONS(1),
    [sym_entity_reference] = ACTIONS(1),
    [sym_numeric_character_reference] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [sym__newline_token] = ACTIONS(1),
    [sym_uri_autolink] = ACTIONS(1),
    [sym_email_autolink] = ACTIONS(1),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1),
    [anon_sym_DASH_DASH_GT] = ACTIONS(1),
    [anon_sym_LT_QMARK] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(1),
    [aux_sym__declaration_token1] = ACTIONS(1),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK_RBRACK_GT] = ACTIONS(1),
    [sym__whitespace_ge_2] = ACTIONS(1),
    [aux_sym__whitespace_token1] = ACTIONS(1),
    [sym__word_no_digit] = ACTIONS(1),
    [sym__digits] = ACTIONS(1),
    [sym_tag] = ACTIONS(1),
    [sym__error] = ACTIONS(1),
    [sym__trigger_error] = ACTIONS(1),
    [sym__code_span_start] = ACTIONS(1),
    [sym__code_span_close] = ACTIONS(1),
    [sym__emphasis_open_star] = ACTIONS(1),
    [sym__emphasis_open_underscore] = ACTIONS(1),
    [sym__emphasis_close_star] = ACTIONS(1),
    [sym__emphasis_close_underscore] = ACTIONS(1),
    [sym__last_token_whitespace] = ACTIONS(1),
    [sym__last_token_punctuation] = ACTIONS(1),
    [sym__strikethrough_open] = ACTIONS(1),
    [sym__strikethrough_close] = ACTIONS(1),
    [sym__latex_span_start] = ACTIONS(1),
    [sym__latex_span_close] = ACTIONS(1),
    [sym__unclosed_span] = ACTIONS(1),
  },
  [1] = {
    [sym_inline] = STATE(1192),
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1160),
    [sym__link_text_non_empty] = STATE(467),
    [sym_shortcut_link] = STATE(516),
    [sym_full_reference_link] = STATE(516),
    [sym_collapsed_reference_link] = STATE(516),
    [sym_inline_link] = STATE(516),
    [sym_wiki_link] = STATE(516),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(469),
    [sym__image_shortcut_link] = STATE(469),
    [sym__image_full_reference_link] = STATE(469),
    [sym__image_collapsed_reference_link] = STATE(469),
    [sym__image_description] = STATE(1154),
    [sym__image_description_non_empty] = STATE(474),
    [sym__html_tag] = STATE(497),
    [sym__open_tag] = STATE(509),
    [sym__closing_tag] = STATE(509),
    [sym__html_comment] = STATE(509),
    [sym__processing_instruction] = STATE(509),
    [sym__declaration] = STATE(509),
    [sym__cdata_section] = STATE(509),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(516),
    [sym__text_base] = STATE(153),
    [sym__inline_element] = STATE(516),
    [aux_sym__inline] = STATE(14),
    [sym__strikethrough] = STATE(516),
    [sym__emphasis_star] = STATE(524),
    [sym__strong_emphasis_star] = STATE(516),
    [sym__emphasis_underscore] = STATE(524),
    [sym__strong_emphasis_underscore] = STATE(516),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(3),
    [sym_entity_reference] = ACTIONS(5),
    [sym_numeric_character_reference] = ACTIONS(5),
    [anon_sym_LBRACK] = ACTIONS(7),
    [anon_sym_RBRACK] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(11),
    [anon_sym_GT] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_POUND] = ACTIONS(17),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_PERCENT] = ACTIONS(13),
    [anon_sym_AMP] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(13),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(13),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(13),
    [anon_sym_SLASH] = ACTIONS(13),
    [anon_sym_COLON] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(13),
    [anon_sym_EQ] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym__] = ACTIONS(13),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_PIPE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(13),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_RPAREN] = ACTIONS(13),
    [sym__newline_token] = ACTIONS(21),
    [sym_uri_autolink] = ACTIONS(5),
    [sym_email_autolink] = ACTIONS(5),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(23),
    [anon_sym_LT_QMARK] = ACTIONS(25),
    [aux_sym__declaration_token1] = ACTIONS(27),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(29),
    [sym__whitespace_ge_2] = ACTIONS(31),
    [aux_sym__whitespace_token1] = ACTIONS(33),
    [sym__word_no_digit] = ACTIONS(5),
    [sym__digits] = ACTIONS(5),
    [sym_tag] = ACTIONS(5),
    [sym__code_span_start] = ACTIONS(35),
    [sym__emphasis_open_star] = ACTIONS(37),
    [sym__emphasis_open_underscore] = ACTIONS(39),
    [sym__last_token_whitespace] = ACTIONS(41),
    [sym__strikethrough_open] = ACTIONS(43),
    [sym__latex_span_start] = ACTIONS(45),
    [sym__unclosed_span] = ACTIONS(5),
  },
  [2] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(52),
    [sym_full_reference_link] = STATE(52),
    [sym_collapsed_reference_link] = STATE(52),
    [sym_inline_link] = STATE(52),
    [sym_wiki_link] = STATE(52),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(52),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(52),
    [aux_sym__inline_no_underscore] = STATE(52),
    [sym__strikethrough] = STATE(52),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(52),
    [sym__emphasis_underscore] = STATE(453),
    [sym__strong_emphasis_underscore] = STATE(52),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [ts_builtin_sym_end] = ACTIONS(47),
    [sym__backslash_escape] = ACTIONS(49),
    [sym_entity_reference] = ACTIONS(52),
    [sym_numeric_character_reference] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(58),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(64),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(64),
    [anon_sym_POUND] = ACTIONS(70),
    [anon_sym_DOLLAR] = ACTIONS(64),
    [anon_sym_PERCENT] = ACTIONS(64),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_SQUOTE] = ACTIONS(64),
    [anon_sym_STAR] = ACTIONS(64),
    [anon_sym_PLUS] = ACTIONS(64),
    [anon_sym_COMMA] = ACTIONS(64),
    [anon_sym_DASH] = ACTIONS(64),
    [anon_sym_DOT] = ACTIONS(64),
    [anon_sym_SLASH] = ACTIONS(64),
    [anon_sym_COLON] = ACTIONS(64),
    [anon_sym_SEMI] = ACTIONS(64),
    [anon_sym_EQ] = ACTIONS(64),
    [anon_sym_QMARK] = ACTIONS(64),
    [anon_sym_AT] = ACTIONS(64),
    [anon_sym_BSLASH] = ACTIONS(73),
    [anon_sym_CARET] = ACTIONS(64),
    [anon_sym__] = ACTIONS(64),
    [anon_sym_BQUOTE] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(64),
    [anon_sym_PIPE] = ACTIONS(64),
    [anon_sym_RBRACE] = ACTIONS(64),
    [anon_sym_TILDE] = ACTIONS(64),
    [anon_sym_LPAREN] = ACTIONS(64),
    [anon_sym_RPAREN] = ACTIONS(64),
    [sym__newline_token] = ACTIONS(76),
    [sym_uri_autolink] = ACTIONS(52),
    [sym_email_autolink] = ACTIONS(52),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(79),
    [anon_sym_LT_QMARK] = ACTIONS(82),
    [aux_sym__declaration_token1] = ACTIONS(85),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(88),
    [sym__whitespace_ge_2] = ACTIONS(91),
    [aux_sym__whitespace_token1] = ACTIONS(94),
    [sym__word_no_digit] = ACTIONS(52),
    [sym__digits] = ACTIONS(52),
    [sym_tag] = ACTIONS(52),
    [sym__code_span_start] = ACTIONS(97),
    [sym__emphasis_open_star] = ACTIONS(100),
    [sym__emphasis_open_underscore] = ACTIONS(103),
    [sym__last_token_punctuation] = ACTIONS(106),
    [sym__strikethrough_open] = ACTIONS(108),
    [sym__latex_span_start] = ACTIONS(111),
    [sym__unclosed_span] = ACTIONS(52),
  },
  [3] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(28),
    [sym_full_reference_link] = STATE(28),
    [sym_collapsed_reference_link] = STATE(28),
    [sym_inline_link] = STATE(28),
    [sym_wiki_link] = STATE(28),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(28),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(28),
    [aux_sym__inline_no_star] = STATE(28),
    [sym__strikethrough] = STATE(28),
    [sym__emphasis_star] = STATE(427),
    [sym__strong_emphasis_star] = STATE(28),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(28),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [ts_builtin_sym_end] = ACTIONS(47),
    [sym__backslash_escape] = ACTIONS(114),
    [sym_entity_reference] = ACTIONS(117),
    [sym_numeric_character_reference] = ACTIONS(117),
    [anon_sym_LBRACK] = ACTIONS(120),
    [anon_sym_RBRACK] = ACTIONS(123),
    [anon_sym_LT] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [anon_sym_POUND] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_AMP] = ACTIONS(135),
    [anon_sym_SQUOTE] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_AT] = ACTIONS(129),
    [anon_sym_BSLASH] = ACTIONS(138),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym__] = ACTIONS(129),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [sym__newline_token] = ACTIONS(141),
    [sym_uri_autolink] = ACTIONS(117),
    [sym_email_autolink] = ACTIONS(117),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(144),
    [anon_sym_LT_QMARK] = ACTIONS(147),
    [aux_sym__declaration_token1] = ACTIONS(150),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(153),
    [sym__whitespace_ge_2] = ACTIONS(156),
    [aux_sym__whitespace_token1] = ACTIONS(159),
    [sym__word_no_digit] = ACTIONS(117),
    [sym__digits] = ACTIONS(117),
    [sym_tag] = ACTIONS(117),
    [sym__code_span_start] = ACTIONS(162),
    [sym__emphasis_open_star] = ACTIONS(165),
    [sym__emphasis_open_underscore] = ACTIONS(168),
    [sym__last_token_punctuation] = ACTIONS(171),
    [sym__strikethrough_open] = ACTIONS(173),
    [sym__latex_span_start] = ACTIONS(176),
    [sym__unclosed_span] = ACTIONS(117),
  },
  [4] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(30),
    [sym_full_reference_link] = STATE(30),
    [sym_collapsed_reference_link] = STATE(30),
    [sym_inline_link] = STATE(30),
    [sym_wiki_link] = STATE(30),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(30),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(30),
    [aux_sym__inline_no_underscore] = STATE(30),
    [sym__strikethrough] = STATE(30),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(30),
    [sym__emphasis_underscore] = STATE(428),
    [sym__strong_emphasis_underscore] = STATE(30),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(179),
    [sym_entity_reference] = ACTIONS(182),
    [sym_numeric_character_reference] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(188),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(194),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_DQUOTE] = ACTIONS(194),
    [anon_sym_POUND] = ACTIONS(200),
    [anon_sym_DOLLAR] = ACTIONS(194),
    [anon_sym_PERCENT] = ACTIONS(194),
    [anon_sym_AMP] = ACTIONS(200),
    [anon_sym_SQUOTE] = ACTIONS(194),
    [anon_sym_STAR] = ACTIONS(194),
    [anon_sym_PLUS] = ACTIONS(194),
    [anon_sym_COMMA] = ACTIONS(194),
    [anon_sym_DASH] = ACTIONS(194),
    [anon_sym_DOT] = ACTIONS(194),
    [anon_sym_SLASH] = ACTIONS(194),
    [anon_sym_COLON] = ACTIONS(194),
    [anon_sym_SEMI] = ACTIONS(194),
    [anon_sym_EQ] = ACTIONS(194),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_AT] = ACTIONS(194),
    [anon_sym_BSLASH] = ACTIONS(203),
    [anon_sym_CARET] = ACTIONS(194),
    [anon_sym__] = ACTIONS(194),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [anon_sym_LBRACE] = ACTIONS(194),
    [anon_sym_PIPE] = ACTIONS(194),
    [anon_sym_RBRACE] = ACTIONS(194),
    [anon_sym_TILDE] = ACTIONS(194),
    [anon_sym_LPAREN] = ACTIONS(194),
    [anon_sym_RPAREN] = ACTIONS(194),
    [sym__newline_token] = ACTIONS(206),
    [sym_uri_autolink] = ACTIONS(182),
    [sym_email_autolink] = ACTIONS(182),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(209),
    [anon_sym_LT_QMARK] = ACTIONS(212),
    [aux_sym__declaration_token1] = ACTIONS(215),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(218),
    [sym__whitespace_ge_2] = ACTIONS(221),
    [aux_sym__whitespace_token1] = ACTIONS(224),
    [sym__word_no_digit] = ACTIONS(182),
    [sym__digits] = ACTIONS(182),
    [sym_tag] = ACTIONS(182),
    [sym__code_span_start] = ACTIONS(227),
    [sym__emphasis_open_star] = ACTIONS(230),
    [sym__emphasis_open_underscore] = ACTIONS(233),
    [sym__emphasis_close_star] = ACTIONS(236),
    [sym__last_token_punctuation] = ACTIONS(238),
    [sym__strikethrough_open] = ACTIONS(240),
    [sym__latex_span_start] = ACTIONS(243),
    [sym__unclosed_span] = ACTIONS(182),
  },
  [5] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(31),
    [sym_full_reference_link] = STATE(31),
    [sym_collapsed_reference_link] = STATE(31),
    [sym_inline_link] = STATE(31),
    [sym_wiki_link] = STATE(31),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(31),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(31),
    [aux_sym__inline_no_tilde] = STATE(31),
    [sym__strikethrough] = STATE(31),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(31),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(31),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(246),
    [sym_entity_reference] = ACTIONS(249),
    [sym_numeric_character_reference] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(252),
    [anon_sym_RBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(258),
    [anon_sym_GT] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_POUND] = ACTIONS(267),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(261),
    [anon_sym_STAR] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_COMMA] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_DOT] = ACTIONS(261),
    [anon_sym_SLASH] = ACTIONS(261),
    [anon_sym_COLON] = ACTIONS(261),
    [anon_sym_SEMI] = ACTIONS(261),
    [anon_sym_EQ] = ACTIONS(261),
    [anon_sym_QMARK] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [anon_sym_BSLASH] = ACTIONS(270),
    [anon_sym_CARET] = ACTIONS(261),
    [anon_sym__] = ACTIONS(261),
    [anon_sym_BQUOTE] = ACTIONS(261),
    [anon_sym_LBRACE] = ACTIONS(261),
    [anon_sym_PIPE] = ACTIONS(261),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_LPAREN] = ACTIONS(261),
    [anon_sym_RPAREN] = ACTIONS(261),
    [sym__newline_token] = ACTIONS(273),
    [sym_uri_autolink] = ACTIONS(249),
    [sym_email_autolink] = ACTIONS(249),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(276),
    [anon_sym_LT_QMARK] = ACTIONS(279),
    [aux_sym__declaration_token1] = ACTIONS(282),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(285),
    [sym__whitespace_ge_2] = ACTIONS(288),
    [aux_sym__whitespace_token1] = ACTIONS(291),
    [sym__word_no_digit] = ACTIONS(249),
    [sym__digits] = ACTIONS(249),
    [sym_tag] = ACTIONS(249),
    [sym__code_span_start] = ACTIONS(294),
    [sym__emphasis_open_star] = ACTIONS(297),
    [sym__emphasis_open_underscore] = ACTIONS(300),
    [sym__emphasis_close_star] = ACTIONS(236),
    [sym__last_token_punctuation] = ACTIONS(303),
    [sym__strikethrough_open] = ACTIONS(305),
    [sym__latex_span_start] = ACTIONS(308),
    [sym__unclosed_span] = ACTIONS(249),
  },
  [6] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(17),
    [sym_full_reference_link] = STATE(17),
    [sym_collapsed_reference_link] = STATE(17),
    [sym_inline_link] = STATE(17),
    [sym_wiki_link] = STATE(17),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(17),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(17),
    [aux_sym__inline_no_tilde] = STATE(17),
    [sym__strikethrough] = STATE(17),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(17),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(17),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [ts_builtin_sym_end] = ACTIONS(47),
    [sym__backslash_escape] = ACTIONS(311),
    [sym_entity_reference] = ACTIONS(314),
    [sym_numeric_character_reference] = ACTIONS(314),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(326),
    [anon_sym_BANG] = ACTIONS(329),
    [anon_sym_DQUOTE] = ACTIONS(326),
    [anon_sym_POUND] = ACTIONS(332),
    [anon_sym_DOLLAR] = ACTIONS(326),
    [anon_sym_PERCENT] = ACTIONS(326),
    [anon_sym_AMP] = ACTIONS(332),
    [anon_sym_SQUOTE] = ACTIONS(326),
    [anon_sym_STAR] = ACTIONS(326),
    [anon_sym_PLUS] = ACTIONS(326),
    [anon_sym_COMMA] = ACTIONS(326),
    [anon_sym_DASH] = ACTIONS(326),
    [anon_sym_DOT] = ACTIONS(326),
    [anon_sym_SLASH] = ACTIONS(326),
    [anon_sym_COLON] = ACTIONS(326),
    [anon_sym_SEMI] = ACTIONS(326),
    [anon_sym_EQ] = ACTIONS(326),
    [anon_sym_QMARK] = ACTIONS(326),
    [anon_sym_AT] = ACTIONS(326),
    [anon_sym_BSLASH] = ACTIONS(335),
    [anon_sym_CARET] = ACTIONS(326),
    [anon_sym__] = ACTIONS(326),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_LBRACE] = ACTIONS(326),
    [anon_sym_PIPE] = ACTIONS(326),
    [anon_sym_RBRACE] = ACTIONS(326),
    [anon_sym_TILDE] = ACTIONS(326),
    [anon_sym_LPAREN] = ACTIONS(326),
    [anon_sym_RPAREN] = ACTIONS(326),
    [sym__newline_token] = ACTIONS(338),
    [sym_uri_autolink] = ACTIONS(314),
    [sym_email_autolink] = ACTIONS(314),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(341),
    [anon_sym_LT_QMARK] = ACTIONS(344),
    [aux_sym__declaration_token1] = ACTIONS(347),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(350),
    [sym__whitespace_ge_2] = ACTIONS(353),
    [aux_sym__whitespace_token1] = ACTIONS(356),
    [sym__word_no_digit] = ACTIONS(314),
    [sym__digits] = ACTIONS(314),
    [sym_tag] = ACTIONS(314),
    [sym__code_span_start] = ACTIONS(359),
    [sym__emphasis_open_star] = ACTIONS(362),
    [sym__emphasis_open_underscore] = ACTIONS(365),
    [sym__last_token_punctuation] = ACTIONS(368),
    [sym__strikethrough_open] = ACTIONS(370),
    [sym__latex_span_start] = ACTIONS(373),
    [sym__unclosed_span] = ACTIONS(314),
  },
  [7] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(11),
    [sym_full_reference_link] = STATE(11),
    [sym_collapsed_reference_link] = STATE(11),
    [sym_inline_link] = STATE(11),
    [sym_wiki_link] = STATE(11),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(11),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(11),
    [aux_sym__inline_no_star] = STATE(11),
    [sym__strikethrough] = STATE(11),
    [sym__emphasis_star] = STATE(446),
    [sym__strong_emphasis_star] = STATE(11),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(11),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(376),
    [sym_entity_reference] = ACTIONS(379),
    [sym_numeric_character_reference] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(382),
    [anon_sym_RBRACK] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(388),
    [anon_sym_GT] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(394),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_DOLLAR] = ACTIONS(391),
    [anon_sym_PERCENT] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_STAR] = ACTIONS(391),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_COMMA] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(391),
    [anon_sym_SLASH] = ACTIONS(391),
    [anon_sym_COLON] = ACTIONS(391),
    [anon_sym_SEMI] = ACTIONS(391),
    [anon_sym_EQ] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_AT] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(400),
    [anon_sym_CARET] = ACTIONS(391),
    [anon_sym__] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_PIPE] = ACTIONS(391),
    [anon_sym_RBRACE] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(391),
    [anon_sym_RPAREN] = ACTIONS(391),
    [sym__newline_token] = ACTIONS(403),
    [sym_uri_autolink] = ACTIONS(379),
    [sym_email_autolink] = ACTIONS(379),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(406),
    [anon_sym_LT_QMARK] = ACTIONS(409),
    [aux_sym__declaration_token1] = ACTIONS(412),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(415),
    [sym__whitespace_ge_2] = ACTIONS(418),
    [aux_sym__whitespace_token1] = ACTIONS(421),
    [sym__word_no_digit] = ACTIONS(379),
    [sym__digits] = ACTIONS(379),
    [sym_tag] = ACTIONS(379),
    [sym__code_span_start] = ACTIONS(424),
    [sym__emphasis_open_star] = ACTIONS(427),
    [sym__emphasis_open_underscore] = ACTIONS(430),
    [sym__emphasis_close_underscore] = ACTIONS(433),
    [sym__last_token_punctuation] = ACTIONS(435),
    [sym__strikethrough_open] = ACTIONS(437),
    [sym__latex_span_start] = ACTIONS(440),
    [sym__unclosed_span] = ACTIONS(379),
  },
  [8] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(36),
    [sym_full_reference_link] = STATE(36),
    [sym_collapsed_reference_link] = STATE(36),
    [sym_inline_link] = STATE(36),
    [sym_wiki_link] = STATE(36),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(36),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(36),
    [aux_sym__inline_no_tilde] = STATE(36),
    [sym__strikethrough] = STATE(36),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(36),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(36),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(443),
    [sym_entity_reference] = ACTIONS(446),
    [sym_numeric_character_reference] = ACTIONS(446),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_RBRACK] = ACTIONS(452),
    [anon_sym_LT] = ACTIONS(455),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_DQUOTE] = ACTIONS(458),
    [anon_sym_POUND] = ACTIONS(464),
    [anon_sym_DOLLAR] = ACTIONS(458),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_AMP] = ACTIONS(464),
    [anon_sym_SQUOTE] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(458),
    [anon_sym_DOT] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_COLON] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_QMARK] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(458),
    [anon_sym_BSLASH] = ACTIONS(467),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym__] = ACTIONS(458),
    [anon_sym_BQUOTE] = ACTIONS(458),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_TILDE] = ACTIONS(458),
    [anon_sym_LPAREN] = ACTIONS(458),
    [anon_sym_RPAREN] = ACTIONS(458),
    [sym__newline_token] = ACTIONS(470),
    [sym_uri_autolink] = ACTIONS(446),
    [sym_email_autolink] = ACTIONS(446),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(473),
    [anon_sym_LT_QMARK] = ACTIONS(476),
    [aux_sym__declaration_token1] = ACTIONS(479),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(482),
    [sym__whitespace_ge_2] = ACTIONS(485),
    [aux_sym__whitespace_token1] = ACTIONS(488),
    [sym__word_no_digit] = ACTIONS(446),
    [sym__digits] = ACTIONS(446),
    [sym_tag] = ACTIONS(446),
    [sym__code_span_start] = ACTIONS(491),
    [sym__emphasis_open_star] = ACTIONS(494),
    [sym__emphasis_open_underscore] = ACTIONS(497),
    [sym__emphasis_close_underscore] = ACTIONS(433),
    [sym__last_token_punctuation] = ACTIONS(500),
    [sym__strikethrough_open] = ACTIONS(502),
    [sym__latex_span_start] = ACTIONS(505),
    [sym__unclosed_span] = ACTIONS(446),
  },
  [9] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(40),
    [sym_full_reference_link] = STATE(40),
    [sym_collapsed_reference_link] = STATE(40),
    [sym_inline_link] = STATE(40),
    [sym_wiki_link] = STATE(40),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(40),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(40),
    [aux_sym__inline_no_star] = STATE(40),
    [sym__strikethrough] = STATE(40),
    [sym__emphasis_star] = STATE(466),
    [sym__strong_emphasis_star] = STATE(40),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(40),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(508),
    [sym_entity_reference] = ACTIONS(511),
    [sym_numeric_character_reference] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(514),
    [anon_sym_RBRACK] = ACTIONS(517),
    [anon_sym_LT] = ACTIONS(520),
    [anon_sym_GT] = ACTIONS(523),
    [anon_sym_BANG] = ACTIONS(526),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_POUND] = ACTIONS(529),
    [anon_sym_DOLLAR] = ACTIONS(523),
    [anon_sym_PERCENT] = ACTIONS(523),
    [anon_sym_AMP] = ACTIONS(529),
    [anon_sym_SQUOTE] = ACTIONS(523),
    [anon_sym_STAR] = ACTIONS(523),
    [anon_sym_PLUS] = ACTIONS(523),
    [anon_sym_COMMA] = ACTIONS(523),
    [anon_sym_DASH] = ACTIONS(523),
    [anon_sym_DOT] = ACTIONS(523),
    [anon_sym_SLASH] = ACTIONS(523),
    [anon_sym_COLON] = ACTIONS(523),
    [anon_sym_SEMI] = ACTIONS(523),
    [anon_sym_EQ] = ACTIONS(523),
    [anon_sym_QMARK] = ACTIONS(523),
    [anon_sym_AT] = ACTIONS(523),
    [anon_sym_BSLASH] = ACTIONS(532),
    [anon_sym_CARET] = ACTIONS(523),
    [anon_sym__] = ACTIONS(523),
    [anon_sym_BQUOTE] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(523),
    [anon_sym_PIPE] = ACTIONS(523),
    [anon_sym_RBRACE] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_RPAREN] = ACTIONS(523),
    [sym__newline_token] = ACTIONS(535),
    [sym_uri_autolink] = ACTIONS(511),
    [sym_email_autolink] = ACTIONS(511),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(538),
    [anon_sym_LT_QMARK] = ACTIONS(541),
    [aux_sym__declaration_token1] = ACTIONS(544),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(547),
    [sym__whitespace_ge_2] = ACTIONS(550),
    [aux_sym__whitespace_token1] = ACTIONS(553),
    [sym__word_no_digit] = ACTIONS(511),
    [sym__digits] = ACTIONS(511),
    [sym_tag] = ACTIONS(511),
    [sym__code_span_start] = ACTIONS(556),
    [sym__emphasis_open_star] = ACTIONS(559),
    [sym__emphasis_open_underscore] = ACTIONS(562),
    [sym__last_token_punctuation] = ACTIONS(565),
    [sym__strikethrough_open] = ACTIONS(567),
    [sym__strikethrough_close] = ACTIONS(570),
    [sym__latex_span_start] = ACTIONS(572),
    [sym__unclosed_span] = ACTIONS(511),
  },
  [10] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(41),
    [sym_full_reference_link] = STATE(41),
    [sym_collapsed_reference_link] = STATE(41),
    [sym_inline_link] = STATE(41),
    [sym_wiki_link] = STATE(41),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(41),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(41),
    [aux_sym__inline_no_underscore] = STATE(41),
    [sym__strikethrough] = STATE(41),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(41),
    [sym__emphasis_underscore] = STATE(468),
    [sym__strong_emphasis_underscore] = STATE(41),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(575),
    [sym_entity_reference] = ACTIONS(578),
    [sym_numeric_character_reference] = ACTIONS(578),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_RBRACK] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(587),
    [anon_sym_GT] = ACTIONS(590),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_DQUOTE] = ACTIONS(590),
    [anon_sym_POUND] = ACTIONS(596),
    [anon_sym_DOLLAR] = ACTIONS(590),
    [anon_sym_PERCENT] = ACTIONS(590),
    [anon_sym_AMP] = ACTIONS(596),
    [anon_sym_SQUOTE] = ACTIONS(590),
    [anon_sym_STAR] = ACTIONS(590),
    [anon_sym_PLUS] = ACTIONS(590),
    [anon_sym_COMMA] = ACTIONS(590),
    [anon_sym_DASH] = ACTIONS(590),
    [anon_sym_DOT] = ACTIONS(590),
    [anon_sym_SLASH] = ACTIONS(590),
    [anon_sym_COLON] = ACTIONS(590),
    [anon_sym_SEMI] = ACTIONS(590),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_QMARK] = ACTIONS(590),
    [anon_sym_AT] = ACTIONS(590),
    [anon_sym_BSLASH] = ACTIONS(599),
    [anon_sym_CARET] = ACTIONS(590),
    [anon_sym__] = ACTIONS(590),
    [anon_sym_BQUOTE] = ACTIONS(590),
    [anon_sym_LBRACE] = ACTIONS(590),
    [anon_sym_PIPE] = ACTIONS(590),
    [anon_sym_RBRACE] = ACTIONS(590),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(590),
    [anon_sym_RPAREN] = ACTIONS(590),
    [sym__newline_token] = ACTIONS(602),
    [sym_uri_autolink] = ACTIONS(578),
    [sym_email_autolink] = ACTIONS(578),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(605),
    [anon_sym_LT_QMARK] = ACTIONS(608),
    [aux_sym__declaration_token1] = ACTIONS(611),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(614),
    [sym__whitespace_ge_2] = ACTIONS(617),
    [aux_sym__whitespace_token1] = ACTIONS(620),
    [sym__word_no_digit] = ACTIONS(578),
    [sym__digits] = ACTIONS(578),
    [sym_tag] = ACTIONS(578),
    [sym__code_span_start] = ACTIONS(623),
    [sym__emphasis_open_star] = ACTIONS(626),
    [sym__emphasis_open_underscore] = ACTIONS(629),
    [sym__last_token_punctuation] = ACTIONS(632),
    [sym__strikethrough_open] = ACTIONS(634),
    [sym__strikethrough_close] = ACTIONS(570),
    [sym__latex_span_start] = ACTIONS(637),
    [sym__unclosed_span] = ACTIONS(578),
  },
  [11] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_wiki_link] = STATE(20),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(429),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym_tag] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(678),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [12] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(35),
    [sym_full_reference_link] = STATE(35),
    [sym_collapsed_reference_link] = STATE(35),
    [sym_inline_link] = STATE(35),
    [sym_wiki_link] = STATE(35),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(35),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(35),
    [aux_sym__inline_no_underscore] = STATE(35),
    [sym__strikethrough] = STATE(35),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(35),
    [sym__emphasis_underscore] = STATE(448),
    [sym__strong_emphasis_underscore] = STATE(35),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym_tag] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__last_token_punctuation] = ACTIONS(722),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [13] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1160),
    [sym__link_text_non_empty] = STATE(467),
    [sym_shortcut_link] = STATE(516),
    [sym_full_reference_link] = STATE(516),
    [sym_collapsed_reference_link] = STATE(516),
    [sym_inline_link] = STATE(516),
    [sym_wiki_link] = STATE(516),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(469),
    [sym__image_shortcut_link] = STATE(469),
    [sym__image_full_reference_link] = STATE(469),
    [sym__image_collapsed_reference_link] = STATE(469),
    [sym__image_description] = STATE(1154),
    [sym__image_description_non_empty] = STATE(474),
    [sym__html_tag] = STATE(497),
    [sym__open_tag] = STATE(509),
    [sym__closing_tag] = STATE(509),
    [sym__html_comment] = STATE(509),
    [sym__processing_instruction] = STATE(509),
    [sym__declaration] = STATE(509),
    [sym__cdata_section] = STATE(509),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(516),
    [sym__text_base] = STATE(153),
    [sym__inline_element] = STATE(516),
    [aux_sym__inline] = STATE(18),
    [sym__strikethrough] = STATE(516),
    [sym__emphasis_star] = STATE(524),
    [sym__strong_emphasis_star] = STATE(516),
    [sym__emphasis_underscore] = STATE(524),
    [sym__strong_emphasis_underscore] = STATE(516),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [ts_builtin_sym_end] = ACTIONS(728),
    [sym__backslash_escape] = ACTIONS(3),
    [sym_entity_reference] = ACTIONS(5),
    [sym_numeric_character_reference] = ACTIONS(5),
    [anon_sym_LBRACK] = ACTIONS(7),
    [anon_sym_RBRACK] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(11),
    [anon_sym_GT] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_POUND] = ACTIONS(17),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_PERCENT] = ACTIONS(13),
    [anon_sym_AMP] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(13),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(13),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(13),
    [anon_sym_SLASH] = ACTIONS(13),
    [anon_sym_COLON] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(13),
    [anon_sym_EQ] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym__] = ACTIONS(13),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_PIPE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(13),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_RPAREN] = ACTIONS(13),
    [sym__newline_token] = ACTIONS(21),
    [sym_uri_autolink] = ACTIONS(5),
    [sym_email_autolink] = ACTIONS(5),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(23),
    [anon_sym_LT_QMARK] = ACTIONS(25),
    [aux_sym__declaration_token1] = ACTIONS(27),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(29),
    [sym__whitespace_ge_2] = ACTIONS(31),
    [aux_sym__whitespace_token1] = ACTIONS(33),
    [sym__word_no_digit] = ACTIONS(5),
    [sym__digits] = ACTIONS(5),
    [sym_tag] = ACTIONS(5),
    [sym__code_span_start] = ACTIONS(35),
    [sym__emphasis_open_star] = ACTIONS(37),
    [sym__emphasis_open_underscore] = ACTIONS(39),
    [sym__strikethrough_open] = ACTIONS(43),
    [sym__latex_span_start] = ACTIONS(45),
    [sym__unclosed_span] = ACTIONS(5),
  },
  [14] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1160),
    [sym__link_text_non_empty] = STATE(467),
    [sym_shortcut_link] = STATE(516),
    [sym_full_reference_link] = STATE(516),
    [sym_collapsed_reference_link] = STATE(516),
    [sym_inline_link] = STATE(516),
    [sym_wiki_link] = STATE(516),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(469),
    [sym__image_shortcut_link] = STATE(469),
    [sym__image_full_reference_link] = STATE(469),
    [sym__image_collapsed_reference_link] = STATE(469),
    [sym__image_description] = STATE(1154),
    [sym__image_description_non_empty] = STATE(474),
    [sym__html_tag] = STATE(497),
    [sym__open_tag] = STATE(509),
    [sym__closing_tag] = STATE(509),
    [sym__html_comment] = STATE(509),
    [sym__processing_instruction] = STATE(509),
    [sym__declaration] = STATE(509),
    [sym__cdata_section] = STATE(509),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(516),
    [sym__text_base] = STATE(153),
    [sym__inline_element] = STATE(516),
    [aux_sym__inline] = STATE(18),
    [sym__strikethrough] = STATE(516),
    [sym__emphasis_star] = STATE(524),
    [sym__strong_emphasis_star] = STATE(516),
    [sym__emphasis_underscore] = STATE(524),
    [sym__strong_emphasis_underscore] = STATE(516),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [ts_builtin_sym_end] = ACTIONS(730),
    [sym__backslash_escape] = ACTIONS(3),
    [sym_entity_reference] = ACTIONS(5),
    [sym_numeric_character_reference] = ACTIONS(5),
    [anon_sym_LBRACK] = ACTIONS(7),
    [anon_sym_RBRACK] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(11),
    [anon_sym_GT] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_POUND] = ACTIONS(17),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_PERCENT] = ACTIONS(13),
    [anon_sym_AMP] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(13),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(13),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(13),
    [anon_sym_SLASH] = ACTIONS(13),
    [anon_sym_COLON] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(13),
    [anon_sym_EQ] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym__] = ACTIONS(13),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_PIPE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(13),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_RPAREN] = ACTIONS(13),
    [sym__newline_token] = ACTIONS(21),
    [sym_uri_autolink] = ACTIONS(5),
    [sym_email_autolink] = ACTIONS(5),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(23),
    [anon_sym_LT_QMARK] = ACTIONS(25),
    [aux_sym__declaration_token1] = ACTIONS(27),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(29),
    [sym__whitespace_ge_2] = ACTIONS(31),
    [aux_sym__whitespace_token1] = ACTIONS(33),
    [sym__word_no_digit] = ACTIONS(5),
    [sym__digits] = ACTIONS(5),
    [sym_tag] = ACTIONS(5),
    [sym__code_span_start] = ACTIONS(35),
    [sym__emphasis_open_star] = ACTIONS(37),
    [sym__emphasis_open_underscore] = ACTIONS(39),
    [sym__strikethrough_open] = ACTIONS(43),
    [sym__latex_span_start] = ACTIONS(45),
    [sym__unclosed_span] = ACTIONS(5),
  },
  [15] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(29),
    [sym_full_reference_link] = STATE(29),
    [sym_collapsed_reference_link] = STATE(29),
    [sym_inline_link] = STATE(29),
    [sym_wiki_link] = STATE(29),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(29),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(29),
    [aux_sym__inline_no_star] = STATE(29),
    [sym__strikethrough] = STATE(29),
    [sym__emphasis_star] = STATE(426),
    [sym__strong_emphasis_star] = STATE(29),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(29),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym_tag] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__last_token_punctuation] = ACTIONS(732),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [16] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(42),
    [sym_full_reference_link] = STATE(42),
    [sym_collapsed_reference_link] = STATE(42),
    [sym_inline_link] = STATE(42),
    [sym_wiki_link] = STATE(42),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(42),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(42),
    [aux_sym__inline_no_tilde] = STATE(42),
    [sym__strikethrough] = STATE(42),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(42),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(42),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym_tag] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__last_token_punctuation] = ACTIONS(772),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [17] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_wiki_link] = STATE(24),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym_tag] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(778),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [18] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1160),
    [sym__link_text_non_empty] = STATE(467),
    [sym_shortcut_link] = STATE(516),
    [sym_full_reference_link] = STATE(516),
    [sym_collapsed_reference_link] = STATE(516),
    [sym_inline_link] = STATE(516),
    [sym_wiki_link] = STATE(516),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(469),
    [sym__image_shortcut_link] = STATE(469),
    [sym__image_full_reference_link] = STATE(469),
    [sym__image_collapsed_reference_link] = STATE(469),
    [sym__image_description] = STATE(1154),
    [sym__image_description_non_empty] = STATE(474),
    [sym__html_tag] = STATE(497),
    [sym__open_tag] = STATE(509),
    [sym__closing_tag] = STATE(509),
    [sym__html_comment] = STATE(509),
    [sym__processing_instruction] = STATE(509),
    [sym__declaration] = STATE(509),
    [sym__cdata_section] = STATE(509),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(516),
    [sym__text_base] = STATE(153),
    [sym__inline_element] = STATE(516),
    [aux_sym__inline] = STATE(18),
    [sym__strikethrough] = STATE(516),
    [sym__emphasis_star] = STATE(524),
    [sym__strong_emphasis_star] = STATE(516),
    [sym__emphasis_underscore] = STATE(524),
    [sym__strong_emphasis_underscore] = STATE(516),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [ts_builtin_sym_end] = ACTIONS(780),
    [sym__backslash_escape] = ACTIONS(782),
    [sym_entity_reference] = ACTIONS(785),
    [sym_numeric_character_reference] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(788),
    [anon_sym_RBRACK] = ACTIONS(791),
    [anon_sym_LT] = ACTIONS(794),
    [anon_sym_GT] = ACTIONS(797),
    [anon_sym_BANG] = ACTIONS(800),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [anon_sym_POUND] = ACTIONS(803),
    [anon_sym_DOLLAR] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(797),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_STAR] = ACTIONS(797),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_COMMA] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_DOT] = ACTIONS(797),
    [anon_sym_SLASH] = ACTIONS(797),
    [anon_sym_COLON] = ACTIONS(797),
    [anon_sym_SEMI] = ACTIONS(797),
    [anon_sym_EQ] = ACTIONS(797),
    [anon_sym_QMARK] = ACTIONS(797),
    [anon_sym_AT] = ACTIONS(797),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_CARET] = ACTIONS(797),
    [anon_sym__] = ACTIONS(797),
    [anon_sym_BQUOTE] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(797),
    [anon_sym_PIPE] = ACTIONS(797),
    [anon_sym_RBRACE] = ACTIONS(797),
    [anon_sym_TILDE] = ACTIONS(797),
    [anon_sym_LPAREN] = ACTIONS(797),
    [anon_sym_RPAREN] = ACTIONS(797),
    [sym__newline_token] = ACTIONS(809),
    [sym_uri_autolink] = ACTIONS(785),
    [sym_email_autolink] = ACTIONS(785),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(812),
    [anon_sym_LT_QMARK] = ACTIONS(815),
    [aux_sym__declaration_token1] = ACTIONS(818),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(821),
    [sym__whitespace_ge_2] = ACTIONS(824),
    [aux_sym__whitespace_token1] = ACTIONS(827),
    [sym__word_no_digit] = ACTIONS(785),
    [sym__digits] = ACTIONS(785),
    [sym_tag] = ACTIONS(785),
    [sym__code_span_start] = ACTIONS(830),
    [sym__emphasis_open_star] = ACTIONS(833),
    [sym__emphasis_open_underscore] = ACTIONS(836),
    [sym__strikethrough_open] = ACTIONS(839),
    [sym__latex_span_start] = ACTIONS(842),
    [sym__unclosed_span] = ACTIONS(785),
  },
  [19] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_wiki_link] = STATE(20),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(429),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym_tag] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(845),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [20] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_wiki_link] = STATE(20),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(429),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(847),
    [sym_entity_reference] = ACTIONS(850),
    [sym_numeric_character_reference] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_RBRACK] = ACTIONS(856),
    [anon_sym_LT] = ACTIONS(859),
    [anon_sym_GT] = ACTIONS(862),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(862),
    [anon_sym_POUND] = ACTIONS(868),
    [anon_sym_DOLLAR] = ACTIONS(862),
    [anon_sym_PERCENT] = ACTIONS(862),
    [anon_sym_AMP] = ACTIONS(868),
    [anon_sym_SQUOTE] = ACTIONS(862),
    [anon_sym_STAR] = ACTIONS(862),
    [anon_sym_PLUS] = ACTIONS(862),
    [anon_sym_COMMA] = ACTIONS(862),
    [anon_sym_DASH] = ACTIONS(862),
    [anon_sym_DOT] = ACTIONS(862),
    [anon_sym_SLASH] = ACTIONS(862),
    [anon_sym_COLON] = ACTIONS(862),
    [anon_sym_SEMI] = ACTIONS(862),
    [anon_sym_EQ] = ACTIONS(862),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_AT] = ACTIONS(862),
    [anon_sym_BSLASH] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(862),
    [anon_sym__] = ACTIONS(862),
    [anon_sym_BQUOTE] = ACTIONS(862),
    [anon_sym_LBRACE] = ACTIONS(862),
    [anon_sym_PIPE] = ACTIONS(862),
    [anon_sym_RBRACE] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(862),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(862),
    [sym__newline_token] = ACTIONS(874),
    [sym_uri_autolink] = ACTIONS(850),
    [sym_email_autolink] = ACTIONS(850),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(877),
    [anon_sym_LT_QMARK] = ACTIONS(880),
    [aux_sym__declaration_token1] = ACTIONS(883),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(886),
    [sym__whitespace_ge_2] = ACTIONS(889),
    [aux_sym__whitespace_token1] = ACTIONS(892),
    [sym__word_no_digit] = ACTIONS(850),
    [sym__digits] = ACTIONS(850),
    [sym_tag] = ACTIONS(850),
    [sym__code_span_start] = ACTIONS(895),
    [sym__emphasis_open_star] = ACTIONS(898),
    [sym__emphasis_open_underscore] = ACTIONS(901),
    [sym__emphasis_close_star] = ACTIONS(904),
    [sym__strikethrough_open] = ACTIONS(906),
    [sym__latex_span_start] = ACTIONS(909),
    [sym__unclosed_span] = ACTIONS(850),
  },
  [21] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_wiki_link] = STATE(22),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(452),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym_tag] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(912),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [22] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_wiki_link] = STATE(22),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(452),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(914),
    [sym_entity_reference] = ACTIONS(917),
    [sym_numeric_character_reference] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(920),
    [anon_sym_RBRACK] = ACTIONS(923),
    [anon_sym_LT] = ACTIONS(926),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(932),
    [anon_sym_DQUOTE] = ACTIONS(929),
    [anon_sym_POUND] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(929),
    [anon_sym_STAR] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_COLON] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym_EQ] = ACTIONS(929),
    [anon_sym_QMARK] = ACTIONS(929),
    [anon_sym_AT] = ACTIONS(929),
    [anon_sym_BSLASH] = ACTIONS(938),
    [anon_sym_CARET] = ACTIONS(929),
    [anon_sym__] = ACTIONS(929),
    [anon_sym_BQUOTE] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_RBRACE] = ACTIONS(929),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(929),
    [anon_sym_RPAREN] = ACTIONS(929),
    [sym__newline_token] = ACTIONS(941),
    [sym_uri_autolink] = ACTIONS(917),
    [sym_email_autolink] = ACTIONS(917),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(944),
    [anon_sym_LT_QMARK] = ACTIONS(947),
    [aux_sym__declaration_token1] = ACTIONS(950),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(953),
    [sym__whitespace_ge_2] = ACTIONS(956),
    [aux_sym__whitespace_token1] = ACTIONS(959),
    [sym__word_no_digit] = ACTIONS(917),
    [sym__digits] = ACTIONS(917),
    [sym_tag] = ACTIONS(917),
    [sym__code_span_start] = ACTIONS(962),
    [sym__emphasis_open_star] = ACTIONS(965),
    [sym__emphasis_open_underscore] = ACTIONS(968),
    [sym__emphasis_close_underscore] = ACTIONS(971),
    [sym__strikethrough_open] = ACTIONS(973),
    [sym__latex_span_start] = ACTIONS(976),
    [sym__unclosed_span] = ACTIONS(917),
  },
  [23] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_wiki_link] = STATE(24),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym_tag] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(979),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [24] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_wiki_link] = STATE(24),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(981),
    [sym_entity_reference] = ACTIONS(984),
    [sym_numeric_character_reference] = ACTIONS(984),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_RBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(993),
    [anon_sym_GT] = ACTIONS(996),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(996),
    [anon_sym_POUND] = ACTIONS(1002),
    [anon_sym_DOLLAR] = ACTIONS(996),
    [anon_sym_PERCENT] = ACTIONS(996),
    [anon_sym_AMP] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(996),
    [anon_sym_STAR] = ACTIONS(996),
    [anon_sym_PLUS] = ACTIONS(996),
    [anon_sym_COMMA] = ACTIONS(996),
    [anon_sym_DASH] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(996),
    [anon_sym_SLASH] = ACTIONS(996),
    [anon_sym_COLON] = ACTIONS(996),
    [anon_sym_SEMI] = ACTIONS(996),
    [anon_sym_EQ] = ACTIONS(996),
    [anon_sym_QMARK] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(996),
    [anon_sym_BSLASH] = ACTIONS(1005),
    [anon_sym_CARET] = ACTIONS(996),
    [anon_sym__] = ACTIONS(996),
    [anon_sym_BQUOTE] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(996),
    [anon_sym_PIPE] = ACTIONS(996),
    [anon_sym_RBRACE] = ACTIONS(996),
    [anon_sym_TILDE] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(996),
    [anon_sym_RPAREN] = ACTIONS(996),
    [sym__newline_token] = ACTIONS(1008),
    [sym_uri_autolink] = ACTIONS(984),
    [sym_email_autolink] = ACTIONS(984),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1011),
    [anon_sym_LT_QMARK] = ACTIONS(1014),
    [aux_sym__declaration_token1] = ACTIONS(1017),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1020),
    [sym__whitespace_ge_2] = ACTIONS(1023),
    [aux_sym__whitespace_token1] = ACTIONS(1026),
    [sym__word_no_digit] = ACTIONS(984),
    [sym__digits] = ACTIONS(984),
    [sym_tag] = ACTIONS(984),
    [sym__code_span_start] = ACTIONS(1029),
    [sym__emphasis_open_star] = ACTIONS(1032),
    [sym__emphasis_open_underscore] = ACTIONS(1035),
    [sym__strikethrough_open] = ACTIONS(1038),
    [sym__strikethrough_close] = ACTIONS(1041),
    [sym__latex_span_start] = ACTIONS(1043),
    [sym__unclosed_span] = ACTIONS(984),
  },
  [25] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(46),
    [sym_full_reference_link] = STATE(46),
    [sym_collapsed_reference_link] = STATE(46),
    [sym_inline_link] = STATE(46),
    [sym_wiki_link] = STATE(46),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(46),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(46),
    [aux_sym__inline_no_star] = STATE(46),
    [sym__strikethrough] = STATE(46),
    [sym__emphasis_star] = STATE(486),
    [sym__strong_emphasis_star] = STATE(46),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(46),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(114),
    [sym_entity_reference] = ACTIONS(117),
    [sym_numeric_character_reference] = ACTIONS(117),
    [anon_sym_LBRACK] = ACTIONS(120),
    [anon_sym_RBRACK] = ACTIONS(123),
    [anon_sym_LT] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [anon_sym_POUND] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_AMP] = ACTIONS(135),
    [anon_sym_SQUOTE] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_AT] = ACTIONS(129),
    [anon_sym_BSLASH] = ACTIONS(138),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym__] = ACTIONS(129),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [sym__newline_token] = ACTIONS(141),
    [sym_uri_autolink] = ACTIONS(117),
    [sym_email_autolink] = ACTIONS(117),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(144),
    [anon_sym_LT_QMARK] = ACTIONS(147),
    [aux_sym__declaration_token1] = ACTIONS(150),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(153),
    [sym__whitespace_ge_2] = ACTIONS(156),
    [aux_sym__whitespace_token1] = ACTIONS(159),
    [sym__word_no_digit] = ACTIONS(117),
    [sym__digits] = ACTIONS(117),
    [sym_tag] = ACTIONS(117),
    [sym__code_span_start] = ACTIONS(162),
    [sym__emphasis_open_star] = ACTIONS(165),
    [sym__emphasis_open_underscore] = ACTIONS(168),
    [sym__last_token_punctuation] = ACTIONS(1046),
    [sym__strikethrough_open] = ACTIONS(173),
    [sym__latex_span_start] = ACTIONS(176),
    [sym__unclosed_span] = ACTIONS(117),
  },
  [26] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(47),
    [sym_full_reference_link] = STATE(47),
    [sym_collapsed_reference_link] = STATE(47),
    [sym_inline_link] = STATE(47),
    [sym_wiki_link] = STATE(47),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(47),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(47),
    [aux_sym__inline_no_underscore] = STATE(47),
    [sym__strikethrough] = STATE(47),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(47),
    [sym__emphasis_underscore] = STATE(488),
    [sym__strong_emphasis_underscore] = STATE(47),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(49),
    [sym_entity_reference] = ACTIONS(52),
    [sym_numeric_character_reference] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(58),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(64),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(64),
    [anon_sym_POUND] = ACTIONS(70),
    [anon_sym_DOLLAR] = ACTIONS(64),
    [anon_sym_PERCENT] = ACTIONS(64),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_SQUOTE] = ACTIONS(64),
    [anon_sym_STAR] = ACTIONS(64),
    [anon_sym_PLUS] = ACTIONS(64),
    [anon_sym_COMMA] = ACTIONS(64),
    [anon_sym_DASH] = ACTIONS(64),
    [anon_sym_DOT] = ACTIONS(64),
    [anon_sym_SLASH] = ACTIONS(64),
    [anon_sym_COLON] = ACTIONS(64),
    [anon_sym_SEMI] = ACTIONS(64),
    [anon_sym_EQ] = ACTIONS(64),
    [anon_sym_QMARK] = ACTIONS(64),
    [anon_sym_AT] = ACTIONS(64),
    [anon_sym_BSLASH] = ACTIONS(73),
    [anon_sym_CARET] = ACTIONS(64),
    [anon_sym__] = ACTIONS(64),
    [anon_sym_BQUOTE] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(64),
    [anon_sym_PIPE] = ACTIONS(64),
    [anon_sym_RBRACE] = ACTIONS(64),
    [anon_sym_TILDE] = ACTIONS(64),
    [anon_sym_LPAREN] = ACTIONS(64),
    [anon_sym_RPAREN] = ACTIONS(64),
    [sym__newline_token] = ACTIONS(76),
    [sym_uri_autolink] = ACTIONS(52),
    [sym_email_autolink] = ACTIONS(52),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(79),
    [anon_sym_LT_QMARK] = ACTIONS(82),
    [aux_sym__declaration_token1] = ACTIONS(85),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(88),
    [sym__whitespace_ge_2] = ACTIONS(91),
    [aux_sym__whitespace_token1] = ACTIONS(94),
    [sym__word_no_digit] = ACTIONS(52),
    [sym__digits] = ACTIONS(52),
    [sym_tag] = ACTIONS(52),
    [sym__code_span_start] = ACTIONS(97),
    [sym__emphasis_open_star] = ACTIONS(100),
    [sym__emphasis_open_underscore] = ACTIONS(103),
    [sym__last_token_punctuation] = ACTIONS(1048),
    [sym__strikethrough_open] = ACTIONS(108),
    [sym__latex_span_start] = ACTIONS(111),
    [sym__unclosed_span] = ACTIONS(52),
  },
  [27] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(48),
    [sym_full_reference_link] = STATE(48),
    [sym_collapsed_reference_link] = STATE(48),
    [sym_inline_link] = STATE(48),
    [sym_wiki_link] = STATE(48),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(48),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(48),
    [aux_sym__inline_no_tilde] = STATE(48),
    [sym__strikethrough] = STATE(48),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(48),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(48),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(311),
    [sym_entity_reference] = ACTIONS(314),
    [sym_numeric_character_reference] = ACTIONS(314),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(326),
    [anon_sym_BANG] = ACTIONS(329),
    [anon_sym_DQUOTE] = ACTIONS(326),
    [anon_sym_POUND] = ACTIONS(332),
    [anon_sym_DOLLAR] = ACTIONS(326),
    [anon_sym_PERCENT] = ACTIONS(326),
    [anon_sym_AMP] = ACTIONS(332),
    [anon_sym_SQUOTE] = ACTIONS(326),
    [anon_sym_STAR] = ACTIONS(326),
    [anon_sym_PLUS] = ACTIONS(326),
    [anon_sym_COMMA] = ACTIONS(326),
    [anon_sym_DASH] = ACTIONS(326),
    [anon_sym_DOT] = ACTIONS(326),
    [anon_sym_SLASH] = ACTIONS(326),
    [anon_sym_COLON] = ACTIONS(326),
    [anon_sym_SEMI] = ACTIONS(326),
    [anon_sym_EQ] = ACTIONS(326),
    [anon_sym_QMARK] = ACTIONS(326),
    [anon_sym_AT] = ACTIONS(326),
    [anon_sym_BSLASH] = ACTIONS(335),
    [anon_sym_CARET] = ACTIONS(326),
    [anon_sym__] = ACTIONS(326),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_LBRACE] = ACTIONS(326),
    [anon_sym_PIPE] = ACTIONS(326),
    [anon_sym_RBRACE] = ACTIONS(326),
    [anon_sym_TILDE] = ACTIONS(326),
    [anon_sym_LPAREN] = ACTIONS(326),
    [anon_sym_RPAREN] = ACTIONS(326),
    [sym__newline_token] = ACTIONS(338),
    [sym_uri_autolink] = ACTIONS(314),
    [sym_email_autolink] = ACTIONS(314),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(341),
    [anon_sym_LT_QMARK] = ACTIONS(344),
    [aux_sym__declaration_token1] = ACTIONS(347),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(350),
    [sym__whitespace_ge_2] = ACTIONS(353),
    [aux_sym__whitespace_token1] = ACTIONS(356),
    [sym__word_no_digit] = ACTIONS(314),
    [sym__digits] = ACTIONS(314),
    [sym_tag] = ACTIONS(314),
    [sym__code_span_start] = ACTIONS(359),
    [sym__emphasis_open_star] = ACTIONS(362),
    [sym__emphasis_open_underscore] = ACTIONS(365),
    [sym__last_token_punctuation] = ACTIONS(1050),
    [sym__strikethrough_open] = ACTIONS(370),
    [sym__latex_span_start] = ACTIONS(373),
    [sym__unclosed_span] = ACTIONS(314),
  },
  [28] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_wiki_link] = STATE(20),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(429),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym_tag] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(1052),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [29] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_wiki_link] = STATE(20),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(429),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym_tag] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(1054),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [30] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_wiki_link] = STATE(22),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(452),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym_tag] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1056),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [31] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_wiki_link] = STATE(24),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym_tag] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(1058),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [32] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_wiki_link] = STATE(20),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(429),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym_tag] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(1060),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [33] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_wiki_link] = STATE(22),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(452),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym_tag] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1062),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [34] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_wiki_link] = STATE(24),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym_tag] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(1064),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [35] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_wiki_link] = STATE(22),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(452),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym_tag] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1066),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [36] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_wiki_link] = STATE(24),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym_tag] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(1068),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [37] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_wiki_link] = STATE(20),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(429),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym_tag] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(1070),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [38] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_wiki_link] = STATE(22),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(452),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym_tag] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1072),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [39] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_wiki_link] = STATE(24),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym_tag] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(1074),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [40] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_wiki_link] = STATE(20),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(429),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym_tag] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(1076),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [41] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_wiki_link] = STATE(22),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(452),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym_tag] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1078),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [42] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_wiki_link] = STATE(24),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym_tag] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(1080),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [43] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_wiki_link] = STATE(20),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(429),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym_tag] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(1082),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [44] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_wiki_link] = STATE(22),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(452),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym_tag] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1084),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [45] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_wiki_link] = STATE(24),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym_tag] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(1086),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [46] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_wiki_link] = STATE(20),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(429),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym_tag] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(1088),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [47] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_wiki_link] = STATE(22),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(452),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym_tag] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1090),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [48] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_wiki_link] = STATE(24),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym_tag] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(1092),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [49] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_wiki_link] = STATE(20),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(429),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym_tag] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(1094),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [50] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_wiki_link] = STATE(22),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(452),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym_tag] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1096),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [51] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_wiki_link] = STATE(24),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym_tag] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(1098),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [52] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_wiki_link] = STATE(22),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(452),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym_tag] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1100),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [53] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(33),
    [sym_full_reference_link] = STATE(33),
    [sym_collapsed_reference_link] = STATE(33),
    [sym_inline_link] = STATE(33),
    [sym_wiki_link] = STATE(33),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(33),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(33),
    [aux_sym__inline_no_underscore] = STATE(33),
    [sym__strikethrough] = STATE(33),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(33),
    [sym__emphasis_underscore] = STATE(452),
    [sym__strong_emphasis_underscore] = STATE(33),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym_tag] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [54] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1158),
    [sym__link_text_non_empty] = STATE(532),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_wiki_link] = STATE(538),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(67),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(540),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(540),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym_tag] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [55] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1160),
    [sym__link_text_non_empty] = STATE(467),
    [sym_shortcut_link] = STATE(516),
    [sym_full_reference_link] = STATE(516),
    [sym_collapsed_reference_link] = STATE(516),
    [sym_inline_link] = STATE(516),
    [sym_wiki_link] = STATE(516),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(469),
    [sym__image_shortcut_link] = STATE(469),
    [sym__image_full_reference_link] = STATE(469),
    [sym__image_collapsed_reference_link] = STATE(469),
    [sym__image_description] = STATE(1154),
    [sym__image_description_non_empty] = STATE(474),
    [sym__html_tag] = STATE(497),
    [sym__open_tag] = STATE(509),
    [sym__closing_tag] = STATE(509),
    [sym__html_comment] = STATE(509),
    [sym__processing_instruction] = STATE(509),
    [sym__declaration] = STATE(509),
    [sym__cdata_section] = STATE(509),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(516),
    [sym__text_base] = STATE(153),
    [sym__inline_element] = STATE(516),
    [aux_sym__inline] = STATE(13),
    [sym__strikethrough] = STATE(516),
    [sym__emphasis_star] = STATE(524),
    [sym__strong_emphasis_star] = STATE(516),
    [sym__emphasis_underscore] = STATE(524),
    [sym__strong_emphasis_underscore] = STATE(516),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(3),
    [sym_entity_reference] = ACTIONS(5),
    [sym_numeric_character_reference] = ACTIONS(5),
    [anon_sym_LBRACK] = ACTIONS(7),
    [anon_sym_RBRACK] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(11),
    [anon_sym_GT] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_POUND] = ACTIONS(17),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_PERCENT] = ACTIONS(13),
    [anon_sym_AMP] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(13),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(13),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(13),
    [anon_sym_SLASH] = ACTIONS(13),
    [anon_sym_COLON] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(13),
    [anon_sym_EQ] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym__] = ACTIONS(13),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_PIPE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(13),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_RPAREN] = ACTIONS(13),
    [sym__newline_token] = ACTIONS(21),
    [sym_uri_autolink] = ACTIONS(5),
    [sym_email_autolink] = ACTIONS(5),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(23),
    [anon_sym_LT_QMARK] = ACTIONS(25),
    [aux_sym__declaration_token1] = ACTIONS(27),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(29),
    [sym__whitespace_ge_2] = ACTIONS(31),
    [aux_sym__whitespace_token1] = ACTIONS(33),
    [sym__word_no_digit] = ACTIONS(5),
    [sym__digits] = ACTIONS(5),
    [sym_tag] = ACTIONS(5),
    [sym__code_span_start] = ACTIONS(35),
    [sym__emphasis_open_star] = ACTIONS(37),
    [sym__emphasis_open_underscore] = ACTIONS(39),
    [sym__strikethrough_open] = ACTIONS(43),
    [sym__latex_span_start] = ACTIONS(45),
    [sym__unclosed_span] = ACTIONS(5),
  },
  [56] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(23),
    [sym_full_reference_link] = STATE(23),
    [sym_collapsed_reference_link] = STATE(23),
    [sym_inline_link] = STATE(23),
    [sym_wiki_link] = STATE(23),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(23),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(23),
    [aux_sym__inline_no_tilde] = STATE(23),
    [sym__strikethrough] = STATE(23),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(23),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(23),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym_tag] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [57] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1158),
    [sym__link_text_non_empty] = STATE(532),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_wiki_link] = STATE(538),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(540),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(540),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1144),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym_tag] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [58] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1158),
    [sym__link_text_non_empty] = STATE(532),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_wiki_link] = STATE(538),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(540),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(540),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1146),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym_tag] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [59] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(21),
    [sym_full_reference_link] = STATE(21),
    [sym_collapsed_reference_link] = STATE(21),
    [sym_inline_link] = STATE(21),
    [sym_wiki_link] = STATE(21),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(21),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(21),
    [aux_sym__inline_no_underscore] = STATE(21),
    [sym__strikethrough] = STATE(21),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(21),
    [sym__emphasis_underscore] = STATE(452),
    [sym__strong_emphasis_underscore] = STATE(21),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym_tag] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [60] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(19),
    [sym_full_reference_link] = STATE(19),
    [sym_collapsed_reference_link] = STATE(19),
    [sym_inline_link] = STATE(19),
    [sym_wiki_link] = STATE(19),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(19),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(19),
    [aux_sym__inline_no_star] = STATE(19),
    [sym__strikethrough] = STATE(19),
    [sym__emphasis_star] = STATE(429),
    [sym__strong_emphasis_star] = STATE(19),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(19),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym_tag] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [61] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1158),
    [sym__link_text_non_empty] = STATE(532),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_wiki_link] = STATE(538),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(540),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(540),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1148),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym_tag] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [62] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1158),
    [sym__link_text_non_empty] = STATE(532),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_wiki_link] = STATE(538),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(58),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(540),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(540),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym_tag] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [63] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1158),
    [sym__link_text_non_empty] = STATE(532),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_wiki_link] = STATE(538),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(540),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(540),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1150),
    [sym_entity_reference] = ACTIONS(1153),
    [sym_numeric_character_reference] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_RBRACK] = ACTIONS(1159),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [anon_sym_POUND] = ACTIONS(1171),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_PERCENT] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1171),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1165),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_SLASH] = ACTIONS(1165),
    [anon_sym_COLON] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [anon_sym_QMARK] = ACTIONS(1165),
    [anon_sym_AT] = ACTIONS(1165),
    [anon_sym_BSLASH] = ACTIONS(1174),
    [anon_sym_CARET] = ACTIONS(1165),
    [anon_sym__] = ACTIONS(1165),
    [anon_sym_BQUOTE] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_PIPE] = ACTIONS(1165),
    [anon_sym_RBRACE] = ACTIONS(1165),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [anon_sym_RPAREN] = ACTIONS(1165),
    [sym__newline_token] = ACTIONS(1177),
    [sym_uri_autolink] = ACTIONS(1153),
    [sym_email_autolink] = ACTIONS(1153),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1180),
    [anon_sym_LT_QMARK] = ACTIONS(1183),
    [aux_sym__declaration_token1] = ACTIONS(1186),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1189),
    [sym__whitespace_ge_2] = ACTIONS(1192),
    [aux_sym__whitespace_token1] = ACTIONS(1195),
    [sym__word_no_digit] = ACTIONS(1153),
    [sym__digits] = ACTIONS(1153),
    [sym_tag] = ACTIONS(1153),
    [sym__code_span_start] = ACTIONS(1198),
    [sym__emphasis_open_star] = ACTIONS(1201),
    [sym__emphasis_open_underscore] = ACTIONS(1204),
    [sym__strikethrough_open] = ACTIONS(1207),
    [sym__latex_span_start] = ACTIONS(1210),
    [sym__unclosed_span] = ACTIONS(1153),
  },
  [64] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1158),
    [sym__link_text_non_empty] = STATE(532),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_wiki_link] = STATE(538),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(540),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(540),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym_tag] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [65] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1158),
    [sym__link_text_non_empty] = STATE(532),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_wiki_link] = STATE(538),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(540),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(540),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1215),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym_tag] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [66] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1158),
    [sym__link_text_non_empty] = STATE(532),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_wiki_link] = STATE(538),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(540),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(540),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1217),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym_tag] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [67] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1158),
    [sym__link_text_non_empty] = STATE(532),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_wiki_link] = STATE(538),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(540),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(540),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1219),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym_tag] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [68] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(32),
    [sym_full_reference_link] = STATE(32),
    [sym_collapsed_reference_link] = STATE(32),
    [sym_inline_link] = STATE(32),
    [sym_wiki_link] = STATE(32),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(32),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(32),
    [aux_sym__inline_no_star] = STATE(32),
    [sym__strikethrough] = STATE(32),
    [sym__emphasis_star] = STATE(429),
    [sym__strong_emphasis_star] = STATE(32),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(32),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym_tag] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [69] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1158),
    [sym__link_text_non_empty] = STATE(532),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_wiki_link] = STATE(538),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(540),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(540),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym_tag] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [70] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(34),
    [sym_full_reference_link] = STATE(34),
    [sym_collapsed_reference_link] = STATE(34),
    [sym_inline_link] = STATE(34),
    [sym_wiki_link] = STATE(34),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(34),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(34),
    [aux_sym__inline_no_tilde] = STATE(34),
    [sym__strikethrough] = STATE(34),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(34),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(34),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym_tag] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [71] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1158),
    [sym__link_text_non_empty] = STATE(532),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_wiki_link] = STATE(538),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(69),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(540),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(540),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym_tag] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [72] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(37),
    [sym_full_reference_link] = STATE(37),
    [sym_collapsed_reference_link] = STATE(37),
    [sym_inline_link] = STATE(37),
    [sym_wiki_link] = STATE(37),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(37),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(37),
    [aux_sym__inline_no_star] = STATE(37),
    [sym__strikethrough] = STATE(37),
    [sym__emphasis_star] = STATE(429),
    [sym__strong_emphasis_star] = STATE(37),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(37),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym_tag] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [73] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(38),
    [sym_full_reference_link] = STATE(38),
    [sym_collapsed_reference_link] = STATE(38),
    [sym_inline_link] = STATE(38),
    [sym_wiki_link] = STATE(38),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(38),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(38),
    [aux_sym__inline_no_underscore] = STATE(38),
    [sym__strikethrough] = STATE(38),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(38),
    [sym__emphasis_underscore] = STATE(452),
    [sym__strong_emphasis_underscore] = STATE(38),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym_tag] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [74] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(39),
    [sym_full_reference_link] = STATE(39),
    [sym_collapsed_reference_link] = STATE(39),
    [sym_inline_link] = STATE(39),
    [sym_wiki_link] = STATE(39),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(39),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(39),
    [aux_sym__inline_no_tilde] = STATE(39),
    [sym__strikethrough] = STATE(39),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(39),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(39),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym_tag] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [75] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1158),
    [sym__link_text_non_empty] = STATE(532),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_wiki_link] = STATE(538),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(61),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(540),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(540),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym_tag] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [76] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(43),
    [sym_full_reference_link] = STATE(43),
    [sym_collapsed_reference_link] = STATE(43),
    [sym_inline_link] = STATE(43),
    [sym_wiki_link] = STATE(43),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(43),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(43),
    [aux_sym__inline_no_star] = STATE(43),
    [sym__strikethrough] = STATE(43),
    [sym__emphasis_star] = STATE(429),
    [sym__strong_emphasis_star] = STATE(43),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(43),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym_tag] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [77] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(44),
    [sym_full_reference_link] = STATE(44),
    [sym_collapsed_reference_link] = STATE(44),
    [sym_inline_link] = STATE(44),
    [sym_wiki_link] = STATE(44),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(44),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(44),
    [aux_sym__inline_no_underscore] = STATE(44),
    [sym__strikethrough] = STATE(44),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(44),
    [sym__emphasis_underscore] = STATE(452),
    [sym__strong_emphasis_underscore] = STATE(44),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym_tag] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [78] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(45),
    [sym_full_reference_link] = STATE(45),
    [sym_collapsed_reference_link] = STATE(45),
    [sym_inline_link] = STATE(45),
    [sym_wiki_link] = STATE(45),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(45),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(45),
    [aux_sym__inline_no_tilde] = STATE(45),
    [sym__strikethrough] = STATE(45),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(45),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(45),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym_tag] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [79] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1158),
    [sym__link_text_non_empty] = STATE(532),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_wiki_link] = STATE(538),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(57),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(540),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(540),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym_tag] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [80] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym__link_text] = STATE(1159),
    [sym__link_text_non_empty] = STATE(370),
    [sym_shortcut_link] = STATE(49),
    [sym_full_reference_link] = STATE(49),
    [sym_collapsed_reference_link] = STATE(49),
    [sym_inline_link] = STATE(49),
    [sym_wiki_link] = STATE(49),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__inline_base] = STATE(49),
    [sym__text_base] = STATE(149),
    [sym__inline_element_no_star] = STATE(49),
    [aux_sym__inline_no_star] = STATE(49),
    [sym__strikethrough] = STATE(49),
    [sym__emphasis_star] = STATE(429),
    [sym__strong_emphasis_star] = STATE(49),
    [sym__emphasis_underscore] = STATE(429),
    [sym__strong_emphasis_underscore] = STATE(49),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym_tag] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [81] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1156),
    [sym__link_text_non_empty] = STATE(465),
    [sym_shortcut_link] = STATE(50),
    [sym_full_reference_link] = STATE(50),
    [sym_collapsed_reference_link] = STATE(50),
    [sym_inline_link] = STATE(50),
    [sym_wiki_link] = STATE(50),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(50),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_underscore] = STATE(50),
    [aux_sym__inline_no_underscore] = STATE(50),
    [sym__strikethrough] = STATE(50),
    [sym__emphasis_star] = STATE(452),
    [sym__strong_emphasis_star] = STATE(50),
    [sym__emphasis_underscore] = STATE(452),
    [sym__strong_emphasis_underscore] = STATE(50),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym_tag] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [82] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1162),
    [sym__link_text_non_empty] = STATE(290),
    [sym_shortcut_link] = STATE(51),
    [sym_full_reference_link] = STATE(51),
    [sym_collapsed_reference_link] = STATE(51),
    [sym_inline_link] = STATE(51),
    [sym_wiki_link] = STATE(51),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(51),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_tilde] = STATE(51),
    [aux_sym__inline_no_tilde] = STATE(51),
    [sym__strikethrough] = STATE(51),
    [sym__emphasis_star] = STATE(478),
    [sym__strong_emphasis_star] = STATE(51),
    [sym__emphasis_underscore] = STATE(478),
    [sym__strong_emphasis_underscore] = STATE(51),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym_tag] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [83] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1158),
    [sym__link_text_non_empty] = STATE(532),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_wiki_link] = STATE(538),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(64),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(540),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(540),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym_tag] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [84] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1158),
    [sym__link_text_non_empty] = STATE(532),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_wiki_link] = STATE(538),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(65),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(540),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(540),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym_tag] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [85] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1158),
    [sym__link_text_non_empty] = STATE(532),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_wiki_link] = STATE(538),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(66),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(540),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(540),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym_tag] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [86] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(534),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(110),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(626),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(626),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1223),
    [sym_entity_reference] = ACTIONS(1226),
    [sym_numeric_character_reference] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(1232),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_GT] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1241),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_POUND] = ACTIONS(1244),
    [anon_sym_DOLLAR] = ACTIONS(1238),
    [anon_sym_PERCENT] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_COMMA] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_DOT] = ACTIONS(1238),
    [anon_sym_SLASH] = ACTIONS(1238),
    [anon_sym_COLON] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [anon_sym_EQ] = ACTIONS(1238),
    [anon_sym_QMARK] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1238),
    [anon_sym_BSLASH] = ACTIONS(1247),
    [anon_sym_CARET] = ACTIONS(1238),
    [anon_sym__] = ACTIONS(1238),
    [anon_sym_BQUOTE] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_PIPE] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1238),
    [anon_sym_RPAREN] = ACTIONS(1238),
    [sym__newline_token] = ACTIONS(1250),
    [sym_uri_autolink] = ACTIONS(1226),
    [sym_email_autolink] = ACTIONS(1226),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1253),
    [anon_sym_LT_QMARK] = ACTIONS(1256),
    [aux_sym__declaration_token1] = ACTIONS(1259),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1262),
    [sym__whitespace_ge_2] = ACTIONS(1265),
    [aux_sym__whitespace_token1] = ACTIONS(1268),
    [sym__word_no_digit] = ACTIONS(1226),
    [sym__digits] = ACTIONS(1226),
    [sym_tag] = ACTIONS(1226),
    [sym__code_span_start] = ACTIONS(1271),
    [sym__emphasis_open_star] = ACTIONS(1274),
    [sym__emphasis_open_underscore] = ACTIONS(1277),
    [sym__emphasis_close_star] = ACTIONS(236),
    [sym__last_token_punctuation] = ACTIONS(1280),
    [sym__strikethrough_open] = ACTIONS(1282),
    [sym__latex_span_start] = ACTIONS(1285),
    [sym__unclosed_span] = ACTIONS(1226),
  },
  [87] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(534),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(124),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(626),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(626),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1288),
    [sym_entity_reference] = ACTIONS(1291),
    [sym_numeric_character_reference] = ACTIONS(1291),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_RBRACK] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(1300),
    [anon_sym_GT] = ACTIONS(1303),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_POUND] = ACTIONS(1309),
    [anon_sym_DOLLAR] = ACTIONS(1303),
    [anon_sym_PERCENT] = ACTIONS(1303),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_DASH] = ACTIONS(1303),
    [anon_sym_DOT] = ACTIONS(1303),
    [anon_sym_SLASH] = ACTIONS(1303),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1303),
    [anon_sym_BSLASH] = ACTIONS(1312),
    [anon_sym_CARET] = ACTIONS(1303),
    [anon_sym__] = ACTIONS(1303),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_PIPE] = ACTIONS(1303),
    [anon_sym_RBRACE] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1303),
    [sym__newline_token] = ACTIONS(1315),
    [sym_uri_autolink] = ACTIONS(1291),
    [sym_email_autolink] = ACTIONS(1291),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1318),
    [anon_sym_LT_QMARK] = ACTIONS(1321),
    [aux_sym__declaration_token1] = ACTIONS(1324),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1327),
    [sym__whitespace_ge_2] = ACTIONS(1330),
    [aux_sym__whitespace_token1] = ACTIONS(1333),
    [sym__word_no_digit] = ACTIONS(1291),
    [sym__digits] = ACTIONS(1291),
    [sym_tag] = ACTIONS(1291),
    [sym__code_span_start] = ACTIONS(1336),
    [sym__emphasis_open_star] = ACTIONS(1339),
    [sym__emphasis_open_underscore] = ACTIONS(1342),
    [sym__last_token_punctuation] = ACTIONS(1345),
    [sym__strikethrough_open] = ACTIONS(1347),
    [sym__strikethrough_close] = ACTIONS(570),
    [sym__latex_span_start] = ACTIONS(1350),
    [sym__unclosed_span] = ACTIONS(1291),
  },
  [88] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(534),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(134),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(626),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(626),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [ts_builtin_sym_end] = ACTIONS(47),
    [sym__backslash_escape] = ACTIONS(1353),
    [sym_entity_reference] = ACTIONS(1356),
    [sym_numeric_character_reference] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1359),
    [anon_sym_RBRACK] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [anon_sym_POUND] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_COMMA] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_DOT] = ACTIONS(1368),
    [anon_sym_SLASH] = ACTIONS(1368),
    [anon_sym_COLON] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_QMARK] = ACTIONS(1368),
    [anon_sym_AT] = ACTIONS(1368),
    [anon_sym_BSLASH] = ACTIONS(1377),
    [anon_sym_CARET] = ACTIONS(1368),
    [anon_sym__] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_LPAREN] = ACTIONS(1368),
    [anon_sym_RPAREN] = ACTIONS(1368),
    [sym__newline_token] = ACTIONS(1380),
    [sym_uri_autolink] = ACTIONS(1356),
    [sym_email_autolink] = ACTIONS(1356),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1383),
    [anon_sym_LT_QMARK] = ACTIONS(1386),
    [aux_sym__declaration_token1] = ACTIONS(1389),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1392),
    [sym__whitespace_ge_2] = ACTIONS(1395),
    [aux_sym__whitespace_token1] = ACTIONS(1398),
    [sym__word_no_digit] = ACTIONS(1356),
    [sym__digits] = ACTIONS(1356),
    [sym_tag] = ACTIONS(1356),
    [sym__code_span_start] = ACTIONS(1401),
    [sym__emphasis_open_star] = ACTIONS(1404),
    [sym__emphasis_open_underscore] = ACTIONS(1407),
    [sym__last_token_punctuation] = ACTIONS(1410),
    [sym__strikethrough_open] = ACTIONS(1412),
    [sym__latex_span_start] = ACTIONS(1415),
    [sym__unclosed_span] = ACTIONS(1356),
  },
  [89] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(534),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(117),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(626),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(626),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1418),
    [sym_entity_reference] = ACTIONS(1421),
    [sym_numeric_character_reference] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_RBRACK] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(1430),
    [anon_sym_GT] = ACTIONS(1433),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [anon_sym_POUND] = ACTIONS(1439),
    [anon_sym_DOLLAR] = ACTIONS(1433),
    [anon_sym_PERCENT] = ACTIONS(1433),
    [anon_sym_AMP] = ACTIONS(1439),
    [anon_sym_SQUOTE] = ACTIONS(1433),
    [anon_sym_STAR] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1433),
    [anon_sym_COMMA] = ACTIONS(1433),
    [anon_sym_DASH] = ACTIONS(1433),
    [anon_sym_DOT] = ACTIONS(1433),
    [anon_sym_SLASH] = ACTIONS(1433),
    [anon_sym_COLON] = ACTIONS(1433),
    [anon_sym_SEMI] = ACTIONS(1433),
    [anon_sym_EQ] = ACTIONS(1433),
    [anon_sym_QMARK] = ACTIONS(1433),
    [anon_sym_AT] = ACTIONS(1433),
    [anon_sym_BSLASH] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym__] = ACTIONS(1433),
    [anon_sym_BQUOTE] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1433),
    [anon_sym_PIPE] = ACTIONS(1433),
    [anon_sym_RBRACE] = ACTIONS(1433),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(1433),
    [anon_sym_RPAREN] = ACTIONS(1433),
    [sym__newline_token] = ACTIONS(1445),
    [sym_uri_autolink] = ACTIONS(1421),
    [sym_email_autolink] = ACTIONS(1421),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1448),
    [anon_sym_LT_QMARK] = ACTIONS(1451),
    [aux_sym__declaration_token1] = ACTIONS(1454),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1457),
    [sym__whitespace_ge_2] = ACTIONS(1460),
    [aux_sym__whitespace_token1] = ACTIONS(1463),
    [sym__word_no_digit] = ACTIONS(1421),
    [sym__digits] = ACTIONS(1421),
    [sym_tag] = ACTIONS(1421),
    [sym__code_span_start] = ACTIONS(1466),
    [sym__emphasis_open_star] = ACTIONS(1469),
    [sym__emphasis_open_underscore] = ACTIONS(1472),
    [sym__emphasis_close_underscore] = ACTIONS(433),
    [sym__last_token_punctuation] = ACTIONS(1475),
    [sym__strikethrough_open] = ACTIONS(1477),
    [sym__latex_span_start] = ACTIONS(1480),
    [sym__unclosed_span] = ACTIONS(1421),
  },
  [90] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(534),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(132),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(626),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(626),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1353),
    [sym_entity_reference] = ACTIONS(1356),
    [sym_numeric_character_reference] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1483),
    [anon_sym_RBRACK] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [anon_sym_POUND] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_COMMA] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_DOT] = ACTIONS(1368),
    [anon_sym_SLASH] = ACTIONS(1368),
    [anon_sym_COLON] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_QMARK] = ACTIONS(1368),
    [anon_sym_AT] = ACTIONS(1368),
    [anon_sym_BSLASH] = ACTIONS(1377),
    [anon_sym_CARET] = ACTIONS(1368),
    [anon_sym__] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_LPAREN] = ACTIONS(1368),
    [anon_sym_RPAREN] = ACTIONS(1368),
    [sym__newline_token] = ACTIONS(1380),
    [sym_uri_autolink] = ACTIONS(1356),
    [sym_email_autolink] = ACTIONS(1356),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1383),
    [anon_sym_LT_QMARK] = ACTIONS(1386),
    [aux_sym__declaration_token1] = ACTIONS(1389),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1392),
    [sym__whitespace_ge_2] = ACTIONS(1395),
    [aux_sym__whitespace_token1] = ACTIONS(1398),
    [sym__word_no_digit] = ACTIONS(1356),
    [sym__digits] = ACTIONS(1356),
    [sym_tag] = ACTIONS(1356),
    [sym__code_span_start] = ACTIONS(1401),
    [sym__emphasis_open_star] = ACTIONS(1404),
    [sym__emphasis_open_underscore] = ACTIONS(1407),
    [sym__last_token_punctuation] = ACTIONS(1486),
    [sym__strikethrough_open] = ACTIONS(1412),
    [sym__latex_span_start] = ACTIONS(1415),
    [sym__unclosed_span] = ACTIONS(1356),
  },
  [91] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(102),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_tilde_no_link] = STATE(102),
    [aux_sym__inline_no_tilde_no_link] = STATE(102),
    [sym__strikethrough_no_link] = STATE(102),
    [sym__emphasis_star_no_link] = STATE(627),
    [sym__strong_emphasis_star_no_link] = STATE(102),
    [sym__emphasis_underscore_no_link] = STATE(627),
    [sym__strong_emphasis_underscore_no_link] = STATE(102),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(1488),
    [sym_entity_reference] = ACTIONS(1491),
    [sym_numeric_character_reference] = ACTIONS(1491),
    [anon_sym_RBRACK] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1496),
    [anon_sym_GT] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1499),
    [anon_sym_POUND] = ACTIONS(1505),
    [anon_sym_DOLLAR] = ACTIONS(1499),
    [anon_sym_PERCENT] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_SQUOTE] = ACTIONS(1499),
    [anon_sym_STAR] = ACTIONS(1499),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_DOT] = ACTIONS(1499),
    [anon_sym_SLASH] = ACTIONS(1499),
    [anon_sym_COLON] = ACTIONS(1499),
    [anon_sym_SEMI] = ACTIONS(1499),
    [anon_sym_EQ] = ACTIONS(1499),
    [anon_sym_QMARK] = ACTIONS(1499),
    [anon_sym_AT] = ACTIONS(1499),
    [anon_sym_BSLASH] = ACTIONS(1508),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym__] = ACTIONS(1499),
    [anon_sym_BQUOTE] = ACTIONS(1499),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_PIPE] = ACTIONS(1499),
    [anon_sym_RBRACE] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_RPAREN] = ACTIONS(1499),
    [sym__newline_token] = ACTIONS(1511),
    [sym_uri_autolink] = ACTIONS(1491),
    [sym_email_autolink] = ACTIONS(1491),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1514),
    [anon_sym_LT_QMARK] = ACTIONS(1517),
    [aux_sym__declaration_token1] = ACTIONS(1520),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1523),
    [sym__whitespace_ge_2] = ACTIONS(1526),
    [aux_sym__whitespace_token1] = ACTIONS(1529),
    [sym__word_no_digit] = ACTIONS(1491),
    [sym__digits] = ACTIONS(1491),
    [sym_tag] = ACTIONS(1491),
    [sym__code_span_start] = ACTIONS(1532),
    [sym__emphasis_open_star] = ACTIONS(1535),
    [sym__emphasis_open_underscore] = ACTIONS(1538),
    [sym__last_token_punctuation] = ACTIONS(1541),
    [sym__strikethrough_open] = ACTIONS(1543),
    [sym__latex_span_start] = ACTIONS(1546),
    [sym__unclosed_span] = ACTIONS(1491),
  },
  [92] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__inline_base] = STATE(125),
    [sym__text_base] = STATE(164),
    [sym__inline_element_no_star_no_link] = STATE(125),
    [aux_sym__inline_no_star_no_link] = STATE(125),
    [sym__strikethrough_no_link] = STATE(125),
    [sym__emphasis_star_no_link] = STATE(637),
    [sym__strong_emphasis_star_no_link] = STATE(125),
    [sym__emphasis_underscore_no_link] = STATE(648),
    [sym__strong_emphasis_underscore_no_link] = STATE(125),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(1549),
    [sym_entity_reference] = ACTIONS(1552),
    [sym_numeric_character_reference] = ACTIONS(1552),
    [anon_sym_LT] = ACTIONS(1555),
    [anon_sym_GT] = ACTIONS(1558),
    [anon_sym_BANG] = ACTIONS(1561),
    [anon_sym_DQUOTE] = ACTIONS(1558),
    [anon_sym_POUND] = ACTIONS(1564),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [anon_sym_PERCENT] = ACTIONS(1558),
    [anon_sym_AMP] = ACTIONS(1564),
    [anon_sym_SQUOTE] = ACTIONS(1558),
    [anon_sym_STAR] = ACTIONS(1558),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_COMMA] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_DOT] = ACTIONS(1558),
    [anon_sym_SLASH] = ACTIONS(1558),
    [anon_sym_COLON] = ACTIONS(1558),
    [anon_sym_SEMI] = ACTIONS(1558),
    [anon_sym_EQ] = ACTIONS(1558),
    [anon_sym_QMARK] = ACTIONS(1558),
    [anon_sym_AT] = ACTIONS(1558),
    [anon_sym_BSLASH] = ACTIONS(1567),
    [anon_sym_CARET] = ACTIONS(1558),
    [anon_sym__] = ACTIONS(1558),
    [anon_sym_BQUOTE] = ACTIONS(1558),
    [anon_sym_LBRACE] = ACTIONS(1558),
    [anon_sym_PIPE] = ACTIONS(1558),
    [anon_sym_RBRACE] = ACTIONS(1558),
    [anon_sym_TILDE] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1558),
    [anon_sym_RPAREN] = ACTIONS(1558),
    [sym__newline_token] = ACTIONS(1570),
    [sym_uri_autolink] = ACTIONS(1552),
    [sym_email_autolink] = ACTIONS(1552),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1573),
    [anon_sym_LT_QMARK] = ACTIONS(1576),
    [aux_sym__declaration_token1] = ACTIONS(1579),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1582),
    [sym__whitespace_ge_2] = ACTIONS(1585),
    [aux_sym__whitespace_token1] = ACTIONS(1588),
    [sym__word_no_digit] = ACTIONS(1552),
    [sym__digits] = ACTIONS(1552),
    [sym_tag] = ACTIONS(1552),
    [sym__code_span_start] = ACTIONS(1591),
    [sym__emphasis_open_star] = ACTIONS(1594),
    [sym__emphasis_open_underscore] = ACTIONS(1597),
    [sym__last_token_punctuation] = ACTIONS(1600),
    [sym__strikethrough_open] = ACTIONS(1602),
    [sym__strikethrough_close] = ACTIONS(1605),
    [sym__latex_span_start] = ACTIONS(1607),
    [sym__unclosed_span] = ACTIONS(1552),
  },
  [93] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(120),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_tilde_no_link] = STATE(120),
    [aux_sym__inline_no_tilde_no_link] = STATE(120),
    [sym__strikethrough_no_link] = STATE(120),
    [sym__emphasis_star_no_link] = STATE(627),
    [sym__strong_emphasis_star_no_link] = STATE(120),
    [sym__emphasis_underscore_no_link] = STATE(627),
    [sym__strong_emphasis_underscore_no_link] = STATE(120),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(1610),
    [sym_entity_reference] = ACTIONS(1613),
    [sym_numeric_character_reference] = ACTIONS(1613),
    [anon_sym_LT] = ACTIONS(1616),
    [anon_sym_GT] = ACTIONS(1619),
    [anon_sym_BANG] = ACTIONS(1622),
    [anon_sym_DQUOTE] = ACTIONS(1619),
    [anon_sym_POUND] = ACTIONS(1625),
    [anon_sym_DOLLAR] = ACTIONS(1619),
    [anon_sym_PERCENT] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_SQUOTE] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_COMMA] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_DOT] = ACTIONS(1619),
    [anon_sym_SLASH] = ACTIONS(1619),
    [anon_sym_COLON] = ACTIONS(1619),
    [anon_sym_SEMI] = ACTIONS(1619),
    [anon_sym_EQ] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(1619),
    [anon_sym_AT] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1628),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym__] = ACTIONS(1619),
    [anon_sym_BQUOTE] = ACTIONS(1619),
    [anon_sym_LBRACE] = ACTIONS(1619),
    [anon_sym_PIPE] = ACTIONS(1619),
    [anon_sym_RBRACE] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_LPAREN] = ACTIONS(1619),
    [anon_sym_RPAREN] = ACTIONS(1619),
    [sym__newline_token] = ACTIONS(1631),
    [sym_uri_autolink] = ACTIONS(1613),
    [sym_email_autolink] = ACTIONS(1613),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1634),
    [anon_sym_LT_QMARK] = ACTIONS(1637),
    [aux_sym__declaration_token1] = ACTIONS(1640),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1643),
    [sym__whitespace_ge_2] = ACTIONS(1646),
    [aux_sym__whitespace_token1] = ACTIONS(1649),
    [sym__word_no_digit] = ACTIONS(1613),
    [sym__digits] = ACTIONS(1613),
    [sym_tag] = ACTIONS(1613),
    [sym__code_span_start] = ACTIONS(1652),
    [sym__emphasis_open_star] = ACTIONS(1655),
    [sym__emphasis_open_underscore] = ACTIONS(1658),
    [sym__emphasis_close_underscore] = ACTIONS(1661),
    [sym__last_token_punctuation] = ACTIONS(1663),
    [sym__strikethrough_open] = ACTIONS(1665),
    [sym__latex_span_start] = ACTIONS(1668),
    [sym__unclosed_span] = ACTIONS(1613),
  },
  [94] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__inline_base] = STATE(118),
    [sym__text_base] = STATE(164),
    [sym__inline_element_no_star_no_link] = STATE(118),
    [aux_sym__inline_no_star_no_link] = STATE(118),
    [sym__strikethrough_no_link] = STATE(118),
    [sym__emphasis_star_no_link] = STATE(632),
    [sym__strong_emphasis_star_no_link] = STATE(118),
    [sym__emphasis_underscore_no_link] = STATE(648),
    [sym__strong_emphasis_underscore_no_link] = STATE(118),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(1671),
    [sym_entity_reference] = ACTIONS(1674),
    [sym_numeric_character_reference] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1677),
    [anon_sym_GT] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(1680),
    [anon_sym_POUND] = ACTIONS(1686),
    [anon_sym_DOLLAR] = ACTIONS(1680),
    [anon_sym_PERCENT] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(1686),
    [anon_sym_SQUOTE] = ACTIONS(1680),
    [anon_sym_STAR] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_COMMA] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_DOT] = ACTIONS(1680),
    [anon_sym_SLASH] = ACTIONS(1680),
    [anon_sym_COLON] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_EQ] = ACTIONS(1680),
    [anon_sym_QMARK] = ACTIONS(1680),
    [anon_sym_AT] = ACTIONS(1680),
    [anon_sym_BSLASH] = ACTIONS(1689),
    [anon_sym_CARET] = ACTIONS(1680),
    [anon_sym__] = ACTIONS(1680),
    [anon_sym_BQUOTE] = ACTIONS(1680),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_PIPE] = ACTIONS(1680),
    [anon_sym_RBRACE] = ACTIONS(1680),
    [anon_sym_TILDE] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [anon_sym_RPAREN] = ACTIONS(1680),
    [sym__newline_token] = ACTIONS(1692),
    [sym_uri_autolink] = ACTIONS(1674),
    [sym_email_autolink] = ACTIONS(1674),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1695),
    [anon_sym_LT_QMARK] = ACTIONS(1698),
    [aux_sym__declaration_token1] = ACTIONS(1701),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1704),
    [sym__whitespace_ge_2] = ACTIONS(1707),
    [aux_sym__whitespace_token1] = ACTIONS(1710),
    [sym__word_no_digit] = ACTIONS(1674),
    [sym__digits] = ACTIONS(1674),
    [sym_tag] = ACTIONS(1674),
    [sym__code_span_start] = ACTIONS(1713),
    [sym__emphasis_open_star] = ACTIONS(1716),
    [sym__emphasis_open_underscore] = ACTIONS(1719),
    [sym__emphasis_close_underscore] = ACTIONS(1661),
    [sym__last_token_punctuation] = ACTIONS(1722),
    [sym__strikethrough_open] = ACTIONS(1724),
    [sym__latex_span_start] = ACTIONS(1727),
    [sym__unclosed_span] = ACTIONS(1674),
  },
  [95] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__inline_base] = STATE(126),
    [sym__text_base] = STATE(161),
    [sym__inline_element_no_underscore_no_link] = STATE(126),
    [aux_sym__inline_no_underscore_no_link] = STATE(126),
    [sym__strikethrough_no_link] = STATE(126),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(126),
    [sym__emphasis_underscore_no_link] = STATE(638),
    [sym__strong_emphasis_underscore_no_link] = STATE(126),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(1730),
    [sym_entity_reference] = ACTIONS(1733),
    [sym_numeric_character_reference] = ACTIONS(1733),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_GT] = ACTIONS(1739),
    [anon_sym_BANG] = ACTIONS(1742),
    [anon_sym_DQUOTE] = ACTIONS(1739),
    [anon_sym_POUND] = ACTIONS(1745),
    [anon_sym_DOLLAR] = ACTIONS(1739),
    [anon_sym_PERCENT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1745),
    [anon_sym_SQUOTE] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1739),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_DOT] = ACTIONS(1739),
    [anon_sym_SLASH] = ACTIONS(1739),
    [anon_sym_COLON] = ACTIONS(1739),
    [anon_sym_SEMI] = ACTIONS(1739),
    [anon_sym_EQ] = ACTIONS(1739),
    [anon_sym_QMARK] = ACTIONS(1739),
    [anon_sym_AT] = ACTIONS(1739),
    [anon_sym_BSLASH] = ACTIONS(1748),
    [anon_sym_CARET] = ACTIONS(1739),
    [anon_sym__] = ACTIONS(1739),
    [anon_sym_BQUOTE] = ACTIONS(1739),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym_PIPE] = ACTIONS(1739),
    [anon_sym_RBRACE] = ACTIONS(1739),
    [anon_sym_TILDE] = ACTIONS(1739),
    [anon_sym_LPAREN] = ACTIONS(1739),
    [anon_sym_RPAREN] = ACTIONS(1739),
    [sym__newline_token] = ACTIONS(1751),
    [sym_uri_autolink] = ACTIONS(1733),
    [sym_email_autolink] = ACTIONS(1733),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1754),
    [anon_sym_LT_QMARK] = ACTIONS(1757),
    [aux_sym__declaration_token1] = ACTIONS(1760),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1763),
    [sym__whitespace_ge_2] = ACTIONS(1766),
    [aux_sym__whitespace_token1] = ACTIONS(1769),
    [sym__word_no_digit] = ACTIONS(1733),
    [sym__digits] = ACTIONS(1733),
    [sym_tag] = ACTIONS(1733),
    [sym__code_span_start] = ACTIONS(1772),
    [sym__emphasis_open_star] = ACTIONS(1775),
    [sym__emphasis_open_underscore] = ACTIONS(1778),
    [sym__last_token_punctuation] = ACTIONS(1781),
    [sym__strikethrough_open] = ACTIONS(1783),
    [sym__strikethrough_close] = ACTIONS(1605),
    [sym__latex_span_start] = ACTIONS(1786),
    [sym__unclosed_span] = ACTIONS(1733),
  },
  [96] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(113),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_tilde_no_link] = STATE(113),
    [aux_sym__inline_no_tilde_no_link] = STATE(113),
    [sym__strikethrough_no_link] = STATE(113),
    [sym__emphasis_star_no_link] = STATE(627),
    [sym__strong_emphasis_star_no_link] = STATE(113),
    [sym__emphasis_underscore_no_link] = STATE(627),
    [sym__strong_emphasis_underscore_no_link] = STATE(113),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(1789),
    [sym_entity_reference] = ACTIONS(1792),
    [sym_numeric_character_reference] = ACTIONS(1792),
    [anon_sym_LT] = ACTIONS(1795),
    [anon_sym_GT] = ACTIONS(1798),
    [anon_sym_BANG] = ACTIONS(1801),
    [anon_sym_DQUOTE] = ACTIONS(1798),
    [anon_sym_POUND] = ACTIONS(1804),
    [anon_sym_DOLLAR] = ACTIONS(1798),
    [anon_sym_PERCENT] = ACTIONS(1798),
    [anon_sym_AMP] = ACTIONS(1804),
    [anon_sym_SQUOTE] = ACTIONS(1798),
    [anon_sym_STAR] = ACTIONS(1798),
    [anon_sym_PLUS] = ACTIONS(1798),
    [anon_sym_COMMA] = ACTIONS(1798),
    [anon_sym_DASH] = ACTIONS(1798),
    [anon_sym_DOT] = ACTIONS(1798),
    [anon_sym_SLASH] = ACTIONS(1798),
    [anon_sym_COLON] = ACTIONS(1798),
    [anon_sym_SEMI] = ACTIONS(1798),
    [anon_sym_EQ] = ACTIONS(1798),
    [anon_sym_QMARK] = ACTIONS(1798),
    [anon_sym_AT] = ACTIONS(1798),
    [anon_sym_BSLASH] = ACTIONS(1807),
    [anon_sym_CARET] = ACTIONS(1798),
    [anon_sym__] = ACTIONS(1798),
    [anon_sym_BQUOTE] = ACTIONS(1798),
    [anon_sym_LBRACE] = ACTIONS(1798),
    [anon_sym_PIPE] = ACTIONS(1798),
    [anon_sym_RBRACE] = ACTIONS(1798),
    [anon_sym_TILDE] = ACTIONS(1798),
    [anon_sym_LPAREN] = ACTIONS(1798),
    [anon_sym_RPAREN] = ACTIONS(1798),
    [sym__newline_token] = ACTIONS(1810),
    [sym_uri_autolink] = ACTIONS(1792),
    [sym_email_autolink] = ACTIONS(1792),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1813),
    [anon_sym_LT_QMARK] = ACTIONS(1816),
    [aux_sym__declaration_token1] = ACTIONS(1819),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1822),
    [sym__whitespace_ge_2] = ACTIONS(1825),
    [aux_sym__whitespace_token1] = ACTIONS(1828),
    [sym__word_no_digit] = ACTIONS(1792),
    [sym__digits] = ACTIONS(1792),
    [sym_tag] = ACTIONS(1792),
    [sym__code_span_start] = ACTIONS(1831),
    [sym__emphasis_open_star] = ACTIONS(1834),
    [sym__emphasis_open_underscore] = ACTIONS(1837),
    [sym__emphasis_close_star] = ACTIONS(1840),
    [sym__last_token_punctuation] = ACTIONS(1842),
    [sym__strikethrough_open] = ACTIONS(1844),
    [sym__latex_span_start] = ACTIONS(1847),
    [sym__unclosed_span] = ACTIONS(1792),
  },
  [97] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__inline_base] = STATE(112),
    [sym__text_base] = STATE(161),
    [sym__inline_element_no_underscore_no_link] = STATE(112),
    [aux_sym__inline_no_underscore_no_link] = STATE(112),
    [sym__strikethrough_no_link] = STATE(112),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(112),
    [sym__emphasis_underscore_no_link] = STATE(625),
    [sym__strong_emphasis_underscore_no_link] = STATE(112),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(1850),
    [sym_entity_reference] = ACTIONS(1853),
    [sym_numeric_character_reference] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(1862),
    [anon_sym_DQUOTE] = ACTIONS(1859),
    [anon_sym_POUND] = ACTIONS(1865),
    [anon_sym_DOLLAR] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1865),
    [anon_sym_SQUOTE] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_DOT] = ACTIONS(1859),
    [anon_sym_SLASH] = ACTIONS(1859),
    [anon_sym_COLON] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_BSLASH] = ACTIONS(1868),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym__] = ACTIONS(1859),
    [anon_sym_BQUOTE] = ACTIONS(1859),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_PIPE] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [sym__newline_token] = ACTIONS(1871),
    [sym_uri_autolink] = ACTIONS(1853),
    [sym_email_autolink] = ACTIONS(1853),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1874),
    [anon_sym_LT_QMARK] = ACTIONS(1877),
    [aux_sym__declaration_token1] = ACTIONS(1880),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1883),
    [sym__whitespace_ge_2] = ACTIONS(1886),
    [aux_sym__whitespace_token1] = ACTIONS(1889),
    [sym__word_no_digit] = ACTIONS(1853),
    [sym__digits] = ACTIONS(1853),
    [sym_tag] = ACTIONS(1853),
    [sym__code_span_start] = ACTIONS(1892),
    [sym__emphasis_open_star] = ACTIONS(1895),
    [sym__emphasis_open_underscore] = ACTIONS(1898),
    [sym__emphasis_close_star] = ACTIONS(1840),
    [sym__last_token_punctuation] = ACTIONS(1901),
    [sym__strikethrough_open] = ACTIONS(1903),
    [sym__latex_span_start] = ACTIONS(1906),
    [sym__unclosed_span] = ACTIONS(1853),
  },
  [98] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__inline_base] = STATE(131),
    [sym__text_base] = STATE(164),
    [sym__inline_element_no_star_no_link] = STATE(131),
    [aux_sym__inline_no_star_no_link] = STATE(131),
    [sym__strikethrough_no_link] = STATE(131),
    [sym__emphasis_star_no_link] = STATE(654),
    [sym__strong_emphasis_star_no_link] = STATE(131),
    [sym__emphasis_underscore_no_link] = STATE(648),
    [sym__strong_emphasis_underscore_no_link] = STATE(131),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(1909),
    [sym_entity_reference] = ACTIONS(1912),
    [sym_numeric_character_reference] = ACTIONS(1912),
    [anon_sym_RBRACK] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_DQUOTE] = ACTIONS(1918),
    [anon_sym_POUND] = ACTIONS(1924),
    [anon_sym_DOLLAR] = ACTIONS(1918),
    [anon_sym_PERCENT] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1924),
    [anon_sym_SQUOTE] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_PLUS] = ACTIONS(1918),
    [anon_sym_COMMA] = ACTIONS(1918),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_DOT] = ACTIONS(1918),
    [anon_sym_SLASH] = ACTIONS(1918),
    [anon_sym_COLON] = ACTIONS(1918),
    [anon_sym_SEMI] = ACTIONS(1918),
    [anon_sym_EQ] = ACTIONS(1918),
    [anon_sym_QMARK] = ACTIONS(1918),
    [anon_sym_AT] = ACTIONS(1918),
    [anon_sym_BSLASH] = ACTIONS(1927),
    [anon_sym_CARET] = ACTIONS(1918),
    [anon_sym__] = ACTIONS(1918),
    [anon_sym_BQUOTE] = ACTIONS(1918),
    [anon_sym_LBRACE] = ACTIONS(1918),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_RBRACE] = ACTIONS(1918),
    [anon_sym_TILDE] = ACTIONS(1918),
    [anon_sym_LPAREN] = ACTIONS(1918),
    [anon_sym_RPAREN] = ACTIONS(1918),
    [sym__newline_token] = ACTIONS(1930),
    [sym_uri_autolink] = ACTIONS(1912),
    [sym_email_autolink] = ACTIONS(1912),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1933),
    [anon_sym_LT_QMARK] = ACTIONS(1936),
    [aux_sym__declaration_token1] = ACTIONS(1939),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1942),
    [sym__whitespace_ge_2] = ACTIONS(1945),
    [aux_sym__whitespace_token1] = ACTIONS(1948),
    [sym__word_no_digit] = ACTIONS(1912),
    [sym__digits] = ACTIONS(1912),
    [sym_tag] = ACTIONS(1912),
    [sym__code_span_start] = ACTIONS(1951),
    [sym__emphasis_open_star] = ACTIONS(1954),
    [sym__emphasis_open_underscore] = ACTIONS(1957),
    [sym__last_token_punctuation] = ACTIONS(1960),
    [sym__strikethrough_open] = ACTIONS(1962),
    [sym__latex_span_start] = ACTIONS(1965),
    [sym__unclosed_span] = ACTIONS(1912),
  },
  [99] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__inline_base] = STATE(116),
    [sym__text_base] = STATE(161),
    [sym__inline_element_no_underscore_no_link] = STATE(116),
    [aux_sym__inline_no_underscore_no_link] = STATE(116),
    [sym__strikethrough_no_link] = STATE(116),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(116),
    [sym__emphasis_underscore_no_link] = STATE(631),
    [sym__strong_emphasis_underscore_no_link] = STATE(116),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(1968),
    [sym_entity_reference] = ACTIONS(1971),
    [sym_numeric_character_reference] = ACTIONS(1971),
    [anon_sym_RBRACK] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1974),
    [anon_sym_GT] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1980),
    [anon_sym_DQUOTE] = ACTIONS(1977),
    [anon_sym_POUND] = ACTIONS(1983),
    [anon_sym_DOLLAR] = ACTIONS(1977),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_AMP] = ACTIONS(1983),
    [anon_sym_SQUOTE] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_DOT] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [anon_sym_SEMI] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1977),
    [anon_sym_QMARK] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_BSLASH] = ACTIONS(1986),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym__] = ACTIONS(1977),
    [anon_sym_BQUOTE] = ACTIONS(1977),
    [anon_sym_LBRACE] = ACTIONS(1977),
    [anon_sym_PIPE] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [sym__newline_token] = ACTIONS(1989),
    [sym_uri_autolink] = ACTIONS(1971),
    [sym_email_autolink] = ACTIONS(1971),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1992),
    [anon_sym_LT_QMARK] = ACTIONS(1995),
    [aux_sym__declaration_token1] = ACTIONS(1998),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2001),
    [sym__whitespace_ge_2] = ACTIONS(2004),
    [aux_sym__whitespace_token1] = ACTIONS(2007),
    [sym__word_no_digit] = ACTIONS(1971),
    [sym__digits] = ACTIONS(1971),
    [sym_tag] = ACTIONS(1971),
    [sym__code_span_start] = ACTIONS(2010),
    [sym__emphasis_open_star] = ACTIONS(2013),
    [sym__emphasis_open_underscore] = ACTIONS(2016),
    [sym__last_token_punctuation] = ACTIONS(2019),
    [sym__strikethrough_open] = ACTIONS(2021),
    [sym__latex_span_start] = ACTIONS(2024),
    [sym__unclosed_span] = ACTIONS(1971),
  },
  [100] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(534),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(100),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(626),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(626),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(2027),
    [sym_entity_reference] = ACTIONS(2030),
    [sym_numeric_character_reference] = ACTIONS(2030),
    [anon_sym_RBRACK] = ACTIONS(2033),
    [anon_sym_LT] = ACTIONS(2035),
    [anon_sym_GT] = ACTIONS(2038),
    [anon_sym_BANG] = ACTIONS(2041),
    [anon_sym_DQUOTE] = ACTIONS(2038),
    [anon_sym_POUND] = ACTIONS(2044),
    [anon_sym_DOLLAR] = ACTIONS(2038),
    [anon_sym_PERCENT] = ACTIONS(2038),
    [anon_sym_AMP] = ACTIONS(2044),
    [anon_sym_SQUOTE] = ACTIONS(2038),
    [anon_sym_STAR] = ACTIONS(2038),
    [anon_sym_PLUS] = ACTIONS(2038),
    [anon_sym_COMMA] = ACTIONS(2038),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_DOT] = ACTIONS(2038),
    [anon_sym_SLASH] = ACTIONS(2038),
    [anon_sym_COLON] = ACTIONS(2038),
    [anon_sym_SEMI] = ACTIONS(2038),
    [anon_sym_EQ] = ACTIONS(2038),
    [anon_sym_QMARK] = ACTIONS(2038),
    [anon_sym_AT] = ACTIONS(2038),
    [anon_sym_BSLASH] = ACTIONS(2047),
    [anon_sym_CARET] = ACTIONS(2038),
    [anon_sym__] = ACTIONS(2038),
    [anon_sym_BQUOTE] = ACTIONS(2038),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_PIPE] = ACTIONS(2038),
    [anon_sym_RBRACE] = ACTIONS(2038),
    [anon_sym_TILDE] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_RPAREN] = ACTIONS(2038),
    [sym__newline_token] = ACTIONS(2050),
    [sym_uri_autolink] = ACTIONS(2030),
    [sym_email_autolink] = ACTIONS(2030),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2053),
    [anon_sym_LT_QMARK] = ACTIONS(2056),
    [aux_sym__declaration_token1] = ACTIONS(2059),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2062),
    [sym__whitespace_ge_2] = ACTIONS(2065),
    [aux_sym__whitespace_token1] = ACTIONS(2068),
    [sym__word_no_digit] = ACTIONS(2030),
    [sym__digits] = ACTIONS(2030),
    [sym_tag] = ACTIONS(2030),
    [sym__code_span_start] = ACTIONS(2071),
    [sym__emphasis_open_star] = ACTIONS(2074),
    [sym__emphasis_open_underscore] = ACTIONS(2077),
    [sym__strikethrough_open] = ACTIONS(2080),
    [sym__latex_span_start] = ACTIONS(2083),
    [sym__unclosed_span] = ACTIONS(2030),
  },
  [101] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(127),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_tilde_no_link] = STATE(127),
    [aux_sym__inline_no_tilde_no_link] = STATE(127),
    [sym__strikethrough_no_link] = STATE(127),
    [sym__emphasis_star_no_link] = STATE(627),
    [sym__strong_emphasis_star_no_link] = STATE(127),
    [sym__emphasis_underscore_no_link] = STATE(627),
    [sym__strong_emphasis_underscore_no_link] = STATE(127),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2086),
    [sym_numeric_character_reference] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2086),
    [sym_email_autolink] = ACTIONS(2086),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2090),
    [anon_sym_LT_QMARK] = ACTIONS(2092),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2094),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2086),
    [sym__digits] = ACTIONS(2086),
    [sym_tag] = ACTIONS(2086),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2096),
    [sym__emphasis_open_underscore] = ACTIONS(2098),
    [sym__last_token_punctuation] = ACTIONS(2100),
    [sym__strikethrough_open] = ACTIONS(2102),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2086),
  },
  [102] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(627),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(627),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2086),
    [sym_numeric_character_reference] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2086),
    [sym_email_autolink] = ACTIONS(2086),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2090),
    [anon_sym_LT_QMARK] = ACTIONS(2092),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2094),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2086),
    [sym__digits] = ACTIONS(2086),
    [sym_tag] = ACTIONS(2086),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2096),
    [sym__emphasis_open_underscore] = ACTIONS(2098),
    [sym__strikethrough_open] = ACTIONS(2102),
    [sym__strikethrough_close] = ACTIONS(2104),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2086),
  },
  [103] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__inline_base] = STATE(104),
    [sym__text_base] = STATE(164),
    [sym__inline_element_no_star_no_link] = STATE(104),
    [aux_sym__inline_no_star_no_link] = STATE(104),
    [sym__strikethrough_no_link] = STATE(104),
    [sym__emphasis_star_no_link] = STATE(648),
    [sym__strong_emphasis_star_no_link] = STATE(104),
    [sym__emphasis_underscore_no_link] = STATE(648),
    [sym__strong_emphasis_underscore_no_link] = STATE(104),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2106),
    [sym_numeric_character_reference] = ACTIONS(2106),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2106),
    [sym_email_autolink] = ACTIONS(2106),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2110),
    [anon_sym_LT_QMARK] = ACTIONS(2112),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2114),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2106),
    [sym__digits] = ACTIONS(2106),
    [sym_tag] = ACTIONS(2106),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2116),
    [sym__emphasis_open_underscore] = ACTIONS(2118),
    [sym__emphasis_close_star] = ACTIONS(2120),
    [sym__strikethrough_open] = ACTIONS(2122),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2106),
  },
  [104] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__inline_base] = STATE(104),
    [sym__text_base] = STATE(164),
    [sym__inline_element_no_star_no_link] = STATE(104),
    [aux_sym__inline_no_star_no_link] = STATE(104),
    [sym__strikethrough_no_link] = STATE(104),
    [sym__emphasis_star_no_link] = STATE(648),
    [sym__strong_emphasis_star_no_link] = STATE(104),
    [sym__emphasis_underscore_no_link] = STATE(648),
    [sym__strong_emphasis_underscore_no_link] = STATE(104),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(2124),
    [sym_entity_reference] = ACTIONS(2127),
    [sym_numeric_character_reference] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2130),
    [anon_sym_GT] = ACTIONS(2133),
    [anon_sym_BANG] = ACTIONS(2136),
    [anon_sym_DQUOTE] = ACTIONS(2133),
    [anon_sym_POUND] = ACTIONS(2139),
    [anon_sym_DOLLAR] = ACTIONS(2133),
    [anon_sym_PERCENT] = ACTIONS(2133),
    [anon_sym_AMP] = ACTIONS(2139),
    [anon_sym_SQUOTE] = ACTIONS(2133),
    [anon_sym_STAR] = ACTIONS(2133),
    [anon_sym_PLUS] = ACTIONS(2133),
    [anon_sym_COMMA] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(2133),
    [anon_sym_DOT] = ACTIONS(2133),
    [anon_sym_SLASH] = ACTIONS(2133),
    [anon_sym_COLON] = ACTIONS(2133),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_EQ] = ACTIONS(2133),
    [anon_sym_QMARK] = ACTIONS(2133),
    [anon_sym_AT] = ACTIONS(2133),
    [anon_sym_BSLASH] = ACTIONS(2142),
    [anon_sym_CARET] = ACTIONS(2133),
    [anon_sym__] = ACTIONS(2133),
    [anon_sym_BQUOTE] = ACTIONS(2133),
    [anon_sym_LBRACE] = ACTIONS(2133),
    [anon_sym_PIPE] = ACTIONS(2133),
    [anon_sym_RBRACE] = ACTIONS(2133),
    [anon_sym_TILDE] = ACTIONS(2133),
    [anon_sym_LPAREN] = ACTIONS(2133),
    [anon_sym_RPAREN] = ACTIONS(2133),
    [sym__newline_token] = ACTIONS(2145),
    [sym_uri_autolink] = ACTIONS(2127),
    [sym_email_autolink] = ACTIONS(2127),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2148),
    [anon_sym_LT_QMARK] = ACTIONS(2151),
    [aux_sym__declaration_token1] = ACTIONS(2154),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2157),
    [sym__whitespace_ge_2] = ACTIONS(2160),
    [aux_sym__whitespace_token1] = ACTIONS(2163),
    [sym__word_no_digit] = ACTIONS(2127),
    [sym__digits] = ACTIONS(2127),
    [sym_tag] = ACTIONS(2127),
    [sym__code_span_start] = ACTIONS(2166),
    [sym__emphasis_open_star] = ACTIONS(2169),
    [sym__emphasis_open_underscore] = ACTIONS(2172),
    [sym__emphasis_close_star] = ACTIONS(2175),
    [sym__strikethrough_open] = ACTIONS(2177),
    [sym__latex_span_start] = ACTIONS(2180),
    [sym__unclosed_span] = ACTIONS(2127),
  },
  [105] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(161),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(629),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2183),
    [sym_numeric_character_reference] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2183),
    [sym_email_autolink] = ACTIONS(2183),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2187),
    [anon_sym_LT_QMARK] = ACTIONS(2189),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2191),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2183),
    [sym__digits] = ACTIONS(2183),
    [sym_tag] = ACTIONS(2183),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2193),
    [sym__emphasis_open_underscore] = ACTIONS(2195),
    [sym__emphasis_close_underscore] = ACTIONS(2197),
    [sym__strikethrough_open] = ACTIONS(2199),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2183),
  },
  [106] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(161),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(629),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(2201),
    [sym_entity_reference] = ACTIONS(2204),
    [sym_numeric_character_reference] = ACTIONS(2204),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_GT] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [anon_sym_POUND] = ACTIONS(2216),
    [anon_sym_DOLLAR] = ACTIONS(2210),
    [anon_sym_PERCENT] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2216),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_DOT] = ACTIONS(2210),
    [anon_sym_SLASH] = ACTIONS(2210),
    [anon_sym_COLON] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym_EQ] = ACTIONS(2210),
    [anon_sym_QMARK] = ACTIONS(2210),
    [anon_sym_AT] = ACTIONS(2210),
    [anon_sym_BSLASH] = ACTIONS(2219),
    [anon_sym_CARET] = ACTIONS(2210),
    [anon_sym__] = ACTIONS(2210),
    [anon_sym_BQUOTE] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_PIPE] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_LPAREN] = ACTIONS(2210),
    [anon_sym_RPAREN] = ACTIONS(2210),
    [sym__newline_token] = ACTIONS(2222),
    [sym_uri_autolink] = ACTIONS(2204),
    [sym_email_autolink] = ACTIONS(2204),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2225),
    [anon_sym_LT_QMARK] = ACTIONS(2228),
    [aux_sym__declaration_token1] = ACTIONS(2231),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2234),
    [sym__whitespace_ge_2] = ACTIONS(2237),
    [aux_sym__whitespace_token1] = ACTIONS(2240),
    [sym__word_no_digit] = ACTIONS(2204),
    [sym__digits] = ACTIONS(2204),
    [sym_tag] = ACTIONS(2204),
    [sym__code_span_start] = ACTIONS(2243),
    [sym__emphasis_open_star] = ACTIONS(2246),
    [sym__emphasis_open_underscore] = ACTIONS(2249),
    [sym__emphasis_close_underscore] = ACTIONS(2252),
    [sym__strikethrough_open] = ACTIONS(2254),
    [sym__latex_span_start] = ACTIONS(2257),
    [sym__unclosed_span] = ACTIONS(2204),
  },
  [107] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(627),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(627),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2086),
    [sym_numeric_character_reference] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2086),
    [sym_email_autolink] = ACTIONS(2086),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2090),
    [anon_sym_LT_QMARK] = ACTIONS(2092),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2094),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2086),
    [sym__digits] = ACTIONS(2086),
    [sym_tag] = ACTIONS(2086),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2096),
    [sym__emphasis_open_underscore] = ACTIONS(2098),
    [sym__strikethrough_open] = ACTIONS(2102),
    [sym__strikethrough_close] = ACTIONS(2260),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2086),
  },
  [108] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(627),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(627),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(2262),
    [sym_entity_reference] = ACTIONS(2265),
    [sym_numeric_character_reference] = ACTIONS(2265),
    [anon_sym_LT] = ACTIONS(2268),
    [anon_sym_GT] = ACTIONS(2271),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_DQUOTE] = ACTIONS(2271),
    [anon_sym_POUND] = ACTIONS(2277),
    [anon_sym_DOLLAR] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(2277),
    [anon_sym_SQUOTE] = ACTIONS(2271),
    [anon_sym_STAR] = ACTIONS(2271),
    [anon_sym_PLUS] = ACTIONS(2271),
    [anon_sym_COMMA] = ACTIONS(2271),
    [anon_sym_DASH] = ACTIONS(2271),
    [anon_sym_DOT] = ACTIONS(2271),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_COLON] = ACTIONS(2271),
    [anon_sym_SEMI] = ACTIONS(2271),
    [anon_sym_EQ] = ACTIONS(2271),
    [anon_sym_QMARK] = ACTIONS(2271),
    [anon_sym_AT] = ACTIONS(2271),
    [anon_sym_BSLASH] = ACTIONS(2280),
    [anon_sym_CARET] = ACTIONS(2271),
    [anon_sym__] = ACTIONS(2271),
    [anon_sym_BQUOTE] = ACTIONS(2271),
    [anon_sym_LBRACE] = ACTIONS(2271),
    [anon_sym_PIPE] = ACTIONS(2271),
    [anon_sym_RBRACE] = ACTIONS(2271),
    [anon_sym_TILDE] = ACTIONS(2271),
    [anon_sym_LPAREN] = ACTIONS(2271),
    [anon_sym_RPAREN] = ACTIONS(2271),
    [sym__newline_token] = ACTIONS(2283),
    [sym_uri_autolink] = ACTIONS(2265),
    [sym_email_autolink] = ACTIONS(2265),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2286),
    [anon_sym_LT_QMARK] = ACTIONS(2289),
    [aux_sym__declaration_token1] = ACTIONS(2292),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2295),
    [sym__whitespace_ge_2] = ACTIONS(2298),
    [aux_sym__whitespace_token1] = ACTIONS(2301),
    [sym__word_no_digit] = ACTIONS(2265),
    [sym__digits] = ACTIONS(2265),
    [sym_tag] = ACTIONS(2265),
    [sym__code_span_start] = ACTIONS(2304),
    [sym__emphasis_open_star] = ACTIONS(2307),
    [sym__emphasis_open_underscore] = ACTIONS(2310),
    [sym__strikethrough_open] = ACTIONS(2313),
    [sym__strikethrough_close] = ACTIONS(2316),
    [sym__latex_span_start] = ACTIONS(2318),
    [sym__unclosed_span] = ACTIONS(2265),
  },
  [109] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__inline_base] = STATE(111),
    [sym__text_base] = STATE(164),
    [sym__inline_element_no_star_no_link] = STATE(111),
    [aux_sym__inline_no_star_no_link] = STATE(111),
    [sym__strikethrough_no_link] = STATE(111),
    [sym__emphasis_star_no_link] = STATE(624),
    [sym__strong_emphasis_star_no_link] = STATE(111),
    [sym__emphasis_underscore_no_link] = STATE(648),
    [sym__strong_emphasis_underscore_no_link] = STATE(111),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2106),
    [sym_numeric_character_reference] = ACTIONS(2106),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2106),
    [sym_email_autolink] = ACTIONS(2106),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2110),
    [anon_sym_LT_QMARK] = ACTIONS(2112),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2114),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2106),
    [sym__digits] = ACTIONS(2106),
    [sym_tag] = ACTIONS(2106),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2116),
    [sym__emphasis_open_underscore] = ACTIONS(2118),
    [sym__last_token_punctuation] = ACTIONS(2321),
    [sym__strikethrough_open] = ACTIONS(2122),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2106),
  },
  [110] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(534),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(100),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(626),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(626),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2323),
    [sym_numeric_character_reference] = ACTIONS(2323),
    [anon_sym_RBRACK] = ACTIONS(2325),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2323),
    [sym_email_autolink] = ACTIONS(2323),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2329),
    [anon_sym_LT_QMARK] = ACTIONS(2331),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2333),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2323),
    [sym__digits] = ACTIONS(2323),
    [sym_tag] = ACTIONS(2323),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(2335),
    [sym__emphasis_open_underscore] = ACTIONS(2337),
    [sym__strikethrough_open] = ACTIONS(2339),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(2323),
  },
  [111] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__inline_base] = STATE(104),
    [sym__text_base] = STATE(164),
    [sym__inline_element_no_star_no_link] = STATE(104),
    [aux_sym__inline_no_star_no_link] = STATE(104),
    [sym__strikethrough_no_link] = STATE(104),
    [sym__emphasis_star_no_link] = STATE(648),
    [sym__strong_emphasis_star_no_link] = STATE(104),
    [sym__emphasis_underscore_no_link] = STATE(648),
    [sym__strong_emphasis_underscore_no_link] = STATE(104),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2106),
    [sym_numeric_character_reference] = ACTIONS(2106),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2106),
    [sym_email_autolink] = ACTIONS(2106),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2110),
    [anon_sym_LT_QMARK] = ACTIONS(2112),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2114),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2106),
    [sym__digits] = ACTIONS(2106),
    [sym_tag] = ACTIONS(2106),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2116),
    [sym__emphasis_open_underscore] = ACTIONS(2118),
    [sym__emphasis_close_star] = ACTIONS(2341),
    [sym__strikethrough_open] = ACTIONS(2122),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2106),
  },
  [112] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(161),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(629),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2183),
    [sym_numeric_character_reference] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2183),
    [sym_email_autolink] = ACTIONS(2183),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2187),
    [anon_sym_LT_QMARK] = ACTIONS(2189),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2191),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2183),
    [sym__digits] = ACTIONS(2183),
    [sym_tag] = ACTIONS(2183),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2193),
    [sym__emphasis_open_underscore] = ACTIONS(2195),
    [sym__emphasis_close_underscore] = ACTIONS(2343),
    [sym__strikethrough_open] = ACTIONS(2199),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2183),
  },
  [113] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(627),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(627),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2086),
    [sym_numeric_character_reference] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2086),
    [sym_email_autolink] = ACTIONS(2086),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2090),
    [anon_sym_LT_QMARK] = ACTIONS(2092),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2094),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2086),
    [sym__digits] = ACTIONS(2086),
    [sym_tag] = ACTIONS(2086),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2096),
    [sym__emphasis_open_underscore] = ACTIONS(2098),
    [sym__strikethrough_open] = ACTIONS(2102),
    [sym__strikethrough_close] = ACTIONS(2345),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2086),
  },
  [114] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__inline_base] = STATE(104),
    [sym__text_base] = STATE(164),
    [sym__inline_element_no_star_no_link] = STATE(104),
    [aux_sym__inline_no_star_no_link] = STATE(104),
    [sym__strikethrough_no_link] = STATE(104),
    [sym__emphasis_star_no_link] = STATE(648),
    [sym__strong_emphasis_star_no_link] = STATE(104),
    [sym__emphasis_underscore_no_link] = STATE(648),
    [sym__strong_emphasis_underscore_no_link] = STATE(104),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2106),
    [sym_numeric_character_reference] = ACTIONS(2106),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2106),
    [sym_email_autolink] = ACTIONS(2106),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2110),
    [anon_sym_LT_QMARK] = ACTIONS(2112),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2114),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2106),
    [sym__digits] = ACTIONS(2106),
    [sym_tag] = ACTIONS(2106),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2116),
    [sym__emphasis_open_underscore] = ACTIONS(2118),
    [sym__emphasis_close_star] = ACTIONS(2347),
    [sym__strikethrough_open] = ACTIONS(2122),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2106),
  },
  [115] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(161),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(629),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2183),
    [sym_numeric_character_reference] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2183),
    [sym_email_autolink] = ACTIONS(2183),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2187),
    [anon_sym_LT_QMARK] = ACTIONS(2189),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2191),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2183),
    [sym__digits] = ACTIONS(2183),
    [sym_tag] = ACTIONS(2183),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2193),
    [sym__emphasis_open_underscore] = ACTIONS(2195),
    [sym__emphasis_close_underscore] = ACTIONS(2349),
    [sym__strikethrough_open] = ACTIONS(2199),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2183),
  },
  [116] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(161),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(629),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2183),
    [sym_numeric_character_reference] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2183),
    [sym_email_autolink] = ACTIONS(2183),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2187),
    [anon_sym_LT_QMARK] = ACTIONS(2189),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2191),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2183),
    [sym__digits] = ACTIONS(2183),
    [sym_tag] = ACTIONS(2183),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2193),
    [sym__emphasis_open_underscore] = ACTIONS(2195),
    [sym__emphasis_close_underscore] = ACTIONS(2351),
    [sym__strikethrough_open] = ACTIONS(2199),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2183),
  },
  [117] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(534),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(100),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(626),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(626),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2323),
    [sym_numeric_character_reference] = ACTIONS(2323),
    [anon_sym_RBRACK] = ACTIONS(2353),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2323),
    [sym_email_autolink] = ACTIONS(2323),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2329),
    [anon_sym_LT_QMARK] = ACTIONS(2331),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2333),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2323),
    [sym__digits] = ACTIONS(2323),
    [sym_tag] = ACTIONS(2323),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(2335),
    [sym__emphasis_open_underscore] = ACTIONS(2337),
    [sym__strikethrough_open] = ACTIONS(2339),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(2323),
  },
  [118] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__inline_base] = STATE(104),
    [sym__text_base] = STATE(164),
    [sym__inline_element_no_star_no_link] = STATE(104),
    [aux_sym__inline_no_star_no_link] = STATE(104),
    [sym__strikethrough_no_link] = STATE(104),
    [sym__emphasis_star_no_link] = STATE(648),
    [sym__strong_emphasis_star_no_link] = STATE(104),
    [sym__emphasis_underscore_no_link] = STATE(648),
    [sym__strong_emphasis_underscore_no_link] = STATE(104),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2106),
    [sym_numeric_character_reference] = ACTIONS(2106),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2106),
    [sym_email_autolink] = ACTIONS(2106),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2110),
    [anon_sym_LT_QMARK] = ACTIONS(2112),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2114),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2106),
    [sym__digits] = ACTIONS(2106),
    [sym_tag] = ACTIONS(2106),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2116),
    [sym__emphasis_open_underscore] = ACTIONS(2118),
    [sym__emphasis_close_star] = ACTIONS(2355),
    [sym__strikethrough_open] = ACTIONS(2122),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2106),
  },
  [119] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(161),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(629),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2183),
    [sym_numeric_character_reference] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2183),
    [sym_email_autolink] = ACTIONS(2183),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2187),
    [anon_sym_LT_QMARK] = ACTIONS(2189),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2191),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2183),
    [sym__digits] = ACTIONS(2183),
    [sym_tag] = ACTIONS(2183),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2193),
    [sym__emphasis_open_underscore] = ACTIONS(2195),
    [sym__emphasis_close_underscore] = ACTIONS(2357),
    [sym__strikethrough_open] = ACTIONS(2199),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2183),
  },
  [120] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(627),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(627),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2086),
    [sym_numeric_character_reference] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2086),
    [sym_email_autolink] = ACTIONS(2086),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2090),
    [anon_sym_LT_QMARK] = ACTIONS(2092),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2094),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2086),
    [sym__digits] = ACTIONS(2086),
    [sym_tag] = ACTIONS(2086),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2096),
    [sym__emphasis_open_underscore] = ACTIONS(2098),
    [sym__strikethrough_open] = ACTIONS(2102),
    [sym__strikethrough_close] = ACTIONS(2359),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2086),
  },
  [121] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__inline_base] = STATE(104),
    [sym__text_base] = STATE(164),
    [sym__inline_element_no_star_no_link] = STATE(104),
    [aux_sym__inline_no_star_no_link] = STATE(104),
    [sym__strikethrough_no_link] = STATE(104),
    [sym__emphasis_star_no_link] = STATE(648),
    [sym__strong_emphasis_star_no_link] = STATE(104),
    [sym__emphasis_underscore_no_link] = STATE(648),
    [sym__strong_emphasis_underscore_no_link] = STATE(104),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2106),
    [sym_numeric_character_reference] = ACTIONS(2106),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2106),
    [sym_email_autolink] = ACTIONS(2106),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2110),
    [anon_sym_LT_QMARK] = ACTIONS(2112),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2114),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2106),
    [sym__digits] = ACTIONS(2106),
    [sym_tag] = ACTIONS(2106),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2116),
    [sym__emphasis_open_underscore] = ACTIONS(2118),
    [sym__emphasis_close_star] = ACTIONS(2361),
    [sym__strikethrough_open] = ACTIONS(2122),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2106),
  },
  [122] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(161),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(629),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2183),
    [sym_numeric_character_reference] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2183),
    [sym_email_autolink] = ACTIONS(2183),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2187),
    [anon_sym_LT_QMARK] = ACTIONS(2189),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2191),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2183),
    [sym__digits] = ACTIONS(2183),
    [sym_tag] = ACTIONS(2183),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2193),
    [sym__emphasis_open_underscore] = ACTIONS(2195),
    [sym__emphasis_close_underscore] = ACTIONS(2363),
    [sym__strikethrough_open] = ACTIONS(2199),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2183),
  },
  [123] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(627),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(627),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2086),
    [sym_numeric_character_reference] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2086),
    [sym_email_autolink] = ACTIONS(2086),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2090),
    [anon_sym_LT_QMARK] = ACTIONS(2092),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2094),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2086),
    [sym__digits] = ACTIONS(2086),
    [sym_tag] = ACTIONS(2086),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2096),
    [sym__emphasis_open_underscore] = ACTIONS(2098),
    [sym__strikethrough_open] = ACTIONS(2102),
    [sym__strikethrough_close] = ACTIONS(2365),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2086),
  },
  [124] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(534),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(100),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(626),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(626),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2323),
    [sym_numeric_character_reference] = ACTIONS(2323),
    [anon_sym_RBRACK] = ACTIONS(2367),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2323),
    [sym_email_autolink] = ACTIONS(2323),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2329),
    [anon_sym_LT_QMARK] = ACTIONS(2331),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2333),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2323),
    [sym__digits] = ACTIONS(2323),
    [sym_tag] = ACTIONS(2323),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(2335),
    [sym__emphasis_open_underscore] = ACTIONS(2337),
    [sym__strikethrough_open] = ACTIONS(2339),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(2323),
  },
  [125] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__inline_base] = STATE(104),
    [sym__text_base] = STATE(164),
    [sym__inline_element_no_star_no_link] = STATE(104),
    [aux_sym__inline_no_star_no_link] = STATE(104),
    [sym__strikethrough_no_link] = STATE(104),
    [sym__emphasis_star_no_link] = STATE(648),
    [sym__strong_emphasis_star_no_link] = STATE(104),
    [sym__emphasis_underscore_no_link] = STATE(648),
    [sym__strong_emphasis_underscore_no_link] = STATE(104),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2106),
    [sym_numeric_character_reference] = ACTIONS(2106),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2106),
    [sym_email_autolink] = ACTIONS(2106),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2110),
    [anon_sym_LT_QMARK] = ACTIONS(2112),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2114),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2106),
    [sym__digits] = ACTIONS(2106),
    [sym_tag] = ACTIONS(2106),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2116),
    [sym__emphasis_open_underscore] = ACTIONS(2118),
    [sym__emphasis_close_star] = ACTIONS(2369),
    [sym__strikethrough_open] = ACTIONS(2122),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2106),
  },
  [126] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(161),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(629),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2183),
    [sym_numeric_character_reference] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2183),
    [sym_email_autolink] = ACTIONS(2183),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2187),
    [anon_sym_LT_QMARK] = ACTIONS(2189),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2191),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2183),
    [sym__digits] = ACTIONS(2183),
    [sym_tag] = ACTIONS(2183),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2193),
    [sym__emphasis_open_underscore] = ACTIONS(2195),
    [sym__emphasis_close_underscore] = ACTIONS(2371),
    [sym__strikethrough_open] = ACTIONS(2199),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2183),
  },
  [127] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(627),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(627),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2086),
    [sym_numeric_character_reference] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2086),
    [sym_email_autolink] = ACTIONS(2086),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2090),
    [anon_sym_LT_QMARK] = ACTIONS(2092),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2094),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2086),
    [sym__digits] = ACTIONS(2086),
    [sym_tag] = ACTIONS(2086),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2096),
    [sym__emphasis_open_underscore] = ACTIONS(2098),
    [sym__strikethrough_open] = ACTIONS(2102),
    [sym__strikethrough_close] = ACTIONS(2373),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2086),
  },
  [128] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__inline_base] = STATE(104),
    [sym__text_base] = STATE(164),
    [sym__inline_element_no_star_no_link] = STATE(104),
    [aux_sym__inline_no_star_no_link] = STATE(104),
    [sym__strikethrough_no_link] = STATE(104),
    [sym__emphasis_star_no_link] = STATE(648),
    [sym__strong_emphasis_star_no_link] = STATE(104),
    [sym__emphasis_underscore_no_link] = STATE(648),
    [sym__strong_emphasis_underscore_no_link] = STATE(104),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2106),
    [sym_numeric_character_reference] = ACTIONS(2106),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2106),
    [sym_email_autolink] = ACTIONS(2106),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2110),
    [anon_sym_LT_QMARK] = ACTIONS(2112),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2114),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2106),
    [sym__digits] = ACTIONS(2106),
    [sym_tag] = ACTIONS(2106),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2116),
    [sym__emphasis_open_underscore] = ACTIONS(2118),
    [sym__emphasis_close_star] = ACTIONS(2375),
    [sym__strikethrough_open] = ACTIONS(2122),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2106),
  },
  [129] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(161),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(629),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2183),
    [sym_numeric_character_reference] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2183),
    [sym_email_autolink] = ACTIONS(2183),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2187),
    [anon_sym_LT_QMARK] = ACTIONS(2189),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2191),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2183),
    [sym__digits] = ACTIONS(2183),
    [sym_tag] = ACTIONS(2183),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2193),
    [sym__emphasis_open_underscore] = ACTIONS(2195),
    [sym__emphasis_close_underscore] = ACTIONS(2377),
    [sym__strikethrough_open] = ACTIONS(2199),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2183),
  },
  [130] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(627),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(627),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2086),
    [sym_numeric_character_reference] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2086),
    [sym_email_autolink] = ACTIONS(2086),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2090),
    [anon_sym_LT_QMARK] = ACTIONS(2092),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2094),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2086),
    [sym__digits] = ACTIONS(2086),
    [sym_tag] = ACTIONS(2086),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2096),
    [sym__emphasis_open_underscore] = ACTIONS(2098),
    [sym__strikethrough_open] = ACTIONS(2102),
    [sym__strikethrough_close] = ACTIONS(2379),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2086),
  },
  [131] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__inline_base] = STATE(104),
    [sym__text_base] = STATE(164),
    [sym__inline_element_no_star_no_link] = STATE(104),
    [aux_sym__inline_no_star_no_link] = STATE(104),
    [sym__strikethrough_no_link] = STATE(104),
    [sym__emphasis_star_no_link] = STATE(648),
    [sym__strong_emphasis_star_no_link] = STATE(104),
    [sym__emphasis_underscore_no_link] = STATE(648),
    [sym__strong_emphasis_underscore_no_link] = STATE(104),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2106),
    [sym_numeric_character_reference] = ACTIONS(2106),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2106),
    [sym_email_autolink] = ACTIONS(2106),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2110),
    [anon_sym_LT_QMARK] = ACTIONS(2112),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2114),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2106),
    [sym__digits] = ACTIONS(2106),
    [sym_tag] = ACTIONS(2106),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2116),
    [sym__emphasis_open_underscore] = ACTIONS(2118),
    [sym__emphasis_close_star] = ACTIONS(2381),
    [sym__strikethrough_open] = ACTIONS(2122),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2106),
  },
  [132] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(534),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(100),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(626),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(626),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2323),
    [sym_numeric_character_reference] = ACTIONS(2323),
    [anon_sym_RBRACK] = ACTIONS(2383),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2323),
    [sym_email_autolink] = ACTIONS(2323),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2329),
    [anon_sym_LT_QMARK] = ACTIONS(2331),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2333),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2323),
    [sym__digits] = ACTIONS(2323),
    [sym_tag] = ACTIONS(2323),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(2335),
    [sym__emphasis_open_underscore] = ACTIONS(2337),
    [sym__strikethrough_open] = ACTIONS(2339),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(2323),
  },
  [133] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__inline_base] = STATE(119),
    [sym__text_base] = STATE(161),
    [sym__inline_element_no_underscore_no_link] = STATE(119),
    [aux_sym__inline_no_underscore_no_link] = STATE(119),
    [sym__strikethrough_no_link] = STATE(119),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(119),
    [sym__emphasis_underscore_no_link] = STATE(633),
    [sym__strong_emphasis_underscore_no_link] = STATE(119),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2183),
    [sym_numeric_character_reference] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2183),
    [sym_email_autolink] = ACTIONS(2183),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2187),
    [anon_sym_LT_QMARK] = ACTIONS(2189),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2191),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2183),
    [sym__digits] = ACTIONS(2183),
    [sym_tag] = ACTIONS(2183),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2193),
    [sym__emphasis_open_underscore] = ACTIONS(2195),
    [sym__last_token_punctuation] = ACTIONS(2385),
    [sym__strikethrough_open] = ACTIONS(2199),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2183),
  },
  [134] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(534),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(100),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(626),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(626),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2323),
    [sym_numeric_character_reference] = ACTIONS(2323),
    [anon_sym_RBRACK] = ACTIONS(2387),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2323),
    [sym_email_autolink] = ACTIONS(2323),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2329),
    [anon_sym_LT_QMARK] = ACTIONS(2331),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2333),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2323),
    [sym__digits] = ACTIONS(2323),
    [sym_tag] = ACTIONS(2323),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(2335),
    [sym__emphasis_open_underscore] = ACTIONS(2337),
    [sym__strikethrough_open] = ACTIONS(2339),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(2323),
  },
  [135] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(627),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(627),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2086),
    [sym_numeric_character_reference] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2086),
    [sym_email_autolink] = ACTIONS(2086),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2090),
    [anon_sym_LT_QMARK] = ACTIONS(2092),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2094),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2086),
    [sym__digits] = ACTIONS(2086),
    [sym_tag] = ACTIONS(2086),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2096),
    [sym__emphasis_open_underscore] = ACTIONS(2098),
    [sym__strikethrough_open] = ACTIONS(2102),
    [sym__strikethrough_close] = ACTIONS(2389),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2086),
  },
  [136] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__inline_base] = STATE(105),
    [sym__text_base] = STATE(161),
    [sym__inline_element_no_underscore_no_link] = STATE(105),
    [aux_sym__inline_no_underscore_no_link] = STATE(105),
    [sym__strikethrough_no_link] = STATE(105),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(105),
    [sym__emphasis_underscore_no_link] = STATE(629),
    [sym__strong_emphasis_underscore_no_link] = STATE(105),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2183),
    [sym_numeric_character_reference] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2183),
    [sym_email_autolink] = ACTIONS(2183),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2187),
    [anon_sym_LT_QMARK] = ACTIONS(2189),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2191),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2183),
    [sym__digits] = ACTIONS(2183),
    [sym_tag] = ACTIONS(2183),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2193),
    [sym__emphasis_open_underscore] = ACTIONS(2195),
    [sym__strikethrough_open] = ACTIONS(2199),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2183),
  },
  [137] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__inline_base] = STATE(129),
    [sym__text_base] = STATE(161),
    [sym__inline_element_no_underscore_no_link] = STATE(129),
    [aux_sym__inline_no_underscore_no_link] = STATE(129),
    [sym__strikethrough_no_link] = STATE(129),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(129),
    [sym__emphasis_underscore_no_link] = STATE(629),
    [sym__strong_emphasis_underscore_no_link] = STATE(129),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2183),
    [sym_numeric_character_reference] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2183),
    [sym_email_autolink] = ACTIONS(2183),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2187),
    [anon_sym_LT_QMARK] = ACTIONS(2189),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2191),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2183),
    [sym__digits] = ACTIONS(2183),
    [sym_tag] = ACTIONS(2183),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2193),
    [sym__emphasis_open_underscore] = ACTIONS(2195),
    [sym__strikethrough_open] = ACTIONS(2199),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2183),
  },
  [138] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(107),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_tilde_no_link] = STATE(107),
    [aux_sym__inline_no_tilde_no_link] = STATE(107),
    [sym__strikethrough_no_link] = STATE(107),
    [sym__emphasis_star_no_link] = STATE(627),
    [sym__strong_emphasis_star_no_link] = STATE(107),
    [sym__emphasis_underscore_no_link] = STATE(627),
    [sym__strong_emphasis_underscore_no_link] = STATE(107),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2086),
    [sym_numeric_character_reference] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2086),
    [sym_email_autolink] = ACTIONS(2086),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2090),
    [anon_sym_LT_QMARK] = ACTIONS(2092),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2094),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2086),
    [sym__digits] = ACTIONS(2086),
    [sym_tag] = ACTIONS(2086),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2096),
    [sym__emphasis_open_underscore] = ACTIONS(2098),
    [sym__strikethrough_open] = ACTIONS(2102),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2086),
  },
  [139] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__inline_base] = STATE(103),
    [sym__text_base] = STATE(164),
    [sym__inline_element_no_star_no_link] = STATE(103),
    [aux_sym__inline_no_star_no_link] = STATE(103),
    [sym__strikethrough_no_link] = STATE(103),
    [sym__emphasis_star_no_link] = STATE(648),
    [sym__strong_emphasis_star_no_link] = STATE(103),
    [sym__emphasis_underscore_no_link] = STATE(648),
    [sym__strong_emphasis_underscore_no_link] = STATE(103),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2106),
    [sym_numeric_character_reference] = ACTIONS(2106),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2106),
    [sym_email_autolink] = ACTIONS(2106),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2110),
    [anon_sym_LT_QMARK] = ACTIONS(2112),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2114),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2106),
    [sym__digits] = ACTIONS(2106),
    [sym_tag] = ACTIONS(2106),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2116),
    [sym__emphasis_open_underscore] = ACTIONS(2118),
    [sym__strikethrough_open] = ACTIONS(2122),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2106),
  },
  [140] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__inline_base] = STATE(114),
    [sym__text_base] = STATE(164),
    [sym__inline_element_no_star_no_link] = STATE(114),
    [aux_sym__inline_no_star_no_link] = STATE(114),
    [sym__strikethrough_no_link] = STATE(114),
    [sym__emphasis_star_no_link] = STATE(648),
    [sym__strong_emphasis_star_no_link] = STATE(114),
    [sym__emphasis_underscore_no_link] = STATE(648),
    [sym__strong_emphasis_underscore_no_link] = STATE(114),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2106),
    [sym_numeric_character_reference] = ACTIONS(2106),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2106),
    [sym_email_autolink] = ACTIONS(2106),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2110),
    [anon_sym_LT_QMARK] = ACTIONS(2112),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2114),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2106),
    [sym__digits] = ACTIONS(2106),
    [sym_tag] = ACTIONS(2106),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2116),
    [sym__emphasis_open_underscore] = ACTIONS(2118),
    [sym__strikethrough_open] = ACTIONS(2122),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2106),
  },
  [141] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__inline_base] = STATE(115),
    [sym__text_base] = STATE(161),
    [sym__inline_element_no_underscore_no_link] = STATE(115),
    [aux_sym__inline_no_underscore_no_link] = STATE(115),
    [sym__strikethrough_no_link] = STATE(115),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(115),
    [sym__emphasis_underscore_no_link] = STATE(629),
    [sym__strong_emphasis_underscore_no_link] = STATE(115),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2183),
    [sym_numeric_character_reference] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2183),
    [sym_email_autolink] = ACTIONS(2183),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2187),
    [anon_sym_LT_QMARK] = ACTIONS(2189),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2191),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2183),
    [sym__digits] = ACTIONS(2183),
    [sym_tag] = ACTIONS(2183),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2193),
    [sym__emphasis_open_underscore] = ACTIONS(2195),
    [sym__strikethrough_open] = ACTIONS(2199),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2183),
  },
  [142] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(135),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_tilde_no_link] = STATE(135),
    [aux_sym__inline_no_tilde_no_link] = STATE(135),
    [sym__strikethrough_no_link] = STATE(135),
    [sym__emphasis_star_no_link] = STATE(627),
    [sym__strong_emphasis_star_no_link] = STATE(135),
    [sym__emphasis_underscore_no_link] = STATE(627),
    [sym__strong_emphasis_underscore_no_link] = STATE(135),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2086),
    [sym_numeric_character_reference] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2086),
    [sym_email_autolink] = ACTIONS(2086),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2090),
    [anon_sym_LT_QMARK] = ACTIONS(2092),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2094),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2086),
    [sym__digits] = ACTIONS(2086),
    [sym_tag] = ACTIONS(2086),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2096),
    [sym__emphasis_open_underscore] = ACTIONS(2098),
    [sym__strikethrough_open] = ACTIONS(2102),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2086),
  },
  [143] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__inline_base] = STATE(121),
    [sym__text_base] = STATE(164),
    [sym__inline_element_no_star_no_link] = STATE(121),
    [aux_sym__inline_no_star_no_link] = STATE(121),
    [sym__strikethrough_no_link] = STATE(121),
    [sym__emphasis_star_no_link] = STATE(648),
    [sym__strong_emphasis_star_no_link] = STATE(121),
    [sym__emphasis_underscore_no_link] = STATE(648),
    [sym__strong_emphasis_underscore_no_link] = STATE(121),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2106),
    [sym_numeric_character_reference] = ACTIONS(2106),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2106),
    [sym_email_autolink] = ACTIONS(2106),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2110),
    [anon_sym_LT_QMARK] = ACTIONS(2112),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2114),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2106),
    [sym__digits] = ACTIONS(2106),
    [sym_tag] = ACTIONS(2106),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2116),
    [sym__emphasis_open_underscore] = ACTIONS(2118),
    [sym__strikethrough_open] = ACTIONS(2122),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2106),
  },
  [144] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__inline_base] = STATE(122),
    [sym__text_base] = STATE(161),
    [sym__inline_element_no_underscore_no_link] = STATE(122),
    [aux_sym__inline_no_underscore_no_link] = STATE(122),
    [sym__strikethrough_no_link] = STATE(122),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(122),
    [sym__emphasis_underscore_no_link] = STATE(629),
    [sym__strong_emphasis_underscore_no_link] = STATE(122),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2183),
    [sym_numeric_character_reference] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2183),
    [sym_email_autolink] = ACTIONS(2183),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2187),
    [anon_sym_LT_QMARK] = ACTIONS(2189),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2191),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2183),
    [sym__digits] = ACTIONS(2183),
    [sym_tag] = ACTIONS(2183),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2193),
    [sym__emphasis_open_underscore] = ACTIONS(2195),
    [sym__strikethrough_open] = ACTIONS(2199),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2183),
  },
  [145] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(123),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_tilde_no_link] = STATE(123),
    [aux_sym__inline_no_tilde_no_link] = STATE(123),
    [sym__strikethrough_no_link] = STATE(123),
    [sym__emphasis_star_no_link] = STATE(627),
    [sym__strong_emphasis_star_no_link] = STATE(123),
    [sym__emphasis_underscore_no_link] = STATE(627),
    [sym__strong_emphasis_underscore_no_link] = STATE(123),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2086),
    [sym_numeric_character_reference] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2086),
    [sym_email_autolink] = ACTIONS(2086),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2090),
    [anon_sym_LT_QMARK] = ACTIONS(2092),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2094),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2086),
    [sym__digits] = ACTIONS(2086),
    [sym_tag] = ACTIONS(2086),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2096),
    [sym__emphasis_open_underscore] = ACTIONS(2098),
    [sym__strikethrough_open] = ACTIONS(2102),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2086),
  },
  [146] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__inline_base] = STATE(128),
    [sym__text_base] = STATE(164),
    [sym__inline_element_no_star_no_link] = STATE(128),
    [aux_sym__inline_no_star_no_link] = STATE(128),
    [sym__strikethrough_no_link] = STATE(128),
    [sym__emphasis_star_no_link] = STATE(648),
    [sym__strong_emphasis_star_no_link] = STATE(128),
    [sym__emphasis_underscore_no_link] = STATE(648),
    [sym__strong_emphasis_underscore_no_link] = STATE(128),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2106),
    [sym_numeric_character_reference] = ACTIONS(2106),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2106),
    [sym_email_autolink] = ACTIONS(2106),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2110),
    [anon_sym_LT_QMARK] = ACTIONS(2112),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2114),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2106),
    [sym__digits] = ACTIONS(2106),
    [sym_tag] = ACTIONS(2106),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2116),
    [sym__emphasis_open_underscore] = ACTIONS(2118),
    [sym__strikethrough_open] = ACTIONS(2122),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2106),
  },
  [147] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(130),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_tilde_no_link] = STATE(130),
    [aux_sym__inline_no_tilde_no_link] = STATE(130),
    [sym__strikethrough_no_link] = STATE(130),
    [sym__emphasis_star_no_link] = STATE(627),
    [sym__strong_emphasis_star_no_link] = STATE(130),
    [sym__emphasis_underscore_no_link] = STATE(627),
    [sym__strong_emphasis_underscore_no_link] = STATE(130),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2086),
    [sym_numeric_character_reference] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2086),
    [sym_email_autolink] = ACTIONS(2086),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2090),
    [anon_sym_LT_QMARK] = ACTIONS(2092),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2094),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2086),
    [sym__digits] = ACTIONS(2086),
    [sym_tag] = ACTIONS(2086),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2096),
    [sym__emphasis_open_underscore] = ACTIONS(2098),
    [sym__strikethrough_open] = ACTIONS(2102),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2086),
  },
  [148] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__text_base] = STATE(152),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2391),
    [sym_numeric_character_reference] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2393),
    [anon_sym_RBRACK] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2391),
    [sym_email_autolink] = ACTIONS(2391),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2391),
    [sym__digits] = ACTIONS(2391),
    [sym_tag] = ACTIONS(2391),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2393),
    [sym__emphasis_open_underscore] = ACTIONS(2393),
    [sym__strikethrough_open] = ACTIONS(2393),
    [sym__strikethrough_close] = ACTIONS(2393),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2391),
  },
  [149] = {
    [sym_backslash_escape] = STATE(151),
    [sym_code_span] = STATE(151),
    [sym_latex_block] = STATE(151),
    [sym_image] = STATE(151),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(151),
    [sym__whitespace] = STATE(151),
    [sym__word] = STATE(151),
    [sym__soft_line_break] = STATE(151),
    [sym__text_base] = STATE(151),
    [aux_sym__inline_base_repeat1] = STATE(151),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2395),
    [sym_numeric_character_reference] = ACTIONS(2395),
    [anon_sym_LBRACK] = ACTIONS(2393),
    [anon_sym_RBRACK] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2395),
    [sym_email_autolink] = ACTIONS(2395),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2395),
    [sym__digits] = ACTIONS(2395),
    [sym_tag] = ACTIONS(2395),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2393),
    [sym__emphasis_open_underscore] = ACTIONS(2393),
    [sym__emphasis_close_star] = ACTIONS(2393),
    [sym__strikethrough_open] = ACTIONS(2393),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2395),
  },
  [150] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__text_base] = STATE(150),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(2397),
    [sym_entity_reference] = ACTIONS(2400),
    [sym_numeric_character_reference] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2403),
    [anon_sym_RBRACK] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2405),
    [anon_sym_GT] = ACTIONS(2408),
    [anon_sym_BANG] = ACTIONS(2411),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_POUND] = ACTIONS(2414),
    [anon_sym_DOLLAR] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2408),
    [anon_sym_COLON] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2408),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_BSLASH] = ACTIONS(2417),
    [anon_sym_CARET] = ACTIONS(2408),
    [anon_sym__] = ACTIONS(2408),
    [anon_sym_BQUOTE] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_PIPE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_RPAREN] = ACTIONS(2408),
    [sym__newline_token] = ACTIONS(2420),
    [sym_uri_autolink] = ACTIONS(2400),
    [sym_email_autolink] = ACTIONS(2400),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2423),
    [anon_sym_LT_QMARK] = ACTIONS(2426),
    [aux_sym__declaration_token1] = ACTIONS(2429),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2432),
    [sym__whitespace_ge_2] = ACTIONS(2435),
    [aux_sym__whitespace_token1] = ACTIONS(2438),
    [sym__word_no_digit] = ACTIONS(2400),
    [sym__digits] = ACTIONS(2400),
    [sym_tag] = ACTIONS(2400),
    [sym__code_span_start] = ACTIONS(2441),
    [sym__emphasis_open_star] = ACTIONS(2403),
    [sym__emphasis_open_underscore] = ACTIONS(2403),
    [sym__emphasis_close_underscore] = ACTIONS(2403),
    [sym__strikethrough_open] = ACTIONS(2403),
    [sym__latex_span_start] = ACTIONS(2444),
    [sym__unclosed_span] = ACTIONS(2400),
  },
  [151] = {
    [sym_backslash_escape] = STATE(151),
    [sym_code_span] = STATE(151),
    [sym_latex_block] = STATE(151),
    [sym_image] = STATE(151),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(388),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(151),
    [sym__whitespace] = STATE(151),
    [sym__word] = STATE(151),
    [sym__soft_line_break] = STATE(151),
    [sym__text_base] = STATE(151),
    [aux_sym__inline_base_repeat1] = STATE(151),
    [sym__backslash_escape] = ACTIONS(2447),
    [sym_entity_reference] = ACTIONS(2450),
    [sym_numeric_character_reference] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2403),
    [anon_sym_RBRACK] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2453),
    [anon_sym_GT] = ACTIONS(2456),
    [anon_sym_BANG] = ACTIONS(2459),
    [anon_sym_DQUOTE] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2462),
    [anon_sym_DOLLAR] = ACTIONS(2456),
    [anon_sym_PERCENT] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_COMMA] = ACTIONS(2456),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_DOT] = ACTIONS(2456),
    [anon_sym_SLASH] = ACTIONS(2456),
    [anon_sym_COLON] = ACTIONS(2456),
    [anon_sym_SEMI] = ACTIONS(2456),
    [anon_sym_EQ] = ACTIONS(2456),
    [anon_sym_QMARK] = ACTIONS(2456),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_BSLASH] = ACTIONS(2465),
    [anon_sym_CARET] = ACTIONS(2456),
    [anon_sym__] = ACTIONS(2456),
    [anon_sym_BQUOTE] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2456),
    [anon_sym_PIPE] = ACTIONS(2456),
    [anon_sym_RBRACE] = ACTIONS(2456),
    [anon_sym_TILDE] = ACTIONS(2456),
    [anon_sym_LPAREN] = ACTIONS(2456),
    [anon_sym_RPAREN] = ACTIONS(2456),
    [sym__newline_token] = ACTIONS(2468),
    [sym_uri_autolink] = ACTIONS(2450),
    [sym_email_autolink] = ACTIONS(2450),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2471),
    [anon_sym_LT_QMARK] = ACTIONS(2474),
    [aux_sym__declaration_token1] = ACTIONS(2477),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2480),
    [sym__whitespace_ge_2] = ACTIONS(2483),
    [aux_sym__whitespace_token1] = ACTIONS(2486),
    [sym__word_no_digit] = ACTIONS(2450),
    [sym__digits] = ACTIONS(2450),
    [sym_tag] = ACTIONS(2450),
    [sym__code_span_start] = ACTIONS(2489),
    [sym__emphasis_open_star] = ACTIONS(2403),
    [sym__emphasis_open_underscore] = ACTIONS(2403),
    [sym__emphasis_close_star] = ACTIONS(2403),
    [sym__strikethrough_open] = ACTIONS(2403),
    [sym__latex_span_start] = ACTIONS(2492),
    [sym__unclosed_span] = ACTIONS(2450),
  },
  [152] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(292),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__text_base] = STATE(152),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(2495),
    [sym_entity_reference] = ACTIONS(2498),
    [sym_numeric_character_reference] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(2403),
    [anon_sym_RBRACK] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2501),
    [anon_sym_GT] = ACTIONS(2504),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2504),
    [anon_sym_POUND] = ACTIONS(2510),
    [anon_sym_DOLLAR] = ACTIONS(2504),
    [anon_sym_PERCENT] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_COMMA] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_DOT] = ACTIONS(2504),
    [anon_sym_SLASH] = ACTIONS(2504),
    [anon_sym_COLON] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2504),
    [anon_sym_EQ] = ACTIONS(2504),
    [anon_sym_QMARK] = ACTIONS(2504),
    [anon_sym_AT] = ACTIONS(2504),
    [anon_sym_BSLASH] = ACTIONS(2513),
    [anon_sym_CARET] = ACTIONS(2504),
    [anon_sym__] = ACTIONS(2504),
    [anon_sym_BQUOTE] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2504),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_RBRACE] = ACTIONS(2504),
    [anon_sym_TILDE] = ACTIONS(2504),
    [anon_sym_LPAREN] = ACTIONS(2504),
    [anon_sym_RPAREN] = ACTIONS(2504),
    [sym__newline_token] = ACTIONS(2516),
    [sym_uri_autolink] = ACTIONS(2498),
    [sym_email_autolink] = ACTIONS(2498),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2519),
    [anon_sym_LT_QMARK] = ACTIONS(2522),
    [aux_sym__declaration_token1] = ACTIONS(2525),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2528),
    [sym__whitespace_ge_2] = ACTIONS(2531),
    [aux_sym__whitespace_token1] = ACTIONS(2534),
    [sym__word_no_digit] = ACTIONS(2498),
    [sym__digits] = ACTIONS(2498),
    [sym_tag] = ACTIONS(2498),
    [sym__code_span_start] = ACTIONS(2537),
    [sym__emphasis_open_star] = ACTIONS(2403),
    [sym__emphasis_open_underscore] = ACTIONS(2403),
    [sym__strikethrough_open] = ACTIONS(2403),
    [sym__strikethrough_close] = ACTIONS(2403),
    [sym__latex_span_start] = ACTIONS(2540),
    [sym__unclosed_span] = ACTIONS(2498),
  },
  [153] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(469),
    [sym__image_shortcut_link] = STATE(469),
    [sym__image_full_reference_link] = STATE(469),
    [sym__image_collapsed_reference_link] = STATE(469),
    [sym__image_description] = STATE(1154),
    [sym__image_description_non_empty] = STATE(474),
    [sym__html_tag] = STATE(497),
    [sym__open_tag] = STATE(509),
    [sym__closing_tag] = STATE(509),
    [sym__html_comment] = STATE(509),
    [sym__processing_instruction] = STATE(509),
    [sym__declaration] = STATE(509),
    [sym__cdata_section] = STATE(509),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__text_base] = STATE(155),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [ts_builtin_sym_end] = ACTIONS(2393),
    [sym__backslash_escape] = ACTIONS(3),
    [sym_entity_reference] = ACTIONS(2543),
    [sym_numeric_character_reference] = ACTIONS(2543),
    [anon_sym_LBRACK] = ACTIONS(2393),
    [anon_sym_RBRACK] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(11),
    [anon_sym_GT] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_POUND] = ACTIONS(17),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_PERCENT] = ACTIONS(13),
    [anon_sym_AMP] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(13),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(13),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(13),
    [anon_sym_SLASH] = ACTIONS(13),
    [anon_sym_COLON] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(13),
    [anon_sym_EQ] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym__] = ACTIONS(13),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_PIPE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(13),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_RPAREN] = ACTIONS(13),
    [sym__newline_token] = ACTIONS(21),
    [sym_uri_autolink] = ACTIONS(2543),
    [sym_email_autolink] = ACTIONS(2543),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(23),
    [anon_sym_LT_QMARK] = ACTIONS(25),
    [aux_sym__declaration_token1] = ACTIONS(27),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(29),
    [sym__whitespace_ge_2] = ACTIONS(31),
    [aux_sym__whitespace_token1] = ACTIONS(33),
    [sym__word_no_digit] = ACTIONS(2543),
    [sym__digits] = ACTIONS(2543),
    [sym_tag] = ACTIONS(2543),
    [sym__code_span_start] = ACTIONS(35),
    [sym__emphasis_open_star] = ACTIONS(2393),
    [sym__emphasis_open_underscore] = ACTIONS(2393),
    [sym__strikethrough_open] = ACTIONS(2393),
    [sym__latex_span_start] = ACTIONS(45),
    [sym__unclosed_span] = ACTIONS(2543),
  },
  [154] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(473),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__text_base] = STATE(150),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2545),
    [sym_numeric_character_reference] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(2393),
    [anon_sym_RBRACK] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2545),
    [sym_email_autolink] = ACTIONS(2545),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2545),
    [sym__digits] = ACTIONS(2545),
    [sym_tag] = ACTIONS(2545),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2393),
    [sym__emphasis_open_underscore] = ACTIONS(2393),
    [sym__emphasis_close_underscore] = ACTIONS(2393),
    [sym__strikethrough_open] = ACTIONS(2393),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2545),
  },
  [155] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(469),
    [sym__image_shortcut_link] = STATE(469),
    [sym__image_full_reference_link] = STATE(469),
    [sym__image_collapsed_reference_link] = STATE(469),
    [sym__image_description] = STATE(1154),
    [sym__image_description_non_empty] = STATE(474),
    [sym__html_tag] = STATE(497),
    [sym__open_tag] = STATE(509),
    [sym__closing_tag] = STATE(509),
    [sym__html_comment] = STATE(509),
    [sym__processing_instruction] = STATE(509),
    [sym__declaration] = STATE(509),
    [sym__cdata_section] = STATE(509),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__text_base] = STATE(155),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [ts_builtin_sym_end] = ACTIONS(2403),
    [sym__backslash_escape] = ACTIONS(2547),
    [sym_entity_reference] = ACTIONS(2550),
    [sym_numeric_character_reference] = ACTIONS(2550),
    [anon_sym_LBRACK] = ACTIONS(2403),
    [anon_sym_RBRACK] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2553),
    [anon_sym_GT] = ACTIONS(2556),
    [anon_sym_BANG] = ACTIONS(2559),
    [anon_sym_DQUOTE] = ACTIONS(2556),
    [anon_sym_POUND] = ACTIONS(2562),
    [anon_sym_DOLLAR] = ACTIONS(2556),
    [anon_sym_PERCENT] = ACTIONS(2556),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(2556),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_DOT] = ACTIONS(2556),
    [anon_sym_SLASH] = ACTIONS(2556),
    [anon_sym_COLON] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2556),
    [anon_sym_EQ] = ACTIONS(2556),
    [anon_sym_QMARK] = ACTIONS(2556),
    [anon_sym_AT] = ACTIONS(2556),
    [anon_sym_BSLASH] = ACTIONS(2565),
    [anon_sym_CARET] = ACTIONS(2556),
    [anon_sym__] = ACTIONS(2556),
    [anon_sym_BQUOTE] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2556),
    [anon_sym_PIPE] = ACTIONS(2556),
    [anon_sym_RBRACE] = ACTIONS(2556),
    [anon_sym_TILDE] = ACTIONS(2556),
    [anon_sym_LPAREN] = ACTIONS(2556),
    [anon_sym_RPAREN] = ACTIONS(2556),
    [sym__newline_token] = ACTIONS(2568),
    [sym_uri_autolink] = ACTIONS(2550),
    [sym_email_autolink] = ACTIONS(2550),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2571),
    [anon_sym_LT_QMARK] = ACTIONS(2574),
    [aux_sym__declaration_token1] = ACTIONS(2577),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2580),
    [sym__whitespace_ge_2] = ACTIONS(2583),
    [aux_sym__whitespace_token1] = ACTIONS(2586),
    [sym__word_no_digit] = ACTIONS(2550),
    [sym__digits] = ACTIONS(2550),
    [sym_tag] = ACTIONS(2550),
    [sym__code_span_start] = ACTIONS(2589),
    [sym__emphasis_open_star] = ACTIONS(2403),
    [sym__emphasis_open_underscore] = ACTIONS(2403),
    [sym__strikethrough_open] = ACTIONS(2403),
    [sym__latex_span_start] = ACTIONS(2592),
    [sym__unclosed_span] = ACTIONS(2550),
  },
  [156] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__text_base] = STATE(156),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(2595),
    [sym_entity_reference] = ACTIONS(2598),
    [sym_numeric_character_reference] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2403),
    [anon_sym_RBRACK] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2601),
    [anon_sym_GT] = ACTIONS(2604),
    [anon_sym_BANG] = ACTIONS(2607),
    [anon_sym_DQUOTE] = ACTIONS(2604),
    [anon_sym_POUND] = ACTIONS(2610),
    [anon_sym_DOLLAR] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_COMMA] = ACTIONS(2604),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_DOT] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_COLON] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2604),
    [anon_sym_EQ] = ACTIONS(2604),
    [anon_sym_QMARK] = ACTIONS(2604),
    [anon_sym_AT] = ACTIONS(2604),
    [anon_sym_BSLASH] = ACTIONS(2613),
    [anon_sym_CARET] = ACTIONS(2604),
    [anon_sym__] = ACTIONS(2604),
    [anon_sym_BQUOTE] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2604),
    [anon_sym_PIPE] = ACTIONS(2604),
    [anon_sym_RBRACE] = ACTIONS(2604),
    [anon_sym_TILDE] = ACTIONS(2604),
    [anon_sym_LPAREN] = ACTIONS(2604),
    [anon_sym_RPAREN] = ACTIONS(2604),
    [sym__newline_token] = ACTIONS(2616),
    [sym_uri_autolink] = ACTIONS(2598),
    [sym_email_autolink] = ACTIONS(2598),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2619),
    [anon_sym_LT_QMARK] = ACTIONS(2622),
    [aux_sym__declaration_token1] = ACTIONS(2625),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2628),
    [sym__whitespace_ge_2] = ACTIONS(2631),
    [aux_sym__whitespace_token1] = ACTIONS(2634),
    [sym__word_no_digit] = ACTIONS(2598),
    [sym__digits] = ACTIONS(2598),
    [sym_tag] = ACTIONS(2598),
    [sym__code_span_start] = ACTIONS(2637),
    [sym__emphasis_open_star] = ACTIONS(2403),
    [sym__emphasis_open_underscore] = ACTIONS(2403),
    [sym__strikethrough_open] = ACTIONS(2403),
    [sym__latex_span_start] = ACTIONS(2640),
    [sym__unclosed_span] = ACTIONS(2598),
  },
  [157] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(596),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__text_base] = STATE(156),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2643),
    [sym_numeric_character_reference] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(2393),
    [anon_sym_RBRACK] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2643),
    [sym_email_autolink] = ACTIONS(2643),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2643),
    [sym__digits] = ACTIONS(2643),
    [sym_tag] = ACTIONS(2643),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(2393),
    [sym__emphasis_open_underscore] = ACTIONS(2393),
    [sym__strikethrough_open] = ACTIONS(2393),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(2643),
  },
  [158] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__text_base] = STATE(159),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2645),
    [sym_numeric_character_reference] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(748),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2645),
    [sym_email_autolink] = ACTIONS(2645),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2090),
    [anon_sym_LT_QMARK] = ACTIONS(2092),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2094),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2645),
    [sym__digits] = ACTIONS(2645),
    [sym_tag] = ACTIONS(2645),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2393),
    [sym__emphasis_open_underscore] = ACTIONS(2393),
    [sym__strikethrough_open] = ACTIONS(2393),
    [sym__strikethrough_close] = ACTIONS(2393),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2645),
  },
  [159] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(291),
    [sym__image_shortcut_link] = STATE(291),
    [sym__image_full_reference_link] = STATE(291),
    [sym__image_collapsed_reference_link] = STATE(291),
    [sym__image_description] = STATE(1157),
    [sym__image_description_non_empty] = STATE(595),
    [sym__html_tag] = STATE(293),
    [sym__open_tag] = STATE(362),
    [sym__closing_tag] = STATE(362),
    [sym__html_comment] = STATE(362),
    [sym__processing_instruction] = STATE(362),
    [sym__declaration] = STATE(362),
    [sym__cdata_section] = STATE(362),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__text_base] = STATE(159),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(2495),
    [sym_entity_reference] = ACTIONS(2647),
    [sym_numeric_character_reference] = ACTIONS(2647),
    [anon_sym_LT] = ACTIONS(2501),
    [anon_sym_GT] = ACTIONS(2504),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_DQUOTE] = ACTIONS(2504),
    [anon_sym_POUND] = ACTIONS(2510),
    [anon_sym_DOLLAR] = ACTIONS(2504),
    [anon_sym_PERCENT] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_COMMA] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_DOT] = ACTIONS(2504),
    [anon_sym_SLASH] = ACTIONS(2504),
    [anon_sym_COLON] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2504),
    [anon_sym_EQ] = ACTIONS(2504),
    [anon_sym_QMARK] = ACTIONS(2504),
    [anon_sym_AT] = ACTIONS(2504),
    [anon_sym_BSLASH] = ACTIONS(2513),
    [anon_sym_CARET] = ACTIONS(2504),
    [anon_sym__] = ACTIONS(2504),
    [anon_sym_BQUOTE] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2504),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_RBRACE] = ACTIONS(2504),
    [anon_sym_TILDE] = ACTIONS(2504),
    [anon_sym_LPAREN] = ACTIONS(2504),
    [anon_sym_RPAREN] = ACTIONS(2504),
    [sym__newline_token] = ACTIONS(2516),
    [sym_uri_autolink] = ACTIONS(2647),
    [sym_email_autolink] = ACTIONS(2647),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2653),
    [anon_sym_LT_QMARK] = ACTIONS(2656),
    [aux_sym__declaration_token1] = ACTIONS(2525),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2659),
    [sym__whitespace_ge_2] = ACTIONS(2531),
    [aux_sym__whitespace_token1] = ACTIONS(2534),
    [sym__word_no_digit] = ACTIONS(2647),
    [sym__digits] = ACTIONS(2647),
    [sym_tag] = ACTIONS(2647),
    [sym__code_span_start] = ACTIONS(2537),
    [sym__emphasis_open_star] = ACTIONS(2403),
    [sym__emphasis_open_underscore] = ACTIONS(2403),
    [sym__strikethrough_open] = ACTIONS(2403),
    [sym__strikethrough_close] = ACTIONS(2403),
    [sym__latex_span_start] = ACTIONS(2540),
    [sym__unclosed_span] = ACTIONS(2647),
  },
  [160] = {
    [sym_backslash_escape] = STATE(160),
    [sym_code_span] = STATE(160),
    [sym_latex_block] = STATE(160),
    [sym_image] = STATE(160),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(160),
    [sym__whitespace] = STATE(160),
    [sym__word] = STATE(160),
    [sym__soft_line_break] = STATE(160),
    [sym__text_base] = STATE(160),
    [aux_sym__inline_base_repeat1] = STATE(160),
    [sym__backslash_escape] = ACTIONS(2397),
    [sym_entity_reference] = ACTIONS(2662),
    [sym_numeric_character_reference] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2405),
    [anon_sym_GT] = ACTIONS(2408),
    [anon_sym_BANG] = ACTIONS(2665),
    [anon_sym_DQUOTE] = ACTIONS(2408),
    [anon_sym_POUND] = ACTIONS(2414),
    [anon_sym_DOLLAR] = ACTIONS(2408),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2408),
    [anon_sym_COLON] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym_EQ] = ACTIONS(2408),
    [anon_sym_QMARK] = ACTIONS(2408),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_BSLASH] = ACTIONS(2417),
    [anon_sym_CARET] = ACTIONS(2408),
    [anon_sym__] = ACTIONS(2408),
    [anon_sym_BQUOTE] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_PIPE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_RPAREN] = ACTIONS(2408),
    [sym__newline_token] = ACTIONS(2420),
    [sym_uri_autolink] = ACTIONS(2662),
    [sym_email_autolink] = ACTIONS(2662),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2668),
    [anon_sym_LT_QMARK] = ACTIONS(2671),
    [aux_sym__declaration_token1] = ACTIONS(2429),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2674),
    [sym__whitespace_ge_2] = ACTIONS(2435),
    [aux_sym__whitespace_token1] = ACTIONS(2438),
    [sym__word_no_digit] = ACTIONS(2662),
    [sym__digits] = ACTIONS(2662),
    [sym_tag] = ACTIONS(2662),
    [sym__code_span_start] = ACTIONS(2441),
    [sym__emphasis_open_star] = ACTIONS(2403),
    [sym__emphasis_open_underscore] = ACTIONS(2403),
    [sym__emphasis_close_underscore] = ACTIONS(2403),
    [sym__strikethrough_open] = ACTIONS(2403),
    [sym__latex_span_start] = ACTIONS(2444),
    [sym__unclosed_span] = ACTIONS(2662),
  },
  [161] = {
    [sym_backslash_escape] = STATE(160),
    [sym_code_span] = STATE(160),
    [sym_latex_block] = STATE(160),
    [sym_image] = STATE(160),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1155),
    [sym__image_description_non_empty] = STATE(573),
    [sym__html_tag] = STATE(475),
    [sym__open_tag] = STATE(294),
    [sym__closing_tag] = STATE(294),
    [sym__html_comment] = STATE(294),
    [sym__processing_instruction] = STATE(294),
    [sym__declaration] = STATE(294),
    [sym__cdata_section] = STATE(294),
    [sym_hard_line_break] = STATE(160),
    [sym__whitespace] = STATE(160),
    [sym__word] = STATE(160),
    [sym__soft_line_break] = STATE(160),
    [sym__text_base] = STATE(160),
    [aux_sym__inline_base_repeat1] = STATE(160),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2677),
    [sym_numeric_character_reference] = ACTIONS(2677),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2677),
    [sym_email_autolink] = ACTIONS(2677),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2187),
    [anon_sym_LT_QMARK] = ACTIONS(2189),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2191),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2677),
    [sym__digits] = ACTIONS(2677),
    [sym_tag] = ACTIONS(2677),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2393),
    [sym__emphasis_open_underscore] = ACTIONS(2393),
    [sym__emphasis_close_underscore] = ACTIONS(2393),
    [sym__strikethrough_open] = ACTIONS(2393),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2677),
  },
  [162] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(534),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__text_base] = STATE(162),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(2595),
    [sym_entity_reference] = ACTIONS(2679),
    [sym_numeric_character_reference] = ACTIONS(2679),
    [anon_sym_RBRACK] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2601),
    [anon_sym_GT] = ACTIONS(2604),
    [anon_sym_BANG] = ACTIONS(2682),
    [anon_sym_DQUOTE] = ACTIONS(2604),
    [anon_sym_POUND] = ACTIONS(2610),
    [anon_sym_DOLLAR] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2604),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_COMMA] = ACTIONS(2604),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_DOT] = ACTIONS(2604),
    [anon_sym_SLASH] = ACTIONS(2604),
    [anon_sym_COLON] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2604),
    [anon_sym_EQ] = ACTIONS(2604),
    [anon_sym_QMARK] = ACTIONS(2604),
    [anon_sym_AT] = ACTIONS(2604),
    [anon_sym_BSLASH] = ACTIONS(2613),
    [anon_sym_CARET] = ACTIONS(2604),
    [anon_sym__] = ACTIONS(2604),
    [anon_sym_BQUOTE] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2604),
    [anon_sym_PIPE] = ACTIONS(2604),
    [anon_sym_RBRACE] = ACTIONS(2604),
    [anon_sym_TILDE] = ACTIONS(2604),
    [anon_sym_LPAREN] = ACTIONS(2604),
    [anon_sym_RPAREN] = ACTIONS(2604),
    [sym__newline_token] = ACTIONS(2616),
    [sym_uri_autolink] = ACTIONS(2679),
    [sym_email_autolink] = ACTIONS(2679),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2685),
    [anon_sym_LT_QMARK] = ACTIONS(2688),
    [aux_sym__declaration_token1] = ACTIONS(2625),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2691),
    [sym__whitespace_ge_2] = ACTIONS(2631),
    [aux_sym__whitespace_token1] = ACTIONS(2634),
    [sym__word_no_digit] = ACTIONS(2679),
    [sym__digits] = ACTIONS(2679),
    [sym_tag] = ACTIONS(2679),
    [sym__code_span_start] = ACTIONS(2637),
    [sym__emphasis_open_star] = ACTIONS(2403),
    [sym__emphasis_open_underscore] = ACTIONS(2403),
    [sym__strikethrough_open] = ACTIONS(2403),
    [sym__latex_span_start] = ACTIONS(2640),
    [sym__unclosed_span] = ACTIONS(2679),
  },
  [163] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(533),
    [sym__image_shortcut_link] = STATE(533),
    [sym__image_full_reference_link] = STATE(533),
    [sym__image_collapsed_reference_link] = STATE(533),
    [sym__image_description] = STATE(1153),
    [sym__image_description_non_empty] = STATE(534),
    [sym__html_tag] = STATE(535),
    [sym__open_tag] = STATE(574),
    [sym__closing_tag] = STATE(574),
    [sym__html_comment] = STATE(574),
    [sym__processing_instruction] = STATE(574),
    [sym__declaration] = STATE(574),
    [sym__cdata_section] = STATE(574),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__text_base] = STATE(162),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2694),
    [sym_numeric_character_reference] = ACTIONS(2694),
    [anon_sym_RBRACK] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2694),
    [sym_email_autolink] = ACTIONS(2694),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2329),
    [anon_sym_LT_QMARK] = ACTIONS(2331),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2333),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2694),
    [sym__digits] = ACTIONS(2694),
    [sym_tag] = ACTIONS(2694),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(2393),
    [sym__emphasis_open_underscore] = ACTIONS(2393),
    [sym__strikethrough_open] = ACTIONS(2393),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(2694),
  },
  [164] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__text_base] = STATE(165),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2696),
    [sym_numeric_character_reference] = ACTIONS(2696),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(654),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2696),
    [sym_email_autolink] = ACTIONS(2696),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2110),
    [anon_sym_LT_QMARK] = ACTIONS(2112),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2114),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2696),
    [sym__digits] = ACTIONS(2696),
    [sym_tag] = ACTIONS(2696),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2393),
    [sym__emphasis_open_underscore] = ACTIONS(2393),
    [sym__emphasis_close_star] = ACTIONS(2393),
    [sym__strikethrough_open] = ACTIONS(2393),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2696),
  },
  [165] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(387),
    [sym__image_shortcut_link] = STATE(387),
    [sym__image_full_reference_link] = STATE(387),
    [sym__image_collapsed_reference_link] = STATE(387),
    [sym__image_description] = STATE(1161),
    [sym__image_description_non_empty] = STATE(609),
    [sym__html_tag] = STATE(389),
    [sym__open_tag] = STATE(476),
    [sym__closing_tag] = STATE(476),
    [sym__html_comment] = STATE(476),
    [sym__processing_instruction] = STATE(476),
    [sym__declaration] = STATE(476),
    [sym__cdata_section] = STATE(476),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__text_base] = STATE(165),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(2447),
    [sym_entity_reference] = ACTIONS(2698),
    [sym_numeric_character_reference] = ACTIONS(2698),
    [anon_sym_LT] = ACTIONS(2453),
    [anon_sym_GT] = ACTIONS(2456),
    [anon_sym_BANG] = ACTIONS(2701),
    [anon_sym_DQUOTE] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2462),
    [anon_sym_DOLLAR] = ACTIONS(2456),
    [anon_sym_PERCENT] = ACTIONS(2456),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_COMMA] = ACTIONS(2456),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_DOT] = ACTIONS(2456),
    [anon_sym_SLASH] = ACTIONS(2456),
    [anon_sym_COLON] = ACTIONS(2456),
    [anon_sym_SEMI] = ACTIONS(2456),
    [anon_sym_EQ] = ACTIONS(2456),
    [anon_sym_QMARK] = ACTIONS(2456),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_BSLASH] = ACTIONS(2465),
    [anon_sym_CARET] = ACTIONS(2456),
    [anon_sym__] = ACTIONS(2456),
    [anon_sym_BQUOTE] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2456),
    [anon_sym_PIPE] = ACTIONS(2456),
    [anon_sym_RBRACE] = ACTIONS(2456),
    [anon_sym_TILDE] = ACTIONS(2456),
    [anon_sym_LPAREN] = ACTIONS(2456),
    [anon_sym_RPAREN] = ACTIONS(2456),
    [sym__newline_token] = ACTIONS(2468),
    [sym_uri_autolink] = ACTIONS(2698),
    [sym_email_autolink] = ACTIONS(2698),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2704),
    [anon_sym_LT_QMARK] = ACTIONS(2707),
    [aux_sym__declaration_token1] = ACTIONS(2477),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2710),
    [sym__whitespace_ge_2] = ACTIONS(2483),
    [aux_sym__whitespace_token1] = ACTIONS(2486),
    [sym__word_no_digit] = ACTIONS(2698),
    [sym__digits] = ACTIONS(2698),
    [sym_tag] = ACTIONS(2698),
    [sym__code_span_start] = ACTIONS(2489),
    [sym__emphasis_open_star] = ACTIONS(2403),
    [sym__emphasis_open_underscore] = ACTIONS(2403),
    [sym__emphasis_close_star] = ACTIONS(2403),
    [sym__strikethrough_open] = ACTIONS(2403),
    [sym__latex_span_start] = ACTIONS(2492),
    [sym__unclosed_span] = ACTIONS(2698),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 11,
    ACTIONS(2723), 1,
      sym__newline_token,
    ACTIONS(2728), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2730), 1,
      sym__whitespace_ge_2,
    ACTIONS(2733), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2715), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2736), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(761), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2717), 5,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    ACTIONS(2713), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2720), 25,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [82] = 10,
    ACTIONS(2723), 1,
      sym__newline_token,
    ACTIONS(2730), 1,
      sym__whitespace_ge_2,
    ACTIONS(2733), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2739), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2741), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(777), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2717), 5,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    ACTIONS(2713), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2720), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [162] = 12,
    ACTIONS(2744), 1,
      anon_sym_LBRACK,
    ACTIONS(2746), 1,
      anon_sym_RBRACK,
    ACTIONS(2754), 1,
      sym__newline_token,
    ACTIONS(2757), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2759), 1,
      sym__whitespace_ge_2,
    ACTIONS(2762), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2765), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2748), 4,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(762), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2713), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2751), 26,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [246] = 11,
    ACTIONS(2723), 1,
      sym__newline_token,
    ACTIONS(2730), 1,
      sym__whitespace_ge_2,
    ACTIONS(2733), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2739), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2715), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2741), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(777), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2717), 5,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    ACTIONS(2713), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2720), 25,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [328] = 12,
    ACTIONS(2744), 1,
      anon_sym_LBRACK,
    ACTIONS(2746), 1,
      anon_sym_RBRACK,
    ACTIONS(2754), 1,
      sym__newline_token,
    ACTIONS(2759), 1,
      sym__whitespace_ge_2,
    ACTIONS(2762), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2768), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2770), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2748), 4,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(778), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2713), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2751), 26,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [412] = 11,
    ACTIONS(2723), 1,
      sym__newline_token,
    ACTIONS(2730), 1,
      sym__whitespace_ge_2,
    ACTIONS(2733), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2773), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2715), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2775), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(798), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2717), 5,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    ACTIONS(2713), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2720), 25,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [494] = 12,
    ACTIONS(2744), 1,
      anon_sym_LBRACK,
    ACTIONS(2746), 1,
      anon_sym_RBRACK,
    ACTIONS(2754), 1,
      sym__newline_token,
    ACTIONS(2759), 1,
      sym__whitespace_ge_2,
    ACTIONS(2762), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2778), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2780), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2748), 4,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(799), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2713), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2751), 26,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [578] = 10,
    ACTIONS(2754), 1,
      sym__newline_token,
    ACTIONS(2759), 1,
      sym__whitespace_ge_2,
    ACTIONS(2762), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2768), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2770), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(778), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2748), 5,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2713), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2751), 27,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [658] = 10,
    ACTIONS(2723), 1,
      sym__newline_token,
    ACTIONS(2730), 1,
      sym__whitespace_ge_2,
    ACTIONS(2733), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2783), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2785), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(834), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2717), 5,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    ACTIONS(2713), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2720), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [738] = 10,
    ACTIONS(2754), 1,
      sym__newline_token,
    ACTIONS(2759), 1,
      sym__whitespace_ge_2,
    ACTIONS(2762), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2788), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2790), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(787), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2748), 5,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2713), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2751), 27,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [818] = 10,
    ACTIONS(2723), 1,
      sym__newline_token,
    ACTIONS(2730), 1,
      sym__whitespace_ge_2,
    ACTIONS(2733), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2773), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2775), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(798), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2717), 5,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    ACTIONS(2713), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2720), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [898] = 10,
    ACTIONS(2754), 1,
      sym__newline_token,
    ACTIONS(2759), 1,
      sym__whitespace_ge_2,
    ACTIONS(2762), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2778), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2780), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(799), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2748), 5,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2713), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2751), 27,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [978] = 10,
    ACTIONS(2723), 1,
      sym__newline_token,
    ACTIONS(2728), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2730), 1,
      sym__whitespace_ge_2,
    ACTIONS(2733), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2736), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(761), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2717), 5,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    ACTIONS(2713), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2720), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1058] = 10,
    ACTIONS(2754), 1,
      sym__newline_token,
    ACTIONS(2757), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2759), 1,
      sym__whitespace_ge_2,
    ACTIONS(2762), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2765), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(762), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2748), 5,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2713), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2751), 27,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1138] = 11,
    ACTIONS(2799), 1,
      anon_sym_DASH,
    ACTIONS(2802), 1,
      sym__newline_token,
    ACTIONS(2805), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2807), 1,
      sym__whitespace_ge_2,
    ACTIONS(2810), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2813), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(760), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2796), 4,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2713), 15,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2793), 26,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1219] = 12,
    ACTIONS(2802), 1,
      sym__newline_token,
    ACTIONS(2807), 1,
      sym__whitespace_ge_2,
    ACTIONS(2810), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2824), 1,
      anon_sym_DASH,
    ACTIONS(2827), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2816), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2829), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(776), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2818), 4,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2713), 15,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2821), 24,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1302] = 11,
    ACTIONS(2802), 1,
      sym__newline_token,
    ACTIONS(2807), 1,
      sym__whitespace_ge_2,
    ACTIONS(2810), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2838), 1,
      anon_sym_DASH,
    ACTIONS(2841), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2843), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(797), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2835), 4,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2713), 15,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2832), 26,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1383] = 10,
    ACTIONS(2723), 1,
      sym__newline_token,
    ACTIONS(2730), 1,
      sym__whitespace_ge_2,
    ACTIONS(2733), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2846), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2848), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(824), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2717), 5,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    ACTIONS(2713), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2720), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1462] = 10,
    ACTIONS(2754), 1,
      sym__newline_token,
    ACTIONS(2759), 1,
      sym__whitespace_ge_2,
    ACTIONS(2762), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2851), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2853), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(825), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2748), 5,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2713), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2751), 27,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1541] = 11,
    ACTIONS(2802), 1,
      sym__newline_token,
    ACTIONS(2807), 1,
      sym__whitespace_ge_2,
    ACTIONS(2810), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2862), 1,
      anon_sym_DASH,
    ACTIONS(2865), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2867), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(742), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2859), 4,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2713), 15,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2856), 26,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1622] = 12,
    ACTIONS(2802), 1,
      sym__newline_token,
    ACTIONS(2807), 1,
      sym__whitespace_ge_2,
    ACTIONS(2810), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2838), 1,
      anon_sym_DASH,
    ACTIONS(2841), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2843), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2870), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(797), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2835), 4,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2713), 15,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2832), 24,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1705] = 12,
    ACTIONS(2799), 1,
      anon_sym_DASH,
    ACTIONS(2802), 1,
      sym__newline_token,
    ACTIONS(2805), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2807), 1,
      sym__whitespace_ge_2,
    ACTIONS(2810), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2813), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2872), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(760), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2796), 4,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2713), 15,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2793), 24,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1788] = 11,
    ACTIONS(2802), 1,
      sym__newline_token,
    ACTIONS(2807), 1,
      sym__whitespace_ge_2,
    ACTIONS(2810), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2824), 1,
      anon_sym_DASH,
    ACTIONS(2827), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2829), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(776), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2818), 4,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2713), 15,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2821), 26,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1869] = 11,
    ACTIONS(2744), 1,
      anon_sym_LBRACK,
    ACTIONS(2754), 1,
      sym__newline_token,
    ACTIONS(2759), 1,
      sym__whitespace_ge_2,
    ACTIONS(2762), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2851), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2853), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(825), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2748), 5,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2713), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2751), 26,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1950] = 11,
    ACTIONS(2715), 1,
      anon_sym_LBRACK,
    ACTIONS(2723), 1,
      sym__newline_token,
    ACTIONS(2730), 1,
      sym__whitespace_ge_2,
    ACTIONS(2733), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2846), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2848), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(824), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2717), 5,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    ACTIONS(2713), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2720), 26,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2031] = 11,
    ACTIONS(2802), 1,
      sym__newline_token,
    ACTIONS(2807), 1,
      sym__whitespace_ge_2,
    ACTIONS(2810), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2880), 1,
      anon_sym_DASH,
    ACTIONS(2883), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2885), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(823), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2877), 4,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2713), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2874), 26,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2111] = 12,
    ACTIONS(2802), 1,
      sym__newline_token,
    ACTIONS(2807), 1,
      sym__whitespace_ge_2,
    ACTIONS(2810), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2880), 1,
      anon_sym_DASH,
    ACTIONS(2883), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2888), 1,
      anon_sym_LBRACK,
    ACTIONS(2885), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2726), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    STATE(823), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2877), 4,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2713), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym_tag,
    ACTIONS(2874), 25,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2193] = 5,
    ACTIONS(752), 1,
      sym__newline_token,
    ACTIONS(2890), 1,
      sym__last_token_punctuation,
    STATE(299), 1,
      sym__soft_line_break,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [2260] = 6,
    ACTIONS(2892), 1,
      sym__newline_token,
    ACTIONS(2895), 1,
      sym__whitespace_ge_2,
    ACTIONS(2898), 1,
      aux_sym__whitespace_token1,
    STATE(841), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2726), 7,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2713), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [2329] = 6,
    ACTIONS(2892), 1,
      sym__newline_token,
    ACTIONS(2895), 1,
      sym__whitespace_ge_2,
    ACTIONS(2898), 1,
      aux_sym__whitespace_token1,
    STATE(851), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2726), 7,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2713), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [2398] = 5,
    ACTIONS(21), 1,
      sym__newline_token,
    ACTIONS(2901), 1,
      sym__last_token_punctuation,
    STATE(498), 1,
      sym__soft_line_break,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [2465] = 5,
    ACTIONS(752), 1,
      sym__newline_token,
    ACTIONS(2907), 1,
      sym__last_token_whitespace,
    STATE(299), 1,
      sym__soft_line_break,
    ACTIONS(2905), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2903), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [2532] = 6,
    ACTIONS(2901), 1,
      sym__last_token_punctuation,
    ACTIONS(2909), 1,
      anon_sym_SLASH,
    ACTIONS(2912), 1,
      sym__word_no_digit,
    STATE(992), 1,
      sym__tag_name,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
      sym_tag,
  [2601] = 5,
    ACTIONS(658), 1,
      sym__newline_token,
    ACTIONS(2915), 1,
      sym__last_token_punctuation,
    STATE(527), 1,
      sym__soft_line_break,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [2668] = 6,
    ACTIONS(2892), 1,
      sym__newline_token,
    ACTIONS(2895), 1,
      sym__whitespace_ge_2,
    ACTIONS(2898), 1,
      aux_sym__whitespace_token1,
    STATE(867), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2726), 7,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2713), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [2737] = 6,
    ACTIONS(2912), 1,
      sym__word_no_digit,
    ACTIONS(2917), 1,
      anon_sym_SLASH,
    ACTIONS(2920), 1,
      sym__last_token_punctuation,
    STATE(995), 1,
      sym__tag_name,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
      sym_tag,
  [2806] = 6,
    ACTIONS(2912), 1,
      sym__word_no_digit,
    ACTIONS(2915), 1,
      sym__last_token_punctuation,
    ACTIONS(2922), 1,
      anon_sym_SLASH,
    STATE(981), 1,
      sym__tag_name,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
      sym_tag,
  [2875] = 6,
    ACTIONS(2892), 1,
      sym__newline_token,
    ACTIONS(2895), 1,
      sym__whitespace_ge_2,
    ACTIONS(2898), 1,
      aux_sym__whitespace_token1,
    STATE(843), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2726), 7,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2713), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [2944] = 5,
    ACTIONS(21), 1,
      sym__newline_token,
    ACTIONS(2925), 1,
      sym__last_token_whitespace,
    STATE(498), 1,
      sym__soft_line_break,
    ACTIONS(2905), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2903), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [3011] = 5,
    ACTIONS(702), 1,
      sym__newline_token,
    ACTIONS(2927), 1,
      sym__last_token_whitespace,
    STATE(489), 1,
      sym__soft_line_break,
    ACTIONS(2905), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2903), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [3078] = 5,
    ACTIONS(702), 1,
      sym__newline_token,
    ACTIONS(2920), 1,
      sym__last_token_punctuation,
    STATE(489), 1,
      sym__soft_line_break,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [3145] = 5,
    ACTIONS(658), 1,
      sym__newline_token,
    ACTIONS(2929), 1,
      sym__last_token_whitespace,
    STATE(527), 1,
      sym__soft_line_break,
    ACTIONS(2905), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2903), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [3212] = 6,
    ACTIONS(2890), 1,
      sym__last_token_punctuation,
    ACTIONS(2912), 1,
      sym__word_no_digit,
    ACTIONS(2931), 1,
      anon_sym_SLASH,
    STATE(996), 1,
      sym__tag_name,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
      sym_tag,
  [3281] = 4,
    ACTIONS(47), 1,
      anon_sym_RBRACK,
    ACTIONS(1486), 1,
      sym__last_token_punctuation,
    ACTIONS(2936), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2934), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [3345] = 3,
    ACTIONS(2901), 1,
      sym__last_token_punctuation,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [3407] = 6,
    ACTIONS(2912), 1,
      sym__word_no_digit,
    ACTIONS(2938), 1,
      anon_sym_SLASH,
    ACTIONS(2941), 1,
      sym__last_token_punctuation,
    STATE(989), 1,
      sym__tag_name,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
      sym_tag,
  [3475] = 3,
    ACTIONS(1486), 1,
      sym__last_token_punctuation,
    ACTIONS(2936), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2934), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [3537] = 3,
    ACTIONS(1410), 1,
      sym__last_token_punctuation,
    ACTIONS(2943), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(47), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [3599] = 3,
    ACTIONS(1486), 1,
      sym__last_token_punctuation,
    ACTIONS(2936), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2934), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [3661] = 3,
    ACTIONS(2915), 1,
      sym__last_token_punctuation,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [3723] = 4,
    ACTIONS(2920), 1,
      sym__last_token_punctuation,
    ACTIONS(2945), 1,
      anon_sym_LBRACK,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [3787] = 3,
    ACTIONS(2925), 1,
      sym__last_token_whitespace,
    ACTIONS(2905), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2903), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [3849] = 3,
    ACTIONS(2927), 1,
      sym__last_token_whitespace,
    ACTIONS(2905), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2903), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [3911] = 3,
    ACTIONS(1345), 1,
      sym__last_token_punctuation,
    ACTIONS(2948), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(570), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [3973] = 3,
    ACTIONS(2954), 1,
      sym__last_token_whitespace,
    ACTIONS(2952), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2950), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [4035] = 4,
    ACTIONS(2915), 1,
      sym__last_token_punctuation,
    ACTIONS(2956), 1,
      anon_sym_LBRACK,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [4099] = 3,
    ACTIONS(2907), 1,
      sym__last_token_whitespace,
    ACTIONS(2905), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2903), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [4161] = 3,
    ACTIONS(2959), 1,
      sym__last_token_whitespace,
    ACTIONS(2952), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2950), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [4223] = 3,
    ACTIONS(2961), 1,
      sym__last_token_whitespace,
    ACTIONS(2952), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2950), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [4285] = 3,
    ACTIONS(1475), 1,
      sym__last_token_punctuation,
    ACTIONS(2963), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(433), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [4347] = 3,
    ACTIONS(2929), 1,
      sym__last_token_whitespace,
    ACTIONS(2905), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2903), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [4409] = 6,
    ACTIONS(2892), 1,
      sym__newline_token,
    ACTIONS(2895), 1,
      sym__whitespace_ge_2,
    ACTIONS(2898), 1,
      aux_sym__whitespace_token1,
    STATE(855), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2726), 7,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2713), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [4477] = 5,
    ACTIONS(1120), 1,
      sym__newline_token,
    ACTIONS(2965), 1,
      sym__last_token_whitespace,
    STATE(539), 1,
      sym__soft_line_break,
    ACTIONS(2905), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2903), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [4543] = 3,
    ACTIONS(1486), 1,
      sym__last_token_punctuation,
    ACTIONS(2936), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2934), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [4605] = 3,
    ACTIONS(1486), 1,
      sym__last_token_punctuation,
    ACTIONS(2936), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2934), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [4667] = 4,
    ACTIONS(2890), 1,
      sym__last_token_punctuation,
    ACTIONS(2967), 1,
      anon_sym_LBRACK,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [4731] = 4,
    ACTIONS(47), 1,
      anon_sym_RBRACK,
    ACTIONS(1486), 1,
      sym__last_token_punctuation,
    ACTIONS(2936), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2934), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [4795] = 3,
    ACTIONS(1280), 1,
      sym__last_token_punctuation,
    ACTIONS(2970), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(236), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [4857] = 4,
    ACTIONS(2901), 1,
      sym__last_token_punctuation,
    ACTIONS(2972), 1,
      anon_sym_LBRACK,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [4921] = 3,
    ACTIONS(2920), 1,
      sym__last_token_punctuation,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [4983] = 3,
    ACTIONS(2890), 1,
      sym__last_token_punctuation,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [5045] = 5,
    ACTIONS(1120), 1,
      sym__newline_token,
    ACTIONS(2941), 1,
      sym__last_token_punctuation,
    STATE(539), 1,
      sym__soft_line_break,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [5111] = 3,
    ACTIONS(2975), 1,
      sym__last_token_whitespace,
    ACTIONS(2952), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2950), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [5173] = 4,
    ACTIONS(47), 1,
      anon_sym_RBRACK,
    ACTIONS(1486), 1,
      sym__last_token_punctuation,
    ACTIONS(2936), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2934), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [5237] = 2,
    ACTIONS(2979), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2977), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [5296] = 2,
    ACTIONS(2983), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2981), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [5355] = 2,
    ACTIONS(2987), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2985), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [5414] = 2,
    ACTIONS(2991), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2989), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [5473] = 2,
    ACTIONS(2995), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2993), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [5532] = 2,
    ACTIONS(2999), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2997), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [5591] = 2,
    ACTIONS(3003), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3001), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [5650] = 2,
    ACTIONS(3007), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3005), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [5709] = 2,
    ACTIONS(3011), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3009), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [5768] = 2,
    ACTIONS(3015), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3013), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [5827] = 2,
    ACTIONS(3019), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3017), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [5886] = 2,
    ACTIONS(3023), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3021), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [5945] = 2,
    ACTIONS(3027), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3025), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [6004] = 2,
    ACTIONS(3031), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3029), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [6063] = 2,
    ACTIONS(3035), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3033), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [6122] = 2,
    ACTIONS(3039), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3037), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [6181] = 2,
    ACTIONS(3043), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3041), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [6240] = 2,
    ACTIONS(3047), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3045), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [6299] = 2,
    ACTIONS(3051), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3049), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [6358] = 2,
    ACTIONS(3055), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3053), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [6417] = 2,
    ACTIONS(3047), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3045), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [6476] = 2,
    ACTIONS(3059), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3057), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [6535] = 2,
    ACTIONS(3063), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3061), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [6594] = 2,
    ACTIONS(2979), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2977), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [6653] = 2,
    ACTIONS(3067), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3065), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [6712] = 2,
    ACTIONS(3071), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3069), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [6771] = 2,
    ACTIONS(3075), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3073), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [6830] = 2,
    ACTIONS(3079), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3077), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [6889] = 2,
    ACTIONS(3083), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3081), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [6948] = 2,
    ACTIONS(3087), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3085), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [7007] = 2,
    ACTIONS(3091), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3089), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [7066] = 2,
    ACTIONS(3095), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3093), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [7125] = 2,
    ACTIONS(3099), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3097), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [7184] = 2,
    ACTIONS(3103), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3101), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [7243] = 2,
    ACTIONS(3107), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3105), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [7302] = 2,
    ACTIONS(3111), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3109), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [7361] = 2,
    ACTIONS(3115), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3113), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [7420] = 2,
    ACTIONS(3119), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3117), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [7479] = 2,
    ACTIONS(3123), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3121), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [7538] = 2,
    ACTIONS(3059), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3057), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [7597] = 2,
    ACTIONS(3063), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3061), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [7656] = 2,
    ACTIONS(2979), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2977), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [7715] = 2,
    ACTIONS(3067), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3065), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [7774] = 2,
    ACTIONS(3071), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3069), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [7833] = 2,
    ACTIONS(3075), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3073), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [7892] = 2,
    ACTIONS(3079), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3077), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [7951] = 2,
    ACTIONS(3083), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3081), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [8010] = 2,
    ACTIONS(3087), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3085), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [8069] = 2,
    ACTIONS(3091), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3089), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [8128] = 2,
    ACTIONS(3095), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3093), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [8187] = 3,
    ACTIONS(3127), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3130), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3125), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [8248] = 2,
    ACTIONS(3134), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3132), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [8307] = 3,
    ACTIONS(3138), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3141), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3136), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [8368] = 2,
    ACTIONS(3145), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3143), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [8427] = 2,
    ACTIONS(3149), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3147), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [8486] = 2,
    ACTIONS(3099), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3097), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [8545] = 2,
    ACTIONS(3153), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3151), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [8604] = 2,
    ACTIONS(3157), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3155), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [8663] = 2,
    ACTIONS(3161), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3159), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [8722] = 2,
    ACTIONS(3165), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [8781] = 2,
    ACTIONS(3169), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3167), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [8840] = 2,
    ACTIONS(3173), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3171), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [8899] = 2,
    ACTIONS(3177), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3175), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [8958] = 2,
    ACTIONS(3181), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3179), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [9017] = 2,
    ACTIONS(3185), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3183), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [9076] = 2,
    ACTIONS(3189), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3187), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [9135] = 2,
    ACTIONS(3193), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3191), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [9194] = 2,
    ACTIONS(3103), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3101), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [9253] = 2,
    ACTIONS(3197), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3195), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [9312] = 2,
    ACTIONS(3201), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3199), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [9371] = 2,
    ACTIONS(3205), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3203), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [9430] = 2,
    ACTIONS(3209), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3207), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [9489] = 2,
    ACTIONS(3213), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3211), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [9548] = 2,
    ACTIONS(3217), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3215), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [9607] = 2,
    ACTIONS(2983), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2981), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [9666] = 2,
    ACTIONS(2987), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2985), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [9725] = 2,
    ACTIONS(2991), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2989), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [9784] = 2,
    ACTIONS(2995), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2993), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [9843] = 2,
    ACTIONS(2999), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2997), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [9902] = 2,
    ACTIONS(3003), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3001), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [9961] = 2,
    ACTIONS(3007), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3005), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [10020] = 2,
    ACTIONS(3011), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3009), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [10079] = 2,
    ACTIONS(3015), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3013), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [10138] = 2,
    ACTIONS(3019), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3017), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [10197] = 2,
    ACTIONS(3023), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3021), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [10256] = 2,
    ACTIONS(3027), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3025), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [10315] = 2,
    ACTIONS(3031), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3029), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [10374] = 2,
    ACTIONS(3035), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3033), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [10433] = 2,
    ACTIONS(3039), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3037), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [10492] = 2,
    ACTIONS(3043), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3041), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [10551] = 2,
    ACTIONS(3107), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3105), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [10610] = 2,
    ACTIONS(3051), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3049), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [10669] = 2,
    ACTIONS(3055), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3053), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [10728] = 2,
    ACTIONS(3047), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3045), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [10787] = 2,
    ACTIONS(3059), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3057), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [10846] = 2,
    ACTIONS(3063), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3061), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [10905] = 2,
    ACTIONS(3111), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3109), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [10964] = 2,
    ACTIONS(3067), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3065), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [11023] = 2,
    ACTIONS(3071), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3069), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [11082] = 2,
    ACTIONS(3075), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3073), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [11141] = 2,
    ACTIONS(3079), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3077), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [11200] = 2,
    ACTIONS(3083), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3081), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [11259] = 2,
    ACTIONS(3087), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3085), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [11318] = 2,
    ACTIONS(3091), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3089), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [11377] = 2,
    ACTIONS(3095), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3093), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [11436] = 2,
    ACTIONS(3099), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3097), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [11495] = 2,
    ACTIONS(3103), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3101), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [11554] = 2,
    ACTIONS(3107), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3105), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [11613] = 2,
    ACTIONS(3111), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3109), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [11672] = 2,
    ACTIONS(3115), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3113), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [11731] = 2,
    ACTIONS(3119), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3117), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [11790] = 2,
    ACTIONS(3115), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3113), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [11849] = 2,
    ACTIONS(3119), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3117), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [11908] = 4,
    ACTIONS(2941), 1,
      sym__last_token_punctuation,
    ACTIONS(3219), 1,
      anon_sym_LBRACK,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [11971] = 2,
    ACTIONS(3123), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3121), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [12030] = 2,
    ACTIONS(2995), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2993), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [12089] = 2,
    ACTIONS(2999), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2997), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [12148] = 2,
    ACTIONS(3123), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3121), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [12207] = 2,
    ACTIONS(3213), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3211), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [12266] = 3,
    ACTIONS(1486), 1,
      sym__last_token_punctuation,
    ACTIONS(2943), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(47), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [12327] = 2,
    ACTIONS(3003), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3001), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [12386] = 2,
    ACTIONS(3007), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3005), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [12445] = 2,
    ACTIONS(3149), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3147), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [12504] = 2,
    ACTIONS(3011), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3009), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [12563] = 2,
    ACTIONS(3161), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3159), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [12622] = 2,
    ACTIONS(3169), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3167), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [12681] = 2,
    ACTIONS(3173), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3171), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [12740] = 2,
    ACTIONS(3177), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3175), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [12799] = 2,
    ACTIONS(3181), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3179), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [12858] = 2,
    ACTIONS(3185), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3183), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [12917] = 3,
    ACTIONS(3127), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3130), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3125), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [12978] = 2,
    ACTIONS(2991), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2989), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [13037] = 2,
    ACTIONS(2995), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2993), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [13096] = 2,
    ACTIONS(2999), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2997), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [13155] = 2,
    ACTIONS(3003), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3001), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [13214] = 2,
    ACTIONS(3007), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3005), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [13273] = 2,
    ACTIONS(3039), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3037), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [13332] = 2,
    ACTIONS(3043), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3041), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [13391] = 3,
    ACTIONS(1486), 1,
      sym__last_token_punctuation,
    ACTIONS(2936), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2934), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [13452] = 2,
    ACTIONS(3051), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3049), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [13511] = 2,
    ACTIONS(3055), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3053), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [13570] = 2,
    ACTIONS(3067), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3065), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [13629] = 2,
    ACTIONS(3071), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3069), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [13688] = 2,
    ACTIONS(3075), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3073), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [13747] = 2,
    ACTIONS(3087), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3085), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [13806] = 2,
    ACTIONS(3091), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3089), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [13865] = 4,
    ACTIONS(2915), 1,
      sym__last_token_punctuation,
    ACTIONS(3221), 1,
      anon_sym_LBRACK,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [13928] = 2,
    ACTIONS(3134), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3132), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [13987] = 3,
    ACTIONS(3138), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3141), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3136), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [14048] = 2,
    ACTIONS(3145), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3143), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [14107] = 2,
    ACTIONS(3015), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3013), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [14166] = 3,
    ACTIONS(2941), 1,
      sym__last_token_punctuation,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [14227] = 4,
    ACTIONS(2920), 1,
      sym__last_token_punctuation,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [14290] = 3,
    ACTIONS(3225), 1,
      sym__last_token_whitespace,
    ACTIONS(2952), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2950), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [14351] = 2,
    ACTIONS(3153), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3151), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [14410] = 2,
    ACTIONS(3157), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3155), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [14469] = 2,
    ACTIONS(3217), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3215), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [14528] = 2,
    ACTIONS(3189), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3187), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [14587] = 3,
    ACTIONS(2965), 1,
      sym__last_token_whitespace,
    ACTIONS(2905), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2903), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [14648] = 2,
    ACTIONS(3193), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3191), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [14707] = 2,
    ACTIONS(3019), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3017), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [14766] = 2,
    ACTIONS(3023), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3021), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [14825] = 2,
    ACTIONS(3197), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3195), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [14884] = 4,
    ACTIONS(2890), 1,
      sym__last_token_punctuation,
    ACTIONS(3227), 1,
      anon_sym_LBRACK,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [14947] = 13,
    ACTIONS(3232), 1,
      anon_sym_LT,
    ACTIONS(3238), 1,
      sym__newline_token,
    ACTIONS(3241), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3244), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3247), 1,
      aux_sym__declaration_token1,
    ACTIONS(3250), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3253), 1,
      sym__whitespace_ge_2,
    ACTIONS(3256), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3259), 1,
      sym__latex_span_close,
    ACTIONS(3229), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(404), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(774), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3235), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [15028] = 2,
    ACTIONS(3201), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3199), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [15087] = 2,
    ACTIONS(3205), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3203), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [15146] = 2,
    ACTIONS(3209), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3207), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [15205] = 2,
    ACTIONS(3213), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3211), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [15264] = 2,
    ACTIONS(3217), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3215), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [15323] = 4,
    ACTIONS(2941), 1,
      sym__last_token_punctuation,
    ACTIONS(3261), 1,
      anon_sym_LBRACK,
    ACTIONS(2726), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [15386] = 2,
    ACTIONS(2983), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2981), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [15445] = 2,
    ACTIONS(2987), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2985), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [15504] = 2,
    ACTIONS(3011), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3009), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [15563] = 2,
    ACTIONS(3015), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3013), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [15622] = 2,
    ACTIONS(3019), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3017), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [15681] = 2,
    ACTIONS(3023), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3021), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [15740] = 2,
    ACTIONS(3027), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3025), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [15799] = 2,
    ACTIONS(3031), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3029), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [15858] = 2,
    ACTIONS(3035), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3033), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [15917] = 2,
    ACTIONS(3027), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3025), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [15976] = 2,
    ACTIONS(3047), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3045), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [16035] = 13,
    ACTIONS(3266), 1,
      anon_sym_LT,
    ACTIONS(3270), 1,
      sym__newline_token,
    ACTIONS(3272), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3274), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3276), 1,
      aux_sym__declaration_token1,
    ACTIONS(3278), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3280), 1,
      sym__whitespace_ge_2,
    ACTIONS(3282), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3284), 1,
      sym__code_span_close,
    ACTIONS(3264), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(424), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(751), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3268), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [16116] = 13,
    ACTIONS(3288), 1,
      anon_sym_LT,
    ACTIONS(3292), 1,
      sym__newline_token,
    ACTIONS(3294), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3296), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3298), 1,
      aux_sym__declaration_token1,
    ACTIONS(3300), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3302), 1,
      sym__whitespace_ge_2,
    ACTIONS(3304), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3306), 1,
      sym__latex_span_close,
    ACTIONS(3286), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(430), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(774), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3290), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [16197] = 13,
    ACTIONS(3266), 1,
      anon_sym_LT,
    ACTIONS(3270), 1,
      sym__newline_token,
    ACTIONS(3272), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3274), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3276), 1,
      aux_sym__declaration_token1,
    ACTIONS(3278), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3280), 1,
      sym__whitespace_ge_2,
    ACTIONS(3282), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3310), 1,
      sym__code_span_close,
    ACTIONS(3308), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(515), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(751), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3268), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [16278] = 2,
    ACTIONS(3059), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3057), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [16337] = 3,
    ACTIONS(3316), 1,
      sym__emphasis_close_star,
    ACTIONS(3314), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3312), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [16398] = 3,
    ACTIONS(3319), 1,
      sym__emphasis_close_star,
    ACTIONS(3314), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3312), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [16459] = 3,
    ACTIONS(3326), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3324), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3322), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [16520] = 2,
    ACTIONS(3314), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3312), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [16579] = 13,
    ACTIONS(3288), 1,
      anon_sym_LT,
    ACTIONS(3292), 1,
      sym__newline_token,
    ACTIONS(3294), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3296), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3298), 1,
      aux_sym__declaration_token1,
    ACTIONS(3300), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3302), 1,
      sym__whitespace_ge_2,
    ACTIONS(3304), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3331), 1,
      sym__latex_span_close,
    ACTIONS(3329), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(404), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(774), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3290), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [16660] = 2,
    ACTIONS(3063), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3061), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [16719] = 2,
    ACTIONS(2979), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2977), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [16778] = 2,
    ACTIONS(3079), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3077), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [16837] = 2,
    ACTIONS(3083), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3081), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [16896] = 2,
    ACTIONS(3095), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3093), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [16955] = 2,
    ACTIONS(3099), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3097), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [17014] = 2,
    ACTIONS(3103), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3101), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [17073] = 2,
    ACTIONS(3107), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3105), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [17132] = 2,
    ACTIONS(3111), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3109), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [17191] = 2,
    ACTIONS(3115), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3113), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [17250] = 2,
    ACTIONS(3119), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3117), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [17309] = 13,
    ACTIONS(3266), 1,
      anon_sym_LT,
    ACTIONS(3270), 1,
      sym__newline_token,
    ACTIONS(3272), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3274), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3276), 1,
      aux_sym__declaration_token1,
    ACTIONS(3278), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3280), 1,
      sym__whitespace_ge_2,
    ACTIONS(3282), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3335), 1,
      sym__code_span_close,
    ACTIONS(3333), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(444), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(751), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3268), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [17390] = 13,
    ACTIONS(3288), 1,
      anon_sym_LT,
    ACTIONS(3292), 1,
      sym__newline_token,
    ACTIONS(3294), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3296), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3298), 1,
      aux_sym__declaration_token1,
    ACTIONS(3300), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3302), 1,
      sym__whitespace_ge_2,
    ACTIONS(3304), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3339), 1,
      sym__latex_span_close,
    ACTIONS(3337), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(450), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(774), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3290), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [17471] = 13,
    ACTIONS(3266), 1,
      anon_sym_LT,
    ACTIONS(3270), 1,
      sym__newline_token,
    ACTIONS(3272), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3274), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3276), 1,
      aux_sym__declaration_token1,
    ACTIONS(3278), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3280), 1,
      sym__whitespace_ge_2,
    ACTIONS(3282), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3341), 1,
      sym__code_span_close,
    ACTIONS(3308), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(515), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(751), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3268), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [17552] = 2,
    ACTIONS(3123), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3121), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [17611] = 3,
    ACTIONS(3343), 1,
      sym__emphasis_close_star,
    ACTIONS(3314), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3312), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [17672] = 2,
    ACTIONS(3031), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3029), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [17731] = 3,
    ACTIONS(3346), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3324), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3322), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [17792] = 2,
    ACTIONS(3035), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3033), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [17851] = 13,
    ACTIONS(3288), 1,
      anon_sym_LT,
    ACTIONS(3292), 1,
      sym__newline_token,
    ACTIONS(3294), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3296), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3298), 1,
      aux_sym__declaration_token1,
    ACTIONS(3300), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3302), 1,
      sym__whitespace_ge_2,
    ACTIONS(3304), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3349), 1,
      sym__latex_span_close,
    ACTIONS(3329), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(404), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(774), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3290), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [17932] = 2,
    ACTIONS(3217), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3215), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [17991] = 2,
    ACTIONS(3324), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3322), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [18050] = 3,
    ACTIONS(3351), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3324), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3322), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [18111] = 13,
    ACTIONS(3266), 1,
      anon_sym_LT,
    ACTIONS(3270), 1,
      sym__newline_token,
    ACTIONS(3272), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3274), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3276), 1,
      aux_sym__declaration_token1,
    ACTIONS(3278), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3280), 1,
      sym__whitespace_ge_2,
    ACTIONS(3282), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3354), 1,
      sym__code_span_close,
    ACTIONS(3308), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(515), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(751), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3268), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [18192] = 2,
    ACTIONS(2983), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2981), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [18251] = 2,
    ACTIONS(2987), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2985), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [18310] = 13,
    ACTIONS(3266), 1,
      anon_sym_LT,
    ACTIONS(3270), 1,
      sym__newline_token,
    ACTIONS(3272), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3274), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3276), 1,
      aux_sym__declaration_token1,
    ACTIONS(3278), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3280), 1,
      sym__whitespace_ge_2,
    ACTIONS(3282), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3358), 1,
      sym__code_span_close,
    ACTIONS(3356), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(454), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(751), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3268), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [18391] = 2,
    ACTIONS(2991), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2989), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [18450] = 2,
    ACTIONS(3039), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3037), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [18509] = 2,
    ACTIONS(3043), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3041), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [18568] = 4,
    ACTIONS(1486), 1,
      sym__last_token_punctuation,
    ACTIONS(3360), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(2943), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(47), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [18631] = 13,
    ACTIONS(3266), 1,
      anon_sym_LT,
    ACTIONS(3270), 1,
      sym__newline_token,
    ACTIONS(3272), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3274), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3276), 1,
      aux_sym__declaration_token1,
    ACTIONS(3278), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3280), 1,
      sym__whitespace_ge_2,
    ACTIONS(3282), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3364), 1,
      sym__code_span_close,
    ACTIONS(3362), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(464), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(751), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3268), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [18712] = 13,
    ACTIONS(3288), 1,
      anon_sym_LT,
    ACTIONS(3292), 1,
      sym__newline_token,
    ACTIONS(3294), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3296), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3298), 1,
      aux_sym__declaration_token1,
    ACTIONS(3300), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3302), 1,
      sym__whitespace_ge_2,
    ACTIONS(3304), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3368), 1,
      sym__latex_span_close,
    ACTIONS(3366), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(470), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(774), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3290), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [18793] = 13,
    ACTIONS(3266), 1,
      anon_sym_LT,
    ACTIONS(3270), 1,
      sym__newline_token,
    ACTIONS(3272), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3274), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3276), 1,
      aux_sym__declaration_token1,
    ACTIONS(3278), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3280), 1,
      sym__whitespace_ge_2,
    ACTIONS(3282), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3370), 1,
      sym__code_span_close,
    ACTIONS(3308), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(515), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(751), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3268), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [18874] = 3,
    ACTIONS(3127), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3130), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3125), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [18935] = 3,
    ACTIONS(3372), 1,
      sym__emphasis_close_star,
    ACTIONS(3314), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3312), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [18996] = 3,
    ACTIONS(3127), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3130), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3125), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [19057] = 3,
    ACTIONS(3375), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3324), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3322), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [19118] = 2,
    ACTIONS(3134), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3132), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [19177] = 13,
    ACTIONS(3288), 1,
      anon_sym_LT,
    ACTIONS(3292), 1,
      sym__newline_token,
    ACTIONS(3294), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3296), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3298), 1,
      aux_sym__declaration_token1,
    ACTIONS(3300), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3302), 1,
      sym__whitespace_ge_2,
    ACTIONS(3304), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3378), 1,
      sym__latex_span_close,
    ACTIONS(3329), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(404), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(774), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3290), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [19258] = 2,
    ACTIONS(3134), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3132), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [19317] = 2,
    ACTIONS(3153), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3151), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [19376] = 3,
    ACTIONS(3138), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3141), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3136), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [19437] = 3,
    ACTIONS(3138), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3141), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3136), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [19498] = 2,
    ACTIONS(3145), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3143), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [19557] = 2,
    ACTIONS(3149), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3147), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [19616] = 2,
    ACTIONS(3051), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3049), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [19675] = 2,
    ACTIONS(3382), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3380), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [19734] = 2,
    ACTIONS(3153), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3151), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [19793] = 2,
    ACTIONS(3157), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3155), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [19852] = 2,
    ACTIONS(3161), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3159), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [19911] = 13,
    ACTIONS(3266), 1,
      anon_sym_LT,
    ACTIONS(3270), 1,
      sym__newline_token,
    ACTIONS(3272), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3274), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3276), 1,
      aux_sym__declaration_token1,
    ACTIONS(3278), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3280), 1,
      sym__whitespace_ge_2,
    ACTIONS(3282), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3386), 1,
      sym__code_span_close,
    ACTIONS(3384), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(484), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(751), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3268), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [19992] = 13,
    ACTIONS(3288), 1,
      anon_sym_LT,
    ACTIONS(3292), 1,
      sym__newline_token,
    ACTIONS(3294), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3296), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3298), 1,
      aux_sym__declaration_token1,
    ACTIONS(3300), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3302), 1,
      sym__whitespace_ge_2,
    ACTIONS(3304), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3390), 1,
      sym__latex_span_close,
    ACTIONS(3388), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(490), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(774), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3290), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [20073] = 13,
    ACTIONS(3266), 1,
      anon_sym_LT,
    ACTIONS(3270), 1,
      sym__newline_token,
    ACTIONS(3272), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3274), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3276), 1,
      aux_sym__declaration_token1,
    ACTIONS(3278), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3280), 1,
      sym__whitespace_ge_2,
    ACTIONS(3282), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3392), 1,
      sym__code_span_close,
    ACTIONS(3308), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(515), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(751), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3268), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [20154] = 2,
    ACTIONS(3157), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3155), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [20213] = 3,
    ACTIONS(3394), 1,
      sym__emphasis_close_star,
    ACTIONS(3314), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3312), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [20274] = 13,
    ACTIONS(3288), 1,
      anon_sym_LT,
    ACTIONS(3292), 1,
      sym__newline_token,
    ACTIONS(3294), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3296), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3298), 1,
      aux_sym__declaration_token1,
    ACTIONS(3300), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3302), 1,
      sym__whitespace_ge_2,
    ACTIONS(3304), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3397), 1,
      sym__latex_span_close,
    ACTIONS(3329), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(404), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(774), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3290), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [20355] = 3,
    ACTIONS(3399), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3324), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3322), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [20416] = 2,
    ACTIONS(3165), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [20475] = 13,
    ACTIONS(3288), 1,
      anon_sym_LT,
    ACTIONS(3292), 1,
      sym__newline_token,
    ACTIONS(3294), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3296), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3298), 1,
      aux_sym__declaration_token1,
    ACTIONS(3300), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3302), 1,
      sym__whitespace_ge_2,
    ACTIONS(3304), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3402), 1,
      sym__latex_span_close,
    ACTIONS(3329), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(404), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(774), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3290), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [20556] = 2,
    ACTIONS(3169), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3167), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [20615] = 2,
    ACTIONS(3406), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3404), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [20674] = 2,
    ACTIONS(3410), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3408), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [20733] = 2,
    ACTIONS(3173), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3171), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [20792] = 2,
    ACTIONS(3177), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3175), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [20851] = 2,
    ACTIONS(3161), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3159), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [20910] = 2,
    ACTIONS(3145), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3143), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [20969] = 2,
    ACTIONS(3165), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [21028] = 2,
    ACTIONS(3169), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3167), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [21087] = 2,
    ACTIONS(3173), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3171), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [21146] = 2,
    ACTIONS(3177), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3175), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [21205] = 2,
    ACTIONS(3181), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3179), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [21264] = 2,
    ACTIONS(3181), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3179), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [21323] = 2,
    ACTIONS(3185), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3183), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [21382] = 2,
    ACTIONS(3189), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3187), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [21441] = 2,
    ACTIONS(3185), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3183), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [21500] = 2,
    ACTIONS(3189), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3187), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [21559] = 2,
    ACTIONS(3193), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3191), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [21618] = 2,
    ACTIONS(3149), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3147), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [21677] = 2,
    ACTIONS(3193), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3191), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [21736] = 2,
    ACTIONS(3055), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3053), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [21795] = 2,
    ACTIONS(3197), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3195), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [21854] = 2,
    ACTIONS(3201), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3199), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [21913] = 2,
    ACTIONS(3197), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3195), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [21972] = 13,
    ACTIONS(3259), 1,
      sym__code_span_close,
    ACTIONS(3415), 1,
      anon_sym_LT,
    ACTIONS(3421), 1,
      sym__newline_token,
    ACTIONS(3424), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3427), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3430), 1,
      aux_sym__declaration_token1,
    ACTIONS(3433), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3436), 1,
      sym__whitespace_ge_2,
    ACTIONS(3439), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3412), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(515), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(751), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3418), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [22053] = 2,
    ACTIONS(3444), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3442), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [22112] = 2,
    ACTIONS(3205), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3203), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [22171] = 2,
    ACTIONS(3209), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3207), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [22230] = 2,
    ACTIONS(3213), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3211), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [22289] = 2,
    ACTIONS(3448), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3446), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [22348] = 2,
    ACTIONS(3201), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3199), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [22407] = 13,
    ACTIONS(3288), 1,
      anon_sym_LT,
    ACTIONS(3292), 1,
      sym__newline_token,
    ACTIONS(3294), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3296), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3298), 1,
      aux_sym__declaration_token1,
    ACTIONS(3300), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3302), 1,
      sym__whitespace_ge_2,
    ACTIONS(3304), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3452), 1,
      sym__latex_span_close,
    ACTIONS(3450), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(487), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(774), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3290), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [22488] = 2,
    ACTIONS(3205), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3203), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [22547] = 2,
    ACTIONS(3456), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3454), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [22606] = 2,
    ACTIONS(3460), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3458), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [22665] = 2,
    ACTIONS(3209), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3207), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [22724] = 2,
    ACTIONS(3165), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [22783] = 2,
    ACTIONS(3051), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3049), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [22841] = 9,
    ACTIONS(3462), 1,
      sym__backslash_escape,
    ACTIONS(3466), 1,
      anon_sym_RBRACK,
    ACTIONS(3472), 1,
      sym__newline_token,
    ACTIONS(3474), 1,
      sym__whitespace_ge_2,
    ACTIONS(3476), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3468), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(531), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3464), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3470), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [22913] = 2,
    ACTIONS(3123), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3121), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [22971] = 9,
    ACTIONS(3462), 1,
      sym__backslash_escape,
    ACTIONS(3472), 1,
      sym__newline_token,
    ACTIONS(3474), 1,
      sym__whitespace_ge_2,
    ACTIONS(3476), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3480), 1,
      anon_sym_RBRACK,
    ACTIONS(3468), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(600), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3478), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3470), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [23043] = 3,
    ACTIONS(3127), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3130), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3125), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [23103] = 2,
    ACTIONS(3134), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3132), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [23161] = 4,
    ACTIONS(3138), 1,
      anon_sym_LPAREN,
    ACTIONS(3482), 1,
      anon_sym_LBRACK,
    ACTIONS(3141), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3136), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [23223] = 2,
    ACTIONS(3145), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3143), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [23281] = 2,
    ACTIONS(3153), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3151), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [23339] = 2,
    ACTIONS(3157), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3155), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [23397] = 2,
    ACTIONS(3444), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3442), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [23455] = 2,
    ACTIONS(3165), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [23513] = 2,
    ACTIONS(3456), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3454), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [23571] = 2,
    ACTIONS(3410), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3408), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [23629] = 2,
    ACTIONS(3189), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3187), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [23687] = 2,
    ACTIONS(3193), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3191), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [23745] = 2,
    ACTIONS(3197), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3195), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [23803] = 2,
    ACTIONS(3201), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3199), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [23861] = 2,
    ACTIONS(3205), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3203), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [23919] = 2,
    ACTIONS(3209), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3207), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [23977] = 2,
    ACTIONS(3213), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3211), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [24035] = 2,
    ACTIONS(3217), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3215), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [24093] = 2,
    ACTIONS(2983), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2981), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [24151] = 2,
    ACTIONS(2987), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2985), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [24209] = 2,
    ACTIONS(3011), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3009), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [24267] = 2,
    ACTIONS(3015), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3013), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [24325] = 2,
    ACTIONS(3019), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3017), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [24383] = 2,
    ACTIONS(3023), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3021), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [24441] = 2,
    ACTIONS(3027), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3025), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [24499] = 2,
    ACTIONS(3031), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3029), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [24557] = 2,
    ACTIONS(3035), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3033), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [24615] = 2,
    ACTIONS(3047), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3045), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [24673] = 2,
    ACTIONS(3059), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3057), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [24731] = 2,
    ACTIONS(3063), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3061), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [24789] = 2,
    ACTIONS(2979), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2977), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [24847] = 2,
    ACTIONS(3079), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3077), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [24905] = 2,
    ACTIONS(3083), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3081), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [24963] = 2,
    ACTIONS(3095), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3093), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [25021] = 2,
    ACTIONS(3099), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3097), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [25079] = 2,
    ACTIONS(3103), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3101), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [25137] = 2,
    ACTIONS(3107), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3105), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [25195] = 2,
    ACTIONS(3111), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3109), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [25253] = 2,
    ACTIONS(3115), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3113), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [25311] = 2,
    ACTIONS(3119), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3117), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [25369] = 9,
    ACTIONS(3462), 1,
      sym__backslash_escape,
    ACTIONS(3472), 1,
      sym__newline_token,
    ACTIONS(3474), 1,
      sym__whitespace_ge_2,
    ACTIONS(3476), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3484), 1,
      anon_sym_RBRACK,
    ACTIONS(3468), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(600), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3478), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3470), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [25441] = 4,
    ACTIONS(3138), 1,
      anon_sym_LPAREN,
    ACTIONS(3482), 1,
      anon_sym_LBRACK,
    ACTIONS(3141), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3136), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [25503] = 2,
    ACTIONS(3149), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3147), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [25561] = 2,
    ACTIONS(3161), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3159), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [25619] = 2,
    ACTIONS(3169), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3167), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [25677] = 2,
    ACTIONS(3173), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3171), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [25735] = 2,
    ACTIONS(3177), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3175), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [25793] = 2,
    ACTIONS(3181), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3179), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [25851] = 2,
    ACTIONS(3185), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3183), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [25909] = 9,
    ACTIONS(3462), 1,
      sym__backslash_escape,
    ACTIONS(3472), 1,
      sym__newline_token,
    ACTIONS(3474), 1,
      sym__whitespace_ge_2,
    ACTIONS(3476), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3486), 1,
      anon_sym_RBRACK,
    ACTIONS(3468), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(531), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3464), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3470), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [25981] = 2,
    ACTIONS(2991), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2989), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [26039] = 2,
    ACTIONS(2995), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2993), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [26097] = 2,
    ACTIONS(2999), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2997), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [26155] = 2,
    ACTIONS(3003), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3001), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [26213] = 2,
    ACTIONS(3007), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3005), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [26271] = 2,
    ACTIONS(3039), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3037), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [26329] = 2,
    ACTIONS(3043), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3041), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [26387] = 2,
    ACTIONS(3055), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3053), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [26445] = 2,
    ACTIONS(3067), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3065), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [26503] = 2,
    ACTIONS(3071), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3069), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [26561] = 2,
    ACTIONS(3075), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3073), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [26619] = 2,
    ACTIONS(3087), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3085), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [26677] = 2,
    ACTIONS(3091), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3089), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [26735] = 4,
    ACTIONS(3138), 1,
      anon_sym_LPAREN,
    ACTIONS(3482), 1,
      anon_sym_LBRACK,
    ACTIONS(3141), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3136), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [26797] = 3,
    ACTIONS(3138), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3141), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3136), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [26857] = 9,
    ACTIONS(3462), 1,
      sym__backslash_escape,
    ACTIONS(3472), 1,
      sym__newline_token,
    ACTIONS(3474), 1,
      sym__whitespace_ge_2,
    ACTIONS(3476), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3490), 1,
      anon_sym_RBRACK,
    ACTIONS(3468), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(599), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3488), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3470), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [26929] = 9,
    ACTIONS(3462), 1,
      sym__backslash_escape,
    ACTIONS(3472), 1,
      sym__newline_token,
    ACTIONS(3474), 1,
      sym__whitespace_ge_2,
    ACTIONS(3476), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3492), 1,
      anon_sym_RBRACK,
    ACTIONS(3468), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(599), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3488), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3470), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [27001] = 9,
    ACTIONS(3462), 1,
      sym__backslash_escape,
    ACTIONS(3472), 1,
      sym__newline_token,
    ACTIONS(3474), 1,
      sym__whitespace_ge_2,
    ACTIONS(3476), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3494), 1,
      anon_sym_RBRACK,
    ACTIONS(3468), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(600), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3478), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3470), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [27073] = 9,
    ACTIONS(3496), 1,
      sym__backslash_escape,
    ACTIONS(3502), 1,
      anon_sym_RBRACK,
    ACTIONS(3510), 1,
      sym__newline_token,
    ACTIONS(3513), 1,
      sym__whitespace_ge_2,
    ACTIONS(3516), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3504), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(600), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3499), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3507), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [27145] = 9,
    ACTIONS(3462), 1,
      sym__backslash_escape,
    ACTIONS(3472), 1,
      sym__newline_token,
    ACTIONS(3474), 1,
      sym__whitespace_ge_2,
    ACTIONS(3476), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3521), 1,
      anon_sym_RBRACK,
    ACTIONS(3468), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(603), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3519), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3470), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [27217] = 9,
    ACTIONS(3462), 1,
      sym__backslash_escape,
    ACTIONS(3472), 1,
      sym__newline_token,
    ACTIONS(3474), 1,
      sym__whitespace_ge_2,
    ACTIONS(3476), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3523), 1,
      anon_sym_RBRACK,
    ACTIONS(3468), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(603), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3519), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3470), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [27289] = 9,
    ACTIONS(3462), 1,
      sym__backslash_escape,
    ACTIONS(3472), 1,
      sym__newline_token,
    ACTIONS(3474), 1,
      sym__whitespace_ge_2,
    ACTIONS(3476), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3525), 1,
      anon_sym_RBRACK,
    ACTIONS(3468), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(600), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3478), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3470), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [27361] = 9,
    ACTIONS(3462), 1,
      sym__backslash_escape,
    ACTIONS(3472), 1,
      sym__newline_token,
    ACTIONS(3474), 1,
      sym__whitespace_ge_2,
    ACTIONS(3476), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3529), 1,
      anon_sym_RBRACK,
    ACTIONS(3468), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(606), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3527), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3470), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [27433] = 9,
    ACTIONS(3462), 1,
      sym__backslash_escape,
    ACTIONS(3472), 1,
      sym__newline_token,
    ACTIONS(3474), 1,
      sym__whitespace_ge_2,
    ACTIONS(3476), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3531), 1,
      anon_sym_RBRACK,
    ACTIONS(3468), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(606), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3527), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3470), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [27505] = 9,
    ACTIONS(3462), 1,
      sym__backslash_escape,
    ACTIONS(3472), 1,
      sym__newline_token,
    ACTIONS(3474), 1,
      sym__whitespace_ge_2,
    ACTIONS(3476), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3533), 1,
      anon_sym_RBRACK,
    ACTIONS(3468), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(600), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3478), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3470), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [27577] = 9,
    ACTIONS(3462), 1,
      sym__backslash_escape,
    ACTIONS(3472), 1,
      sym__newline_token,
    ACTIONS(3474), 1,
      sym__whitespace_ge_2,
    ACTIONS(3476), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3537), 1,
      anon_sym_RBRACK,
    ACTIONS(3468), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(572), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3535), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3470), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [27649] = 9,
    ACTIONS(3462), 1,
      sym__backslash_escape,
    ACTIONS(3472), 1,
      sym__newline_token,
    ACTIONS(3474), 1,
      sym__whitespace_ge_2,
    ACTIONS(3476), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3539), 1,
      anon_sym_RBRACK,
    ACTIONS(3468), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(572), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3535), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3470), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [27721] = 4,
    ACTIONS(3138), 1,
      anon_sym_LPAREN,
    ACTIONS(3482), 1,
      anon_sym_LBRACK,
    ACTIONS(3141), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3136), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [27783] = 2,
    ACTIONS(3543), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3541), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [27840] = 2,
    ACTIONS(3547), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3545), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [27897] = 2,
    ACTIONS(3551), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3549), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [27954] = 2,
    ACTIONS(3555), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3553), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28011] = 2,
    ACTIONS(3559), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3557), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28068] = 2,
    ACTIONS(3543), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3541), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28125] = 2,
    ACTIONS(3563), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3561), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28182] = 2,
    ACTIONS(3547), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3545), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28239] = 2,
    ACTIONS(3551), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3549), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28296] = 2,
    ACTIONS(3567), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3565), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28353] = 2,
    ACTIONS(3571), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3569), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28410] = 2,
    ACTIONS(3575), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3573), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28467] = 2,
    ACTIONS(3555), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3553), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28524] = 2,
    ACTIONS(3575), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3573), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28581] = 3,
    ACTIONS(3581), 1,
      sym__emphasis_close_star,
    ACTIONS(3579), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3577), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28640] = 3,
    ACTIONS(3587), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3585), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3583), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28699] = 2,
    ACTIONS(3591), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3589), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28756] = 2,
    ACTIONS(3595), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3593), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28813] = 2,
    ACTIONS(3543), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3541), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28870] = 2,
    ACTIONS(3585), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3583), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28927] = 2,
    ACTIONS(3551), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3549), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [28984] = 3,
    ACTIONS(3597), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3585), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3583), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [29043] = 3,
    ACTIONS(3599), 1,
      sym__emphasis_close_star,
    ACTIONS(3579), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3577), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [29102] = 3,
    ACTIONS(3601), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3585), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3583), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [29161] = 2,
    ACTIONS(3563), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3561), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [29218] = 2,
    ACTIONS(3563), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3561), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [29275] = 2,
    ACTIONS(3547), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3545), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [29332] = 3,
    ACTIONS(3603), 1,
      sym__emphasis_close_star,
    ACTIONS(3579), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3577), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [29391] = 3,
    ACTIONS(3605), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3585), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3583), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [29450] = 2,
    ACTIONS(3555), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3553), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [29507] = 2,
    ACTIONS(3567), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3565), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [29564] = 2,
    ACTIONS(3571), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3569), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [29621] = 2,
    ACTIONS(3551), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3549), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [29678] = 2,
    ACTIONS(3555), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3553), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [29735] = 2,
    ACTIONS(3543), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3541), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [29792] = 2,
    ACTIONS(3563), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3561), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [29849] = 2,
    ACTIONS(3547), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3545), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [29906] = 2,
    ACTIONS(3567), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3565), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [29963] = 2,
    ACTIONS(3579), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3577), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [30020] = 2,
    ACTIONS(3575), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3573), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [30077] = 2,
    ACTIONS(3571), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3569), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [30134] = 2,
    ACTIONS(3567), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3565), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [30191] = 2,
    ACTIONS(3571), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3569), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [30248] = 2,
    ACTIONS(3575), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3573), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [30305] = 3,
    ACTIONS(3607), 1,
      sym__emphasis_close_star,
    ACTIONS(3579), 8,
      anon_sym_LT,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3577), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
      sym_tag,
  [30364] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3625), 1,
      anon_sym_RPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    STATE(1053), 1,
      sym_link_destination,
    STATE(1054), 1,
      sym_link_title,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(674), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30445] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3633), 1,
      anon_sym_RPAREN,
    STATE(1092), 1,
      sym_link_destination,
    STATE(1121), 1,
      sym_link_title,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(712), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30526] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3635), 1,
      anon_sym_RPAREN,
    STATE(1038), 1,
      sym_link_destination,
    STATE(1039), 1,
      sym_link_title,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(660), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30607] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3637), 1,
      anon_sym_RPAREN,
    STATE(1041), 1,
      sym_link_destination,
    STATE(1042), 1,
      sym_link_title,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(661), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30688] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3639), 1,
      anon_sym_RPAREN,
    STATE(1034), 1,
      sym_link_destination,
    STATE(1035), 1,
      sym_link_title,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(712), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30769] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3641), 1,
      anon_sym_RPAREN,
    STATE(1058), 1,
      sym_link_destination,
    STATE(1061), 1,
      sym_link_title,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(712), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30850] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3643), 1,
      anon_sym_RPAREN,
    STATE(1083), 1,
      sym_link_destination,
    STATE(1084), 1,
      sym_link_title,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(712), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30931] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3645), 1,
      anon_sym_RPAREN,
    STATE(1115), 1,
      sym_link_destination,
    STATE(1117), 1,
      sym_link_title,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(666), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31012] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3647), 1,
      anon_sym_RPAREN,
    STATE(1049), 1,
      sym_link_title,
    STATE(1109), 1,
      sym_link_destination,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(656), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31093] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3649), 1,
      anon_sym_RPAREN,
    STATE(1119), 1,
      sym_link_destination,
    STATE(1120), 1,
      sym_link_title,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(667), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31174] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3651), 1,
      anon_sym_RPAREN,
    STATE(1021), 1,
      sym_link_title,
    STATE(1108), 1,
      sym_link_destination,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(659), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31255] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3653), 1,
      anon_sym_RPAREN,
    STATE(1131), 1,
      sym_link_destination,
    STATE(1133), 1,
      sym_link_title,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(712), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31336] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3655), 1,
      anon_sym_RPAREN,
    STATE(1068), 1,
      sym_link_title,
    STATE(1138), 1,
      sym_link_destination,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(712), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31417] = 15,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3661), 1,
      anon_sym_DQUOTE,
    ACTIONS(3665), 1,
      anon_sym_LPAREN,
    ACTIONS(3667), 1,
      anon_sym_RPAREN,
    ACTIONS(3670), 1,
      sym__newline_token,
    ACTIONS(3673), 1,
      sym__whitespace_ge_2,
    ACTIONS(3676), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3679), 1,
      sym__last_token_punctuation,
    STATE(839), 1,
      sym__soft_line_break,
    ACTIONS(3663), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(693), 2,
      sym__whitespace,
      aux_sym_link_title_repeat1,
    STATE(703), 2,
      sym__link_destination_parenthesis,
      aux_sym_link_destination_repeat2,
    STATE(876), 2,
      sym_backslash_escape,
      sym__word,
    ACTIONS(3657), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3659), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31496] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3681), 1,
      anon_sym_RPAREN,
    STATE(1106), 1,
      sym_link_destination,
    STATE(1107), 1,
      sym_link_title,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(671), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31577] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3683), 1,
      anon_sym_RPAREN,
    STATE(1111), 1,
      sym_link_destination,
    STATE(1112), 1,
      sym_link_title,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(672), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31658] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3685), 1,
      anon_sym_RPAREN,
    STATE(1132), 1,
      sym_link_destination,
    STATE(1134), 1,
      sym_link_title,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(712), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31739] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3687), 1,
      anon_sym_RPAREN,
    STATE(1020), 1,
      sym_link_title,
    STATE(1137), 1,
      sym_link_destination,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(712), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31820] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3689), 1,
      anon_sym_RPAREN,
    STATE(1056), 1,
      sym_link_destination,
    STATE(1057), 1,
      sym_link_title,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(675), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31901] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3691), 1,
      anon_sym_RPAREN,
    STATE(1064), 1,
      sym_link_destination,
    STATE(1065), 1,
      sym_link_title,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(712), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31982] = 16,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3615), 1,
      anon_sym_LT,
    ACTIONS(3617), 1,
      anon_sym_DQUOTE,
    ACTIONS(3621), 1,
      anon_sym_SQUOTE,
    ACTIONS(3623), 1,
      anon_sym_LPAREN,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3693), 1,
      anon_sym_RPAREN,
    STATE(1019), 1,
      sym_link_title,
    STATE(1067), 1,
      sym_link_destination,
    ACTIONS(3619), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(706), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(712), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3611), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3613), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [32063] = 15,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3661), 1,
      anon_sym_SQUOTE,
    ACTIONS(3670), 1,
      sym__newline_token,
    ACTIONS(3673), 1,
      sym__whitespace_ge_2,
    ACTIONS(3676), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3679), 1,
      sym__last_token_punctuation,
    ACTIONS(3701), 1,
      anon_sym_LPAREN,
    ACTIONS(3703), 1,
      anon_sym_RPAREN,
    STATE(847), 1,
      sym__soft_line_break,
    ACTIONS(3699), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(691), 2,
      sym__whitespace,
      aux_sym_link_title_repeat2,
    STATE(703), 2,
      sym__link_destination_parenthesis,
      aux_sym_link_destination_repeat2,
    STATE(882), 2,
      sym_backslash_escape,
      sym__word,
    ACTIONS(3695), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3697), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [32142] = 13,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(3714), 1,
      anon_sym_RPAREN,
    STATE(872), 1,
      sym__soft_line_break,
    ACTIONS(3710), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(700), 2,
      sym__whitespace,
      aux_sym_link_title_repeat3,
    STATE(854), 2,
      sym__link_destination_parenthesis,
      aux_sym_link_destination_repeat2,
    STATE(873), 2,
      sym_backslash_escape,
      sym__word,
    ACTIONS(3706), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3708), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [32216] = 3,
    ACTIONS(3716), 1,
      sym__last_token_whitespace,
    ACTIONS(2905), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(2903), 42,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [32270] = 3,
    ACTIONS(3718), 1,
      sym__last_token_whitespace,
    ACTIONS(2952), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(2950), 42,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [32324] = 9,
    ACTIONS(2754), 1,
      sym__newline_token,
    ACTIONS(2759), 1,
      sym__whitespace_ge_2,
    ACTIONS(2762), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3720), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2748), 2,
      anon_sym_RBRACK,
      anon_sym_LT,
    ACTIONS(3722), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(741), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2713), 5,
      sym__code_span_close,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2751), 30,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32390] = 9,
    ACTIONS(2723), 1,
      sym__newline_token,
    ACTIONS(2730), 1,
      sym__whitespace_ge_2,
    ACTIONS(2733), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3725), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2717), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3727), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(814), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2713), 5,
      sym__latex_span_close,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2720), 30,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32456] = 3,
    ACTIONS(3730), 1,
      sym__last_token_punctuation,
    ACTIONS(2726), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 42,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [32510] = 9,
    ACTIONS(2754), 1,
      sym__newline_token,
    ACTIONS(2759), 1,
      sym__whitespace_ge_2,
    ACTIONS(2762), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3732), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2748), 2,
      anon_sym_RBRACK,
      anon_sym_LT,
    ACTIONS(3734), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(815), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2713), 5,
      sym__latex_span_close,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2751), 30,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32576] = 9,
    ACTIONS(2723), 1,
      sym__newline_token,
    ACTIONS(2730), 1,
      sym__whitespace_ge_2,
    ACTIONS(2733), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3737), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2717), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3739), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(740), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2713), 5,
      sym__code_span_close,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2720), 30,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32642] = 2,
    ACTIONS(3123), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3121), 42,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [32693] = 10,
    ACTIONS(2802), 1,
      sym__newline_token,
    ACTIONS(2807), 1,
      sym__whitespace_ge_2,
    ACTIONS(2810), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3745), 1,
      anon_sym_LT,
    ACTIONS(3748), 1,
      anon_sym_DASH,
    ACTIONS(3751), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3753), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(813), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2713), 6,
      sym__latex_span_close,
      anon_sym_GT,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3742), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32760] = 2,
    ACTIONS(3169), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3167), 42,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [32811] = 2,
    ACTIONS(3161), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3159), 42,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [32862] = 2,
    ACTIONS(3185), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3183), 42,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [32913] = 10,
    ACTIONS(2802), 1,
      sym__newline_token,
    ACTIONS(2807), 1,
      sym__whitespace_ge_2,
    ACTIONS(2810), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3759), 1,
      anon_sym_LT,
    ACTIONS(3762), 1,
      anon_sym_DASH,
    ACTIONS(3765), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3767), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(739), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2713), 6,
      sym__code_span_close,
      anon_sym_GT,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3756), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32980] = 10,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3776), 1,
      anon_sym_SQUOTE,
    STATE(847), 1,
      sym__soft_line_break,
    ACTIONS(3774), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3770), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(697), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat2,
    ACTIONS(3772), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33046] = 10,
    ACTIONS(3778), 1,
      sym__backslash_escape,
    ACTIONS(3790), 1,
      anon_sym_LPAREN,
    ACTIONS(3793), 1,
      anon_sym_RPAREN,
    ACTIONS(3798), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3800), 1,
      sym__last_token_punctuation,
    ACTIONS(3787), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3796), 2,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3781), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(854), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3784), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [33112] = 10,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3776), 1,
      anon_sym_DQUOTE,
    STATE(839), 1,
      sym__soft_line_break,
    ACTIONS(3806), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3802), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(699), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat1,
    ACTIONS(3804), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33178] = 9,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3679), 1,
      sym__last_token_punctuation,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(3816), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3812), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3814), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3808), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(703), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3810), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [33242] = 10,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3820), 1,
      anon_sym_DQUOTE,
    STATE(839), 1,
      sym__soft_line_break,
    ACTIONS(3806), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3818), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(693), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat1,
    ACTIONS(3804), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33308] = 10,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3820), 1,
      anon_sym_SQUOTE,
    STATE(847), 1,
      sym__soft_line_break,
    ACTIONS(3774), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3822), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(691), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat2,
    ACTIONS(3772), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33374] = 10,
    ACTIONS(3824), 1,
      sym__backslash_escape,
    ACTIONS(3836), 1,
      anon_sym_SQUOTE,
    ACTIONS(3838), 1,
      sym__newline_token,
    ACTIONS(3841), 1,
      sym__whitespace_ge_2,
    ACTIONS(3844), 1,
      aux_sym__whitespace_token1,
    STATE(847), 1,
      sym__soft_line_break,
    ACTIONS(3833), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3827), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(697), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat2,
    ACTIONS(3830), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33440] = 10,
    ACTIONS(3847), 1,
      sym__backslash_escape,
    ACTIONS(3859), 1,
      anon_sym_LPAREN,
    ACTIONS(3862), 1,
      anon_sym_RPAREN,
    ACTIONS(3867), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3869), 1,
      sym__last_token_punctuation,
    ACTIONS(3856), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3865), 2,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3850), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(854), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3853), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [33506] = 10,
    ACTIONS(3871), 1,
      sym__backslash_escape,
    ACTIONS(3880), 1,
      anon_sym_DQUOTE,
    ACTIONS(3885), 1,
      sym__newline_token,
    ACTIONS(3888), 1,
      sym__whitespace_ge_2,
    ACTIONS(3891), 1,
      aux_sym__whitespace_token1,
    STATE(839), 1,
      sym__soft_line_break,
    ACTIONS(3882), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3874), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(699), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat1,
    ACTIONS(3877), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33572] = 10,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3776), 1,
      anon_sym_RPAREN,
    STATE(872), 1,
      sym__soft_line_break,
    ACTIONS(3898), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3894), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(701), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat3,
    ACTIONS(3896), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [33637] = 10,
    ACTIONS(3900), 1,
      sym__backslash_escape,
    ACTIONS(3912), 1,
      anon_sym_RPAREN,
    ACTIONS(3914), 1,
      sym__newline_token,
    ACTIONS(3917), 1,
      sym__whitespace_ge_2,
    ACTIONS(3920), 1,
      aux_sym__whitespace_token1,
    STATE(872), 1,
      sym__soft_line_break,
    ACTIONS(3909), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3903), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(701), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat3,
    ACTIONS(3906), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [33702] = 10,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3627), 1,
      sym__newline_token,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3820), 1,
      anon_sym_RPAREN,
    STATE(872), 1,
      sym__soft_line_break,
    ACTIONS(3898), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3923), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(700), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat3,
    ACTIONS(3896), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [33767] = 8,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(3929), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3812), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3927), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3925), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(710), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3810), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [33828] = 6,
    ACTIONS(2726), 1,
      anon_sym_LT,
    ACTIONS(2892), 1,
      sym__newline_token,
    ACTIONS(2895), 1,
      sym__whitespace_ge_2,
    ACTIONS(2898), 1,
      aux_sym__whitespace_token1,
    STATE(837), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2713), 38,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
  [33885] = 6,
    ACTIONS(2912), 1,
      sym__word_no_digit,
    ACTIONS(3931), 1,
      anon_sym_SLASH,
    ACTIONS(3934), 1,
      sym__last_token_punctuation,
    STATE(984), 1,
      sym__tag_name,
    ACTIONS(2726), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 38,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
  [33942] = 8,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(3816), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3812), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3814), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3808), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(703), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3810), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [34003] = 8,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(3929), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3812), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3927), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3936), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(711), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3810), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [34064] = 6,
    ACTIONS(2912), 1,
      sym__word_no_digit,
    ACTIONS(3938), 1,
      anon_sym_SLASH,
    ACTIONS(3941), 1,
      sym__last_token_punctuation,
    STATE(985), 1,
      sym__tag_name,
    ACTIONS(2726), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 38,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
  [34121] = 6,
    ACTIONS(2726), 1,
      anon_sym_LT,
    ACTIONS(2892), 1,
      sym__newline_token,
    ACTIONS(2895), 1,
      sym__whitespace_ge_2,
    ACTIONS(2898), 1,
      aux_sym__whitespace_token1,
    STATE(853), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2713), 38,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
  [34178] = 8,
    ACTIONS(3943), 1,
      sym__backslash_escape,
    ACTIONS(3955), 1,
      anon_sym_LPAREN,
    ACTIONS(3960), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3952), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3958), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3946), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(710), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3949), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [34239] = 8,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(3964), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3812), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3962), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3925), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(710), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3810), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [34300] = 6,
    ACTIONS(3970), 1,
      sym__newline_token,
    ACTIONS(3973), 1,
      sym__whitespace_ge_2,
    ACTIONS(3976), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3968), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(712), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3966), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__word_no_digit,
      sym__digits,
  [34356] = 3,
    ACTIONS(3941), 1,
      sym__last_token_punctuation,
    ACTIONS(2726), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34406] = 9,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3985), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3993), 1,
      sym__last_token_punctuation,
    ACTIONS(3991), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(805), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34468] = 9,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3995), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3999), 1,
      sym__last_token_punctuation,
    ACTIONS(3997), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(770), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34530] = 8,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4005), 1,
      anon_sym_GT,
    ACTIONS(4007), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4001), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(730), 5,
      sym_backslash_escape,
      sym__text_no_angle,
      sym__whitespace,
      sym__word,
      aux_sym_link_destination_repeat1,
    ACTIONS(4003), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34590] = 3,
    ACTIONS(3934), 1,
      sym__last_token_punctuation,
    ACTIONS(2726), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2713), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34640] = 3,
    ACTIONS(4009), 1,
      sym__last_token_whitespace,
    ACTIONS(2952), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2950), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34690] = 9,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4011), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4015), 1,
      sym__last_token_punctuation,
    ACTIONS(4013), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(753), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34752] = 9,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4017), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4021), 1,
      sym__last_token_punctuation,
    ACTIONS(4019), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(809), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34814] = 9,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4023), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4027), 1,
      sym__last_token_punctuation,
    ACTIONS(4025), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(784), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34876] = 9,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4029), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4033), 1,
      sym__last_token_punctuation,
    ACTIONS(4031), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(750), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34938] = 9,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4035), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4039), 1,
      sym__last_token_punctuation,
    ACTIONS(4037), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(788), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35000] = 9,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4041), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4045), 1,
      sym__last_token_punctuation,
    ACTIONS(4043), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(817), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35062] = 9,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4047), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4051), 1,
      sym__last_token_punctuation,
    ACTIONS(4049), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(819), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35124] = 9,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4053), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4057), 1,
      sym__last_token_punctuation,
    ACTIONS(4055), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(827), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35186] = 9,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4059), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4063), 1,
      sym__last_token_punctuation,
    ACTIONS(4061), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(828), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35248] = 3,
    ACTIONS(4065), 1,
      sym__last_token_whitespace,
    ACTIONS(2952), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2950), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35298] = 3,
    ACTIONS(4067), 1,
      sym__last_token_whitespace,
    ACTIONS(2905), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2903), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35348] = 8,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3629), 1,
      sym__whitespace_ge_2,
    ACTIONS(3631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4071), 1,
      anon_sym_GT,
    ACTIONS(4007), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4069), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(734), 5,
      sym_backslash_escape,
      sym__text_no_angle,
      sym__whitespace,
      sym__word,
      aux_sym_link_destination_repeat1,
    ACTIONS(4003), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35408] = 9,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4073), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4077), 1,
      sym__last_token_punctuation,
    ACTIONS(4075), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(769), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35470] = 9,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4079), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4083), 1,
      sym__last_token_punctuation,
    ACTIONS(4081), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(752), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35532] = 9,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4085), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4089), 1,
      sym__last_token_punctuation,
    ACTIONS(4087), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(766), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35594] = 8,
    ACTIONS(4091), 1,
      sym__backslash_escape,
    ACTIONS(4100), 1,
      anon_sym_GT,
    ACTIONS(4105), 1,
      sym__whitespace_ge_2,
    ACTIONS(4108), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4102), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4094), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(734), 5,
      sym_backslash_escape,
      sym__text_no_angle,
      sym__whitespace,
      sym__word,
      aux_sym_link_destination_repeat1,
    ACTIONS(4097), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35654] = 3,
    ACTIONS(4111), 1,
      sym__last_token_whitespace,
    ACTIONS(2905), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2903), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35704] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4113), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35763] = 2,
    ACTIONS(3091), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3089), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35810] = 2,
    ACTIONS(3091), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3089), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35857] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4029), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4031), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(750), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35916] = 8,
    ACTIONS(4117), 1,
      anon_sym_QMARK,
    ACTIONS(4119), 1,
      sym__newline_token,
    ACTIONS(4121), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4123), 1,
      sym__whitespace_ge_2,
    ACTIONS(4125), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4127), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(803), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2715), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35975] = 8,
    ACTIONS(2746), 1,
      anon_sym_RBRACK,
    ACTIONS(4129), 1,
      sym__newline_token,
    ACTIONS(4131), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4133), 1,
      sym__whitespace_ge_2,
    ACTIONS(4135), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4137), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(746), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2744), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36034] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4073), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4075), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(769), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36093] = 2,
    ACTIONS(2991), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2989), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36140] = 2,
    ACTIONS(2995), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2993), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36187] = 2,
    ACTIONS(2999), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2997), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36234] = 8,
    ACTIONS(4142), 1,
      anon_sym_RBRACK,
    ACTIONS(4145), 1,
      sym__newline_token,
    ACTIONS(4148), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4150), 1,
      sym__whitespace_ge_2,
    ACTIONS(4153), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4156), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(746), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(4139), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36293] = 2,
    ACTIONS(3003), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3001), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36340] = 2,
    ACTIONS(3007), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3005), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36387] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4011), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4013), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(753), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36446] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4011), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36505] = 2,
    ACTIONS(3149), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3147), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36552] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4159), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36611] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4161), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36670] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4161), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4163), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(755), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36729] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4165), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36788] = 8,
    ACTIONS(4170), 1,
      anon_sym_DASH,
    ACTIONS(4173), 1,
      sym__newline_token,
    ACTIONS(4176), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4178), 1,
      sym__whitespace_ge_2,
    ACTIONS(4181), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4184), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4167), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36847] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4159), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4187), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(831), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36906] = 2,
    ACTIONS(3169), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3167), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36953] = 2,
    ACTIONS(3173), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3171), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37000] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4085), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4087), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(766), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37059] = 8,
    ACTIONS(4117), 1,
      anon_sym_QMARK,
    ACTIONS(4119), 1,
      sym__newline_token,
    ACTIONS(4123), 1,
      sym__whitespace_ge_2,
    ACTIONS(4125), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4189), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4127), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(803), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2715), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37118] = 8,
    ACTIONS(2746), 1,
      anon_sym_RBRACK,
    ACTIONS(4129), 1,
      sym__newline_token,
    ACTIONS(4133), 1,
      sym__whitespace_ge_2,
    ACTIONS(4135), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4191), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4137), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(746), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2744), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37177] = 2,
    ACTIONS(3177), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3175), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37224] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4079), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4081), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(752), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37283] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3995), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3997), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(770), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37342] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3995), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37401] = 2,
    ACTIONS(3181), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3179), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37448] = 2,
    ACTIONS(3185), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3183), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37495] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4079), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37554] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4193), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37613] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4193), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4195), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(772), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37672] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4197), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37731] = 2,
    ACTIONS(3161), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3159), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37778] = 2,
    ACTIONS(3149), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3147), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37825] = 2,
    ACTIONS(3161), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3159), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37872] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4023), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4025), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(784), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37931] = 8,
    ACTIONS(4117), 1,
      anon_sym_QMARK,
    ACTIONS(4119), 1,
      sym__newline_token,
    ACTIONS(4123), 1,
      sym__whitespace_ge_2,
    ACTIONS(4125), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4199), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4127), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(803), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2715), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37990] = 8,
    ACTIONS(2746), 1,
      anon_sym_RBRACK,
    ACTIONS(4129), 1,
      sym__newline_token,
    ACTIONS(4133), 1,
      sym__whitespace_ge_2,
    ACTIONS(4135), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4201), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4137), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(746), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2744), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38049] = 2,
    ACTIONS(3169), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3167), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38096] = 2,
    ACTIONS(3173), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3171), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38143] = 2,
    ACTIONS(3177), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3175), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38190] = 2,
    ACTIONS(3181), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3179), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38237] = 2,
    ACTIONS(3185), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3183), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38284] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4035), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38343] = 2,
    ACTIONS(2991), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2989), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38390] = 2,
    ACTIONS(2995), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2993), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38437] = 8,
    ACTIONS(2746), 1,
      anon_sym_RBRACK,
    ACTIONS(4129), 1,
      sym__newline_token,
    ACTIONS(4133), 1,
      sym__whitespace_ge_2,
    ACTIONS(4135), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4203), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4137), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(746), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2744), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38496] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4205), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38555] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4205), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4207), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(790), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38614] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4209), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38673] = 2,
    ACTIONS(2999), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2997), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38720] = 2,
    ACTIONS(3003), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3001), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38767] = 2,
    ACTIONS(3007), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3005), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38814] = 2,
    ACTIONS(3039), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3037), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38861] = 2,
    ACTIONS(3043), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3041), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38908] = 2,
    ACTIONS(3039), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3037), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38955] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3985), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3991), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(805), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39014] = 8,
    ACTIONS(4117), 1,
      anon_sym_QMARK,
    ACTIONS(4119), 1,
      sym__newline_token,
    ACTIONS(4123), 1,
      sym__whitespace_ge_2,
    ACTIONS(4125), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4211), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4127), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(803), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2715), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39073] = 8,
    ACTIONS(2746), 1,
      anon_sym_RBRACK,
    ACTIONS(4129), 1,
      sym__newline_token,
    ACTIONS(4133), 1,
      sym__whitespace_ge_2,
    ACTIONS(4135), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4213), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4137), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(746), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2744), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39132] = 2,
    ACTIONS(3043), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3041), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [39179] = 2,
    ACTIONS(3051), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3049), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [39226] = 2,
    ACTIONS(3055), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3053), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [39273] = 8,
    ACTIONS(4148), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4218), 1,
      anon_sym_QMARK,
    ACTIONS(4221), 1,
      sym__newline_token,
    ACTIONS(4224), 1,
      sym__whitespace_ge_2,
    ACTIONS(4227), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4230), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(803), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(4215), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39332] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4017), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4019), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(809), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39391] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4017), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39450] = 2,
    ACTIONS(3051), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3049), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [39497] = 2,
    ACTIONS(3055), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3053), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [39544] = 2,
    ACTIONS(3067), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3065), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [39591] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4233), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39650] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4233), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4235), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(811), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39709] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4237), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39768] = 2,
    ACTIONS(3071), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3069), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [39815] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4041), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4043), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(817), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39874] = 8,
    ACTIONS(4117), 1,
      anon_sym_QMARK,
    ACTIONS(4119), 1,
      sym__newline_token,
    ACTIONS(4123), 1,
      sym__whitespace_ge_2,
    ACTIONS(4125), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4239), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4127), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(803), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2715), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39933] = 8,
    ACTIONS(2746), 1,
      anon_sym_RBRACK,
    ACTIONS(4129), 1,
      sym__newline_token,
    ACTIONS(4133), 1,
      sym__whitespace_ge_2,
    ACTIONS(4135), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4241), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4137), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(746), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2744), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39992] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4047), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4049), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(819), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40051] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4047), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40110] = 2,
    ACTIONS(3075), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3073), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [40157] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4243), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40216] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4243), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4245), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(821), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40275] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4247), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40334] = 2,
    ACTIONS(3087), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3085), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [40381] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4053), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4055), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(827), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40440] = 8,
    ACTIONS(4117), 1,
      anon_sym_QMARK,
    ACTIONS(4119), 1,
      sym__newline_token,
    ACTIONS(4123), 1,
      sym__whitespace_ge_2,
    ACTIONS(4125), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4249), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4127), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(803), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2715), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40499] = 8,
    ACTIONS(2746), 1,
      anon_sym_RBRACK,
    ACTIONS(4129), 1,
      sym__newline_token,
    ACTIONS(4133), 1,
      sym__whitespace_ge_2,
    ACTIONS(4135), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4251), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4137), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(746), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2744), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40558] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4059), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4061), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(828), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40617] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4059), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40676] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4253), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40735] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4253), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4255), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(736), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40794] = 2,
    ACTIONS(3067), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3065), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [40841] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4257), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4115), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40900] = 2,
    ACTIONS(3071), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3069), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [40947] = 2,
    ACTIONS(3075), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3073), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [40994] = 8,
    ACTIONS(4117), 1,
      anon_sym_QMARK,
    ACTIONS(4119), 1,
      sym__newline_token,
    ACTIONS(4123), 1,
      sym__whitespace_ge_2,
    ACTIONS(4125), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4259), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4127), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(803), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2715), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41053] = 2,
    ACTIONS(3087), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3085), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41100] = 8,
    ACTIONS(3981), 1,
      anon_sym_DASH,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4035), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4037), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(788), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3979), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41159] = 7,
    ACTIONS(4263), 1,
      anon_sym_GT,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4271), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(870), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4261), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41215] = 3,
    ACTIONS(3869), 1,
      sym__last_token_punctuation,
    ACTIONS(3867), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3865), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41263] = 4,
    ACTIONS(4273), 1,
      sym__newline_token,
    STATE(1181), 1,
      sym__soft_line_break,
    ACTIONS(3867), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3865), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41313] = 7,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4276), 1,
      anon_sym_GT,
    ACTIONS(4278), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(864), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4261), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41369] = 7,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4280), 1,
      anon_sym_GT,
    ACTIONS(4282), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(849), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4261), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41425] = 7,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4284), 1,
      anon_sym_GT,
    ACTIONS(4278), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(864), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4261), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41481] = 7,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4286), 1,
      anon_sym_GT,
    ACTIONS(4288), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(866), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4261), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41537] = 3,
    ACTIONS(4296), 1,
      sym__last_token_punctuation,
    ACTIONS(4293), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4290), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41585] = 7,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4300), 1,
      anon_sym_SQUOTE,
    ACTIONS(4302), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(852), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat1,
    ACTIONS(4298), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41641] = 3,
    ACTIONS(3800), 1,
      sym__last_token_punctuation,
    ACTIONS(3798), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3796), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41689] = 4,
    ACTIONS(4304), 1,
      sym__newline_token,
    STATE(1193), 1,
      sym__soft_line_break,
    ACTIONS(3798), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3796), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41739] = 7,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4309), 1,
      anon_sym_DQUOTE,
    ACTIONS(4311), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(856), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat2,
    ACTIONS(4307), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41795] = 7,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4313), 1,
      anon_sym_GT,
    ACTIONS(4278), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(864), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4261), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41851] = 6,
    ACTIONS(4321), 1,
      anon_sym_LPAREN,
    ACTIONS(4325), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4327), 1,
      sym__last_token_punctuation,
    ACTIONS(4318), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4323), 2,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4315), 34,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__word_no_digit,
      sym__digits,
  [41905] = 7,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4329), 1,
      anon_sym_GT,
    ACTIONS(4331), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(858), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4261), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41961] = 7,
    ACTIONS(4336), 1,
      anon_sym_SQUOTE,
    ACTIONS(4338), 1,
      sym__newline_token,
    ACTIONS(4341), 1,
      sym__whitespace_ge_2,
    ACTIONS(4344), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4347), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(852), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat1,
    ACTIONS(4333), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [42017] = 7,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4350), 1,
      anon_sym_GT,
    ACTIONS(4352), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(842), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4261), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [42073] = 7,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4354), 1,
      anon_sym_RPAREN,
    ACTIONS(3812), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3925), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(710), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3810), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [42129] = 7,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4356), 1,
      anon_sym_GT,
    ACTIONS(4358), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(860), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4261), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [42185] = 7,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4300), 1,
      anon_sym_DQUOTE,
    ACTIONS(4360), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(865), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat2,
    ACTIONS(4307), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [42241] = 7,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4309), 1,
      anon_sym_SQUOTE,
    ACTIONS(4362), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(845), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat1,
    ACTIONS(4298), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [42297] = 7,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4364), 1,
      anon_sym_GT,
    ACTIONS(4278), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(864), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4261), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [42353] = 3,
    ACTIONS(4366), 1,
      sym__last_token_whitespace,
    ACTIONS(2952), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(2950), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42401] = 7,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4368), 1,
      anon_sym_GT,
    ACTIONS(4278), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(864), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4261), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [42457] = 3,
    ACTIONS(4376), 1,
      sym__last_token_punctuation,
    ACTIONS(4373), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4370), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42505] = 3,
    ACTIONS(4378), 1,
      sym__last_token_whitespace,
    ACTIONS(2905), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(2903), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42553] = 5,
    ACTIONS(4385), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4388), 1,
      sym__last_token_punctuation,
    ACTIONS(4380), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4382), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4321), 34,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      sym__word_no_digit,
      sym__digits,
  [42605] = 7,
    ACTIONS(4393), 1,
      anon_sym_GT,
    ACTIONS(4395), 1,
      sym__newline_token,
    ACTIONS(4398), 1,
      sym__whitespace_ge_2,
    ACTIONS(4401), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4404), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(864), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4390), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [42661] = 7,
    ACTIONS(4410), 1,
      anon_sym_DQUOTE,
    ACTIONS(4412), 1,
      sym__newline_token,
    ACTIONS(4415), 1,
      sym__whitespace_ge_2,
    ACTIONS(4418), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4421), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(865), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat2,
    ACTIONS(4407), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [42717] = 7,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4424), 1,
      anon_sym_GT,
    ACTIONS(4278), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(864), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4261), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [42773] = 7,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4426), 1,
      anon_sym_GT,
    ACTIONS(4428), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(840), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4261), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [42829] = 3,
    ACTIONS(4388), 1,
      sym__last_token_punctuation,
    ACTIONS(4380), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4321), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42877] = 7,
    ACTIONS(3609), 1,
      sym__backslash_escape,
    ACTIONS(3712), 1,
      anon_sym_LPAREN,
    ACTIONS(4432), 1,
      anon_sym_RPAREN,
    ACTIONS(3812), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4430), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(854), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3810), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [42933] = 7,
    ACTIONS(4265), 1,
      sym__newline_token,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4434), 1,
      anon_sym_GT,
    ACTIONS(4278), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(864), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4261), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [42989] = 2,
    ACTIONS(4439), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4436), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43034] = 4,
    ACTIONS(4442), 1,
      sym__newline_token,
    STATE(1190), 1,
      sym__soft_line_break,
    ACTIONS(4325), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4323), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43083] = 5,
    ACTIONS(4321), 1,
      anon_sym_LPAREN,
    ACTIONS(4325), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4318), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4323), 2,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4315), 34,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__word_no_digit,
      sym__digits,
  [43134] = 4,
    ACTIONS(4452), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4447), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4449), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4445), 34,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      sym__word_no_digit,
      sym__digits,
  [43183] = 2,
    ACTIONS(4457), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4455), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43228] = 2,
    ACTIONS(4373), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4370), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43273] = 3,
    ACTIONS(4459), 1,
      sym__last_token_punctuation,
    ACTIONS(4325), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4323), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43320] = 2,
    ACTIONS(4463), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4461), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43365] = 2,
    ACTIONS(3169), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3167), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43410] = 2,
    ACTIONS(3185), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3183), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43455] = 2,
    ACTIONS(3123), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3121), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43500] = 2,
    ACTIONS(4293), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4290), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43545] = 2,
    ACTIONS(3960), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3958), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43590] = 2,
    ACTIONS(4447), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4445), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43635] = 2,
    ACTIONS(4467), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4465), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43680] = 2,
    ACTIONS(4469), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3880), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43725] = 2,
    ACTIONS(4474), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4471), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43770] = 2,
    ACTIONS(4477), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3836), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43815] = 5,
    ACTIONS(3958), 1,
      anon_sym_LPAREN,
    ACTIONS(4485), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3912), 2,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4482), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4479), 34,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__word_no_digit,
      sym__digits,
  [43866] = 3,
    ACTIONS(4487), 1,
      sym__last_token_whitespace,
    ACTIONS(2952), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(2950), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43912] = 3,
    ACTIONS(4489), 1,
      sym__last_token_whitespace,
    ACTIONS(2905), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(2903), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43958] = 3,
    ACTIONS(4495), 1,
      sym__last_token_punctuation,
    ACTIONS(4493), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(4491), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44004] = 3,
    ACTIONS(4497), 1,
      sym__last_token_whitespace,
    ACTIONS(2952), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(2950), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44050] = 3,
    ACTIONS(4503), 1,
      sym__last_token_punctuation,
    ACTIONS(4501), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(4499), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44096] = 3,
    ACTIONS(4507), 1,
      sym__last_token_punctuation,
    ACTIONS(4505), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(4176), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44142] = 3,
    ACTIONS(4509), 1,
      sym__last_token_whitespace,
    ACTIONS(2905), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(2903), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44188] = 2,
    ACTIONS(4513), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4511), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44232] = 3,
    ACTIONS(4515), 1,
      sym__last_token_whitespace,
    ACTIONS(2952), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(2950), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44278] = 6,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4495), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(910), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(4517), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [44330] = 3,
    ACTIONS(4523), 1,
      sym__last_token_punctuation,
    ACTIONS(4521), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4519), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44376] = 2,
    ACTIONS(4485), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3912), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44420] = 3,
    ACTIONS(4525), 1,
      sym__last_token_punctuation,
    ACTIONS(4501), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(4499), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44466] = 3,
    ACTIONS(4527), 1,
      sym__last_token_whitespace,
    ACTIONS(2905), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(2903), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44512] = 3,
    ACTIONS(4531), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4533), 1,
      sym__last_token_punctuation,
    ACTIONS(4529), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44557] = 3,
    ACTIONS(4537), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4539), 1,
      sym__last_token_punctuation,
    ACTIONS(4535), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44602] = 7,
    ACTIONS(4546), 1,
      sym__whitespace_ge_2,
    ACTIONS(4549), 1,
      aux_sym__whitespace_token1,
    STATE(906), 1,
      aux_sym__wiki_link_destination,
    ACTIONS(4541), 2,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    ACTIONS(4552), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(950), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4543), 29,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [44655] = 7,
    ACTIONS(4555), 1,
      anon_sym_RBRACK,
    ACTIONS(4560), 1,
      sym__whitespace_ge_2,
    ACTIONS(4563), 1,
      aux_sym__whitespace_token1,
    STATE(907), 1,
      aux_sym__wiki_link_text,
    ACTIONS(4566), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(952), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4557), 30,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [44708] = 2,
    ACTIONS(3169), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(3167), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44751] = 2,
    ACTIONS(3185), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(3183), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44794] = 2,
    ACTIONS(4505), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(4176), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44837] = 2,
    ACTIONS(4569), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(4148), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44880] = 7,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4571), 1,
      anon_sym_RBRACK,
    STATE(907), 1,
      aux_sym__wiki_link_text,
    ACTIONS(4575), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(952), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4573), 30,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [44933] = 2,
    ACTIONS(3169), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(3167), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44976] = 8,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4577), 1,
      anon_sym_RBRACK,
    ACTIONS(4581), 1,
      anon_sym_PIPE,
    STATE(906), 1,
      aux_sym__wiki_link_destination,
    ACTIONS(4583), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(950), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4579), 29,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [45031] = 2,
    ACTIONS(3185), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(3183), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [45074] = 2,
    ACTIONS(4569), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(4148), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [45117] = 2,
    ACTIONS(3185), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(3183), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [45160] = 7,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4585), 1,
      anon_sym_RBRACK,
    STATE(907), 1,
      aux_sym__wiki_link_text,
    ACTIONS(4575), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(952), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4573), 30,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [45213] = 3,
    ACTIONS(2952), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4587), 1,
      sym__last_token_whitespace,
    ACTIONS(2950), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [45258] = 2,
    ACTIONS(4591), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(4589), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [45301] = 8,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4593), 1,
      anon_sym_RBRACK,
    ACTIONS(4595), 1,
      anon_sym_PIPE,
    STATE(906), 1,
      aux_sym__wiki_link_destination,
    ACTIONS(4583), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(950), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4579), 29,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [45356] = 7,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4597), 1,
      anon_sym_RBRACK,
    STATE(907), 1,
      aux_sym__wiki_link_text,
    ACTIONS(4575), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(952), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4573), 30,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [45409] = 3,
    ACTIONS(2905), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4599), 1,
      sym__last_token_whitespace,
    ACTIONS(2903), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [45454] = 2,
    ACTIONS(4603), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4601), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [45497] = 8,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4605), 1,
      anon_sym_RBRACK,
    ACTIONS(4607), 1,
      anon_sym_PIPE,
    STATE(906), 1,
      aux_sym__wiki_link_destination,
    ACTIONS(4583), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(950), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4579), 29,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [45552] = 7,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4609), 1,
      anon_sym_RBRACK,
    STATE(907), 1,
      aux_sym__wiki_link_text,
    ACTIONS(4575), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(952), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4573), 30,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [45605] = 3,
    ACTIONS(4613), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4615), 1,
      sym__last_token_punctuation,
    ACTIONS(4611), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [45650] = 8,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4617), 1,
      anon_sym_RBRACK,
    ACTIONS(4619), 1,
      anon_sym_PIPE,
    STATE(906), 1,
      aux_sym__wiki_link_destination,
    ACTIONS(4583), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(950), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4579), 29,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [45705] = 7,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4621), 1,
      anon_sym_RBRACK,
    STATE(907), 1,
      aux_sym__wiki_link_text,
    ACTIONS(4575), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(952), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4573), 30,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [45758] = 2,
    ACTIONS(3169), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(3167), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [45801] = 8,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4623), 1,
      anon_sym_RBRACK,
    ACTIONS(4625), 1,
      anon_sym_PIPE,
    STATE(906), 1,
      aux_sym__wiki_link_destination,
    ACTIONS(4583), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(950), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4579), 29,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [45856] = 2,
    ACTIONS(4627), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4393), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [45898] = 2,
    ACTIONS(4629), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4336), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [45940] = 2,
    ACTIONS(4631), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4410), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [45982] = 6,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    STATE(912), 1,
      aux_sym__wiki_link_text,
    ACTIONS(4575), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(952), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4573), 30,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [46032] = 2,
    ACTIONS(3169), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3167), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [46074] = 2,
    ACTIONS(3185), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3183), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [46116] = 6,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    STATE(918), 1,
      aux_sym__wiki_link_text,
    ACTIONS(4575), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(952), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4573), 30,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [46166] = 6,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    STATE(922), 1,
      aux_sym__wiki_link_text,
    ACTIONS(4575), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(952), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4573), 30,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [46216] = 6,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    STATE(926), 1,
      aux_sym__wiki_link_text,
    ACTIONS(4575), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(952), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4573), 30,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [46266] = 6,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    STATE(929), 1,
      aux_sym__wiki_link_text,
    ACTIONS(4575), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(952), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4573), 30,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [46316] = 6,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    STATE(914), 1,
      aux_sym__wiki_link_destination,
    ACTIONS(4583), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(950), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4579), 29,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [46365] = 6,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    STATE(925), 1,
      aux_sym__wiki_link_destination,
    ACTIONS(4583), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(950), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4579), 29,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [46414] = 3,
    ACTIONS(4635), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4637), 1,
      sym__last_token_punctuation,
    ACTIONS(4633), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [46457] = 3,
    ACTIONS(4641), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4643), 1,
      sym__last_token_punctuation,
    ACTIONS(4639), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [46500] = 6,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    STATE(931), 1,
      aux_sym__wiki_link_destination,
    ACTIONS(4583), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(950), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4579), 29,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [46549] = 6,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    STATE(928), 1,
      aux_sym__wiki_link_destination,
    ACTIONS(4583), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(950), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4579), 29,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [46598] = 6,
    ACTIONS(4267), 1,
      sym__whitespace_ge_2,
    ACTIONS(4269), 1,
      aux_sym__whitespace_token1,
    STATE(921), 1,
      aux_sym__wiki_link_destination,
    ACTIONS(4583), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(950), 2,
      sym__whitespace,
      sym__word,
    ACTIONS(4579), 29,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [46647] = 2,
    ACTIONS(4645), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4541), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [46687] = 2,
    ACTIONS(4635), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4633), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [46727] = 2,
    ACTIONS(4647), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4555), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [46767] = 2,
    ACTIONS(4641), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4639), 34,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [46807] = 1,
    ACTIONS(4649), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [46841] = 1,
    ACTIONS(4651), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [46875] = 1,
    ACTIONS(4653), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [46909] = 1,
    ACTIONS(4655), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [46943] = 1,
    ACTIONS(4657), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [46977] = 1,
    ACTIONS(4659), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [47011] = 1,
    ACTIONS(4661), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [47045] = 5,
    ACTIONS(4663), 1,
      sym__newline_token,
    ACTIONS(4666), 1,
      sym__whitespace_ge_2,
    ACTIONS(4669), 1,
      aux_sym__whitespace_token1,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3966), 6,
      anon_sym_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [47068] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4678), 1,
      anon_sym_RPAREN,
    STATE(1073), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47098] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4680), 1,
      anon_sym_RPAREN,
    STATE(1071), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47128] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4682), 1,
      anon_sym_RPAREN,
    STATE(1097), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47158] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4684), 1,
      anon_sym_RPAREN,
    STATE(1099), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47188] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4686), 1,
      anon_sym_RPAREN,
    STATE(1022), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47218] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4688), 1,
      anon_sym_RPAREN,
    STATE(1025), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47248] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4690), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47278] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4692), 1,
      anon_sym_RPAREN,
    STATE(1030), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47308] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4694), 1,
      anon_sym_RPAREN,
    STATE(1045), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47338] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4696), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47368] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4698), 1,
      anon_sym_RPAREN,
    STATE(1139), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47398] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4700), 1,
      anon_sym_RPAREN,
    STATE(1085), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47428] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4702), 1,
      anon_sym_RPAREN,
    STATE(1091), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47458] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4704), 1,
      anon_sym_RPAREN,
    STATE(1044), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47488] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4706), 1,
      anon_sym_RPAREN,
    STATE(1070), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47518] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4708), 1,
      anon_sym_RPAREN,
    STATE(1052), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47548] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4710), 1,
      anon_sym_RPAREN,
    STATE(1077), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47578] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4712), 1,
      anon_sym_RPAREN,
    STATE(1079), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47608] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4714), 1,
      anon_sym_RPAREN,
    STATE(1043), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47638] = 9,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE,
    ACTIONS(4676), 1,
      anon_sym_LPAREN,
    ACTIONS(4716), 1,
      anon_sym_RPAREN,
    STATE(1036), 1,
      sym_link_title,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47668] = 7,
    ACTIONS(4718), 1,
      anon_sym_GT,
    ACTIONS(4720), 1,
      anon_sym_SLASH,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    STATE(997), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(1007), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47693] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4728), 1,
      anon_sym_GT,
    ACTIONS(4730), 1,
      anon_sym_SLASH,
    STATE(983), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(1006), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47718] = 6,
    ACTIONS(4734), 1,
      sym__newline_token,
    ACTIONS(4737), 1,
      sym__whitespace_ge_2,
    ACTIONS(4740), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4732), 2,
      anon_sym_GT,
      anon_sym_SLASH,
    STATE(983), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(1118), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47741] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4743), 1,
      anon_sym_GT,
    ACTIONS(4745), 1,
      anon_sym_SLASH,
    STATE(987), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(1014), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47766] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4747), 1,
      anon_sym_GT,
    ACTIONS(4749), 1,
      anon_sym_SLASH,
    STATE(986), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(1003), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47791] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4751), 1,
      anon_sym_GT,
    ACTIONS(4753), 1,
      anon_sym_SLASH,
    STATE(983), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(1013), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47816] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4755), 1,
      anon_sym_GT,
    ACTIONS(4757), 1,
      anon_sym_SLASH,
    STATE(983), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(1016), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47841] = 8,
    ACTIONS(4759), 1,
      anon_sym_DQUOTE,
    ACTIONS(4761), 1,
      anon_sym_SQUOTE,
    ACTIONS(4763), 1,
      sym__newline_token,
    ACTIONS(4765), 1,
      aux_sym__attribute_value_token1,
    ACTIONS(4767), 1,
      sym__whitespace_ge_2,
    ACTIONS(4769), 1,
      aux_sym__whitespace_token1,
    STATE(1144), 1,
      sym__attribute_value,
    STATE(991), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47868] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4771), 1,
      anon_sym_GT,
    ACTIONS(4773), 1,
      anon_sym_SLASH,
    STATE(990), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(1002), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47893] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4775), 1,
      anon_sym_GT,
    ACTIONS(4777), 1,
      anon_sym_SLASH,
    STATE(983), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(1000), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47918] = 8,
    ACTIONS(4759), 1,
      anon_sym_DQUOTE,
    ACTIONS(4761), 1,
      anon_sym_SQUOTE,
    ACTIONS(4763), 1,
      sym__newline_token,
    ACTIONS(4767), 1,
      sym__whitespace_ge_2,
    ACTIONS(4769), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4779), 1,
      aux_sym__attribute_value_token1,
    STATE(1147), 1,
      sym__attribute_value,
    STATE(1011), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47945] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4781), 1,
      anon_sym_GT,
    ACTIONS(4783), 1,
      anon_sym_SLASH,
    STATE(993), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(1004), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47970] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4785), 1,
      anon_sym_GT,
    ACTIONS(4787), 1,
      anon_sym_SLASH,
    STATE(983), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(1001), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47995] = 8,
    ACTIONS(4759), 1,
      anon_sym_DQUOTE,
    ACTIONS(4761), 1,
      anon_sym_SQUOTE,
    ACTIONS(4763), 1,
      sym__newline_token,
    ACTIONS(4767), 1,
      sym__whitespace_ge_2,
    ACTIONS(4769), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4789), 1,
      aux_sym__attribute_value_token1,
    STATE(1146), 1,
      sym__attribute_value,
    STATE(999), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48022] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4791), 1,
      anon_sym_GT,
    ACTIONS(4793), 1,
      anon_sym_SLASH,
    STATE(982), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(1015), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48047] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4795), 1,
      anon_sym_GT,
    ACTIONS(4797), 1,
      anon_sym_SLASH,
    STATE(998), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(1012), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48072] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4799), 1,
      anon_sym_GT,
    ACTIONS(4801), 1,
      anon_sym_SLASH,
    STATE(983), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(1009), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48097] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4803), 1,
      anon_sym_GT,
    ACTIONS(4805), 1,
      anon_sym_SLASH,
    STATE(983), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(1018), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48122] = 8,
    ACTIONS(4759), 1,
      anon_sym_DQUOTE,
    ACTIONS(4761), 1,
      anon_sym_SQUOTE,
    ACTIONS(4763), 1,
      sym__newline_token,
    ACTIONS(4765), 1,
      aux_sym__attribute_value_token1,
    ACTIONS(4767), 1,
      sym__whitespace_ge_2,
    ACTIONS(4769), 1,
      aux_sym__whitespace_token1,
    STATE(1144), 1,
      sym__attribute_value,
    STATE(1011), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48149] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4807), 1,
      anon_sym_GT,
    ACTIONS(4809), 1,
      anon_sym_SLASH,
    ACTIONS(4811), 1,
      sym__attribute_name,
    STATE(1008), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48173] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4811), 1,
      sym__attribute_name,
    ACTIONS(4813), 1,
      anon_sym_GT,
    ACTIONS(4815), 1,
      anon_sym_SLASH,
    STATE(1008), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48197] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4775), 1,
      anon_sym_GT,
    ACTIONS(4777), 1,
      anon_sym_SLASH,
    ACTIONS(4811), 1,
      sym__attribute_name,
    STATE(1008), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48221] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4751), 1,
      anon_sym_GT,
    ACTIONS(4753), 1,
      anon_sym_SLASH,
    ACTIONS(4811), 1,
      sym__attribute_name,
    STATE(1008), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48245] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4785), 1,
      anon_sym_GT,
    ACTIONS(4787), 1,
      anon_sym_SLASH,
    ACTIONS(4811), 1,
      sym__attribute_name,
    STATE(1008), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48269] = 4,
    ACTIONS(4822), 1,
      aux_sym__whitespace_token1,
    STATE(1005), 1,
      aux_sym__tag_name_repeat1,
    ACTIONS(4819), 3,
      anon_sym_DASH,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(4817), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [48287] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4811), 1,
      sym__attribute_name,
    ACTIONS(4824), 1,
      anon_sym_GT,
    ACTIONS(4826), 1,
      anon_sym_SLASH,
    STATE(1008), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48311] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4799), 1,
      anon_sym_GT,
    ACTIONS(4801), 1,
      anon_sym_SLASH,
    ACTIONS(4811), 1,
      sym__attribute_name,
    STATE(1008), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48335] = 5,
    ACTIONS(4828), 1,
      sym__newline_token,
    ACTIONS(4831), 1,
      sym__whitespace_ge_2,
    ACTIONS(4834), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3966), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__attribute_name,
    STATE(1008), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48355] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4811), 1,
      sym__attribute_name,
    ACTIONS(4837), 1,
      anon_sym_GT,
    ACTIONS(4839), 1,
      anon_sym_SLASH,
    STATE(1008), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48379] = 4,
    ACTIONS(4845), 1,
      aux_sym__whitespace_token1,
    STATE(1017), 1,
      aux_sym__tag_name_repeat1,
    ACTIONS(4843), 3,
      anon_sym_DASH,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(4841), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [48397] = 5,
    ACTIONS(4847), 1,
      sym__newline_token,
    ACTIONS(4850), 1,
      sym__whitespace_ge_2,
    ACTIONS(4853), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3966), 3,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym__attribute_value_token1,
    STATE(1011), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48417] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4803), 1,
      anon_sym_GT,
    ACTIONS(4805), 1,
      anon_sym_SLASH,
    ACTIONS(4811), 1,
      sym__attribute_name,
    STATE(1008), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48441] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4811), 1,
      sym__attribute_name,
    ACTIONS(4856), 1,
      anon_sym_GT,
    ACTIONS(4858), 1,
      anon_sym_SLASH,
    STATE(1008), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48465] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4755), 1,
      anon_sym_GT,
    ACTIONS(4757), 1,
      anon_sym_SLASH,
    ACTIONS(4811), 1,
      sym__attribute_name,
    STATE(1008), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48489] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4728), 1,
      anon_sym_GT,
    ACTIONS(4730), 1,
      anon_sym_SLASH,
    ACTIONS(4811), 1,
      sym__attribute_name,
    STATE(1008), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48513] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4811), 1,
      sym__attribute_name,
    ACTIONS(4860), 1,
      anon_sym_GT,
    ACTIONS(4862), 1,
      anon_sym_SLASH,
    STATE(1008), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48537] = 4,
    ACTIONS(4868), 1,
      aux_sym__whitespace_token1,
    STATE(1005), 1,
      aux_sym__tag_name_repeat1,
    ACTIONS(4866), 3,
      anon_sym_DASH,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(4864), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [48555] = 7,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4811), 1,
      sym__attribute_name,
    ACTIONS(4870), 1,
      anon_sym_GT,
    ACTIONS(4872), 1,
      anon_sym_SLASH,
    STATE(1008), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48579] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4678), 1,
      anon_sym_RPAREN,
    STATE(1075), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48597] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4688), 1,
      anon_sym_RPAREN,
    STATE(1026), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48615] = 5,
    ACTIONS(3639), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(1033), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48633] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4690), 1,
      anon_sym_RPAREN,
    STATE(1027), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48651] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4874), 1,
      anon_sym_GT,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48669] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4690), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48687] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4692), 1,
      anon_sym_RPAREN,
    STATE(1029), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48705] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4692), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48723] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4876), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48741] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4876), 1,
      anon_sym_RPAREN,
    STATE(1031), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48759] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4878), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48777] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4878), 1,
      anon_sym_RPAREN,
    STATE(1032), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48795] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4880), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48813] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4882), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48831] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4716), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48849] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4716), 1,
      anon_sym_RPAREN,
    STATE(969), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48867] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4716), 1,
      anon_sym_RPAREN,
    STATE(1126), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48885] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4694), 1,
      anon_sym_RPAREN,
    STATE(1129), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48903] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4884), 1,
      anon_sym_GT,
    STATE(1123), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48921] = 5,
    ACTIONS(3641), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(972), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48939] = 5,
    ACTIONS(3641), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(1055), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48957] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4708), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48975] = 5,
    ACTIONS(3643), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(973), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48993] = 5,
    ACTIONS(3643), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(1069), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49011] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4680), 1,
      anon_sym_RPAREN,
    STATE(1062), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49029] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4708), 1,
      anon_sym_RPAREN,
    STATE(1050), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49047] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4886), 1,
      anon_sym_RPAREN,
    STATE(1060), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49065] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4888), 1,
      anon_sym_GT,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49083] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4680), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49101] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4890), 1,
      anon_sym_GT,
    STATE(1059), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49119] = 5,
    ACTIONS(3633), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(1082), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49137] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4892), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49155] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4894), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49173] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4892), 1,
      anon_sym_RPAREN,
    STATE(1088), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49191] = 5,
    ACTIONS(3691), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(975), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49209] = 5,
    ACTIONS(3691), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(1063), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49227] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4700), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49245] = 5,
    ACTIONS(3693), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(961), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49263] = 5,
    ACTIONS(3693), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(1066), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49281] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4700), 1,
      anon_sym_RPAREN,
    STATE(963), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49299] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4896), 1,
      anon_sym_GT,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49317] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4898), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49335] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4700), 1,
      anon_sym_RPAREN,
    STATE(1090), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49353] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4900), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49371] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4706), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49389] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4706), 1,
      anon_sym_RPAREN,
    STATE(977), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49407] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4706), 1,
      anon_sym_RPAREN,
    STATE(1072), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49425] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4678), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49443] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4678), 1,
      anon_sym_RPAREN,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49461] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4714), 1,
      anon_sym_RPAREN,
    STATE(1047), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49479] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4702), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49497] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4710), 1,
      anon_sym_RPAREN,
    STATE(1076), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49515] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4900), 1,
      anon_sym_RPAREN,
    STATE(1089), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49533] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4710), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49551] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4712), 1,
      anon_sym_RPAREN,
    STATE(1078), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49569] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4902), 1,
      anon_sym_EQ,
    STATE(1116), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49587] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4712), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49605] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4904), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49623] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4904), 1,
      anon_sym_RPAREN,
    STATE(1080), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49641] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4906), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49659] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4906), 1,
      anon_sym_RPAREN,
    STATE(1081), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49677] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4908), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49695] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4910), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49713] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4698), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49731] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4702), 1,
      anon_sym_RPAREN,
    STATE(964), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49749] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4702), 1,
      anon_sym_RPAREN,
    STATE(1095), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49767] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4682), 1,
      anon_sym_RPAREN,
    STATE(1096), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49785] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4912), 1,
      anon_sym_GT,
    STATE(1093), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49803] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4914), 1,
      anon_sym_GT,
    STATE(1124), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49821] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4916), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49839] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4918), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49857] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4682), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49875] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4684), 1,
      anon_sym_RPAREN,
    STATE(1098), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49893] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4698), 1,
      anon_sym_RPAREN,
    STATE(970), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49911] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4920), 1,
      anon_sym_GT,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49929] = 3,
    ACTIONS(2905), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4922), 1,
      sym__last_token_whitespace,
    ACTIONS(2903), 5,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__attribute_name,
      sym__whitespace_ge_2,
  [49943] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4684), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49961] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4924), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49979] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4924), 1,
      anon_sym_RPAREN,
    STATE(1100), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [49997] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4926), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50015] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4926), 1,
      anon_sym_RPAREN,
    STATE(1101), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50033] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4928), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50051] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4930), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50069] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4932), 1,
      anon_sym_GT,
    STATE(1105), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50087] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4696), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50105] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4934), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50123] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4936), 1,
      anon_sym_GT,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50141] = 5,
    ACTIONS(3685), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(965), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50159] = 5,
    ACTIONS(3685), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(1130), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50177] = 5,
    ACTIONS(3639), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(980), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50195] = 5,
    ACTIONS(3633), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50213] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4938), 1,
      anon_sym_GT,
    STATE(1023), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50231] = 5,
    ACTIONS(3687), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(966), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50249] = 5,
    ACTIONS(3687), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(1135), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50267] = 3,
    ACTIONS(2952), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4940), 1,
      sym__last_token_whitespace,
    ACTIONS(2950), 5,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__attribute_name,
      sym__whitespace_ge_2,
  [50281] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4942), 1,
      anon_sym_GT,
    STATE(1046), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50299] = 5,
    ACTIONS(3653), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(974), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50317] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4944), 1,
      anon_sym_EQ,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50335] = 5,
    ACTIONS(3653), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(1128), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50353] = 5,
    ACTIONS(4722), 1,
      sym__newline_token,
    ACTIONS(4724), 1,
      sym__whitespace_ge_2,
    ACTIONS(4726), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4811), 1,
      sym__attribute_name,
    STATE(1008), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50371] = 5,
    ACTIONS(3655), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(979), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50389] = 5,
    ACTIONS(3655), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    STATE(1136), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50407] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4698), 1,
      anon_sym_RPAREN,
    STATE(1103), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50425] = 3,
    ACTIONS(2905), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4946), 1,
      sym__last_token_whitespace,
    ACTIONS(2903), 5,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__newline_token,
      aux_sym__attribute_value_token1,
      sym__whitespace_ge_2,
  [50439] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4948), 1,
      anon_sym_GT,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50457] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4950), 1,
      anon_sym_GT,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50475] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4934), 1,
      anon_sym_RPAREN,
    STATE(1051), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50493] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4694), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50511] = 3,
    ACTIONS(2952), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4952), 1,
      sym__last_token_whitespace,
    ACTIONS(2950), 5,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__newline_token,
      aux_sym__attribute_value_token1,
      sym__whitespace_ge_2,
  [50525] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4704), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50543] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4886), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50561] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4686), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50579] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4704), 1,
      anon_sym_RPAREN,
    STATE(976), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50597] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4686), 1,
      anon_sym_RPAREN,
    STATE(967), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50615] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4704), 1,
      anon_sym_RPAREN,
    STATE(1040), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50633] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4686), 1,
      anon_sym_RPAREN,
    STATE(1024), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50651] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4688), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50669] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4714), 1,
      anon_sym_RPAREN,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50687] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4688), 1,
      anon_sym_RPAREN,
    STATE(968), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50705] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4714), 1,
      anon_sym_RPAREN,
    STATE(962), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50723] = 5,
    ACTIONS(3983), 1,
      sym__newline_token,
    ACTIONS(3987), 1,
      sym__whitespace_ge_2,
    ACTIONS(3989), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4696), 1,
      anon_sym_RPAREN,
    STATE(1104), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [50741] = 2,
    ACTIONS(3185), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3183), 5,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__attribute_name,
      sym__whitespace_ge_2,
  [50752] = 2,
    ACTIONS(3169), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3167), 5,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__newline_token,
      aux_sym__attribute_value_token1,
      sym__whitespace_ge_2,
  [50763] = 2,
    ACTIONS(3185), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3183), 5,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__newline_token,
      aux_sym__attribute_value_token1,
      sym__whitespace_ge_2,
  [50774] = 2,
    ACTIONS(3169), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3167), 5,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__attribute_name,
      sym__whitespace_ge_2,
  [50785] = 2,
    ACTIONS(4956), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4954), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [50795] = 2,
    ACTIONS(4960), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4958), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [50805] = 2,
    ACTIONS(4964), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4962), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [50815] = 2,
    ACTIONS(4968), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4966), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [50825] = 2,
    ACTIONS(4972), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4970), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [50835] = 2,
    ACTIONS(3929), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3927), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
  [50844] = 2,
    ACTIONS(3964), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3962), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
  [50853] = 2,
    ACTIONS(4976), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4974), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
  [50862] = 2,
    ACTIONS(4980), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4978), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
  [50871] = 3,
    ACTIONS(4982), 1,
      anon_sym_LBRACK,
    ACTIONS(4984), 1,
      anon_sym_LPAREN,
    STATE(543), 1,
      sym_link_label,
  [50881] = 3,
    ACTIONS(4986), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_LPAREN,
    STATE(508), 1,
      sym_link_label,
  [50891] = 3,
    ACTIONS(4990), 1,
      anon_sym_LBRACK,
    ACTIONS(4992), 1,
      anon_sym_LPAREN,
    STATE(510), 1,
      sym_link_label,
  [50901] = 3,
    ACTIONS(4994), 1,
      anon_sym_LBRACK,
    ACTIONS(4996), 1,
      anon_sym_LPAREN,
    STATE(505), 1,
      sym_link_label,
  [50911] = 3,
    ACTIONS(4998), 1,
      anon_sym_LBRACK,
    ACTIONS(5000), 1,
      anon_sym_LPAREN,
    STATE(306), 1,
      sym_link_label,
  [50921] = 3,
    ACTIONS(5002), 1,
      anon_sym_LBRACK,
    ACTIONS(5004), 1,
      anon_sym_LPAREN,
    STATE(542), 1,
      sym_link_label,
  [50931] = 3,
    ACTIONS(5006), 1,
      anon_sym_LBRACK,
    ACTIONS(5008), 1,
      anon_sym_LPAREN,
    STATE(397), 1,
      sym_link_label,
  [50941] = 3,
    ACTIONS(5010), 1,
      anon_sym_LBRACK,
    ACTIONS(5012), 1,
      anon_sym_LPAREN,
    STATE(507), 1,
      sym_link_label,
  [50951] = 3,
    ACTIONS(5014), 1,
      anon_sym_LBRACK,
    ACTIONS(5016), 1,
      anon_sym_LPAREN,
    STATE(399), 1,
      sym_link_label,
  [50961] = 3,
    ACTIONS(5018), 1,
      anon_sym_LBRACK,
    ACTIONS(5020), 1,
      anon_sym_LPAREN,
    STATE(305), 1,
      sym_link_label,
  [50971] = 2,
    ACTIONS(5022), 1,
      sym__word_no_digit,
    STATE(1114), 1,
      sym__tag_name,
  [50978] = 1,
    ACTIONS(5024), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [50983] = 2,
    ACTIONS(5022), 1,
      sym__word_no_digit,
    STATE(1037), 1,
      sym__tag_name,
  [50990] = 2,
    ACTIONS(2950), 1,
      sym__trigger_error,
    ACTIONS(5026), 1,
      sym__last_token_whitespace,
  [50997] = 2,
    ACTIONS(5022), 1,
      sym__word_no_digit,
    STATE(1086), 1,
      sym__tag_name,
  [51004] = 2,
    ACTIONS(5022), 1,
      sym__word_no_digit,
    STATE(1102), 1,
      sym__tag_name,
  [51011] = 2,
    ACTIONS(5022), 1,
      sym__word_no_digit,
    STATE(1048), 1,
      sym__tag_name,
  [51018] = 2,
    ACTIONS(5022), 1,
      sym__word_no_digit,
    STATE(1087), 1,
      sym__tag_name,
  [51025] = 2,
    ACTIONS(5022), 1,
      sym__word_no_digit,
    STATE(1110), 1,
      sym__tag_name,
  [51032] = 1,
    ACTIONS(4785), 1,
      anon_sym_GT,
  [51036] = 1,
    ACTIONS(3167), 1,
      sym__trigger_error,
  [51040] = 1,
    ACTIONS(5028), 1,
      anon_sym_RBRACK,
  [51044] = 1,
    ACTIONS(5030), 1,
      anon_sym_GT,
  [51048] = 1,
    ACTIONS(4813), 1,
      anon_sym_GT,
  [51052] = 1,
    ACTIONS(4728), 1,
      anon_sym_GT,
  [51056] = 1,
    ACTIONS(4799), 1,
      anon_sym_GT,
  [51060] = 1,
    ACTIONS(4837), 1,
      anon_sym_GT,
  [51064] = 1,
    ACTIONS(5032), 1,
      anon_sym_RBRACK,
  [51068] = 1,
    ACTIONS(5034), 1,
      sym__trigger_error,
  [51072] = 1,
    ACTIONS(4824), 1,
      anon_sym_GT,
  [51076] = 1,
    ACTIONS(5036), 1,
      anon_sym_GT,
  [51080] = 1,
    ACTIONS(5038), 1,
      anon_sym_GT,
  [51084] = 1,
    ACTIONS(5040), 1,
      anon_sym_GT,
  [51088] = 1,
    ACTIONS(5042), 1,
      anon_sym_GT,
  [51092] = 1,
    ACTIONS(5044), 1,
      anon_sym_RBRACK,
  [51096] = 1,
    ACTIONS(4856), 1,
      anon_sym_GT,
  [51100] = 1,
    ACTIONS(5046), 1,
      anon_sym_GT,
  [51104] = 1,
    ACTIONS(5048), 1,
      sym__trigger_error,
  [51108] = 1,
    ACTIONS(5050), 1,
      anon_sym_RBRACK,
  [51112] = 1,
    ACTIONS(5052), 1,
      ts_builtin_sym_end,
  [51116] = 1,
    ACTIONS(5054), 1,
      sym__trigger_error,
  [51120] = 1,
    ACTIONS(4803), 1,
      anon_sym_GT,
  [51124] = 1,
    ACTIONS(5056), 1,
      anon_sym_GT,
  [51128] = 1,
    ACTIONS(5058), 1,
      anon_sym_RBRACK,
  [51132] = 1,
    ACTIONS(4755), 1,
      anon_sym_GT,
  [51136] = 1,
    ACTIONS(5060), 1,
      anon_sym_RBRACK,
  [51140] = 1,
    ACTIONS(4860), 1,
      anon_sym_GT,
  [51144] = 1,
    ACTIONS(5062), 1,
      anon_sym_RBRACK,
  [51148] = 1,
    ACTIONS(4751), 1,
      anon_sym_GT,
  [51152] = 1,
    ACTIONS(5064), 1,
      anon_sym_RBRACK,
  [51156] = 1,
    ACTIONS(4775), 1,
      anon_sym_GT,
  [51160] = 1,
    ACTIONS(5066), 1,
      anon_sym_RBRACK,
  [51164] = 1,
    ACTIONS(4807), 1,
      anon_sym_GT,
  [51168] = 1,
    ACTIONS(4870), 1,
      anon_sym_GT,
  [51172] = 1,
    ACTIONS(5068), 1,
      anon_sym_RBRACK,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(166)] = 0,
  [SMALL_STATE(167)] = 82,
  [SMALL_STATE(168)] = 162,
  [SMALL_STATE(169)] = 246,
  [SMALL_STATE(170)] = 328,
  [SMALL_STATE(171)] = 412,
  [SMALL_STATE(172)] = 494,
  [SMALL_STATE(173)] = 578,
  [SMALL_STATE(174)] = 658,
  [SMALL_STATE(175)] = 738,
  [SMALL_STATE(176)] = 818,
  [SMALL_STATE(177)] = 898,
  [SMALL_STATE(178)] = 978,
  [SMALL_STATE(179)] = 1058,
  [SMALL_STATE(180)] = 1138,
  [SMALL_STATE(181)] = 1219,
  [SMALL_STATE(182)] = 1302,
  [SMALL_STATE(183)] = 1383,
  [SMALL_STATE(184)] = 1462,
  [SMALL_STATE(185)] = 1541,
  [SMALL_STATE(186)] = 1622,
  [SMALL_STATE(187)] = 1705,
  [SMALL_STATE(188)] = 1788,
  [SMALL_STATE(189)] = 1869,
  [SMALL_STATE(190)] = 1950,
  [SMALL_STATE(191)] = 2031,
  [SMALL_STATE(192)] = 2111,
  [SMALL_STATE(193)] = 2193,
  [SMALL_STATE(194)] = 2260,
  [SMALL_STATE(195)] = 2329,
  [SMALL_STATE(196)] = 2398,
  [SMALL_STATE(197)] = 2465,
  [SMALL_STATE(198)] = 2532,
  [SMALL_STATE(199)] = 2601,
  [SMALL_STATE(200)] = 2668,
  [SMALL_STATE(201)] = 2737,
  [SMALL_STATE(202)] = 2806,
  [SMALL_STATE(203)] = 2875,
  [SMALL_STATE(204)] = 2944,
  [SMALL_STATE(205)] = 3011,
  [SMALL_STATE(206)] = 3078,
  [SMALL_STATE(207)] = 3145,
  [SMALL_STATE(208)] = 3212,
  [SMALL_STATE(209)] = 3281,
  [SMALL_STATE(210)] = 3345,
  [SMALL_STATE(211)] = 3407,
  [SMALL_STATE(212)] = 3475,
  [SMALL_STATE(213)] = 3537,
  [SMALL_STATE(214)] = 3599,
  [SMALL_STATE(215)] = 3661,
  [SMALL_STATE(216)] = 3723,
  [SMALL_STATE(217)] = 3787,
  [SMALL_STATE(218)] = 3849,
  [SMALL_STATE(219)] = 3911,
  [SMALL_STATE(220)] = 3973,
  [SMALL_STATE(221)] = 4035,
  [SMALL_STATE(222)] = 4099,
  [SMALL_STATE(223)] = 4161,
  [SMALL_STATE(224)] = 4223,
  [SMALL_STATE(225)] = 4285,
  [SMALL_STATE(226)] = 4347,
  [SMALL_STATE(227)] = 4409,
  [SMALL_STATE(228)] = 4477,
  [SMALL_STATE(229)] = 4543,
  [SMALL_STATE(230)] = 4605,
  [SMALL_STATE(231)] = 4667,
  [SMALL_STATE(232)] = 4731,
  [SMALL_STATE(233)] = 4795,
  [SMALL_STATE(234)] = 4857,
  [SMALL_STATE(235)] = 4921,
  [SMALL_STATE(236)] = 4983,
  [SMALL_STATE(237)] = 5045,
  [SMALL_STATE(238)] = 5111,
  [SMALL_STATE(239)] = 5173,
  [SMALL_STATE(240)] = 5237,
  [SMALL_STATE(241)] = 5296,
  [SMALL_STATE(242)] = 5355,
  [SMALL_STATE(243)] = 5414,
  [SMALL_STATE(244)] = 5473,
  [SMALL_STATE(245)] = 5532,
  [SMALL_STATE(246)] = 5591,
  [SMALL_STATE(247)] = 5650,
  [SMALL_STATE(248)] = 5709,
  [SMALL_STATE(249)] = 5768,
  [SMALL_STATE(250)] = 5827,
  [SMALL_STATE(251)] = 5886,
  [SMALL_STATE(252)] = 5945,
  [SMALL_STATE(253)] = 6004,
  [SMALL_STATE(254)] = 6063,
  [SMALL_STATE(255)] = 6122,
  [SMALL_STATE(256)] = 6181,
  [SMALL_STATE(257)] = 6240,
  [SMALL_STATE(258)] = 6299,
  [SMALL_STATE(259)] = 6358,
  [SMALL_STATE(260)] = 6417,
  [SMALL_STATE(261)] = 6476,
  [SMALL_STATE(262)] = 6535,
  [SMALL_STATE(263)] = 6594,
  [SMALL_STATE(264)] = 6653,
  [SMALL_STATE(265)] = 6712,
  [SMALL_STATE(266)] = 6771,
  [SMALL_STATE(267)] = 6830,
  [SMALL_STATE(268)] = 6889,
  [SMALL_STATE(269)] = 6948,
  [SMALL_STATE(270)] = 7007,
  [SMALL_STATE(271)] = 7066,
  [SMALL_STATE(272)] = 7125,
  [SMALL_STATE(273)] = 7184,
  [SMALL_STATE(274)] = 7243,
  [SMALL_STATE(275)] = 7302,
  [SMALL_STATE(276)] = 7361,
  [SMALL_STATE(277)] = 7420,
  [SMALL_STATE(278)] = 7479,
  [SMALL_STATE(279)] = 7538,
  [SMALL_STATE(280)] = 7597,
  [SMALL_STATE(281)] = 7656,
  [SMALL_STATE(282)] = 7715,
  [SMALL_STATE(283)] = 7774,
  [SMALL_STATE(284)] = 7833,
  [SMALL_STATE(285)] = 7892,
  [SMALL_STATE(286)] = 7951,
  [SMALL_STATE(287)] = 8010,
  [SMALL_STATE(288)] = 8069,
  [SMALL_STATE(289)] = 8128,
  [SMALL_STATE(290)] = 8187,
  [SMALL_STATE(291)] = 8248,
  [SMALL_STATE(292)] = 8307,
  [SMALL_STATE(293)] = 8368,
  [SMALL_STATE(294)] = 8427,
  [SMALL_STATE(295)] = 8486,
  [SMALL_STATE(296)] = 8545,
  [SMALL_STATE(297)] = 8604,
  [SMALL_STATE(298)] = 8663,
  [SMALL_STATE(299)] = 8722,
  [SMALL_STATE(300)] = 8781,
  [SMALL_STATE(301)] = 8840,
  [SMALL_STATE(302)] = 8899,
  [SMALL_STATE(303)] = 8958,
  [SMALL_STATE(304)] = 9017,
  [SMALL_STATE(305)] = 9076,
  [SMALL_STATE(306)] = 9135,
  [SMALL_STATE(307)] = 9194,
  [SMALL_STATE(308)] = 9253,
  [SMALL_STATE(309)] = 9312,
  [SMALL_STATE(310)] = 9371,
  [SMALL_STATE(311)] = 9430,
  [SMALL_STATE(312)] = 9489,
  [SMALL_STATE(313)] = 9548,
  [SMALL_STATE(314)] = 9607,
  [SMALL_STATE(315)] = 9666,
  [SMALL_STATE(316)] = 9725,
  [SMALL_STATE(317)] = 9784,
  [SMALL_STATE(318)] = 9843,
  [SMALL_STATE(319)] = 9902,
  [SMALL_STATE(320)] = 9961,
  [SMALL_STATE(321)] = 10020,
  [SMALL_STATE(322)] = 10079,
  [SMALL_STATE(323)] = 10138,
  [SMALL_STATE(324)] = 10197,
  [SMALL_STATE(325)] = 10256,
  [SMALL_STATE(326)] = 10315,
  [SMALL_STATE(327)] = 10374,
  [SMALL_STATE(328)] = 10433,
  [SMALL_STATE(329)] = 10492,
  [SMALL_STATE(330)] = 10551,
  [SMALL_STATE(331)] = 10610,
  [SMALL_STATE(332)] = 10669,
  [SMALL_STATE(333)] = 10728,
  [SMALL_STATE(334)] = 10787,
  [SMALL_STATE(335)] = 10846,
  [SMALL_STATE(336)] = 10905,
  [SMALL_STATE(337)] = 10964,
  [SMALL_STATE(338)] = 11023,
  [SMALL_STATE(339)] = 11082,
  [SMALL_STATE(340)] = 11141,
  [SMALL_STATE(341)] = 11200,
  [SMALL_STATE(342)] = 11259,
  [SMALL_STATE(343)] = 11318,
  [SMALL_STATE(344)] = 11377,
  [SMALL_STATE(345)] = 11436,
  [SMALL_STATE(346)] = 11495,
  [SMALL_STATE(347)] = 11554,
  [SMALL_STATE(348)] = 11613,
  [SMALL_STATE(349)] = 11672,
  [SMALL_STATE(350)] = 11731,
  [SMALL_STATE(351)] = 11790,
  [SMALL_STATE(352)] = 11849,
  [SMALL_STATE(353)] = 11908,
  [SMALL_STATE(354)] = 11971,
  [SMALL_STATE(355)] = 12030,
  [SMALL_STATE(356)] = 12089,
  [SMALL_STATE(357)] = 12148,
  [SMALL_STATE(358)] = 12207,
  [SMALL_STATE(359)] = 12266,
  [SMALL_STATE(360)] = 12327,
  [SMALL_STATE(361)] = 12386,
  [SMALL_STATE(362)] = 12445,
  [SMALL_STATE(363)] = 12504,
  [SMALL_STATE(364)] = 12563,
  [SMALL_STATE(365)] = 12622,
  [SMALL_STATE(366)] = 12681,
  [SMALL_STATE(367)] = 12740,
  [SMALL_STATE(368)] = 12799,
  [SMALL_STATE(369)] = 12858,
  [SMALL_STATE(370)] = 12917,
  [SMALL_STATE(371)] = 12978,
  [SMALL_STATE(372)] = 13037,
  [SMALL_STATE(373)] = 13096,
  [SMALL_STATE(374)] = 13155,
  [SMALL_STATE(375)] = 13214,
  [SMALL_STATE(376)] = 13273,
  [SMALL_STATE(377)] = 13332,
  [SMALL_STATE(378)] = 13391,
  [SMALL_STATE(379)] = 13452,
  [SMALL_STATE(380)] = 13511,
  [SMALL_STATE(381)] = 13570,
  [SMALL_STATE(382)] = 13629,
  [SMALL_STATE(383)] = 13688,
  [SMALL_STATE(384)] = 13747,
  [SMALL_STATE(385)] = 13806,
  [SMALL_STATE(386)] = 13865,
  [SMALL_STATE(387)] = 13928,
  [SMALL_STATE(388)] = 13987,
  [SMALL_STATE(389)] = 14048,
  [SMALL_STATE(390)] = 14107,
  [SMALL_STATE(391)] = 14166,
  [SMALL_STATE(392)] = 14227,
  [SMALL_STATE(393)] = 14290,
  [SMALL_STATE(394)] = 14351,
  [SMALL_STATE(395)] = 14410,
  [SMALL_STATE(396)] = 14469,
  [SMALL_STATE(397)] = 14528,
  [SMALL_STATE(398)] = 14587,
  [SMALL_STATE(399)] = 14648,
  [SMALL_STATE(400)] = 14707,
  [SMALL_STATE(401)] = 14766,
  [SMALL_STATE(402)] = 14825,
  [SMALL_STATE(403)] = 14884,
  [SMALL_STATE(404)] = 14947,
  [SMALL_STATE(405)] = 15028,
  [SMALL_STATE(406)] = 15087,
  [SMALL_STATE(407)] = 15146,
  [SMALL_STATE(408)] = 15205,
  [SMALL_STATE(409)] = 15264,
  [SMALL_STATE(410)] = 15323,
  [SMALL_STATE(411)] = 15386,
  [SMALL_STATE(412)] = 15445,
  [SMALL_STATE(413)] = 15504,
  [SMALL_STATE(414)] = 15563,
  [SMALL_STATE(415)] = 15622,
  [SMALL_STATE(416)] = 15681,
  [SMALL_STATE(417)] = 15740,
  [SMALL_STATE(418)] = 15799,
  [SMALL_STATE(419)] = 15858,
  [SMALL_STATE(420)] = 15917,
  [SMALL_STATE(421)] = 15976,
  [SMALL_STATE(422)] = 16035,
  [SMALL_STATE(423)] = 16116,
  [SMALL_STATE(424)] = 16197,
  [SMALL_STATE(425)] = 16278,
  [SMALL_STATE(426)] = 16337,
  [SMALL_STATE(427)] = 16398,
  [SMALL_STATE(428)] = 16459,
  [SMALL_STATE(429)] = 16520,
  [SMALL_STATE(430)] = 16579,
  [SMALL_STATE(431)] = 16660,
  [SMALL_STATE(432)] = 16719,
  [SMALL_STATE(433)] = 16778,
  [SMALL_STATE(434)] = 16837,
  [SMALL_STATE(435)] = 16896,
  [SMALL_STATE(436)] = 16955,
  [SMALL_STATE(437)] = 17014,
  [SMALL_STATE(438)] = 17073,
  [SMALL_STATE(439)] = 17132,
  [SMALL_STATE(440)] = 17191,
  [SMALL_STATE(441)] = 17250,
  [SMALL_STATE(442)] = 17309,
  [SMALL_STATE(443)] = 17390,
  [SMALL_STATE(444)] = 17471,
  [SMALL_STATE(445)] = 17552,
  [SMALL_STATE(446)] = 17611,
  [SMALL_STATE(447)] = 17672,
  [SMALL_STATE(448)] = 17731,
  [SMALL_STATE(449)] = 17792,
  [SMALL_STATE(450)] = 17851,
  [SMALL_STATE(451)] = 17932,
  [SMALL_STATE(452)] = 17991,
  [SMALL_STATE(453)] = 18050,
  [SMALL_STATE(454)] = 18111,
  [SMALL_STATE(455)] = 18192,
  [SMALL_STATE(456)] = 18251,
  [SMALL_STATE(457)] = 18310,
  [SMALL_STATE(458)] = 18391,
  [SMALL_STATE(459)] = 18450,
  [SMALL_STATE(460)] = 18509,
  [SMALL_STATE(461)] = 18568,
  [SMALL_STATE(462)] = 18631,
  [SMALL_STATE(463)] = 18712,
  [SMALL_STATE(464)] = 18793,
  [SMALL_STATE(465)] = 18874,
  [SMALL_STATE(466)] = 18935,
  [SMALL_STATE(467)] = 18996,
  [SMALL_STATE(468)] = 19057,
  [SMALL_STATE(469)] = 19118,
  [SMALL_STATE(470)] = 19177,
  [SMALL_STATE(471)] = 19258,
  [SMALL_STATE(472)] = 19317,
  [SMALL_STATE(473)] = 19376,
  [SMALL_STATE(474)] = 19437,
  [SMALL_STATE(475)] = 19498,
  [SMALL_STATE(476)] = 19557,
  [SMALL_STATE(477)] = 19616,
  [SMALL_STATE(478)] = 19675,
  [SMALL_STATE(479)] = 19734,
  [SMALL_STATE(480)] = 19793,
  [SMALL_STATE(481)] = 19852,
  [SMALL_STATE(482)] = 19911,
  [SMALL_STATE(483)] = 19992,
  [SMALL_STATE(484)] = 20073,
  [SMALL_STATE(485)] = 20154,
  [SMALL_STATE(486)] = 20213,
  [SMALL_STATE(487)] = 20274,
  [SMALL_STATE(488)] = 20355,
  [SMALL_STATE(489)] = 20416,
  [SMALL_STATE(490)] = 20475,
  [SMALL_STATE(491)] = 20556,
  [SMALL_STATE(492)] = 20615,
  [SMALL_STATE(493)] = 20674,
  [SMALL_STATE(494)] = 20733,
  [SMALL_STATE(495)] = 20792,
  [SMALL_STATE(496)] = 20851,
  [SMALL_STATE(497)] = 20910,
  [SMALL_STATE(498)] = 20969,
  [SMALL_STATE(499)] = 21028,
  [SMALL_STATE(500)] = 21087,
  [SMALL_STATE(501)] = 21146,
  [SMALL_STATE(502)] = 21205,
  [SMALL_STATE(503)] = 21264,
  [SMALL_STATE(504)] = 21323,
  [SMALL_STATE(505)] = 21382,
  [SMALL_STATE(506)] = 21441,
  [SMALL_STATE(507)] = 21500,
  [SMALL_STATE(508)] = 21559,
  [SMALL_STATE(509)] = 21618,
  [SMALL_STATE(510)] = 21677,
  [SMALL_STATE(511)] = 21736,
  [SMALL_STATE(512)] = 21795,
  [SMALL_STATE(513)] = 21854,
  [SMALL_STATE(514)] = 21913,
  [SMALL_STATE(515)] = 21972,
  [SMALL_STATE(516)] = 22053,
  [SMALL_STATE(517)] = 22112,
  [SMALL_STATE(518)] = 22171,
  [SMALL_STATE(519)] = 22230,
  [SMALL_STATE(520)] = 22289,
  [SMALL_STATE(521)] = 22348,
  [SMALL_STATE(522)] = 22407,
  [SMALL_STATE(523)] = 22488,
  [SMALL_STATE(524)] = 22547,
  [SMALL_STATE(525)] = 22606,
  [SMALL_STATE(526)] = 22665,
  [SMALL_STATE(527)] = 22724,
  [SMALL_STATE(528)] = 22783,
  [SMALL_STATE(529)] = 22841,
  [SMALL_STATE(530)] = 22913,
  [SMALL_STATE(531)] = 22971,
  [SMALL_STATE(532)] = 23043,
  [SMALL_STATE(533)] = 23103,
  [SMALL_STATE(534)] = 23161,
  [SMALL_STATE(535)] = 23223,
  [SMALL_STATE(536)] = 23281,
  [SMALL_STATE(537)] = 23339,
  [SMALL_STATE(538)] = 23397,
  [SMALL_STATE(539)] = 23455,
  [SMALL_STATE(540)] = 23513,
  [SMALL_STATE(541)] = 23571,
  [SMALL_STATE(542)] = 23629,
  [SMALL_STATE(543)] = 23687,
  [SMALL_STATE(544)] = 23745,
  [SMALL_STATE(545)] = 23803,
  [SMALL_STATE(546)] = 23861,
  [SMALL_STATE(547)] = 23919,
  [SMALL_STATE(548)] = 23977,
  [SMALL_STATE(549)] = 24035,
  [SMALL_STATE(550)] = 24093,
  [SMALL_STATE(551)] = 24151,
  [SMALL_STATE(552)] = 24209,
  [SMALL_STATE(553)] = 24267,
  [SMALL_STATE(554)] = 24325,
  [SMALL_STATE(555)] = 24383,
  [SMALL_STATE(556)] = 24441,
  [SMALL_STATE(557)] = 24499,
  [SMALL_STATE(558)] = 24557,
  [SMALL_STATE(559)] = 24615,
  [SMALL_STATE(560)] = 24673,
  [SMALL_STATE(561)] = 24731,
  [SMALL_STATE(562)] = 24789,
  [SMALL_STATE(563)] = 24847,
  [SMALL_STATE(564)] = 24905,
  [SMALL_STATE(565)] = 24963,
  [SMALL_STATE(566)] = 25021,
  [SMALL_STATE(567)] = 25079,
  [SMALL_STATE(568)] = 25137,
  [SMALL_STATE(569)] = 25195,
  [SMALL_STATE(570)] = 25253,
  [SMALL_STATE(571)] = 25311,
  [SMALL_STATE(572)] = 25369,
  [SMALL_STATE(573)] = 25441,
  [SMALL_STATE(574)] = 25503,
  [SMALL_STATE(575)] = 25561,
  [SMALL_STATE(576)] = 25619,
  [SMALL_STATE(577)] = 25677,
  [SMALL_STATE(578)] = 25735,
  [SMALL_STATE(579)] = 25793,
  [SMALL_STATE(580)] = 25851,
  [SMALL_STATE(581)] = 25909,
  [SMALL_STATE(582)] = 25981,
  [SMALL_STATE(583)] = 26039,
  [SMALL_STATE(584)] = 26097,
  [SMALL_STATE(585)] = 26155,
  [SMALL_STATE(586)] = 26213,
  [SMALL_STATE(587)] = 26271,
  [SMALL_STATE(588)] = 26329,
  [SMALL_STATE(589)] = 26387,
  [SMALL_STATE(590)] = 26445,
  [SMALL_STATE(591)] = 26503,
  [SMALL_STATE(592)] = 26561,
  [SMALL_STATE(593)] = 26619,
  [SMALL_STATE(594)] = 26677,
  [SMALL_STATE(595)] = 26735,
  [SMALL_STATE(596)] = 26797,
  [SMALL_STATE(597)] = 26857,
  [SMALL_STATE(598)] = 26929,
  [SMALL_STATE(599)] = 27001,
  [SMALL_STATE(600)] = 27073,
  [SMALL_STATE(601)] = 27145,
  [SMALL_STATE(602)] = 27217,
  [SMALL_STATE(603)] = 27289,
  [SMALL_STATE(604)] = 27361,
  [SMALL_STATE(605)] = 27433,
  [SMALL_STATE(606)] = 27505,
  [SMALL_STATE(607)] = 27577,
  [SMALL_STATE(608)] = 27649,
  [SMALL_STATE(609)] = 27721,
  [SMALL_STATE(610)] = 27783,
  [SMALL_STATE(611)] = 27840,
  [SMALL_STATE(612)] = 27897,
  [SMALL_STATE(613)] = 27954,
  [SMALL_STATE(614)] = 28011,
  [SMALL_STATE(615)] = 28068,
  [SMALL_STATE(616)] = 28125,
  [SMALL_STATE(617)] = 28182,
  [SMALL_STATE(618)] = 28239,
  [SMALL_STATE(619)] = 28296,
  [SMALL_STATE(620)] = 28353,
  [SMALL_STATE(621)] = 28410,
  [SMALL_STATE(622)] = 28467,
  [SMALL_STATE(623)] = 28524,
  [SMALL_STATE(624)] = 28581,
  [SMALL_STATE(625)] = 28640,
  [SMALL_STATE(626)] = 28699,
  [SMALL_STATE(627)] = 28756,
  [SMALL_STATE(628)] = 28813,
  [SMALL_STATE(629)] = 28870,
  [SMALL_STATE(630)] = 28927,
  [SMALL_STATE(631)] = 28984,
  [SMALL_STATE(632)] = 29043,
  [SMALL_STATE(633)] = 29102,
  [SMALL_STATE(634)] = 29161,
  [SMALL_STATE(635)] = 29218,
  [SMALL_STATE(636)] = 29275,
  [SMALL_STATE(637)] = 29332,
  [SMALL_STATE(638)] = 29391,
  [SMALL_STATE(639)] = 29450,
  [SMALL_STATE(640)] = 29507,
  [SMALL_STATE(641)] = 29564,
  [SMALL_STATE(642)] = 29621,
  [SMALL_STATE(643)] = 29678,
  [SMALL_STATE(644)] = 29735,
  [SMALL_STATE(645)] = 29792,
  [SMALL_STATE(646)] = 29849,
  [SMALL_STATE(647)] = 29906,
  [SMALL_STATE(648)] = 29963,
  [SMALL_STATE(649)] = 30020,
  [SMALL_STATE(650)] = 30077,
  [SMALL_STATE(651)] = 30134,
  [SMALL_STATE(652)] = 30191,
  [SMALL_STATE(653)] = 30248,
  [SMALL_STATE(654)] = 30305,
  [SMALL_STATE(655)] = 30364,
  [SMALL_STATE(656)] = 30445,
  [SMALL_STATE(657)] = 30526,
  [SMALL_STATE(658)] = 30607,
  [SMALL_STATE(659)] = 30688,
  [SMALL_STATE(660)] = 30769,
  [SMALL_STATE(661)] = 30850,
  [SMALL_STATE(662)] = 30931,
  [SMALL_STATE(663)] = 31012,
  [SMALL_STATE(664)] = 31093,
  [SMALL_STATE(665)] = 31174,
  [SMALL_STATE(666)] = 31255,
  [SMALL_STATE(667)] = 31336,
  [SMALL_STATE(668)] = 31417,
  [SMALL_STATE(669)] = 31496,
  [SMALL_STATE(670)] = 31577,
  [SMALL_STATE(671)] = 31658,
  [SMALL_STATE(672)] = 31739,
  [SMALL_STATE(673)] = 31820,
  [SMALL_STATE(674)] = 31901,
  [SMALL_STATE(675)] = 31982,
  [SMALL_STATE(676)] = 32063,
  [SMALL_STATE(677)] = 32142,
  [SMALL_STATE(678)] = 32216,
  [SMALL_STATE(679)] = 32270,
  [SMALL_STATE(680)] = 32324,
  [SMALL_STATE(681)] = 32390,
  [SMALL_STATE(682)] = 32456,
  [SMALL_STATE(683)] = 32510,
  [SMALL_STATE(684)] = 32576,
  [SMALL_STATE(685)] = 32642,
  [SMALL_STATE(686)] = 32693,
  [SMALL_STATE(687)] = 32760,
  [SMALL_STATE(688)] = 32811,
  [SMALL_STATE(689)] = 32862,
  [SMALL_STATE(690)] = 32913,
  [SMALL_STATE(691)] = 32980,
  [SMALL_STATE(692)] = 33046,
  [SMALL_STATE(693)] = 33112,
  [SMALL_STATE(694)] = 33178,
  [SMALL_STATE(695)] = 33242,
  [SMALL_STATE(696)] = 33308,
  [SMALL_STATE(697)] = 33374,
  [SMALL_STATE(698)] = 33440,
  [SMALL_STATE(699)] = 33506,
  [SMALL_STATE(700)] = 33572,
  [SMALL_STATE(701)] = 33637,
  [SMALL_STATE(702)] = 33702,
  [SMALL_STATE(703)] = 33767,
  [SMALL_STATE(704)] = 33828,
  [SMALL_STATE(705)] = 33885,
  [SMALL_STATE(706)] = 33942,
  [SMALL_STATE(707)] = 34003,
  [SMALL_STATE(708)] = 34064,
  [SMALL_STATE(709)] = 34121,
  [SMALL_STATE(710)] = 34178,
  [SMALL_STATE(711)] = 34239,
  [SMALL_STATE(712)] = 34300,
  [SMALL_STATE(713)] = 34356,
  [SMALL_STATE(714)] = 34406,
  [SMALL_STATE(715)] = 34468,
  [SMALL_STATE(716)] = 34530,
  [SMALL_STATE(717)] = 34590,
  [SMALL_STATE(718)] = 34640,
  [SMALL_STATE(719)] = 34690,
  [SMALL_STATE(720)] = 34752,
  [SMALL_STATE(721)] = 34814,
  [SMALL_STATE(722)] = 34876,
  [SMALL_STATE(723)] = 34938,
  [SMALL_STATE(724)] = 35000,
  [SMALL_STATE(725)] = 35062,
  [SMALL_STATE(726)] = 35124,
  [SMALL_STATE(727)] = 35186,
  [SMALL_STATE(728)] = 35248,
  [SMALL_STATE(729)] = 35298,
  [SMALL_STATE(730)] = 35348,
  [SMALL_STATE(731)] = 35408,
  [SMALL_STATE(732)] = 35470,
  [SMALL_STATE(733)] = 35532,
  [SMALL_STATE(734)] = 35594,
  [SMALL_STATE(735)] = 35654,
  [SMALL_STATE(736)] = 35704,
  [SMALL_STATE(737)] = 35763,
  [SMALL_STATE(738)] = 35810,
  [SMALL_STATE(739)] = 35857,
  [SMALL_STATE(740)] = 35916,
  [SMALL_STATE(741)] = 35975,
  [SMALL_STATE(742)] = 36034,
  [SMALL_STATE(743)] = 36093,
  [SMALL_STATE(744)] = 36140,
  [SMALL_STATE(745)] = 36187,
  [SMALL_STATE(746)] = 36234,
  [SMALL_STATE(747)] = 36293,
  [SMALL_STATE(748)] = 36340,
  [SMALL_STATE(749)] = 36387,
  [SMALL_STATE(750)] = 36446,
  [SMALL_STATE(751)] = 36505,
  [SMALL_STATE(752)] = 36552,
  [SMALL_STATE(753)] = 36611,
  [SMALL_STATE(754)] = 36670,
  [SMALL_STATE(755)] = 36729,
  [SMALL_STATE(756)] = 36788,
  [SMALL_STATE(757)] = 36847,
  [SMALL_STATE(758)] = 36906,
  [SMALL_STATE(759)] = 36953,
  [SMALL_STATE(760)] = 37000,
  [SMALL_STATE(761)] = 37059,
  [SMALL_STATE(762)] = 37118,
  [SMALL_STATE(763)] = 37177,
  [SMALL_STATE(764)] = 37224,
  [SMALL_STATE(765)] = 37283,
  [SMALL_STATE(766)] = 37342,
  [SMALL_STATE(767)] = 37401,
  [SMALL_STATE(768)] = 37448,
  [SMALL_STATE(769)] = 37495,
  [SMALL_STATE(770)] = 37554,
  [SMALL_STATE(771)] = 37613,
  [SMALL_STATE(772)] = 37672,
  [SMALL_STATE(773)] = 37731,
  [SMALL_STATE(774)] = 37778,
  [SMALL_STATE(775)] = 37825,
  [SMALL_STATE(776)] = 37872,
  [SMALL_STATE(777)] = 37931,
  [SMALL_STATE(778)] = 37990,
  [SMALL_STATE(779)] = 38049,
  [SMALL_STATE(780)] = 38096,
  [SMALL_STATE(781)] = 38143,
  [SMALL_STATE(782)] = 38190,
  [SMALL_STATE(783)] = 38237,
  [SMALL_STATE(784)] = 38284,
  [SMALL_STATE(785)] = 38343,
  [SMALL_STATE(786)] = 38390,
  [SMALL_STATE(787)] = 38437,
  [SMALL_STATE(788)] = 38496,
  [SMALL_STATE(789)] = 38555,
  [SMALL_STATE(790)] = 38614,
  [SMALL_STATE(791)] = 38673,
  [SMALL_STATE(792)] = 38720,
  [SMALL_STATE(793)] = 38767,
  [SMALL_STATE(794)] = 38814,
  [SMALL_STATE(795)] = 38861,
  [SMALL_STATE(796)] = 38908,
  [SMALL_STATE(797)] = 38955,
  [SMALL_STATE(798)] = 39014,
  [SMALL_STATE(799)] = 39073,
  [SMALL_STATE(800)] = 39132,
  [SMALL_STATE(801)] = 39179,
  [SMALL_STATE(802)] = 39226,
  [SMALL_STATE(803)] = 39273,
  [SMALL_STATE(804)] = 39332,
  [SMALL_STATE(805)] = 39391,
  [SMALL_STATE(806)] = 39450,
  [SMALL_STATE(807)] = 39497,
  [SMALL_STATE(808)] = 39544,
  [SMALL_STATE(809)] = 39591,
  [SMALL_STATE(810)] = 39650,
  [SMALL_STATE(811)] = 39709,
  [SMALL_STATE(812)] = 39768,
  [SMALL_STATE(813)] = 39815,
  [SMALL_STATE(814)] = 39874,
  [SMALL_STATE(815)] = 39933,
  [SMALL_STATE(816)] = 39992,
  [SMALL_STATE(817)] = 40051,
  [SMALL_STATE(818)] = 40110,
  [SMALL_STATE(819)] = 40157,
  [SMALL_STATE(820)] = 40216,
  [SMALL_STATE(821)] = 40275,
  [SMALL_STATE(822)] = 40334,
  [SMALL_STATE(823)] = 40381,
  [SMALL_STATE(824)] = 40440,
  [SMALL_STATE(825)] = 40499,
  [SMALL_STATE(826)] = 40558,
  [SMALL_STATE(827)] = 40617,
  [SMALL_STATE(828)] = 40676,
  [SMALL_STATE(829)] = 40735,
  [SMALL_STATE(830)] = 40794,
  [SMALL_STATE(831)] = 40841,
  [SMALL_STATE(832)] = 40900,
  [SMALL_STATE(833)] = 40947,
  [SMALL_STATE(834)] = 40994,
  [SMALL_STATE(835)] = 41053,
  [SMALL_STATE(836)] = 41100,
  [SMALL_STATE(837)] = 41159,
  [SMALL_STATE(838)] = 41215,
  [SMALL_STATE(839)] = 41263,
  [SMALL_STATE(840)] = 41313,
  [SMALL_STATE(841)] = 41369,
  [SMALL_STATE(842)] = 41425,
  [SMALL_STATE(843)] = 41481,
  [SMALL_STATE(844)] = 41537,
  [SMALL_STATE(845)] = 41585,
  [SMALL_STATE(846)] = 41641,
  [SMALL_STATE(847)] = 41689,
  [SMALL_STATE(848)] = 41739,
  [SMALL_STATE(849)] = 41795,
  [SMALL_STATE(850)] = 41851,
  [SMALL_STATE(851)] = 41905,
  [SMALL_STATE(852)] = 41961,
  [SMALL_STATE(853)] = 42017,
  [SMALL_STATE(854)] = 42073,
  [SMALL_STATE(855)] = 42129,
  [SMALL_STATE(856)] = 42185,
  [SMALL_STATE(857)] = 42241,
  [SMALL_STATE(858)] = 42297,
  [SMALL_STATE(859)] = 42353,
  [SMALL_STATE(860)] = 42401,
  [SMALL_STATE(861)] = 42457,
  [SMALL_STATE(862)] = 42505,
  [SMALL_STATE(863)] = 42553,
  [SMALL_STATE(864)] = 42605,
  [SMALL_STATE(865)] = 42661,
  [SMALL_STATE(866)] = 42717,
  [SMALL_STATE(867)] = 42773,
  [SMALL_STATE(868)] = 42829,
  [SMALL_STATE(869)] = 42877,
  [SMALL_STATE(870)] = 42933,
  [SMALL_STATE(871)] = 42989,
  [SMALL_STATE(872)] = 43034,
  [SMALL_STATE(873)] = 43083,
  [SMALL_STATE(874)] = 43134,
  [SMALL_STATE(875)] = 43183,
  [SMALL_STATE(876)] = 43228,
  [SMALL_STATE(877)] = 43273,
  [SMALL_STATE(878)] = 43320,
  [SMALL_STATE(879)] = 43365,
  [SMALL_STATE(880)] = 43410,
  [SMALL_STATE(881)] = 43455,
  [SMALL_STATE(882)] = 43500,
  [SMALL_STATE(883)] = 43545,
  [SMALL_STATE(884)] = 43590,
  [SMALL_STATE(885)] = 43635,
  [SMALL_STATE(886)] = 43680,
  [SMALL_STATE(887)] = 43725,
  [SMALL_STATE(888)] = 43770,
  [SMALL_STATE(889)] = 43815,
  [SMALL_STATE(890)] = 43866,
  [SMALL_STATE(891)] = 43912,
  [SMALL_STATE(892)] = 43958,
  [SMALL_STATE(893)] = 44004,
  [SMALL_STATE(894)] = 44050,
  [SMALL_STATE(895)] = 44096,
  [SMALL_STATE(896)] = 44142,
  [SMALL_STATE(897)] = 44188,
  [SMALL_STATE(898)] = 44232,
  [SMALL_STATE(899)] = 44278,
  [SMALL_STATE(900)] = 44330,
  [SMALL_STATE(901)] = 44376,
  [SMALL_STATE(902)] = 44420,
  [SMALL_STATE(903)] = 44466,
  [SMALL_STATE(904)] = 44512,
  [SMALL_STATE(905)] = 44557,
  [SMALL_STATE(906)] = 44602,
  [SMALL_STATE(907)] = 44655,
  [SMALL_STATE(908)] = 44708,
  [SMALL_STATE(909)] = 44751,
  [SMALL_STATE(910)] = 44794,
  [SMALL_STATE(911)] = 44837,
  [SMALL_STATE(912)] = 44880,
  [SMALL_STATE(913)] = 44933,
  [SMALL_STATE(914)] = 44976,
  [SMALL_STATE(915)] = 45031,
  [SMALL_STATE(916)] = 45074,
  [SMALL_STATE(917)] = 45117,
  [SMALL_STATE(918)] = 45160,
  [SMALL_STATE(919)] = 45213,
  [SMALL_STATE(920)] = 45258,
  [SMALL_STATE(921)] = 45301,
  [SMALL_STATE(922)] = 45356,
  [SMALL_STATE(923)] = 45409,
  [SMALL_STATE(924)] = 45454,
  [SMALL_STATE(925)] = 45497,
  [SMALL_STATE(926)] = 45552,
  [SMALL_STATE(927)] = 45605,
  [SMALL_STATE(928)] = 45650,
  [SMALL_STATE(929)] = 45705,
  [SMALL_STATE(930)] = 45758,
  [SMALL_STATE(931)] = 45801,
  [SMALL_STATE(932)] = 45856,
  [SMALL_STATE(933)] = 45898,
  [SMALL_STATE(934)] = 45940,
  [SMALL_STATE(935)] = 45982,
  [SMALL_STATE(936)] = 46032,
  [SMALL_STATE(937)] = 46074,
  [SMALL_STATE(938)] = 46116,
  [SMALL_STATE(939)] = 46166,
  [SMALL_STATE(940)] = 46216,
  [SMALL_STATE(941)] = 46266,
  [SMALL_STATE(942)] = 46316,
  [SMALL_STATE(943)] = 46365,
  [SMALL_STATE(944)] = 46414,
  [SMALL_STATE(945)] = 46457,
  [SMALL_STATE(946)] = 46500,
  [SMALL_STATE(947)] = 46549,
  [SMALL_STATE(948)] = 46598,
  [SMALL_STATE(949)] = 46647,
  [SMALL_STATE(950)] = 46687,
  [SMALL_STATE(951)] = 46727,
  [SMALL_STATE(952)] = 46767,
  [SMALL_STATE(953)] = 46807,
  [SMALL_STATE(954)] = 46841,
  [SMALL_STATE(955)] = 46875,
  [SMALL_STATE(956)] = 46909,
  [SMALL_STATE(957)] = 46943,
  [SMALL_STATE(958)] = 46977,
  [SMALL_STATE(959)] = 47011,
  [SMALL_STATE(960)] = 47045,
  [SMALL_STATE(961)] = 47068,
  [SMALL_STATE(962)] = 47098,
  [SMALL_STATE(963)] = 47128,
  [SMALL_STATE(964)] = 47158,
  [SMALL_STATE(965)] = 47188,
  [SMALL_STATE(966)] = 47218,
  [SMALL_STATE(967)] = 47248,
  [SMALL_STATE(968)] = 47278,
  [SMALL_STATE(969)] = 47308,
  [SMALL_STATE(970)] = 47338,
  [SMALL_STATE(971)] = 47368,
  [SMALL_STATE(972)] = 47398,
  [SMALL_STATE(973)] = 47428,
  [SMALL_STATE(974)] = 47458,
  [SMALL_STATE(975)] = 47488,
  [SMALL_STATE(976)] = 47518,
  [SMALL_STATE(977)] = 47548,
  [SMALL_STATE(978)] = 47578,
  [SMALL_STATE(979)] = 47608,
  [SMALL_STATE(980)] = 47638,
  [SMALL_STATE(981)] = 47668,
  [SMALL_STATE(982)] = 47693,
  [SMALL_STATE(983)] = 47718,
  [SMALL_STATE(984)] = 47741,
  [SMALL_STATE(985)] = 47766,
  [SMALL_STATE(986)] = 47791,
  [SMALL_STATE(987)] = 47816,
  [SMALL_STATE(988)] = 47841,
  [SMALL_STATE(989)] = 47868,
  [SMALL_STATE(990)] = 47893,
  [SMALL_STATE(991)] = 47918,
  [SMALL_STATE(992)] = 47945,
  [SMALL_STATE(993)] = 47970,
  [SMALL_STATE(994)] = 47995,
  [SMALL_STATE(995)] = 48022,
  [SMALL_STATE(996)] = 48047,
  [SMALL_STATE(997)] = 48072,
  [SMALL_STATE(998)] = 48097,
  [SMALL_STATE(999)] = 48122,
  [SMALL_STATE(1000)] = 48149,
  [SMALL_STATE(1001)] = 48173,
  [SMALL_STATE(1002)] = 48197,
  [SMALL_STATE(1003)] = 48221,
  [SMALL_STATE(1004)] = 48245,
  [SMALL_STATE(1005)] = 48269,
  [SMALL_STATE(1006)] = 48287,
  [SMALL_STATE(1007)] = 48311,
  [SMALL_STATE(1008)] = 48335,
  [SMALL_STATE(1009)] = 48355,
  [SMALL_STATE(1010)] = 48379,
  [SMALL_STATE(1011)] = 48397,
  [SMALL_STATE(1012)] = 48417,
  [SMALL_STATE(1013)] = 48441,
  [SMALL_STATE(1014)] = 48465,
  [SMALL_STATE(1015)] = 48489,
  [SMALL_STATE(1016)] = 48513,
  [SMALL_STATE(1017)] = 48537,
  [SMALL_STATE(1018)] = 48555,
  [SMALL_STATE(1019)] = 48579,
  [SMALL_STATE(1020)] = 48597,
  [SMALL_STATE(1021)] = 48615,
  [SMALL_STATE(1022)] = 48633,
  [SMALL_STATE(1023)] = 48651,
  [SMALL_STATE(1024)] = 48669,
  [SMALL_STATE(1025)] = 48687,
  [SMALL_STATE(1026)] = 48705,
  [SMALL_STATE(1027)] = 48723,
  [SMALL_STATE(1028)] = 48741,
  [SMALL_STATE(1029)] = 48759,
  [SMALL_STATE(1030)] = 48777,
  [SMALL_STATE(1031)] = 48795,
  [SMALL_STATE(1032)] = 48813,
  [SMALL_STATE(1033)] = 48831,
  [SMALL_STATE(1034)] = 48849,
  [SMALL_STATE(1035)] = 48867,
  [SMALL_STATE(1036)] = 48885,
  [SMALL_STATE(1037)] = 48903,
  [SMALL_STATE(1038)] = 48921,
  [SMALL_STATE(1039)] = 48939,
  [SMALL_STATE(1040)] = 48957,
  [SMALL_STATE(1041)] = 48975,
  [SMALL_STATE(1042)] = 48993,
  [SMALL_STATE(1043)] = 49011,
  [SMALL_STATE(1044)] = 49029,
  [SMALL_STATE(1045)] = 49047,
  [SMALL_STATE(1046)] = 49065,
  [SMALL_STATE(1047)] = 49083,
  [SMALL_STATE(1048)] = 49101,
  [SMALL_STATE(1049)] = 49119,
  [SMALL_STATE(1050)] = 49137,
  [SMALL_STATE(1051)] = 49155,
  [SMALL_STATE(1052)] = 49173,
  [SMALL_STATE(1053)] = 49191,
  [SMALL_STATE(1054)] = 49209,
  [SMALL_STATE(1055)] = 49227,
  [SMALL_STATE(1056)] = 49245,
  [SMALL_STATE(1057)] = 49263,
  [SMALL_STATE(1058)] = 49281,
  [SMALL_STATE(1059)] = 49299,
  [SMALL_STATE(1060)] = 49317,
  [SMALL_STATE(1061)] = 49335,
  [SMALL_STATE(1062)] = 49353,
  [SMALL_STATE(1063)] = 49371,
  [SMALL_STATE(1064)] = 49389,
  [SMALL_STATE(1065)] = 49407,
  [SMALL_STATE(1066)] = 49425,
  [SMALL_STATE(1067)] = 49443,
  [SMALL_STATE(1068)] = 49461,
  [SMALL_STATE(1069)] = 49479,
  [SMALL_STATE(1070)] = 49497,
  [SMALL_STATE(1071)] = 49515,
  [SMALL_STATE(1072)] = 49533,
  [SMALL_STATE(1073)] = 49551,
  [SMALL_STATE(1074)] = 49569,
  [SMALL_STATE(1075)] = 49587,
  [SMALL_STATE(1076)] = 49605,
  [SMALL_STATE(1077)] = 49623,
  [SMALL_STATE(1078)] = 49641,
  [SMALL_STATE(1079)] = 49659,
  [SMALL_STATE(1080)] = 49677,
  [SMALL_STATE(1081)] = 49695,
  [SMALL_STATE(1082)] = 49713,
  [SMALL_STATE(1083)] = 49731,
  [SMALL_STATE(1084)] = 49749,
  [SMALL_STATE(1085)] = 49767,
  [SMALL_STATE(1086)] = 49785,
  [SMALL_STATE(1087)] = 49803,
  [SMALL_STATE(1088)] = 49821,
  [SMALL_STATE(1089)] = 49839,
  [SMALL_STATE(1090)] = 49857,
  [SMALL_STATE(1091)] = 49875,
  [SMALL_STATE(1092)] = 49893,
  [SMALL_STATE(1093)] = 49911,
  [SMALL_STATE(1094)] = 49929,
  [SMALL_STATE(1095)] = 49943,
  [SMALL_STATE(1096)] = 49961,
  [SMALL_STATE(1097)] = 49979,
  [SMALL_STATE(1098)] = 49997,
  [SMALL_STATE(1099)] = 50015,
  [SMALL_STATE(1100)] = 50033,
  [SMALL_STATE(1101)] = 50051,
  [SMALL_STATE(1102)] = 50069,
  [SMALL_STATE(1103)] = 50087,
  [SMALL_STATE(1104)] = 50105,
  [SMALL_STATE(1105)] = 50123,
  [SMALL_STATE(1106)] = 50141,
  [SMALL_STATE(1107)] = 50159,
  [SMALL_STATE(1108)] = 50177,
  [SMALL_STATE(1109)] = 50195,
  [SMALL_STATE(1110)] = 50213,
  [SMALL_STATE(1111)] = 50231,
  [SMALL_STATE(1112)] = 50249,
  [SMALL_STATE(1113)] = 50267,
  [SMALL_STATE(1114)] = 50281,
  [SMALL_STATE(1115)] = 50299,
  [SMALL_STATE(1116)] = 50317,
  [SMALL_STATE(1117)] = 50335,
  [SMALL_STATE(1118)] = 50353,
  [SMALL_STATE(1119)] = 50371,
  [SMALL_STATE(1120)] = 50389,
  [SMALL_STATE(1121)] = 50407,
  [SMALL_STATE(1122)] = 50425,
  [SMALL_STATE(1123)] = 50439,
  [SMALL_STATE(1124)] = 50457,
  [SMALL_STATE(1125)] = 50475,
  [SMALL_STATE(1126)] = 50493,
  [SMALL_STATE(1127)] = 50511,
  [SMALL_STATE(1128)] = 50525,
  [SMALL_STATE(1129)] = 50543,
  [SMALL_STATE(1130)] = 50561,
  [SMALL_STATE(1131)] = 50579,
  [SMALL_STATE(1132)] = 50597,
  [SMALL_STATE(1133)] = 50615,
  [SMALL_STATE(1134)] = 50633,
  [SMALL_STATE(1135)] = 50651,
  [SMALL_STATE(1136)] = 50669,
  [SMALL_STATE(1137)] = 50687,
  [SMALL_STATE(1138)] = 50705,
  [SMALL_STATE(1139)] = 50723,
  [SMALL_STATE(1140)] = 50741,
  [SMALL_STATE(1141)] = 50752,
  [SMALL_STATE(1142)] = 50763,
  [SMALL_STATE(1143)] = 50774,
  [SMALL_STATE(1144)] = 50785,
  [SMALL_STATE(1145)] = 50795,
  [SMALL_STATE(1146)] = 50805,
  [SMALL_STATE(1147)] = 50815,
  [SMALL_STATE(1148)] = 50825,
  [SMALL_STATE(1149)] = 50835,
  [SMALL_STATE(1150)] = 50844,
  [SMALL_STATE(1151)] = 50853,
  [SMALL_STATE(1152)] = 50862,
  [SMALL_STATE(1153)] = 50871,
  [SMALL_STATE(1154)] = 50881,
  [SMALL_STATE(1155)] = 50891,
  [SMALL_STATE(1156)] = 50901,
  [SMALL_STATE(1157)] = 50911,
  [SMALL_STATE(1158)] = 50921,
  [SMALL_STATE(1159)] = 50931,
  [SMALL_STATE(1160)] = 50941,
  [SMALL_STATE(1161)] = 50951,
  [SMALL_STATE(1162)] = 50961,
  [SMALL_STATE(1163)] = 50971,
  [SMALL_STATE(1164)] = 50978,
  [SMALL_STATE(1165)] = 50983,
  [SMALL_STATE(1166)] = 50990,
  [SMALL_STATE(1167)] = 50997,
  [SMALL_STATE(1168)] = 51004,
  [SMALL_STATE(1169)] = 51011,
  [SMALL_STATE(1170)] = 51018,
  [SMALL_STATE(1171)] = 51025,
  [SMALL_STATE(1172)] = 51032,
  [SMALL_STATE(1173)] = 51036,
  [SMALL_STATE(1174)] = 51040,
  [SMALL_STATE(1175)] = 51044,
  [SMALL_STATE(1176)] = 51048,
  [SMALL_STATE(1177)] = 51052,
  [SMALL_STATE(1178)] = 51056,
  [SMALL_STATE(1179)] = 51060,
  [SMALL_STATE(1180)] = 51064,
  [SMALL_STATE(1181)] = 51068,
  [SMALL_STATE(1182)] = 51072,
  [SMALL_STATE(1183)] = 51076,
  [SMALL_STATE(1184)] = 51080,
  [SMALL_STATE(1185)] = 51084,
  [SMALL_STATE(1186)] = 51088,
  [SMALL_STATE(1187)] = 51092,
  [SMALL_STATE(1188)] = 51096,
  [SMALL_STATE(1189)] = 51100,
  [SMALL_STATE(1190)] = 51104,
  [SMALL_STATE(1191)] = 51108,
  [SMALL_STATE(1192)] = 51112,
  [SMALL_STATE(1193)] = 51116,
  [SMALL_STATE(1194)] = 51120,
  [SMALL_STATE(1195)] = 51124,
  [SMALL_STATE(1196)] = 51128,
  [SMALL_STATE(1197)] = 51132,
  [SMALL_STATE(1198)] = 51136,
  [SMALL_STATE(1199)] = 51140,
  [SMALL_STATE(1200)] = 51144,
  [SMALL_STATE(1201)] = 51148,
  [SMALL_STATE(1202)] = 51152,
  [SMALL_STATE(1203)] = 51156,
  [SMALL_STATE(1204)] = 51160,
  [SMALL_STATE(1205)] = 51164,
  [SMALL_STATE(1206)] = 51168,
  [SMALL_STATE(1207)] = 51172,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [47] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0),
  [49] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(445),
  [52] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(154),
  [55] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(89),
  [58] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(225),
  [61] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(201),
  [64] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(235),
  [67] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(216),
  [70] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(235),
  [73] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(206),
  [76] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(224),
  [79] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(188),
  [82] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(167),
  [85] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(195),
  [88] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(173),
  [91] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(205),
  [94] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(218),
  [97] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(442),
  [100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(7),
  [103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(12),
  [106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(8),
  [111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(443),
  [114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(357),
  [117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(149),
  [120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(86),
  [123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(233),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(202),
  [129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(215),
  [132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(221),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(215),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(199),
  [141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(220),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(180),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(178),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(203),
  [153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(179),
  [156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(207),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(226),
  [162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(422),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(15),
  [168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(4),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(5),
  [176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(423),
  [179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(445),
  [182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(154),
  [185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(89),
  [188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(225),
  [191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(201),
  [194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(235),
  [197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(216),
  [200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(235),
  [203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(206),
  [206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(224),
  [209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(188),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(167),
  [215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(195),
  [218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(173),
  [221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(205),
  [224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(218),
  [227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(442),
  [230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(7),
  [233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(12),
  [236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0),
  [238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(8),
  [243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(443),
  [246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(278),
  [249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(148),
  [252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(87),
  [255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(219),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(208),
  [261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(236),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(231),
  [267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(236),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(193),
  [273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(238),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(182),
  [279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(176),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(194),
  [285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(177),
  [288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(197),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(222),
  [294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(462),
  [297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(9),
  [300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(10),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(16),
  [308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(463),
  [311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(278),
  [314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(148),
  [317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(87),
  [320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(219),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(208),
  [326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(236),
  [329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(231),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(236),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(193),
  [338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(238),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(182),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(176),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(194),
  [350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(177),
  [353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(197),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(222),
  [359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(462),
  [362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(9),
  [365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(10),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(16),
  [373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(463),
  [376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(357),
  [379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(149),
  [382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(86),
  [385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(233),
  [388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(202),
  [391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(215),
  [394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(221),
  [397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(215),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(199),
  [403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(220),
  [406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(180),
  [409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(178),
  [412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(203),
  [415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(179),
  [418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(207),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(226),
  [424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(422),
  [427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(15),
  [430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(4),
  [433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(5),
  [440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(423),
  [443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(278),
  [446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(148),
  [449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(87),
  [452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(219),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(208),
  [458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(236),
  [461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(231),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(236),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(193),
  [470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(238),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(182),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(176),
  [479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(194),
  [482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(177),
  [485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(197),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(222),
  [491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(462),
  [494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(9),
  [497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(10),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(16),
  [505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(463),
  [508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(357),
  [511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(149),
  [514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(86),
  [517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(233),
  [520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(202),
  [523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(215),
  [526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(221),
  [529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(215),
  [532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(199),
  [535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(220),
  [538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(180),
  [541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(178),
  [544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(203),
  [547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(179),
  [550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(207),
  [553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(226),
  [556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(422),
  [559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(15),
  [562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(4),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(5),
  [570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0),
  [572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(423),
  [575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(445),
  [578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(154),
  [581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(89),
  [584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(225),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(201),
  [590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(235),
  [593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(216),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(235),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(206),
  [602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(224),
  [605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(188),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(167),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(195),
  [614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(173),
  [617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(205),
  [620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(218),
  [623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(442),
  [626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(7),
  [629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(12),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(8),
  [637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(443),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline, 2, 0, 0),
  [730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline, 1, 0, 0),
  [732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0),
  [782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(354),
  [785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(153),
  [788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(88),
  [791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(213),
  [794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(198),
  [797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(210),
  [800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(234),
  [803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(210),
  [806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(196),
  [809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(223),
  [812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(185),
  [815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(174),
  [818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(200),
  [821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(175),
  [824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(204),
  [827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(217),
  [830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(457),
  [833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(3),
  [836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(2),
  [839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(6),
  [842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(522),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(357),
  [850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(149),
  [853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(86),
  [856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(233),
  [859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(202),
  [862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(215),
  [865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(221),
  [868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(215),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(199),
  [874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(220),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(180),
  [880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(178),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(203),
  [886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(179),
  [889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(207),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(226),
  [895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(422),
  [898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(15),
  [901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(4),
  [904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0),
  [906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(5),
  [909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(423),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(445),
  [917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(154),
  [920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(89),
  [923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(225),
  [926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(201),
  [929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(235),
  [932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(216),
  [935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(235),
  [938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(206),
  [941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(224),
  [944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(188),
  [947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(167),
  [950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(195),
  [953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(173),
  [956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(205),
  [959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(218),
  [962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(442),
  [965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(7),
  [968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(12),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0),
  [973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(8),
  [976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(443),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(278),
  [984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(148),
  [987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(87),
  [990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(219),
  [993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(208),
  [996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(236),
  [999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(231),
  [1002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(236),
  [1005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(193),
  [1008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(238),
  [1011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(182),
  [1014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(176),
  [1017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(194),
  [1020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(177),
  [1023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(197),
  [1026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(222),
  [1029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(462),
  [1032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(9),
  [1035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(10),
  [1038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(16),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0),
  [1043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(463),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(530),
  [1153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(157),
  [1156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(90),
  [1159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(359),
  [1162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(211),
  [1165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(391),
  [1168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(410),
  [1171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(391),
  [1174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(237),
  [1177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(393),
  [1180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(191),
  [1183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(183),
  [1186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(227),
  [1189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(184),
  [1192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(228),
  [1195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(398),
  [1198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(482),
  [1201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(25),
  [1204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(26),
  [1207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(27),
  [1210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(483),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(530),
  [1226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(163),
  [1229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(946),
  [1232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(1164),
  [1235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(211),
  [1238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(391),
  [1241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(353),
  [1244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(391),
  [1247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(237),
  [1250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(393),
  [1253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(192),
  [1256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(190),
  [1259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(227),
  [1262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(189),
  [1265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(228),
  [1268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(398),
  [1271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(482),
  [1274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(98),
  [1277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(99),
  [1280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(91),
  [1285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(483),
  [1288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(530),
  [1291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(163),
  [1294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(943),
  [1297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(1164),
  [1300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(211),
  [1303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(391),
  [1306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(353),
  [1309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(391),
  [1312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(237),
  [1315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(393),
  [1318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(192),
  [1321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(190),
  [1324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(227),
  [1327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(189),
  [1330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(228),
  [1333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(398),
  [1336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(482),
  [1339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(98),
  [1342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(99),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(91),
  [1350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(483),
  [1353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(530),
  [1356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(163),
  [1359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(942),
  [1362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(1164),
  [1365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(211),
  [1368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(391),
  [1371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(353),
  [1374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(391),
  [1377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(237),
  [1380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(393),
  [1383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(192),
  [1386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(190),
  [1389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(227),
  [1392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(189),
  [1395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(228),
  [1398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(398),
  [1401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(482),
  [1404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(98),
  [1407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(99),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(91),
  [1415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(483),
  [1418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(530),
  [1421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(163),
  [1424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(948),
  [1427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(1164),
  [1430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(211),
  [1433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(391),
  [1436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(353),
  [1439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(391),
  [1442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(237),
  [1445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(393),
  [1448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(192),
  [1451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(190),
  [1454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(227),
  [1457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(189),
  [1460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(228),
  [1463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(398),
  [1466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(482),
  [1469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(98),
  [1472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(99),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(91),
  [1480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(483),
  [1483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(947),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(278),
  [1491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(158),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0),
  [1496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(208),
  [1499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(236),
  [1502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(403),
  [1505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(236),
  [1508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(193),
  [1511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(238),
  [1514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(186),
  [1517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(171),
  [1520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(194),
  [1523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(172),
  [1526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(197),
  [1529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(222),
  [1532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(462),
  [1535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(92),
  [1538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(95),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(101),
  [1546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(463),
  [1549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(357),
  [1552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(164),
  [1555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(202),
  [1558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(215),
  [1561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(386),
  [1564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(215),
  [1567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(199),
  [1570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(220),
  [1573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(187),
  [1576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(166),
  [1579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(203),
  [1582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(168),
  [1585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(207),
  [1588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(226),
  [1591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(422),
  [1594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(109),
  [1597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(97),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(96),
  [1605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0),
  [1607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(423),
  [1610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(278),
  [1613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(158),
  [1616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(208),
  [1619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(236),
  [1622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(403),
  [1625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(236),
  [1628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(193),
  [1631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(238),
  [1634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(186),
  [1637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(171),
  [1640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(194),
  [1643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(172),
  [1646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(197),
  [1649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(222),
  [1652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(462),
  [1655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(92),
  [1658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(95),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(101),
  [1668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(463),
  [1671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(357),
  [1674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(164),
  [1677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(202),
  [1680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(215),
  [1683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(386),
  [1686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(215),
  [1689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(199),
  [1692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(220),
  [1695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(187),
  [1698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(166),
  [1701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(203),
  [1704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(168),
  [1707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(207),
  [1710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(226),
  [1713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(422),
  [1716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(109),
  [1719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(97),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(96),
  [1727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(423),
  [1730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(445),
  [1733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(161),
  [1736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(201),
  [1739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(235),
  [1742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(392),
  [1745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(235),
  [1748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(206),
  [1751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(224),
  [1754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(181),
  [1757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(169),
  [1760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(195),
  [1763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(170),
  [1766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(205),
  [1769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(218),
  [1772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(442),
  [1775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(94),
  [1778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(133),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(93),
  [1786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(443),
  [1789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(278),
  [1792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(158),
  [1795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(208),
  [1798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(236),
  [1801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(403),
  [1804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(236),
  [1807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(193),
  [1810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(238),
  [1813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(186),
  [1816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(171),
  [1819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(194),
  [1822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(172),
  [1825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(197),
  [1828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(222),
  [1831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(462),
  [1834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(92),
  [1837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(95),
  [1840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(101),
  [1847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(463),
  [1850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(445),
  [1853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(161),
  [1856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(201),
  [1859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(235),
  [1862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(392),
  [1865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(235),
  [1868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(206),
  [1871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(224),
  [1874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(181),
  [1877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(169),
  [1880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(195),
  [1883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(170),
  [1886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(205),
  [1889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(218),
  [1892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(442),
  [1895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(94),
  [1898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(133),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(93),
  [1906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(443),
  [1909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(357),
  [1912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(164),
  [1915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(202),
  [1918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(215),
  [1921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(386),
  [1924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(215),
  [1927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(199),
  [1930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(220),
  [1933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(187),
  [1936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(166),
  [1939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(203),
  [1942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(168),
  [1945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(207),
  [1948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(226),
  [1951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(422),
  [1954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(109),
  [1957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(97),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(96),
  [1965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(423),
  [1968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(445),
  [1971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(161),
  [1974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(201),
  [1977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(235),
  [1980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(392),
  [1983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(235),
  [1986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(206),
  [1989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(224),
  [1992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(181),
  [1995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(169),
  [1998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(195),
  [2001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(170),
  [2004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(205),
  [2007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(218),
  [2010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(442),
  [2013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(94),
  [2016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(133),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(93),
  [2024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(443),
  [2027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(530),
  [2030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(163),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0),
  [2035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(211),
  [2038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(391),
  [2041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(353),
  [2044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(391),
  [2047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(237),
  [2050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(393),
  [2053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(192),
  [2056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(190),
  [2059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(227),
  [2062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(189),
  [2065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(228),
  [2068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(398),
  [2071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(482),
  [2074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(98),
  [2077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(99),
  [2080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(91),
  [2083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(483),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(357),
  [2127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(164),
  [2130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(202),
  [2133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(215),
  [2136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(386),
  [2139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(215),
  [2142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(199),
  [2145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(220),
  [2148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(187),
  [2151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(166),
  [2154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(203),
  [2157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(168),
  [2160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(207),
  [2163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(226),
  [2166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(422),
  [2169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(109),
  [2172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(97),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0),
  [2177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(96),
  [2180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(423),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(445),
  [2204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(161),
  [2207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(201),
  [2210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(235),
  [2213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(392),
  [2216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(235),
  [2219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(206),
  [2222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(224),
  [2225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(181),
  [2228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(169),
  [2231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(195),
  [2234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(170),
  [2237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(205),
  [2240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(218),
  [2243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(442),
  [2246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(94),
  [2249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(133),
  [2252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0),
  [2254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(93),
  [2257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(443),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(278),
  [2265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(158),
  [2268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(208),
  [2271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(236),
  [2274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(403),
  [2277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(236),
  [2280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(193),
  [2283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(238),
  [2286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(186),
  [2289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(171),
  [2292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(194),
  [2295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(172),
  [2298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(197),
  [2301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(222),
  [2304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(462),
  [2307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(92),
  [2310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(95),
  [2313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(101),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0),
  [2318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(463),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [2393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_base, 1, 0, 0),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [2397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(445),
  [2400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(150),
  [2403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0),
  [2405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(201),
  [2408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(235),
  [2411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(216),
  [2414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(235),
  [2417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(206),
  [2420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(224),
  [2423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(188),
  [2426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(167),
  [2429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [2432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(173),
  [2435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(205),
  [2438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(218),
  [2441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [2444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(443),
  [2447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(357),
  [2450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(151),
  [2453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(202),
  [2456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(215),
  [2459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(221),
  [2462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(215),
  [2465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(199),
  [2468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(220),
  [2471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(180),
  [2474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(178),
  [2477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(203),
  [2480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(179),
  [2483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(207),
  [2486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(226),
  [2489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(422),
  [2492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(423),
  [2495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(278),
  [2498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(152),
  [2501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(208),
  [2504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(236),
  [2507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(231),
  [2510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(236),
  [2513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(193),
  [2516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(238),
  [2519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(182),
  [2522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(176),
  [2525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(194),
  [2528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(177),
  [2531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(197),
  [2534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(222),
  [2537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(462),
  [2540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(463),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(354),
  [2550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(155),
  [2553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [2556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(210),
  [2559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(234),
  [2562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(210),
  [2565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [2568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(223),
  [2571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [2574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(174),
  [2577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [2580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(175),
  [2583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(204),
  [2586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(217),
  [2589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(457),
  [2592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(522),
  [2595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(530),
  [2598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(156),
  [2601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(211),
  [2604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(391),
  [2607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [2610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(391),
  [2613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(237),
  [2616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(393),
  [2619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(191),
  [2622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(183),
  [2625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(227),
  [2628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(184),
  [2631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(228),
  [2634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(398),
  [2637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(482),
  [2640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(483),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(159),
  [2650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [2653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [2656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(171),
  [2659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [2662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(160),
  [2665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(392),
  [2668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(181),
  [2671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(169),
  [2674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(170),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(162),
  [2682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [2685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(192),
  [2688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(190),
  [2691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(189),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(165),
  [2701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(386),
  [2704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [2707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(166),
  [2710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(168),
  [2713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [2717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(902),
  [2720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(902),
  [2723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(898),
  [2726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [2730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(903),
  [2733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(903),
  [2736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(761),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(777),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [2748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(894),
  [2751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(894),
  [2754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(890),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(891),
  [2762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(891),
  [2765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(762),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(778),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(798),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(799),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [2785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(834),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(787),
  [2793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(733),
  [2796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(733),
  [2799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(958),
  [2802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(893),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [2807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(896),
  [2810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(896),
  [2813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(760),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(721),
  [2821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(721),
  [2824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(954),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(776),
  [2832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(714),
  [2835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(714),
  [2838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(959),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(797),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(824),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [2853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(825),
  [2856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(731),
  [2859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(731),
  [2862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(955),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [2867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(742),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [2874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(726),
  [2877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(726),
  [2880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(957),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [2885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(823),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(919),
  [2895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(923),
  [2898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(923),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__whitespace, 1, 0, 0),
  [2905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__whitespace, 1, 0, 0),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(1171),
  [2912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(1010),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(1170),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(1165),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(1169),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_description_non_empty, 4, 0, 5),
  [2936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_description_non_empty, 4, 0, 5),
  [2938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(1168),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0),
  [2945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(75),
  [2948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0),
  [2950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__soft_line_break, 1, 0, 0),
  [2952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__soft_line_break, 1, 0, 0),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [2956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(71),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(79),
  [2970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0),
  [2972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(62),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wiki_link, 5, 20, 6),
  [2979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wiki_link, 5, 20, 6),
  [2981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_latex_block, 3, 0, 0),
  [2983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_latex_block, 3, 0, 0),
  [2985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__link_text_non_empty, 3, 0, 4),
  [2987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__link_text_non_empty, 3, 0, 4),
  [2989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__open_tag, 3, 100, 0),
  [2991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__open_tag, 3, 100, 0),
  [2993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_comment, 3, 100, 0),
  [2995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_comment, 3, 100, 0),
  [2997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__processing_instruction, 3, 100, 0),
  [2999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__processing_instruction, 3, 100, 0),
  [3001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration, 3, 100, 0),
  [3003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration, 3, 100, 0),
  [3005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cdata_section, 3, 100, 0),
  [3007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cdata_section, 3, 100, 0),
  [3009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_collapsed_reference_link, 3, 10, 0),
  [3011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_collapsed_reference_link, 3, 10, 0),
  [3013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 3, 10, 0),
  [3015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 3, 10, 0),
  [3017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_collapsed_reference_link, 3, 10, 0),
  [3019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_collapsed_reference_link, 3, 10, 0),
  [3021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 3, 10, 0),
  [3023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 3, 10, 0),
  [3025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_star, 4, 1, 3),
  [3027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_star, 4, 1, 3),
  [3029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_underscore, 4, 1, 3),
  [3031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_underscore, 4, 1, 3),
  [3033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strikethrough, 4, 1, 3),
  [3035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strikethrough, 4, 1, 3),
  [3037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__closing_tag, 4, 100, 0),
  [3039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__closing_tag, 4, 100, 0),
  [3041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__open_tag, 4, 100, 0),
  [3043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__open_tag, 4, 100, 0),
  [3045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_label, 3, 0, 0),
  [3047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_label, 3, 0, 0),
  [3049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_comment, 4, 100, 0),
  [3051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_comment, 4, 100, 0),
  [3053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration, 4, 100, 0),
  [3055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration, 4, 100, 0),
  [3057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 4, 10, 0),
  [3059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 4, 10, 0),
  [3061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 4, 10, 0),
  [3063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 4, 10, 0),
  [3065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__closing_tag, 5, 100, 0),
  [3067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__closing_tag, 5, 100, 0),
  [3069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__open_tag, 5, 100, 0),
  [3071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__open_tag, 5, 100, 0),
  [3073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_comment, 5, 100, 0),
  [3075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_comment, 5, 100, 0),
  [3077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 5, 10, 0),
  [3079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 5, 10, 0),
  [3081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 5, 10, 0),
  [3083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 5, 10, 0),
  [3085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__open_tag, 6, 100, 0),
  [3087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__open_tag, 6, 100, 0),
  [3089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_comment, 6, 100, 0),
  [3091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_comment, 6, 100, 0),
  [3093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 6, 10, 0),
  [3095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 6, 10, 0),
  [3097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 6, 10, 0),
  [3099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 6, 10, 0),
  [3101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wiki_link, 7, 20, 7),
  [3103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wiki_link, 7, 20, 7),
  [3105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 7, 10, 0),
  [3107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 7, 10, 0),
  [3109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 7, 10, 0),
  [3111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 7, 10, 0),
  [3113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 8, 10, 0),
  [3115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 8, 10, 0),
  [3117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 8, 10, 0),
  [3119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 8, 10, 0),
  [3121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_backslash_escape, 1, 0, 0),
  [3123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_backslash_escape, 1, 0, 0),
  [3125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shortcut_link, 1, 10, 0),
  [3127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__link_text, 1, 10, 0), REDUCE(sym_shortcut_link, 1, 10, 0),
  [3130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shortcut_link, 1, 10, 0),
  [3132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image, 1, 0, 0),
  [3134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image, 1, 0, 0),
  [3136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_shortcut_link, 1, 30, 0),
  [3138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__image_shortcut_link, 1, 30, 0), REDUCE(sym__image_description, 1, 30, 0),
  [3141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_shortcut_link, 1, 30, 0),
  [3143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1, 0, 1),
  [3145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 1, 0, 1),
  [3147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_tag, 1, 0, 0),
  [3149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_tag, 1, 0, 0),
  [3151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_code_span, 2, 0, 0),
  [3153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_code_span, 2, 0, 0),
  [3155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_latex_block, 2, 0, 0),
  [3157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_latex_block, 2, 0, 0),
  [3159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__text_base, 2, 0, 0),
  [3161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__text_base, 2, 0, 0),
  [3163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hard_line_break, 2, 0, 0),
  [3165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hard_line_break, 2, 0, 0),
  [3167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__soft_line_break, 2, 0, 0),
  [3169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__soft_line_break, 2, 0, 0),
  [3171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_comment, 2, 100, 0),
  [3173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_comment, 2, 100, 0),
  [3175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__processing_instruction, 2, 100, 0),
  [3177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__processing_instruction, 2, 100, 0),
  [3179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cdata_section, 2, 100, 0),
  [3181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cdata_section, 2, 100, 0),
  [3183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__whitespace, 2, 0, 0),
  [3185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__whitespace, 2, 0, 0),
  [3187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_full_reference_link, 2, 20, 0),
  [3189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_full_reference_link, 2, 20, 0),
  [3191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_full_reference_link, 2, 10, 0),
  [3193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_full_reference_link, 2, 10, 0),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_code_span, 3, 0, 0),
  [3197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_code_span, 3, 0, 0),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_star, 3, 1, 3),
  [3201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_star, 3, 1, 3),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strong_emphasis_star, 3, 2, 3),
  [3205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strong_emphasis_star, 3, 2, 3),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_underscore, 3, 1, 3),
  [3209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_underscore, 3, 1, 3),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strong_emphasis_underscore, 3, 2, 3),
  [3213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strong_emphasis_underscore, 3, 2, 3),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strikethrough, 3, 1, 3),
  [3217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strikethrough, 3, 1, 3),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [3229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(404),
  [3232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(708),
  [3235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(713),
  [3238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(718),
  [3241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(686),
  [3244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(681),
  [3247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(704),
  [3250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(683),
  [3253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(735),
  [3256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(735),
  [3259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0),
  [3261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(83),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [3282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [3288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [3312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 2),
  [3314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 2),
  [3316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 2), SHIFT(406),
  [3319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 2), SHIFT(523),
  [3322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 2),
  [3324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 2),
  [3326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 2), SHIFT(408),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [3343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 2), SHIFT(517),
  [3346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 2), SHIFT(519),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 2), SHIFT(358),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_description, 3, 30, 0),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 2), SHIFT(310),
  [3375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 2), SHIFT(312),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [3380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 2),
  [3382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 2),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 2), SHIFT(546),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [3399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 2), SHIFT(548),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [3404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 2, 0, 0),
  [3406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 2, 0, 0),
  [3408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element, 2, 0, 0),
  [3410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element, 2, 0, 0),
  [3412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(515),
  [3415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(705),
  [3418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(717),
  [3421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(728),
  [3424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(690),
  [3427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(684),
  [3430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(709),
  [3433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(680),
  [3436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(729),
  [3439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(729),
  [3442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline, 1, 0, 0),
  [3444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__inline, 1, 0, 0),
  [3446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_star, 2, 0, 0),
  [3448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_star, 2, 0, 0),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [3454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 2),
  [3456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 2),
  [3458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 2, 0, 0),
  [3460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 2, 0, 0),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [3468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [3476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [3482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_description, 1, 30, 0),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(685),
  [3499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(600),
  [3502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0),
  [3504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(682),
  [3507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(682),
  [3510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(679),
  [3513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(678),
  [3516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(678),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_underscore_no_link, 3, 1, 3),
  [3543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_underscore_no_link, 3, 1, 3),
  [3545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strikethrough_no_link, 3, 1, 3),
  [3547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strikethrough_no_link, 3, 1, 3),
  [3549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_star_no_link, 3, 1, 3),
  [3551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_star_no_link, 3, 1, 3),
  [3553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strong_emphasis_star_no_link, 3, 2, 3),
  [3555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strong_emphasis_star_no_link, 3, 2, 3),
  [3557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 1, 0, 0),
  [3559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 1, 0, 0),
  [3561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strong_emphasis_underscore_no_link, 3, 2, 3),
  [3563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strong_emphasis_underscore_no_link, 3, 2, 3),
  [3565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_star_no_link, 4, 1, 3),
  [3567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_star_no_link, 4, 1, 3),
  [3569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_underscore_no_link, 4, 1, 3),
  [3571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_underscore_no_link, 4, 1, 3),
  [3573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strikethrough_no_link, 4, 1, 3),
  [3575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strikethrough_no_link, 4, 1, 3),
  [3577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 2),
  [3579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 2),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [3583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 2),
  [3585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 2),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [3589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 2),
  [3591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 2),
  [3593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 2),
  [3595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 2),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [3619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [3631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [3663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [3667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_destination, 1, 10, 0), SHIFT(838),
  [3670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_destination, 1, 10, 0), SHIFT(859),
  [3673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_destination, 1, 10, 0), SHIFT(862),
  [3676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_link_destination, 1, 10, 0), SHIFT(862),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [3703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_destination, 1, 10, 0), SHIFT(846),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [3722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(741),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [3727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(814),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [3734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(815),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [3739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(740),
  [3742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(724),
  [3745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(724),
  [3748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(956),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(813),
  [3756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(722),
  [3759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(722),
  [3762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(953),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [3767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(739),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [3774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0), SHIFT(881),
  [3781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0), SHIFT(854),
  [3784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0), SHIFT(868),
  [3787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0), SHIFT(868),
  [3790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0), SHIFT(869),
  [3793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0), SHIFT(884),
  [3796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0),
  [3798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [3812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [3814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_destination, 1, 10, 0),
  [3816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_destination, 1, 10, 0),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [3824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(881),
  [3827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(697),
  [3830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(846),
  [3833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(846),
  [3836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0),
  [3838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(859),
  [3841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(862),
  [3844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(862),
  [3847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0), SHIFT(881),
  [3850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0), SHIFT(854),
  [3853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0), SHIFT(868),
  [3856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0), SHIFT(868),
  [3859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0), SHIFT(869),
  [3862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0), SHIFT(884),
  [3865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0),
  [3867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [3871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(881),
  [3874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(699),
  [3877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(838),
  [3880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0),
  [3882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(838),
  [3885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(859),
  [3888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(862),
  [3891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(862),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [3898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [3900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(881),
  [3903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(701),
  [3906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(877),
  [3909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(877),
  [3912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0),
  [3914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(859),
  [3917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(862),
  [3920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(862),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [3927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_destination, 2, 10, 0),
  [3929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_destination, 2, 10, 0),
  [3931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(1163),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [3938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(1167),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [3943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(881),
  [3946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(710),
  [3949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(868),
  [3952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(868),
  [3955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(869),
  [3958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0),
  [3960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0),
  [3962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_destination, 3, 10, 0),
  [3964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_destination, 3, 10, 0),
  [3966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0),
  [3968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0),
  [3970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(859),
  [3973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(862),
  [3976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(862),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [4091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0), SHIFT_REPEAT(881),
  [4094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0), SHIFT_REPEAT(734),
  [4097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0), SHIFT_REPEAT(900),
  [4100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0),
  [4102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0), SHIFT_REPEAT(900),
  [4105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0), SHIFT_REPEAT(862),
  [4108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0), SHIFT_REPEAT(862),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [4125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [4139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(894),
  [4142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(894),
  [4145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(890),
  [4148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0),
  [4150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(891),
  [4153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(891),
  [4156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(746),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [4167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 2, 0, 0), SHIFT_REPEAT(892),
  [4170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__html_comment_repeat1, 2, 0, 0), SHIFT_REPEAT(899),
  [4173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 2, 0, 0), SHIFT_REPEAT(893),
  [4176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 2, 0, 0),
  [4178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 2, 0, 0), SHIFT_REPEAT(896),
  [4181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__html_comment_repeat1, 2, 0, 0), SHIFT_REPEAT(896),
  [4184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 2, 0, 0), SHIFT_REPEAT(756),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [4215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(902),
  [4218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(902),
  [4221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(898),
  [4224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(903),
  [4227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(903),
  [4230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(803),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [4273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0), SHIFT_REPEAT(1166),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [4290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0), REDUCE(aux_sym_link_title_repeat2, 1, 0, 0),
  [4293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0), REDUCE(aux_sym_link_title_repeat2, 1, 0, 0),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [4304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0), SHIFT_REPEAT(1166),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [4315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0), REDUCE(aux_sym_link_title_repeat3, 1, 0, 0),
  [4318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0), REDUCE(aux_sym_link_title_repeat3, 1, 0, 0),
  [4321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0),
  [4323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 1, 0, 0),
  [4325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 1, 0, 0),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 2, 0, 0), SHIFT_REPEAT(904),
  [4336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 2, 0, 0),
  [4338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 2, 0, 0), SHIFT_REPEAT(919),
  [4341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 2, 0, 0), SHIFT_REPEAT(923),
  [4344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat1, 2, 0, 0), SHIFT_REPEAT(923),
  [4347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 2, 0, 0), SHIFT_REPEAT(852),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [4370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0), REDUCE(aux_sym_link_title_repeat1, 1, 0, 0),
  [4373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0), REDUCE(aux_sym_link_title_repeat1, 1, 0, 0),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [4380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0),
  [4382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0), REDUCE(sym_link_title, 2, 0, 0),
  [4385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0), REDUCE(sym_link_title, 2, 0, 0),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [4390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(927),
  [4393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 2, 0, 0),
  [4395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(919),
  [4398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(923),
  [4401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(923),
  [4404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(864),
  [4407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 2, 0, 0), SHIFT_REPEAT(905),
  [4410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 2, 0, 0),
  [4412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 2, 0, 0), SHIFT_REPEAT(919),
  [4415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 2, 0, 0), SHIFT_REPEAT(923),
  [4418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat2, 2, 0, 0), SHIFT_REPEAT(923),
  [4421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 2, 0, 0), SHIFT_REPEAT(865),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [4436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), REDUCE(aux_sym_link_title_repeat1, 2, 0, 0),
  [4439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), REDUCE(aux_sym_link_title_repeat1, 2, 0, 0),
  [4442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 1, 0, 0), SHIFT_REPEAT(1166),
  [4445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__link_destination_parenthesis, 2, 0, 0),
  [4447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__link_destination_parenthesis, 2, 0, 0),
  [4449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__link_destination_parenthesis, 2, 0, 0), REDUCE(sym_link_title, 2, 0, 0),
  [4452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__link_destination_parenthesis, 2, 0, 0), REDUCE(sym_link_title, 2, 0, 0),
  [4455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 3, 0, 0),
  [4457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 3, 0, 0),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [4461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__link_destination_parenthesis, 3, 0, 0),
  [4463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__link_destination_parenthesis, 3, 0, 0),
  [4465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 3, 0, 0),
  [4467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 3, 0, 0),
  [4469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0),
  [4471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), REDUCE(aux_sym_link_title_repeat2, 2, 0, 0),
  [4474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), REDUCE(aux_sym_link_title_repeat2, 2, 0, 0),
  [4477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0),
  [4479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), REDUCE(aux_sym_link_title_repeat3, 2, 0, 0),
  [4482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), REDUCE(aux_sym_link_title_repeat3, 2, 0, 0),
  [4485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [4491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 1, 0, 0),
  [4493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__html_comment_repeat1, 1, 0, 0),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [4499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 1, 0, 0),
  [4501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 1, 0, 0),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [4505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__html_comment_repeat1, 2, 0, 0),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [4511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 3, 0, 0),
  [4513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 3, 0, 0),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [4519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__text_no_angle, 1, 0, 0),
  [4521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__text_no_angle, 1, 0, 0),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [4529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 1, 0, 0),
  [4531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat1, 1, 0, 0),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [4535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 1, 0, 0),
  [4537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat2, 1, 0, 0),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [4541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__wiki_link_destination, 2, 0, 0),
  [4543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wiki_link_destination, 2, 0, 0), SHIFT_REPEAT(944),
  [4546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wiki_link_destination, 2, 0, 0), SHIFT_REPEAT(923),
  [4549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__wiki_link_destination, 2, 0, 0), SHIFT_REPEAT(923),
  [4552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wiki_link_destination, 2, 0, 0), SHIFT_REPEAT(950),
  [4555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__wiki_link_text, 2, 0, 0),
  [4557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wiki_link_text, 2, 0, 0), SHIFT_REPEAT(945),
  [4560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wiki_link_text, 2, 0, 0), SHIFT_REPEAT(923),
  [4563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__wiki_link_text, 2, 0, 0), SHIFT_REPEAT(923),
  [4566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__wiki_link_text, 2, 0, 0), SHIFT_REPEAT(952),
  [4569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [4589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 3, 0, 0),
  [4591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__html_comment_repeat1, 3, 0, 0),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [4601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__text_no_angle, 2, 0, 0),
  [4603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__text_no_angle, 2, 0, 0),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [4611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 1, 0, 0),
  [4613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_repeat1, 1, 0, 0),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_repeat1, 2, 0, 0),
  [4629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat1, 2, 0, 0),
  [4631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat2, 2, 0, 0),
  [4633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__wiki_link_destination, 1, 0, 0),
  [4635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__wiki_link_destination, 1, 0, 0),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__wiki_link_text, 1, 0, 0),
  [4641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__wiki_link_text, 1, 0, 0),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [4645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__wiki_link_destination, 2, 0, 0),
  [4647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__wiki_link_text, 2, 0, 0),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [4663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(893),
  [4666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(896),
  [4669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(896),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [4726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [4732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__open_tag_repeat1, 2, 0, 0),
  [4734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__open_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(1113),
  [4737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__open_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(1094),
  [4740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__open_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(1094),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [4769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [4817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__tag_name_repeat1, 2, 0, 0),
  [4819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__tag_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1005),
  [4822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__tag_name_repeat1, 2, 0, 0),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [4828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(1113),
  [4831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(1094),
  [4834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(1094),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [4841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tag_name, 1, 0, 0),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [4845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tag_name, 1, 0, 0),
  [4847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(1127),
  [4850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(1122),
  [4853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(1122),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [4864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tag_name, 2, 0, 0),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [4868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tag_name, 2, 0, 0),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [4954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 5, 0, 0),
  [4956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 5, 0, 0),
  [4958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_value, 2, 0, 0),
  [4960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute_value, 2, 0, 0),
  [4962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 4, 0, 0),
  [4964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 4, 0, 0),
  [4966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 6, 0, 0),
  [4968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 6, 0, 0),
  [4970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_value, 3, 0, 0),
  [4972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute_value, 3, 0, 0),
  [4974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_title, 3, 0, 0),
  [4976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_title, 3, 0, 0),
  [4978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_title, 2, 0, 0),
  [4980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_title, 2, 0, 0),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [5024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__link_text, 2, 10, 0),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [5052] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__error = 0,
  ts_external_token__trigger_error = 1,
  ts_external_token__code_span_start = 2,
  ts_external_token__code_span_close = 3,
  ts_external_token__emphasis_open_star = 4,
  ts_external_token__emphasis_open_underscore = 5,
  ts_external_token__emphasis_close_star = 6,
  ts_external_token__emphasis_close_underscore = 7,
  ts_external_token__last_token_whitespace = 8,
  ts_external_token__last_token_punctuation = 9,
  ts_external_token__strikethrough_open = 10,
  ts_external_token__strikethrough_close = 11,
  ts_external_token__latex_span_start = 12,
  ts_external_token__latex_span_close = 13,
  ts_external_token__unclosed_span = 14,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__error] = sym__error,
  [ts_external_token__trigger_error] = sym__trigger_error,
  [ts_external_token__code_span_start] = sym__code_span_start,
  [ts_external_token__code_span_close] = sym__code_span_close,
  [ts_external_token__emphasis_open_star] = sym__emphasis_open_star,
  [ts_external_token__emphasis_open_underscore] = sym__emphasis_open_underscore,
  [ts_external_token__emphasis_close_star] = sym__emphasis_close_star,
  [ts_external_token__emphasis_close_underscore] = sym__emphasis_close_underscore,
  [ts_external_token__last_token_whitespace] = sym__last_token_whitespace,
  [ts_external_token__last_token_punctuation] = sym__last_token_punctuation,
  [ts_external_token__strikethrough_open] = sym__strikethrough_open,
  [ts_external_token__strikethrough_close] = sym__strikethrough_close,
  [ts_external_token__latex_span_start] = sym__latex_span_start,
  [ts_external_token__latex_span_close] = sym__latex_span_close,
  [ts_external_token__unclosed_span] = sym__unclosed_span,
};

static const bool ts_external_scanner_states[27][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__error] = true,
    [ts_external_token__trigger_error] = true,
    [ts_external_token__code_span_start] = true,
    [ts_external_token__code_span_close] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_star] = true,
    [ts_external_token__emphasis_close_underscore] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__strikethrough_close] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__latex_span_close] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [2] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [3] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [4] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_star] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [5] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_underscore] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [6] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__strikethrough_close] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [7] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_star] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [8] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [9] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__strikethrough_close] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [10] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_underscore] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [11] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__strikethrough_close] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [12] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_underscore] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [13] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_star] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [14] = {
    [ts_external_token__latex_span_close] = true,
  },
  [15] = {
    [ts_external_token__code_span_close] = true,
  },
  [16] = {
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [17] = {
    [ts_external_token__last_token_punctuation] = true,
  },
  [18] = {
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [19] = {
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [20] = {
    [ts_external_token__code_span_close] = true,
    [ts_external_token__last_token_punctuation] = true,
  },
  [21] = {
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__latex_span_close] = true,
  },
  [22] = {
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__latex_span_close] = true,
  },
  [23] = {
    [ts_external_token__code_span_close] = true,
    [ts_external_token__last_token_whitespace] = true,
  },
  [24] = {
    [ts_external_token__last_token_whitespace] = true,
  },
  [25] = {
    [ts_external_token__trigger_error] = true,
    [ts_external_token__last_token_whitespace] = true,
  },
  [26] = {
    [ts_external_token__trigger_error] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_markdown_inline_external_scanner_create(void);
void tree_sitter_markdown_inline_external_scanner_destroy(void *);
bool tree_sitter_markdown_inline_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_markdown_inline_external_scanner_serialize(void *, char *);
void tree_sitter_markdown_inline_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_markdown_inline(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_markdown_inline_external_scanner_create,
      tree_sitter_markdown_inline_external_scanner_destroy,
      tree_sitter_markdown_inline_external_scanner_scan,
      tree_sitter_markdown_inline_external_scanner_serialize,
      tree_sitter_markdown_inline_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
